GNU bug report logs - #34138
27.0.50; Delayed display of PDF file images

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: emacs; Reported by: Stephen Berman <stephen.berman@HIDDEN>; merged with #34202; Done: Noam Postavsky <npostavs@HIDDEN>; Maintainer for emacs is bug-gnu-emacs@HIDDEN.
bug marked as fixed in version 27.1, send any further explanations to 34138 <at> debbugs.gnu.org and Stephen Berman <stephen.berman@HIDDEN> Request was from Noam Postavsky <npostavs@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at 34138 <at> debbugs.gnu.org:


Received: (at 34138) by debbugs.gnu.org; 30 Mar 2019 02:56:49 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Mar 29 22:56:49 2019
Received: from localhost ([127.0.0.1]:36114 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1hA4Aq-0004t1-RA
	for submit <at> debbugs.gnu.org; Fri, 29 Mar 2019 22:56:49 -0400
Received: from mail-qk1-f171.google.com ([209.85.222.171]:41776)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <npostavs@HIDDEN>)
 id 1hA4Ao-0004si-Cu; Fri, 29 Mar 2019 22:56:46 -0400
Received: by mail-qk1-f171.google.com with SMTP id o129so2564764qke.8;
 Fri, 29 Mar 2019 19:56:46 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=from:to:cc:subject:references:date:in-reply-to:message-id
 :user-agent:mime-version;
 bh=JfvZLhMN0I98LUvlPPss5iHEM2My5Qyy7tk6VCRCnCs=;
 b=R8qpdl7h/qUSPgd47JqRQEnIhlDoPGvyFNA6xC0hfCgYdffmK/UMR1CcHGd0t7odjC
 VhkkfMGsYrTXMTstZ7sGmBJzg5XKRZ7GEX+HbrAIiZDNOhyipg5oOgA1sHZBQDgx3dzj
 YiZ5t7b+V2o0kMsjj3Hv2m/fMvHn7URr48Uz4TOwb4L78AWwEk+zDt5I3X5oJF7DPLiK
 r/q9QmiVJR4m4Zrg9SR850OPKgljLvBwUlEy86mFZoMiLhxnWWi+4r72pN3bMJzFnkGa
 q0OB9otBxW+/CQxpczIf4R6RHC5G2YEPjvSfbmATNI2oz/9aqxs4MluzefT+4m5Pfis2
 860g==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:from:to:cc:subject:references:date:in-reply-to
 :message-id:user-agent:mime-version;
 bh=JfvZLhMN0I98LUvlPPss5iHEM2My5Qyy7tk6VCRCnCs=;
 b=tW7bmhVLMsgvfd41N/438SeWGYS+JxZp9OpPrb9xGxjpsQw8LeTC9EsXzy5eJ5ouao
 oEekNeh5CtiGC/JQQcD5XS15vkbCg1jIluIAW3af/021ypkvHylMqtCn0wg3dwRdPsSL
 ZnEFckBChLBqr53QHky7fY5xIEw5xteNvm3191yBTxiRqzAMyoH3bKekstkt6agEnjdO
 J1AlJT8k/M77F50W987Tnq3fXXm5d9532jZ29TMh3uFzXgtxDcbk93JWuB6yWqzTzOZ3
 goA4foGO4VbcU0nAcDDaFWPsXqFjOv19O/4i7dW/ptpLEaVKUOFARiR3yRN6Sw9/7+oX
 ay/Q==
X-Gm-Message-State: APjAAAWY/Y0YlYOOhZnqw5pX/RDGiucT1KcV6agALxnSIG7wLJEWlDLf
 xjvcfQzpfgnGkdEfJ+gczZAolcPI
X-Google-Smtp-Source: APXvYqzxM3q3j5zMqhaFKT0EwU4rA7f2FS1E/L0Hi69La8nHH418e5tn4NCmN43gZCJ/oj49jGumPg==
X-Received: by 2002:a37:5088:: with SMTP id
 e130mr17695179qkb.206.1553914600541; 
 Fri, 29 Mar 2019 19:56:40 -0700 (PDT)
Received: from minid (cbl-45-2-119-34.yyz.frontiernetworks.ca. [45.2.119.34])
 by smtp.googlemail.com with ESMTPSA id
 t69sm1980757qke.38.2019.03.29.19.56.38
 (version=TLS1_2 cipher=ECDHE-RSA-CHACHA20-POLY1305 bits=256/256);
 Fri, 29 Mar 2019 19:56:39 -0700 (PDT)
From: Noam Postavsky <npostavs@HIDDEN>
To: martin rudalics <rudalics@HIDDEN>
Subject: Re: bug#34138: 27.0.50; Delayed display of PDF file images
References: <871s58e4gh.fsf@HIDDEN> <83lg3e9dd6.fsf@HIDDEN>
 <87womxdgdq.fsf@HIDDEN> <83fttlam3b.fsf@HIDDEN>
 <87sgxlrfgg.fsf@HIDDEN> <83bm49aj3q.fsf@HIDDEN>
 <87a7jtd4sx.fsf@HIDDEN> <834la0accs.fsf@HIDDEN> <87lg3cfjef.fsf@HIDDEN>
 <83lg3b8i8a.fsf@HIDDEN> <5C48B20C.9030100@HIDDEN>
 <8336pj8bhx.fsf@HIDDEN> <5C4980A5.90902@HIDDEN> <83sgxi6sjq.fsf@HIDDEN>
 <5C4C263D.5020803@HIDDEN> <83h8dv668x.fsf@HIDDEN>
 <5C4C77BD.5070701@HIDDEN> <877eerxwlp.fsf@HIDDEN>
 <5C5562BD.8050403@HIDDEN> <871s4qpcqn.fsf@HIDDEN>
 <5C6BC0EE.3040009@HIDDEN>
Date: Fri, 29 Mar 2019 22:56:38 -0400
In-Reply-To: <5C6BC0EE.3040009@HIDDEN> (martin rudalics's message of "Tue, 19
 Feb 2019 09:40:14 +0100")
Message-ID: <87sgv583yx.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/26.1.91 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 34138
Cc: Eli Zaretskii <eliz@HIDDEN>, Stephen Berman <stephen.berman@HIDDEN>,
 34138 <at> debbugs.gnu.org, politza@HIDDEN, tsdh@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

# Delayed display of PDF file images /#34202 Opening a pdf shows raw file at first
close 34138 27.1
# message hangs when buffer with process visible
close 34179 27.1
# Emacs randomly hangs during redisplay
close 34260 27.1
# Zero wide scroll bars
close 34569 27.1
# Wrong unbinding order in x_consider_frame_title
close 34317 27.1
quit

martin rudalics <rudalics@HIDDEN> writes:

> fixed 34138 27.1
> quit
>
>> FTR, I also just updated and rebuilt and all is fine (I've been viewing
>> PDF files daily with no problem with the patch you had posted).  Thanks.
>
> Fine.  Closing this bug now.

So, this doesn't quite close the bug, it just marks it fixed.  You
should use "close" instead of "fixed" to close a bug ("close" does also
accept a version argument to mark as fixed at the same time).





Information forwarded to bug-gnu-emacs@HIDDEN:
bug#34138; Package emacs. Full text available.

Message received at 34138 <at> debbugs.gnu.org:


Received: (at 34138) by debbugs.gnu.org; 19 Feb 2019 08:47:27 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Feb 19 03:47:27 2019
Received: from localhost ([127.0.0.1]:53850 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1gw13m-0002nY-Vi
	for submit <at> debbugs.gnu.org; Tue, 19 Feb 2019 03:47:27 -0500
Received: from mout.gmx.net ([212.227.15.18]:42347)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <rudalics@HIDDEN>) id 1gw13l-0002iq-7w
 for 34138 <at> debbugs.gnu.org; Tue, 19 Feb 2019 03:47:25 -0500
Received: from [192.168.1.101] ([213.162.73.134]) by mail.gmx.com (mrgmx002
 [212.227.17.190]) with ESMTPSA (Nemesis) id 0MbPPQ-1gfS912z5g-00IlQd; Tue, 19
 Feb 2019 09:47:15 +0100
Message-ID: <5C6BC28E.9070205@HIDDEN>
Date: Tue, 19 Feb 2019 09:47:10 +0100
From: martin rudalics <rudalics@HIDDEN>
MIME-Version: 1.0
To: Andreas Politz <politza@HIDDEN>
Subject: Re: bug#34138: 27.0.50; Delayed display of PDF file images
References: <871s58e4gh.fsf@HIDDEN>
 <83pnsq9f47.fsf@HIDDEN>	<871s56dm5q.fsf@HIDDEN>
 <83lg3e9dd6.fsf@HIDDEN>	<87womxdgdq.fsf@HIDDEN>
 <83fttlam3b.fsf@HIDDEN>	<87sgxlrfgg.fsf@HIDDEN>
 <83bm49aj3q.fsf@HIDDEN>	<87a7jtd4sx.fsf@HIDDEN>
 <834la0accs.fsf@HIDDEN>	<87lg3cfjef.fsf@HIDDEN>
 <83lg3b8i8a.fsf@HIDDEN>	<5C48B20C.9030100@HIDDEN>
 <8336pj8bhx.fsf@HIDDEN>	<5C4980A5.90902@HIDDEN>
 <83sgxi6sjq.fsf@HIDDEN>	<5C4C263D.5020803@HIDDEN>
 <83h8dv668x.fsf@HIDDEN>	<5C4C77BD.5070701@HIDDEN>
 <877eerxwlp.fsf@HIDDEN>	<5C5562BD.8050403@HIDDEN>
 <87womisf65.fsf@HIDDEN>
In-Reply-To: <87womisf65.fsf@HIDDEN>
Content-Type: text/plain; charset=UTF-8; format=flowed
Content-Transfer-Encoding: 7bit
X-Provags-ID: V03:K1:PgVP/Vyw2LhZpkmy32Rn77NjFLdz/UoBfCv9vmNCXp8feQVzi6w
 BBh0xQ+kPKiHwPbJnclFpO3R+ypk+LctSqibBx5/8+WNAetJIiZFYV+ap5wsShERqpxhzuz
 H92TehF/kQlgcODUBANZAvZmxWoU3T7lvlyvaMkdxolBYFiutLoh5yXeZEZA6WqEFqWTJOd
 zZKjAAnG3KSI4DiWG7mtw==
X-Spam-Flag: NO
X-UI-Out-Filterresults: notjunk:1;V03:K0:8FDhx20TWOs=:qv+y0mHng+553kmNuUyc2V
 e33W9jvG7uWclnttA2PCms9OAYe11RXKEnJuLcqYdhgmEJiPHyFhlvF3qoOpmIqSj+ztWMbN7
 R4tjqma1jGyqSsS6nvvhIoQRGDEv2fB+XIjGW30B22yrzlP3P9d+6tEq/qcthBwnzmtMZA3Ln
 h5rnBuhNvqZA6ghBwW3FHiBXr/jCoy38iCdlrBquT9ipGxyyC+5IjSvFDAMStm+pjG2QoK8jJ
 qnASb8/s4q7wJRRdkQcg6F5hV8oMwtlCNPs8UXwLUN0a76JVVD9OW4AiexUfZfXZtXIgS7p6z
 jkTEcsJFRJgZtSPsOxQo3Yutj8gcZSt7oOJV71vHflmXxXrIgXuVdQOQ99tSagAmFTSxupa6e
 STZmx7bnltwL0kRo1Ygx9/AgwqDW39wysHEnShGx4je7FwDu7QED+id90eQ8HSULbRLRdgIfM
 DK3/YSA6MO0FBx45lyr8xTBc2HmB+tXkdsPaSIgz1aBqkH07VYcB6GS3GaL/ufP5sz8i/igiq
 ialdx6ND87r/LdhEvlWQOhGGMUsdiHfPY4QfgIPzIqgAvyBCzovVKYDKRI6FnwQBXYGdJwSIQ
 bnZ6Fx2X9R2LhavHy1CUTxW5jzT0hFmLsE9P5ltiHkzSVDx6ftCEbY1Qwcn2JAyRmIckRGjrs
 IeFuawyhtSZIQ1cBA2a3PKkQN+nlU5m0XLIQBiUfuLKpbTkZLomTFbPr+THtnUG0tOGJKS+li
 eUl4S9Sw+4WXw6fH5o5CFEZ2kSV+YeHI2GMgdVNLZUD+y/o4OVsFHBzoJFlgAIRDHCbZjBixw
 f+BJb62Kwag4+2eexwhCuIKANcgo7RH2Gg1tDHuVjrW0XiLoEath6xHv78YWy1zMynHTAE5e2
 bVCWE0ncoA8lCBmlKSqqFrJ5nxsfuszq+vvN1L5KNjxNCZzif0Wy595x+xeSaWrASq4qIHvF0
 CH+uFkeTYCw==
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 34138
Cc: Eli Zaretskii <eliz@HIDDEN>, Stephen Berman <stephen.berman@HIDDEN>,
 34138 <at> debbugs.gnu.org, tsdh@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

 >> I now installed an appropriate patch on master.  Please test again.
 >
 > Works for me,

Thanks for the information.  I hopefully closed this bug now.

martin




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#34138; Package emacs. Full text available.
bug Marked as fixed in versions 27.1. Request was from martin rudalics <rudalics@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at 34138 <at> debbugs.gnu.org:


Received: (at 34138) by debbugs.gnu.org; 19 Feb 2019 08:40:33 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Feb 19 03:40:32 2019
Received: from localhost ([127.0.0.1]:53837 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1gw0x6-0000gf-Kl
	for submit <at> debbugs.gnu.org; Tue, 19 Feb 2019 03:40:32 -0500
Received: from mout.gmx.net ([212.227.15.15]:47529)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <rudalics@HIDDEN>)
 id 1gw0x3-0000gJ-7m; Tue, 19 Feb 2019 03:40:29 -0500
Received: from [192.168.1.101] ([213.162.73.134]) by mail.gmx.com (mrgmx001
 [212.227.17.190]) with ESMTPSA (Nemesis) id 0Lq9oW-1hZUUl40ye-00dkBV; Tue, 19
 Feb 2019 09:40:20 +0100
Message-ID: <5C6BC0EE.3040009@HIDDEN>
Date: Tue, 19 Feb 2019 09:40:14 +0100
From: martin rudalics <rudalics@HIDDEN>
MIME-Version: 1.0
To: Stephen Berman <stephen.berman@HIDDEN>
Subject: Re: bug#34138: 27.0.50; Delayed display of PDF file images
References: <871s58e4gh.fsf@HIDDEN>
 <83pnsq9f47.fsf@HIDDEN>	<871s56dm5q.fsf@HIDDEN>
 <83lg3e9dd6.fsf@HIDDEN>	<87womxdgdq.fsf@HIDDEN>
 <83fttlam3b.fsf@HIDDEN>	<87sgxlrfgg.fsf@HIDDEN>
 <83bm49aj3q.fsf@HIDDEN>	<87a7jtd4sx.fsf@HIDDEN>
 <834la0accs.fsf@HIDDEN>	<87lg3cfjef.fsf@HIDDEN>
 <83lg3b8i8a.fsf@HIDDEN>	<5C48B20C.9030100@HIDDEN>
 <8336pj8bhx.fsf@HIDDEN>	<5C4980A5.90902@HIDDEN>
 <83sgxi6sjq.fsf@HIDDEN>	<5C4C263D.5020803@HIDDEN>
 <83h8dv668x.fsf@HIDDEN>	<5C4C77BD.5070701@HIDDEN>
 <877eerxwlp.fsf@HIDDEN>	<5C5562BD.8050403@HIDDEN> <871s4qpcqn.fsf@HIDDEN>
In-Reply-To: <871s4qpcqn.fsf@HIDDEN>
Content-Type: text/plain; charset=UTF-8; format=flowed
Content-Transfer-Encoding: 7bit
X-Provags-ID: V03:K1:WAFnOC1i+gqem9GlnXZ/FHQd18xX+Pkk3geCcPhGyjgHTOJZ1Lj
 Ts11gyABTOefF9+MP32gGhzc0Cbj0mb9I7h3swlEaWfbqXt5RA/bKu7lq1inqAzhP8LJG4V
 Stjrj+15bp+1wkgwHGU77O7g/CevZveMWhxtNpKgLsYL936TwILGJEdLMAdVnGv5071V+kV
 mwPZzJuDKMtlndrTc+WXw==
X-Spam-Flag: NO
X-UI-Out-Filterresults: notjunk:1;V03:K0:G31571FeO3U=:KF8910ZpS7xzC89L+bKD4w
 Knw9Xb/0eDO4EorjJoO6z0MELW89YZFVviZhtcazn39V+hOUCMF4Mw3sztCq0UhMjtsg696A2
 mV9wxktk47In8AtXcK7kHHvwU7a4nVNtE+2Hgmxbo9nWVzjMkZGhZHBme7HI+O6ScKCm1nTN1
 aAxYMCiamPL/IQawnEBNTkZxP0UwiNpHGAiiuYI087lnsaQb6aR8BiamAH93s9d9HFCZ+iUSi
 qUDcqNWBCuK5PREGGLZdDEYycTJusR0rghz3dI+5V0iNFRUxQRobmr1+gJC3qrmT5Y3EwXU+u
 L0D2E1SDQZxEyykxMdvyJLoKlmTpH0AS55HFNRspHTpS9taD8pfdG3ZBl2xJSsXYXN0GQ6/SD
 VZ4T6X3bpfSwh+ku0Yao1x3E8SOgLmghUErFITrOmfLGZrewpvCu0q+i04wI6LAZTH6DtkEps
 WFvGg+S8qFcHwVpQjekhWXsK8fl5AgDfFq1Qcx1hXOMPHRKv396fyQHJ5Hc2pIxOJZ/mYlGKQ
 XPeWIKCbNyJkH37mWbyt1PMWFIR6lZujzopN5kpCG2nB8ajoCWwffzLIHjr3syZH3nqfNrSTM
 pqAsgaRTAzZ5jzT81VQgVRwRycoCe04tWHAuyM3Us7vu3rc98mMXjjAJL3IMkPF5GWV0l+fRR
 vlGSWG2FAHZiLiMh6/WwVye2zKUhs+0f4B34ZNGU/wXIrxBMugo1RZvUKBz0LC/P60LUtRqiS
 UGNwzwG+ufPSsg310Idi6zYK2JX9XHlsoqx4pUXRDgQbmNKXTWlBDEWWShYDyji+udtUdA6jr
 gtvCPgMwfzX6zublytS9+LwS8+vDwDY2eS5dCxmSEOMpxZLcP+NJbCsg7xQEgkkZzvveVqCma
 YfRT7i2KCsxe9yYBwIYpmzIt4GOQwtVm+ys0WMhs6n8OYBf3P/JtPmdDAOViWV/RE4gorGMd5
 QQLREnZZFFg==
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 34138
Cc: Eli Zaretskii <eliz@HIDDEN>, 34138 <at> debbugs.gnu.org,
 politza@HIDDEN, tsdh@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

fixed 34138 27.1
quit

 > FTR, I also just updated and rebuilt and all is fine (I've been viewing
 > PDF files daily with no problem with the patch you had posted).  Thanks.

Fine.  Closing this bug now.

Thanks, martin




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#34138; Package emacs. Full text available.

Message received at 34138 <at> debbugs.gnu.org:


Received: (at 34138) by debbugs.gnu.org; 2 Feb 2019 12:59:59 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Feb 02 07:59:59 2019
Received: from localhost ([127.0.0.1]:55551 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1gputq-0007w4-Tb
	for submit <at> debbugs.gnu.org; Sat, 02 Feb 2019 07:59:59 -0500
Received: from mout.gmx.net ([212.227.17.21]:52959)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <stephen.berman@HIDDEN>) id 1gputo-0007vo-AD
 for 34138 <at> debbugs.gnu.org; Sat, 02 Feb 2019 07:59:56 -0500
Received: from rosalinde ([94.220.121.247]) by mail.gmx.com (mrgmx101
 [212.227.17.168]) with ESMTPSA (Nemesis) id 0Lo2EO-1hMlkR0lvE-00g3oG; Sat, 02
 Feb 2019 13:59:47 +0100
From: Stephen Berman <stephen.berman@HIDDEN>
To: martin rudalics <rudalics@HIDDEN>
Subject: Re: bug#34138: 27.0.50; Delayed display of PDF file images
References: <871s58e4gh.fsf@HIDDEN> <83pnsq9f47.fsf@HIDDEN>
 <871s56dm5q.fsf@HIDDEN> <83lg3e9dd6.fsf@HIDDEN>
 <87womxdgdq.fsf@HIDDEN> <83fttlam3b.fsf@HIDDEN>
 <87sgxlrfgg.fsf@HIDDEN> <83bm49aj3q.fsf@HIDDEN>
 <87a7jtd4sx.fsf@HIDDEN> <834la0accs.fsf@HIDDEN>
 <87lg3cfjef.fsf@HIDDEN> <83lg3b8i8a.fsf@HIDDEN>
 <5C48B20C.9030100@HIDDEN> <8336pj8bhx.fsf@HIDDEN>
 <5C4980A5.90902@HIDDEN> <83sgxi6sjq.fsf@HIDDEN>
 <5C4C263D.5020803@HIDDEN> <83h8dv668x.fsf@HIDDEN>
 <5C4C77BD.5070701@HIDDEN> <877eerxwlp.fsf@HIDDEN>
 <5C5562BD.8050403@HIDDEN>
Date: Sat, 02 Feb 2019 13:59:44 +0100
In-Reply-To: <5C5562BD.8050403@HIDDEN> (martin rudalics's message of "Sat, 02
 Feb 2019 10:28:29 +0100")
Message-ID: <871s4qpcqn.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/27.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Provags-ID: V03:K1:yy9RPu18DXVJwdEkjkWpOKtO/bPUZuvRXItkK3Lm0U+FCt1kSz3
 6MwGp2nG/mx2FqUtkJVmmAA7/uKX31uvvgMwo5e8sUTMYFMncHR+deNYpkWNppeqP/BY25R
 m5IP6pUFRfutDyb8iPdGnWQ4ZvTepEZrisJ5zzeFaHD5sB91FBqZl5+UIFbrvmARx9kq7zm
 jIiPg5YGcLYoUz9SUvo3Q==
X-Spam-Flag: NO
X-UI-Out-Filterresults: notjunk:1;V03:K0:aVUu78ZhpcQ=:gr3qvrOHLVHsbFbOHE7OOP
 5WfuDMCf6owkGN7aaYfNcWbhbNOi7RFplh8mIUjDjJr10h+iOk7Xs+9D6VX2Ee+UZj+rSS5Qf
 ac+RkC6e1hifJFmKM2OT0ZuhKu6rlHdnQ0ZoU/xP28HS6njAPm/TJVQS7HFNHFuKcQmIeiUaz
 f5M/GqBJrga4q1beg2rbGZ7N+nUSteI5LnCUaVWlieD46qQprQYlQxRv+VdHFGhTiJ/5oDBfp
 ++JBt8LZRH+WgTr9V8viGCe49bOyvUNYpbxHgCFglqdfYL5/TrFaRlsNsAc2AEb3/fMpq16M4
 I0CCI/whcxtMjL9dA/MQ4pIcBpVR7wgT5OhVyWCwZcwJDojQNS2mcCO4SXD19zx4c5kYWOPTt
 IK1j5JxUOL1blrMrykkzudyXc4J1rj9p5/UeghKhPTo+phqp9bD58VLfSwkiIA4lXeY0w2zBh
 r0cdas9dPDvs4foZIPuCgx3mmHKsZo3GIF/wfNvcMX2nN8QEW/waVpRwIjd7N4ml2iI7mcSAb
 HFu8oaQq5R7QGqD89nK+T7N84jGcPBklgnS/LDsiVZGTPVaLbWFtjNWUpU0BSsEvjs3sbBtvd
 evRqNzz+GHFiuqA1LW1XUVWCAPR834eD52gE3nwxR9PHgJffTeXUTUYZkMAEuhUeMCI6nxybs
 aiTpz63I17tsoOoaFTgC6QPb4FRYdIlfgdUfWRrrmnrLyCimiIybIOI3W9GqUyapJvQJyeF2T
 FdSWbt/k7ZD3xyShiVa5QWklGmxPoE8Gaf8i47osfKB2jKdPVXN4fKv5p4lq5QXfAzcNuCV9v
 6wgkDLxZdamrhLXzQ5hjfCcgF0VBigU5fEImK5POE59uUFsm5bKPaN9pvbSkYK3lz1+At0Ff8
 A7ge5KRJemlvD4PrBbcfQOyrHVYpgOF4kB8ZV41TCDBP2S4RE31R3Dsip9JfoB2zLqdsAbEJb
 +d7jAQfXj1w==
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 34138
Cc: Eli Zaretskii <eliz@HIDDEN>, 34138 <at> debbugs.gnu.org,
 politza@HIDDEN, tsdh@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

On Sat, 02 Feb 2019 10:28:29 +0100 martin rudalics <rudalics@HIDDEN> wrote:

>>> Patch attached.  Everybody involved, please try.
>>
>> I rebuilt with it and based on initial testing, it solves the problem
>> for me, both with pdf-tools and doc-view.
>
> I now installed an appropriate patch on master.  Please test again.

FTR, I also just updated and rebuilt and all is fine (I've been viewing
PDF files daily with no problem with the patch you had posted).  Thanks.

Steve Berman




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#34138; Package emacs. Full text available.

Message received at 34138 <at> debbugs.gnu.org:


Received: (at 34138) by debbugs.gnu.org; 2 Feb 2019 09:39:08 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Feb 02 04:39:08 2019
Received: from localhost ([127.0.0.1]:55499 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1gprlU-0000vV-68
	for submit <at> debbugs.gnu.org; Sat, 02 Feb 2019 04:39:08 -0500
Received: from gateway-a.fh-trier.de ([143.93.54.181]:36632)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <politza@HIDDEN>) id 1gprlS-0000vO-UB
 for 34138 <at> debbugs.gnu.org; Sat, 02 Feb 2019 04:39:07 -0500
X-Virus-Scanned: by Amavisd-new + Sophos + ClamAV [Rechenzentrum Hochschule
 Trier (RZ/HT)]
Received: from localhost (x4db3840d.dyn.telefonica.de [77.179.132.13])
 (using TLSv1 with cipher AES256-SHA (256/256 bits))
 (No client certificate requested) (Authenticated sender: politza)
 by gateway-a.fh-trier.de (Postfix) with ESMTPSA id 93F3317FBF95;
 Sat,  2 Feb 2019 10:38:58 +0100 (CET)
DKIM-Signature: v=1; a=rsa-sha1; c=simple/simple; d=hochschule-trier.de;
 s=default; t=1549100338; bh=BsxBvfV9wx57Md6wWIeQwOYOSTM=;
 h=From:To:Cc:Subject:References:Date:In-Reply-To:Message-ID:
 MIME-Version:Content-Type;
 b=qnla4gWba83QSm+LlREeKn6XBxRRLXcR0BRL5o0VSMFVHxtiMtDFrEPw30LCEmwbE
 KN7XGyMB/u+Xpj94/zsbTRI4+FntkjCnusB1BSStkI6Wy5I9ktTwT+S2WZp/bpskb+
 xtRNRIhcU+TOd5V1JanZKVGzhgQl5qKco9naeabQ=
From: Andreas Politz <politza@HIDDEN>
To: martin rudalics <rudalics@HIDDEN>
Subject: Re: bug#34138: 27.0.50; Delayed display of PDF file images
References: <871s58e4gh.fsf@HIDDEN> <83pnsq9f47.fsf@HIDDEN>
 <871s56dm5q.fsf@HIDDEN> <83lg3e9dd6.fsf@HIDDEN>
 <87womxdgdq.fsf@HIDDEN> <83fttlam3b.fsf@HIDDEN>
 <87sgxlrfgg.fsf@HIDDEN> <83bm49aj3q.fsf@HIDDEN>
 <87a7jtd4sx.fsf@HIDDEN> <834la0accs.fsf@HIDDEN>
 <87lg3cfjef.fsf@HIDDEN> <83lg3b8i8a.fsf@HIDDEN>
 <5C48B20C.9030100@HIDDEN> <8336pj8bhx.fsf@HIDDEN>
 <5C4980A5.90902@HIDDEN> <83sgxi6sjq.fsf@HIDDEN>
 <5C4C263D.5020803@HIDDEN> <83h8dv668x.fsf@HIDDEN>
 <5C4C77BD.5070701@HIDDEN> <877eerxwlp.fsf@HIDDEN>
 <5C5562BD.8050403@HIDDEN>
Date: Sat, 02 Feb 2019 10:38:58 +0100
In-Reply-To: <5C5562BD.8050403@HIDDEN> (martin rudalics's message of "Sat, 02
 Feb 2019 10:28:29 +0100")
Message-ID: <87womisf65.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/26.1 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 34138
Cc: Eli Zaretskii <eliz@HIDDEN>, Stephen Berman <stephen.berman@HIDDEN>,
 34138 <at> debbugs.gnu.org, tsdh@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

martin rudalics <rudalics@HIDDEN> writes:

> I now installed an appropriate patch on master.  Please test again.

Works for me,

Andreas




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#34138; Package emacs. Full text available.

Message received at 34138 <at> debbugs.gnu.org:


Received: (at 34138) by debbugs.gnu.org; 2 Feb 2019 09:37:46 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Feb 02 04:37:46 2019
Received: from localhost ([127.0.0.1]:55495 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1gprk9-0000tE-QQ
	for submit <at> debbugs.gnu.org; Sat, 02 Feb 2019 04:37:46 -0500
Received: from mout.gmx.net ([212.227.15.19]:37221)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <rudalics@HIDDEN>) id 1gprk6-0000t0-At
 for 34138 <at> debbugs.gnu.org; Sat, 02 Feb 2019 04:37:44 -0500
Received: from [192.168.1.101] ([212.95.5.95]) by mail.gmx.com (mrgmx002
 [212.227.17.190]) with ESMTPSA (Nemesis) id 0LrePN-1hH80A0YtJ-013Oxn; Sat, 02
 Feb 2019 10:37:35 +0100
Message-ID: <5C5564DB.1010609@HIDDEN>
Date: Sat, 02 Feb 2019 10:37:31 +0100
From: martin rudalics <rudalics@HIDDEN>
MIME-Version: 1.0
To: Andreas Politz <politza@HIDDEN>
Subject: Re: bug#34138: 27.0.50; Delayed display of PDF file images
References: <871s58e4gh.fsf@HIDDEN>
 <83zhrv9qe5.fsf@HIDDEN>	<87sgxnf48d.fsf@HIDDEN>
 <83pnsq9f47.fsf@HIDDEN>	<871s56dm5q.fsf@HIDDEN>
 <83lg3e9dd6.fsf@HIDDEN>	<87womxdgdq.fsf@HIDDEN>
 <83fttlam3b.fsf@HIDDEN>	<87sgxlrfgg.fsf@HIDDEN>
 <83bm49aj3q.fsf@HIDDEN>	<87a7jtd4sx.fsf@HIDDEN>
 <834la0accs.fsf@HIDDEN>	<87lg3cfjef.fsf@HIDDEN>
 <83lg3b8i8a.fsf@HIDDEN>	<5C48B20C.9030100@HIDDEN>
 <8336pj8bhx.fsf@HIDDEN>	<5C4980A5.90902@HIDDEN>
 <83sgxi6sjq.fsf@HIDDEN>	<5C4C263D.5020803@HIDDEN>
 <83h8dv668x.fsf@HIDDEN>	<5C4C77BD.5070701@HIDDEN>
 <871s4qttz5.fsf@HIDDEN>
In-Reply-To: <871s4qttz5.fsf@HIDDEN>
Content-Type: text/plain; charset=UTF-8; format=flowed
Content-Transfer-Encoding: 7bit
X-Provags-ID: V03:K1:H4QKXmJg1Pw+CAtUVG170HT+z4uYZC5vAimnZT0K+HLVDYGN0CQ
 BewMd2B48AwI2PpcDi1TrxCzau9TIkQ2yur1/QdMbQdSi9MIET/ywOso0XX1+r2tlKYlTNK
 KH/1I+JyIRm3BkQMVRIt9XRe6XOVMb8nEaNHDUZSIBWzAaz4GbDZwrADtISsnpwclT/dC78
 K1FBZpubFcvp4SFCg4jNg==
X-Spam-Flag: NO
X-UI-Out-Filterresults: notjunk:1;V03:K0:Cqb1eKlo+hM=:A5PQqqd0K/n4PFBkK8ELbM
 FCekUUoVOivCNzpnIYdDF6py0E0CP9vIZIJzEf+KK39x+DZCVEkvO8MHHrqk6jtAe4xVuLC12
 hep+ScI0HVgZpIm7M/G/J6opWn8TU9Dx50LfuNOBBoUGsnAhh1dW60mMxLFQaRCcgV9p5QlZY
 EpxLWl5sMr1w3eUYh3exFhtG5qAJ29Qt6cXejo+Ec/9MwwSA4bnKLCwUp8UrkgI8T24Ue9iBc
 k09FxUHKPt0zrYjfqTlTutSfXAsO2CgNZ6vxkJM3xDW0KBiwWS9/KNgBBcZ2JtyTNg2Gx6LNT
 RW3Q6aqfz2thZEEy6YyRevMNubesAtcu3Dv9aIQjmeCHq11QVt0kbNlav80ZZBMbuI2u+c99i
 +tThlxU/+2L8hEzc7Lo6lD3tW4PxJ1p9K2BMkHO07UeuA9lcSheu8sI6WVIxVbpQg5Kd+eCDP
 QnfxkJbbCyu5fX9hzAHpUSZV4kpHGZonQVVPIxudZBl8emJStR1W1KkbyD1k4hcGRA1JevMcU
 lxdLiJt4viG01F2uqhJt2EuZL0DRdTHAGF35gLInHlwwcpcWzYeBIbnpwR7/xYkLgXTfoUJHF
 FXs8RGK+Xt6lg/PZSi+uCVt4jitv6roZOW/bwNbjRTJZ/lcBbK7UAaymGKF//4MGh0xCF+GdD
 hiKqAEKVAJ1fLTW8ODPPeCwbs8G8zjhrc0lEyPV1VMqWN1oG4AaCt6cxVjqz3S/1d4800OV6E
 A1RRB0plSMjMA37yJ3ZughWv98xbVa6Aut73KhTXqXKH44uIJpo27XC/M+F1oem6skMahY+1F
 ROxZfvDhUEe6bI3XGCs222zkrfjtv61W56nHK9pp2R4JiHaSM+k9qBfS6mN/ky+o8lnEvtiaY
 HPrdb1SmAPXRsSpT1I9lI00MpJteJPTSHpUV5ieZqqJTilGPh65CwYL0zHEtoik0e0dFu9kOw
 SiJU90PKTyg==
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 34138
Cc: Eli Zaretskii <eliz@HIDDEN>, stephen.berman@HIDDEN, 34138 <at> debbugs.gnu.org,
 tsdh@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

> The patch works for me.

Thanks for the information.

martin






Information forwarded to bug-gnu-emacs@HIDDEN:
bug#34138; Package emacs. Full text available.

Message received at 34138 <at> debbugs.gnu.org:


Received: (at 34138) by debbugs.gnu.org; 2 Feb 2019 09:33:56 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Feb 02 04:33:56 2019
Received: from localhost ([127.0.0.1]:55490 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1gprgS-0000nM-8G
	for submit <at> debbugs.gnu.org; Sat, 02 Feb 2019 04:33:56 -0500
Received: from gateway-a.fh-trier.de ([143.93.54.181]:36250)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <politza@HIDDEN>) id 1gprgO-0000nC-JM
 for 34138 <at> debbugs.gnu.org; Sat, 02 Feb 2019 04:33:54 -0500
X-Virus-Scanned: by Amavisd-new + Sophos + ClamAV [Rechenzentrum Hochschule
 Trier (RZ/HT)]
Received: from localhost (x4db3840d.dyn.telefonica.de [77.179.132.13])
 (using TLSv1 with cipher AES256-SHA (256/256 bits))
 (No client certificate requested) (Authenticated sender: politza)
 by gateway-a.fh-trier.de (Postfix) with ESMTPSA id D6AAF17FBF5D;
 Sat,  2 Feb 2019 10:33:50 +0100 (CET)
DKIM-Signature: v=1; a=rsa-sha1; c=simple/simple; d=hochschule-trier.de;
 s=default; t=1549100030; bh=Y8Wf6s2MNeT5Lqo+nCLPti6ruTQ=;
 h=From:To:Cc:Subject:References:Date:In-Reply-To:Message-ID:
 MIME-Version:Content-Type;
 b=d7zxvPvmB1KSLhC+qqBM2BsBas1q+cQ36emdAaMYC0ghDqfq51CpHZVcba1+drgx0
 d///ngHbKVeEor1VM2IXkLd6n8JKPkjsKx2tc2muXtaywDhfO/J7TmzQt9NX2/33+h
 ithEGEi5JVGTThA4RXuwHo7YsG6sL03HYxCiTb/A=
From: Andreas Politz <politza@HIDDEN>
To: martin rudalics <rudalics@HIDDEN>
Subject: Re: bug#34138: 27.0.50; Delayed display of PDF file images
References: <871s58e4gh.fsf@HIDDEN> <83zhrv9qe5.fsf@HIDDEN>
 <87sgxnf48d.fsf@HIDDEN> <83pnsq9f47.fsf@HIDDEN>
 <871s56dm5q.fsf@HIDDEN> <83lg3e9dd6.fsf@HIDDEN>
 <87womxdgdq.fsf@HIDDEN> <83fttlam3b.fsf@HIDDEN>
 <87sgxlrfgg.fsf@HIDDEN> <83bm49aj3q.fsf@HIDDEN>
 <87a7jtd4sx.fsf@HIDDEN> <834la0accs.fsf@HIDDEN>
 <87lg3cfjef.fsf@HIDDEN> <83lg3b8i8a.fsf@HIDDEN>
 <5C48B20C.9030100@HIDDEN> <8336pj8bhx.fsf@HIDDEN>
 <5C4980A5.90902@HIDDEN> <83sgxi6sjq.fsf@HIDDEN>
 <5C4C263D.5020803@HIDDEN> <83h8dv668x.fsf@HIDDEN>
 <5C4C77BD.5070701@HIDDEN>
Date: Sat, 02 Feb 2019 10:33:50 +0100
In-Reply-To: <5C4C77BD.5070701@HIDDEN> (martin rudalics's message of "Sat, 26
 Jan 2019 16:07:41 +0100")
Message-ID: <871s4qttz5.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/26.1 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 34138
Cc: Eli Zaretskii <eliz@HIDDEN>, stephen.berman@HIDDEN, 34138 <at> debbugs.gnu.org,
 tsdh@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)


The patch works for me.

Andreas




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#34138; Package emacs. Full text available.

Message received at 34138 <at> debbugs.gnu.org:


Received: (at 34138) by debbugs.gnu.org; 2 Feb 2019 09:28:41 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Feb 02 04:28:41 2019
Received: from localhost ([127.0.0.1]:55466 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1gprbN-0000cH-2c
	for submit <at> debbugs.gnu.org; Sat, 02 Feb 2019 04:28:41 -0500
Received: from mout.gmx.net ([212.227.15.18]:57997)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <rudalics@HIDDEN>) id 1gprbK-0000c3-Gf
 for 34138 <at> debbugs.gnu.org; Sat, 02 Feb 2019 04:28:39 -0500
Received: from [192.168.1.101] ([212.95.5.95]) by mail.gmx.com (mrgmx001
 [212.227.17.190]) with ESMTPSA (Nemesis) id 0MaJPk-1gaP9434ga-00Jnl4; Sat, 02
 Feb 2019 10:28:30 +0100
Message-ID: <5C5562BD.8050403@HIDDEN>
Date: Sat, 02 Feb 2019 10:28:29 +0100
From: martin rudalics <rudalics@HIDDEN>
MIME-Version: 1.0
To: Stephen Berman <stephen.berman@HIDDEN>
Subject: Re: bug#34138: 27.0.50; Delayed display of PDF file images
References: <871s58e4gh.fsf@HIDDEN>
 <83zhrv9qe5.fsf@HIDDEN>	<87sgxnf48d.fsf@HIDDEN>
 <83pnsq9f47.fsf@HIDDEN>	<871s56dm5q.fsf@HIDDEN>
 <83lg3e9dd6.fsf@HIDDEN>	<87womxdgdq.fsf@HIDDEN>
 <83fttlam3b.fsf@HIDDEN>	<87sgxlrfgg.fsf@HIDDEN>
 <83bm49aj3q.fsf@HIDDEN>	<87a7jtd4sx.fsf@HIDDEN>
 <834la0accs.fsf@HIDDEN>	<87lg3cfjef.fsf@HIDDEN>
 <83lg3b8i8a.fsf@HIDDEN>	<5C48B20C.9030100@HIDDEN>
 <8336pj8bhx.fsf@HIDDEN>	<5C4980A5.90902@HIDDEN>
 <83sgxi6sjq.fsf@HIDDEN>	<5C4C263D.5020803@HIDDEN>
 <83h8dv668x.fsf@HIDDEN>	<5C4C77BD.5070701@HIDDEN> <877eerxwlp.fsf@HIDDEN>
In-Reply-To: <877eerxwlp.fsf@HIDDEN>
Content-Type: text/plain; charset=UTF-8; format=flowed
Content-Transfer-Encoding: 7bit
X-Provags-ID: V03:K1:FvuRtm7ZhV3beXMRnaAklJc5wUJnd63yaI41BmFsWlrgyL/Pd44
 kR23tmsvnnZGzrXi6XFLvhrsPg5o+E6ykGmTF3C7pCyc2zx+IdesHlAbuOR/eZJIjpzDREx
 HboeEB5zSqySCAo+R/v/XSN8i8OC1aJXmyLsGMS7pJW5Tx8WZXjoyFJxpsGvAV70MUVH5tP
 KYnjliyiFrGemgy1qMmKw==
X-Spam-Flag: NO
X-UI-Out-Filterresults: notjunk:1;V03:K0:/TVjJmnte2I=:9ZIptF92L58/puiPmvTcp8
 87xHYxKwWbXonHtiJnpcWDc4IWRfPD1GMOPhMva8R4rvs9aQsSugirtofgZnkObF9iDjAxMtd
 jCsVSwP7yeXFX0dbuywjpi4Xp6KwVhgYYZrerdGehqckNMFrb0ht940E1DgJNV4EG+EMQTW7K
 6BL66tj3fwa81r4LmuBGYUhOdETSyd0C1K3xQxRfwkcXSLMf5LlXzr3GofdlTlHnIxEdAdQfd
 aLLEfOtATMTCtbgW/s0ENSS8OTzbvKiDU2Ku64YhfvKkV4+CrNRq/xvF2JFTkR0exYg5G0YA8
 GdZ6057ZKcpLynENe2eI42C939F7HFjdMmJd9EGO1wckExESoZZ5drmr3Vvxs7Vy0PEZDPW1s
 jHfJKOUezxzrlls7SFSVQJJgFWt2bs62SLtrbTfxs/bqb48NUfzNoWtZAPZsGNT4MoWY5eB23
 Hk/ff39MiYKMNUuWzKvWHorx0OGCVqlalhksKBAbGcDM3RsYcXxCThx4YbQXu4perVImh7Fib
 oBw4RgTcEJQyNGbBROXE70jKGkWuFl4WIsJDdc31oMdLJhhQU2ziw8L8USidDJZW3RubJ0kMH
 ZhY1vaRUmIxE7nZAtVbLOtaiOsqaoC4x2kJMVOHXW88eife/0SRZONzFrW9IWyrfq+boriFIA
 aZj1rjqQhcpBrbUf+ndw4deoA0ngg4tCY8j71dxz5v3l9G6Vi9DwyOrAuWhr31DtyswerlBWd
 AKTXwyb3l1+xsTFNjm27MxOBNkUZs0k5X7eIxpiI2tqd0aJu9HrP48LRMNPDUeE1kYDn9p8g8
 kSCKKuVNwaXhCXlwKhvp/lT3MqnIYRL6BjKkibkfW6RNNni89YvPNVJpa1FmGGfYU0ZwWHdiv
 YlpZNpoPBAuZ7tfVGYP+IiHCmj2Qcusjp7daTN4zs3RJUnWi5F3Dm/aOVUMorkrrvzUv/osue
 j+Qy7I5QxFg==
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 34138
Cc: Eli Zaretskii <eliz@HIDDEN>, 34138 <at> debbugs.gnu.org,
 politza@HIDDEN, tsdh@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

 >> Patch attached.  Everybody involved, please try.
 >
 > I rebuilt with it and based on initial testing, it solves the problem
 > for me, both with pdf-tools and doc-view.

I now installed an appropriate patch on master.  Please test again.

Thank you, martin




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#34138; Package emacs. Full text available.

Message received at 34138 <at> debbugs.gnu.org:


Received: (at 34138) by debbugs.gnu.org; 26 Jan 2019 15:33:18 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Jan 26 10:33:18 2019
Received: from localhost ([127.0.0.1]:46718 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1gnPxN-0001G8-Tk
	for submit <at> debbugs.gnu.org; Sat, 26 Jan 2019 10:33:18 -0500
Received: from mout.gmx.net ([212.227.17.21]:55671)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <stephen.berman@HIDDEN>) id 1gnPxL-0001Fw-Tl
 for 34138 <at> debbugs.gnu.org; Sat, 26 Jan 2019 10:33:16 -0500
Received: from rosalinde ([188.109.149.178]) by mail.gmx.com (mrgmx103
 [212.227.17.168]) with ESMTPSA (Nemesis) id 0MN1Gu-1gpakG1Ab2-006cQ0; Sat, 26
 Jan 2019 16:33:08 +0100
From: Stephen Berman <stephen.berman@HIDDEN>
To: martin rudalics <rudalics@HIDDEN>
Subject: Re: bug#34138: 27.0.50; Delayed display of PDF file images
References: <871s58e4gh.fsf@HIDDEN> <83zhrv9qe5.fsf@HIDDEN>
 <87sgxnf48d.fsf@HIDDEN> <83pnsq9f47.fsf@HIDDEN>
 <871s56dm5q.fsf@HIDDEN> <83lg3e9dd6.fsf@HIDDEN>
 <87womxdgdq.fsf@HIDDEN> <83fttlam3b.fsf@HIDDEN>
 <87sgxlrfgg.fsf@HIDDEN> <83bm49aj3q.fsf@HIDDEN>
 <87a7jtd4sx.fsf@HIDDEN> <834la0accs.fsf@HIDDEN>
 <87lg3cfjef.fsf@HIDDEN> <83lg3b8i8a.fsf@HIDDEN>
 <5C48B20C.9030100@HIDDEN> <8336pj8bhx.fsf@HIDDEN>
 <5C4980A5.90902@HIDDEN> <83sgxi6sjq.fsf@HIDDEN>
 <5C4C263D.5020803@HIDDEN> <83h8dv668x.fsf@HIDDEN>
 <5C4C77BD.5070701@HIDDEN>
Date: Sat, 26 Jan 2019 16:33:06 +0100
In-Reply-To: <5C4C77BD.5070701@HIDDEN> (martin rudalics's message of "Sat, 26
 Jan 2019 16:07:41 +0100")
Message-ID: <877eerxwlp.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/27.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Provags-ID: V03:K1:jHgEeLjUl/GFG3hT6+IArS0TkK97ER0hrixTDVpnovbS5CleHil
 06kd8LOqhmUANPKCJuarQOcf2GRVvGwrJ60zS8poPn0JsJMKxTjypJoJFsP8yJqpdhtQbah
 hGK/4s4yPYnqpnorQK7bfmoBnLkQC3jhmQh+osVgqsSh+WiCtzEyPWeUcOycc2Fg0uFDqSr
 as4CIOm0U893lV709WlQQ==
X-Spam-Flag: NO
X-UI-Out-Filterresults: notjunk:1;V03:K0:9Wb663G8pdA=:y3HEtxjQTMhWwXqZmnjNys
 hKNaVn04+nuZaR7mhkM2XAoBPSf5Kqzfn7HygeMkbNUCQcjyUrQnGb8qunTS6rdNDFfqw7n80
 zXf9OEW63smEn248cNSaogM9BTN4youSld3kHKIIf9ybGNGjfBzFDMcoQjKtoGdxk5kvYI8uK
 3EsPaH9NTJvmEVgn75Qm7X04Wd6t+b0Ut9yseKsqTQc4kgEiIdAX/RRnpvlfj24RfU7MX2fJH
 KxQzT0HKiLVHInYTDhMaOlp+pr1P88Xhfvvnp62LaNqxKLJ0Q5vABq7Wz1quA2wJFV+O3/jZZ
 18IWGz5IHNYFrsRllf5DTlavKN/gziIVbOyIdXsXjCE3vvzsA5bcQF6+EicBYGLa3Bveu/u3l
 6Hu2cz2ZAQyjFcRd1ugQh8TUgYdxoAj28FapZh9X5r3aVrGMQ2QB0juvfm8xoB+UL6xyL+f5y
 AR7fQJneQlpwdhwbC9taWtXPfyhXJcPc+juZG029JEuhaY7D2XatcYqoeFFAGD+DFUsFadRpq
 nad7KHeJuxCkwgyMLZ9dVtlVJCaW8PwS7oaCdLezEpgIWgYAwxLvjiJAsaZ/7IuUtw8EmPBIL
 upbifYbSFKYKiLaZ0veD3QL5sbD+9wCYdYLU4IRXWQ4jbql5rqdzIr5wVJK+7e0ncoXkyYZdp
 bZFPxREWMmIMd0EVUTk/ZtY1qF6AYFvqqVjSpIis4FvOcukzV9o4U6y3RTiv7hMEbKdk/2q9H
 +O++HK1HiAUbR0FYXlmZBbxj2dEu7YNJXGioCDLpg7DbupvWV1uuywdEgG2YhztC4L2hz6jzd
 ym/QyLXOOsSPai+2kc2Fub7pRKc/3ivH5nQXhia6YAro11sZZElYKWBPKx0HVauSCl2Aj13Jl
 5SU6Mq4YTZQSbmTQUGK6RbkYd0+AXsBdJp/jZ7+Q416UNf8p3oxugdCT9FvYSSy8XqkTvBEei
 pP58TyalZRQ==
X-Spam-Score: 0.8 (/)
X-Debbugs-Envelope-To: 34138
Cc: Eli Zaretskii <eliz@HIDDEN>, 34138 <at> debbugs.gnu.org,
 politza@HIDDEN, tsdh@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.2 (/)

On Sat, 26 Jan 2019 16:07:41 +0100 martin rudalics <rudalics@HIDDEN> wrote:

>> That's at the beginning of redisplay, so yes, I think it's a better
>> place.
>
> Patch attached.  Everybody involved, please try.

I rebuilt with it and based on initial testing, it solves the problem
for me, both with pdf-tools and doc-view.

Steve Berman




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#34138; Package emacs. Full text available.

Message received at 34138 <at> debbugs.gnu.org:


Received: (at 34138) by debbugs.gnu.org; 26 Jan 2019 15:07:56 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Jan 26 10:07:56 2019
Received: from localhost ([127.0.0.1]:46694 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1gnPYm-0000ZQ-PV
	for submit <at> debbugs.gnu.org; Sat, 26 Jan 2019 10:07:56 -0500
Received: from mout.gmx.net ([212.227.15.15]:38743)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <rudalics@HIDDEN>) id 1gnPYl-0000ZE-HM
 for 34138 <at> debbugs.gnu.org; Sat, 26 Jan 2019 10:07:52 -0500
Received: from [192.168.1.101] ([46.125.249.42]) by mail.gmx.com (mrgmx002
 [212.227.17.190]) with ESMTPSA (Nemesis) id 0MePYV-1gXeW810QR-00QEPB; Sat, 26
 Jan 2019 16:07:43 +0100
Message-ID: <5C4C77BD.5070701@HIDDEN>
Date: Sat, 26 Jan 2019 16:07:41 +0100
From: martin rudalics <rudalics@HIDDEN>
MIME-Version: 1.0
To: Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#34138: 27.0.50; Delayed display of PDF file images
References: <871s58e4gh.fsf@HIDDEN>
 <87h8e3h90z.fsf@HIDDEN>	<5C4483B7.1060604@HIDDEN>
 <87d0orgz0a.fsf@HIDDEN>	<837eezbazk.fsf@HIDDEN>
 <878szfgwdu.fsf@HIDDEN>	<8336pnb9cq.fsf@HIDDEN>
 <874la3gujy.fsf@HIDDEN>	<831s57b7ev.fsf@HIDDEN>
 <87zhrvfdzu.fsf@HIDDEN>	<83zhrv9qe5.fsf@HIDDEN>
 <87sgxnf48d.fsf@HIDDEN>	<83pnsq9f47.fsf@HIDDEN>
 <871s56dm5q.fsf@HIDDEN>	<83lg3e9dd6.fsf@HIDDEN>
 <87womxdgdq.fsf@HIDDEN>	<83fttlam3b.fsf@HIDDEN>
 <87sgxlrfgg.fsf@HIDDEN>	<83bm49aj3q.fsf@HIDDEN>
 <87a7jtd4sx.fsf@HIDDEN>	<834la0accs.fsf@HIDDEN> <87lg3cfjef.fsf@HIDDEN>
 <83lg3b8i8a.fsf@HIDDEN> <5C48B20C.9030100@HIDDEN> <8336pj8bhx.fsf@HIDDEN>
 <5C4980A5.90902@HIDDEN> <83sgxi6sjq.fsf@HIDDEN> <5C4C263D.5020803@HIDDEN>
 <83h8dv668x.fsf@HIDDEN>
In-Reply-To: <83h8dv668x.fsf@HIDDEN>
Content-Type: multipart/mixed; boundary="------------080809060002000803010100"
X-Provags-ID: V03:K1:DcEbtMed+o2owYUD92grjwl188PT4cEnwGNv98P96YNfY2LX2rA
 4Es9J53nE0mW+1xXzhRpLF61ExxEnZpICCysMTegU/U7SPPpEovJiLvoEPXNFLk7QnwKIt2
 JIrABXJsnadx0r5H3207mVxL8Zr+8IHsvaOoE/smQdnhcyGRPe/x5BNDLEJjjmlA7RQKsSm
 NgGFzQ0qEqT0zROxVQnZg==
X-Spam-Flag: NO
X-UI-Out-Filterresults: notjunk:1;V03:K0:mOpFLIWTmxU=:IP7i9c1HXh3fcSCO2kdJkr
 pNsYPy6Kz5hLbcnoQ8n/s/FataJDDjy59K8n2SZTRu9SQ6iPYECPozwP/fSbjAiamg5uJyrgp
 o9r+GzpCdCKFmzlozTT5EQZuYdXhTD3iHjnQnol+drxN5/70iLEWKkcKlUE1y70HFBImpG4I6
 gXTSgblYoNyyyS4wgsYM0+PAAiLsmrLLU2WcfnS6NfhBTYwsEJ/wFhMzpvAyPWN3uxER8Fwz2
 HSTq5VJdaWWocbWFYpg+IV63Xwz/ZSM54rDEqzvFR59DD1J/nB2OWvLrQL4oLQdmd680bxDJf
 ENbel0VmqEPxQzsQRBHC6l/bA+ZH8qiKILztW29xkslBekTjl2ySvIbKCtTsdDAfGNfuRgCTv
 +Yu3mF9ssqbdaxmdhl1TtRjFwN+QsFRJWKcXG38yQ27sj+h7VHgcAMbZT9BsuPDEfW+UDY65e
 FHRYrE/+sgIKk9skbegwOCiU8R0w9b7skV2NM8Lz5bdyE63QsahVgOrmtu/GqXqvDveFDIa3t
 T8CY9/9KS9z9ktHjrFlDYoatBF8rJmegxVG6kF0/9Yv72ylX1C0ljin5kkBr6QT34tonq36UF
 tL0hlrhNIEwAk+GJnDVshSyZ49v+mhbWiDc2k1Q4EDKS8iZPYHBsY10upSQusHl8N92MedmE9
 /bNl/ww2y7KWpeHrD7Re1va+nmgyKaUarBeuj2OFGotw6q44pghB8vPz3FQrJ9EjXJLDKxkRV
 qC6e68CzOCFJTu3/hDheE//CLwiCwyJrFC9yACcgyWLjXmDophsUgzyi6KFo24nC9cLpRaDwI
 F3my+xR8fjl/DIDGvwf3I9qndD81isfvhFZ09bSmXB3LAzNRhA+OI2g2XrGBjrD3MW/pABgLe
 DOuZNbHgJFr8wXotEVBgv3zxdGQNtEebd/ZLcHbNYkjrKcTsk0T/nIoRzalFc6
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 34138
Cc: stephen.berman@HIDDEN, 34138 <at> debbugs.gnu.org, politza@HIDDEN,
 tsdh@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

This is a multi-part message in MIME format.
--------------080809060002000803010100
Content-Type: text/plain; charset=UTF-8; format=flowed
Content-Transfer-Encoding: 7bit

 > That's at the beginning of redisplay, so yes, I think it's a better
 > place.

Patch attached.  Everybody involved, please try.

Thanks, martin

--------------080809060002000803010100
Content-Type: text/plain; charset=windows-1252;
 name="run_window_change_functions.diff"
Content-Transfer-Encoding: base64
Content-Disposition: attachment;
 filename="run_window_change_functions.diff"
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--------------080809060002000803010100--




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#34138; Package emacs. Full text available.

Message received at 34138 <at> debbugs.gnu.org:


Received: (at 34138) by debbugs.gnu.org; 26 Jan 2019 10:52:46 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Jan 26 05:52:46 2019
Received: from localhost ([127.0.0.1]:45848 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1gnLZt-0000SO-Mn
	for submit <at> debbugs.gnu.org; Sat, 26 Jan 2019 05:52:45 -0500
Received: from eggs.gnu.org ([209.51.188.92]:52398)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1gnLZs-0000SA-Ap
 for 34138 <at> debbugs.gnu.org; Sat, 26 Jan 2019 05:52:44 -0500
Received: from fencepost.gnu.org ([2001:470:142:3::e]:39574)
 by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <eliz@HIDDEN>)
 id 1gnLZi-00037D-8K; Sat, 26 Jan 2019 05:52:35 -0500
Received: from [176.228.60.248] (port=1405 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <eliz@HIDDEN>)
 id 1gnLZh-0000mH-Pp; Sat, 26 Jan 2019 05:52:34 -0500
Date: Sat, 26 Jan 2019 12:52:14 +0200
Message-Id: <83h8dv668x.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: martin rudalics <rudalics@HIDDEN>
In-reply-to: <5C4C263D.5020803@HIDDEN> (message from martin rudalics on Sat,
 26 Jan 2019 10:19:57 +0100)
Subject: Re: bug#34138: 27.0.50; Delayed display of PDF file images
References: <871s58e4gh.fsf@HIDDEN>
 <87h8e3h90z.fsf@HIDDEN>	<5C4483B7.1060604@HIDDEN>
 <87d0orgz0a.fsf@HIDDEN>	<837eezbazk.fsf@HIDDEN>
 <878szfgwdu.fsf@HIDDEN>	<8336pnb9cq.fsf@HIDDEN>
 <874la3gujy.fsf@HIDDEN>	<831s57b7ev.fsf@HIDDEN>
 <87zhrvfdzu.fsf@HIDDEN>	<83zhrv9qe5.fsf@HIDDEN>
 <87sgxnf48d.fsf@HIDDEN>	<83pnsq9f47.fsf@HIDDEN>
 <871s56dm5q.fsf@HIDDEN>	<83lg3e9dd6.fsf@HIDDEN>
 <87womxdgdq.fsf@HIDDEN>	<83fttlam3b.fsf@HIDDEN>
 <87sgxlrfgg.fsf@HIDDEN>	<83bm49aj3q.fsf@HIDDEN>
 <87a7jtd4sx.fsf@HIDDEN>	<834la0accs.fsf@HIDDEN> <87lg3cfjef.fsf@HIDDEN>
 <83lg3b8i8a.fsf@HIDDEN> <5C48B20C.9030100@HIDDEN> <8336pj8bhx.fsf@HIDDEN>
 <5C4980A5.90902@HIDDEN> <83sgxi6sjq.fsf@HIDDEN> <5C4C263D.5020803@HIDDEN>
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 34138
Cc: stephen.berman@HIDDEN, 34138 <at> debbugs.gnu.org, politza@HIDDEN,
 tsdh@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

> Date: Sat, 26 Jan 2019 10:19:57 +0100
> From: martin rudalics <rudalics@HIDDEN>
> CC: stephen.berman@HIDDEN, politza@HIDDEN, 
>  34138 <at> debbugs.gnu.org, tsdh@HIDDEN
> 
> One reasonable location to run window change functions should be right
> before
> 
>    if (windows_or_buffers_changed && !update_mode_lines)
>      /* Code that sets windows_or_buffers_changed doesn't distinguish whether
>         only the windows's contents needs to be refreshed, or whether the
>         mode-lines also need a refresh.  */
>      update_mode_lines = (windows_or_buffers_changed == REDISPLAY_SOME
>    			 ? REDISPLAY_SOME : 32);
> 
> in redisplay_internal.

That's at the beginning of redisplay, so yes, I think it's a better
place.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#34138; Package emacs. Full text available.

Message received at 34138 <at> debbugs.gnu.org:


Received: (at 34138) by debbugs.gnu.org; 26 Jan 2019 09:20:10 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Jan 26 04:20:10 2019
Received: from localhost ([127.0.0.1]:45823 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1gnK8I-0006ni-Kv
	for submit <at> debbugs.gnu.org; Sat, 26 Jan 2019 04:20:10 -0500
Received: from mout.gmx.net ([212.227.17.22]:35489)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <rudalics@HIDDEN>) id 1gnK8F-0006n8-Rn
 for 34138 <at> debbugs.gnu.org; Sat, 26 Jan 2019 04:20:08 -0500
Received: from [192.168.1.101] ([46.125.250.60]) by mail.gmx.com (mrgmx102
 [212.227.17.168]) with ESMTPSA (Nemesis) id 0Lkiqm-1hLYU62yF2-00aZD2; Sat, 26
 Jan 2019 10:19:58 +0100
Message-ID: <5C4C263D.5020803@HIDDEN>
Date: Sat, 26 Jan 2019 10:19:57 +0100
From: martin rudalics <rudalics@HIDDEN>
MIME-Version: 1.0
To: Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#34138: 27.0.50; Delayed display of PDF file images
References: <871s58e4gh.fsf@HIDDEN>
 <87h8e3h90z.fsf@HIDDEN>	<5C4483B7.1060604@HIDDEN>
 <87d0orgz0a.fsf@HIDDEN>	<837eezbazk.fsf@HIDDEN>
 <878szfgwdu.fsf@HIDDEN>	<8336pnb9cq.fsf@HIDDEN>
 <874la3gujy.fsf@HIDDEN>	<831s57b7ev.fsf@HIDDEN>
 <87zhrvfdzu.fsf@HIDDEN>	<83zhrv9qe5.fsf@HIDDEN>
 <87sgxnf48d.fsf@HIDDEN>	<83pnsq9f47.fsf@HIDDEN>
 <871s56dm5q.fsf@HIDDEN>	<83lg3e9dd6.fsf@HIDDEN>
 <87womxdgdq.fsf@HIDDEN>	<83fttlam3b.fsf@HIDDEN>
 <87sgxlrfgg.fsf@HIDDEN>	<83bm49aj3q.fsf@HIDDEN>
 <87a7jtd4sx.fsf@HIDDEN>	<834la0accs.fsf@HIDDEN> <87lg3cfjef.fsf@HIDDEN>
 <83lg3b8i8a.fsf@HIDDEN> <5C48B20C.9030100@HIDDEN> <8336pj8bhx.fsf@HIDDEN>
 <5C4980A5.90902@HIDDEN> <83sgxi6sjq.fsf@HIDDEN>
In-Reply-To: <83sgxi6sjq.fsf@HIDDEN>
Content-Type: text/plain; charset=UTF-8; format=flowed
Content-Transfer-Encoding: 7bit
X-Provags-ID: V03:K1:cmjpAXsLj0cSNbJALxDlPTfwoROc/IWfTkzXXitztXsgKzknnOl
 l+xlaLDWm0TYbdoAoVubJLG3yqd7JqgKqX6l/BWb6Kn+NBHm23uPKdT8U3uuy9QaQwqRqZa
 YZHE3Cza9+CLoRqd4+TFAxykg2VoLWg9vUT6FcqmR4OQ+3XmxzHFid6WXrwxjUjqwsyOplE
 LaJWpJ5JiV3O1PBJ6mmJg==
X-Spam-Flag: NO
X-UI-Out-Filterresults: notjunk:1;V03:K0:2ViBFMoUZ5Y=:cldVP3g+KXSvelioelko13
 3ZJYWy+FeePZ+9/NEgg6Q2kg1YI3PMgtMKZub+wrx3i2SjnaH0ANajSS/b7lJ4khJVoNnVj8Y
 Wx0u8Eb+C4B5qOKQwuFYYbMMCm50Z7izOnKsEfCxfT87dxf1rOcmAtzttmy7vwFxwcl2kOjx6
 676Hcq+ODG0ffDuEwCUMZx+AbqnD5t4rfsLNqm/iAd5oMrdhvsx5oB6qYQ83iZzKKxJPcnmNh
 /aDxCQtUUil8dOeSQuRcxGM5LzK3vk+ShCq6Rriw+zkOAoi5K9Bs/a9+LIRVBtv+xWxBtUwte
 Uj8yVsjNt5WBtArpGjw2LkyizEnj7NmTuJfbCCq7DWo8kpOyjzd5s0poMcdGaokHOFGr66gMl
 uSKxIUSruvmVQLG3Yx5Kv1gnB4hZcem6LvDKhs/b8jjC19UVrPs4EFhsSYTSiA9Oxv/fHmnY1
 V8Ofs60M/rA6iRFpG0K6hEIjVE+vrIVFjXADuLiezbATMP7gUelMURiTXPFd+jRnc7elCo+mY
 VscyLwXcpIo19KT2iLufDSIljBrkZbOHqXdZpsqoyJUqh0m3FfkSYu/8j6eLiQ9q/zrQ3csa0
 1JS1iIfTMSvIO87lahiPRWbFWf31swtOtgrEQNH3n+buHo5u/2tMnHomWc0JOfyOj3eioJD0R
 LsZ6Ma1NrqV4w2OfgEidFX/Zr8hDYp1MRtyB3wCcc8v1xqibVqUNxL2GiH28wFo9Q9UuuZeQr
 v/ESxRBUit+jRGJfor5ji62kQ5JtUM87p59fmNbaz3PzuQU4SZOUa29+K5xwEK4D+MsbmBaLR
 tawf/H5TxRPau+whjSevs3Zum51J6sF7b5CU+sfBDA6Qqev4PPIoAX8CXboUFYSBnUw86EpJQ
 Ch1m1r7qjuvIWhHr5YokXpDuZyzmWUxBo5DCFWaaC4EehoVcPeBbsVry6O0vYvvHTxDA07v/k
 6RgQ6u+CPhQ==
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 34138
Cc: stephen.berman@HIDDEN, 34138 <at> debbugs.gnu.org, politza@HIDDEN,
 tsdh@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

 > I'd like to see if there's a less radical solution.

One reasonable location to run window change functions should be right
before

   if (windows_or_buffers_changed && !update_mode_lines)
     /* Code that sets windows_or_buffers_changed doesn't distinguish whether
        only the windows's contents needs to be refreshed, or whether the
        mode-lines also need a refresh.  */
     update_mode_lines = (windows_or_buffers_changed == REDISPLAY_SOME
   			 ? REDISPLAY_SOME : 32);

in redisplay_internal.

It's slightly suboptimal because "global" values like the old selected
frame and the old selected window would still have to be updated where
we do that now and frame "local" values might be inconsistent in the
sense that when I run the hook for a frame F1 then inspecting the "old
size" of a window on a frame F2 would depend on whether we have run
the hook for F2 already in this redisplay cycle or not.  But these are
not really big issues.  WDYT?

martin




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#34138; Package emacs. Full text available.
Merged 34138 34202. Request was from Eli Zaretskii <eliz@HIDDEN> to control <at> debbugs.gnu.org. Full text available.
Merged 34138 34202. Request was from Glenn Morris <rgm@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at 34138 <at> debbugs.gnu.org:


Received: (at 34138) by debbugs.gnu.org; 25 Jan 2019 09:44:43 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Jan 25 04:44:43 2019
Received: from localhost ([127.0.0.1]:44542 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1gmy2V-0000bX-Au
	for submit <at> debbugs.gnu.org; Fri, 25 Jan 2019 04:44:43 -0500
Received: from mout.gmx.net ([212.227.17.20]:53641)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <rudalics@HIDDEN>) id 1gmy2T-0000bJ-I3
 for 34138 <at> debbugs.gnu.org; Fri, 25 Jan 2019 04:44:42 -0500
Received: from [192.168.1.101] ([46.125.249.96]) by mail.gmx.com (mrgmx101
 [212.227.17.168]) with ESMTPSA (Nemesis) id 0MTO3f-1gexez3bnD-00SKpJ; Fri, 25
 Jan 2019 10:44:30 +0100
Message-ID: <5C4ADA73.4090901@HIDDEN>
Date: Fri, 25 Jan 2019 10:44:19 +0100
From: martin rudalics <rudalics@HIDDEN>
MIME-Version: 1.0
To: Andreas Politz <politza@HIDDEN>, Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#34138: 27.0.50; Delayed display of PDF file images
References: <871s58e4gh.fsf@HIDDEN>
 <874la3gujy.fsf@HIDDEN>	<831s57b7ev.fsf@HIDDEN>
 <87zhrvfdzu.fsf@HIDDEN>	<83zhrv9qe5.fsf@HIDDEN>
 <87sgxnf48d.fsf@HIDDEN>	<83pnsq9f47.fsf@HIDDEN>
 <871s56dm5q.fsf@HIDDEN>	<83lg3e9dd6.fsf@HIDDEN>
 <87womxdgdq.fsf@HIDDEN>	<83fttlam3b.fsf@HIDDEN>
 <87sgxlrfgg.fsf@HIDDEN>	<83bm49aj3q.fsf@HIDDEN>
 <87a7jtd4sx.fsf@HIDDEN>	<834la0accs.fsf@HIDDEN>
 <87lg3cfjef.fsf@HIDDEN>	<83lg3b8i8a.fsf@HIDDEN>
 <5C48B20C.9030100@HIDDEN>	<8336pj8bhx.fsf@HIDDEN>
 <5C4980A5.90902@HIDDEN>	<83sgxi6sjq.fsf@HIDDEN>
 <87d0olrggx.fsf@HIDDEN>
In-Reply-To: <87d0olrggx.fsf@HIDDEN>
Content-Type: text/plain; charset=UTF-8; format=flowed
Content-Transfer-Encoding: 7bit
X-Provags-ID: V03:K1:Q2BM86HTvCtaWSbTQhVAc9MrfEznrCknPrx2pc5S0TOskJKriPa
 RpHTb53tlJoQ2e+FnqZLGvXvt32MGUtQBJCwsQ1guHNFUESzB37qYpwNOIE+SLXl4lI8VZZ
 RZ+oOLpmQ3hRuEzFVWHOjRcx4vrr82A+CwdMAx1Nb60dPFUqKGrGDw9RFtLSAlLrCJuSVYE
 7sBU/+eNFu/hg6WYrf/eQ==
X-Spam-Flag: NO
X-UI-Out-Filterresults: notjunk:1;V03:K0:m0tHsIxKqSE=:vvxZgFEeT3XOCUMKOU+eRR
 ZzeDATAC6E2zQKMnssKoYZ5RcKwIGO3izpxUmO14GnykkhXse5ETQHMCMaGlNY0Q99CAHnP67
 xXsZ20Ie44E4dXaOpFELkHLsBhv3/EhrRrzupWf9aBuXQ9Gl+g8f2S6U5QhsSqRV43yL8fcci
 EKyTk7JLx2I6xyGIFGUggI4u9v4VrJFMr+a37WihCxBv0AwNjI/R3UnzwRVK1rhzHCFtS6s8E
 fvvydRqB9NCvMmLlrfGocEsvHEU+izMlfzo6daNoKqcHTgavEi+2QnvO/h70zvspbLKm/xto0
 /xs2W7FZgvAuOinnP/1DHtNfyFEP2Mqo2NqzC17FW+ihBJAzg+X4qDnZoeC8WT+/YJawsL7Ze
 WEJdKC7qB4CJZkj/ScDVuKcJYubwC08odPrg0oRvzf1S/nHys3AQ7/EERdlq+TwVlVlDSUDDR
 c0n6ueOQP26+0V6A6jVnp1tGR6FMDUGWgxD6RXDLzaSUJGTW0U8NAl2IhyPAqI9ZLtDJ5tjV+
 kvr58ZNMBSnfirHP0ayD828eyHyXAozUUPoOGTznqXdRNx9Bdadxk+UIrJzmikquceOaFLGbu
 AzxUNXsHn1tW9EuVRTrWYjfQhe+OyH2wXHy6lnWaC+4EBXjwwP/EEv0Q9OCPxN6gZQ4k/A8bR
 KC4XnMxki9Ox+eMONRtjZQhWHPR4eAp/uJhgbCXQoh9mRBsM0AddxtPIKSnaBxzCFMgf24btk
 WKZpTd/9fjIdl5c61fbijuO6eVmq0Ad4H4UaE8sFfqpm0bTrAsQ84HjlJuX69PzI0ddvoG2Nh
 TM1eezQt0FzXDRVU+7EvjiBU4FCZBSRg+4pCP5vHMvlVsiN+M+q+XqO5ox3l9ZEcI25JXyb01
 mYGLnymq9MrVUyadfwyPUssrS/zm6xo1/dokonOxDgBx01gh2LlducFWbbvJfnNDE+gD4X2Gb
 qaZ27PuxXDA==
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 34138
Cc: stephen.berman@HIDDEN, 34138 <at> debbugs.gnu.org, tsdh@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

 > Both, pdf-tools and doc-view, need a way to be notified when a new
 > window of a PDF buffer is created, such that a window-specific overlay
 > can be created.  This allows for different windows to be able to display
 > different pages of some PDF.  Apparently this should happen *before*
 > re-display.

Why does the window have to be "new"?  What happens when an existing
window regardless of whether it shows this or another PDF already (or
some completely unrelated buffer) is used for displaying a PDF?

I suppose this is an idiosyncrasy of 'image-mode' but I have yet to
find out why such a construction has been chosen.

martin




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#34138; Package emacs. Full text available.

Message received at 34138 <at> debbugs.gnu.org:


Received: (at 34138) by debbugs.gnu.org; 24 Jan 2019 19:41:24 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Jan 24 14:41:24 2019
Received: from localhost ([127.0.0.1]:44306 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1gmksO-0003SH-87
	for submit <at> debbugs.gnu.org; Thu, 24 Jan 2019 14:41:24 -0500
Received: from gateway-a.fh-trier.de ([143.93.54.181]:42319)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <politza@HIDDEN>) id 1gmksL-0003S7-68
 for 34138 <at> debbugs.gnu.org; Thu, 24 Jan 2019 14:41:22 -0500
X-Amavis-Hold: Exceeded storage quota 1971500 bytes by do_pax_cpio/pre; last
 chunk 17179870169 bytes
X-Virus-Scanned: by Amavisd-new + Sophos + ClamAV [Rechenzentrum Hochschule
 Trier (RZ/HT)]
Received: from localhost (x4db3324f.dyn.telefonica.de [77.179.50.79])
 (using TLSv1 with cipher AES256-SHA (256/256 bits))
 (No client certificate requested) (Authenticated sender: politza)
 by gateway-a.fh-trier.de (Postfix) with ESMTPSA id 16D5C17FC82F;
 Thu, 24 Jan 2019 20:41:19 +0100 (CET)
DKIM-Signature: v=1; a=rsa-sha1; c=simple/simple; d=hochschule-trier.de;
 s=default; t=1548358879; bh=AMHZ/6xPcogUyMJy1enJL5Ie9SA=;
 h=From:To:Cc:Subject:References:Date:In-Reply-To:Message-ID:
 MIME-Version:Content-Type;
 b=qBpIBhvw1dOl1w63s0r40B+34RSVGfNp1L4dqzqqNrR/BHuq67omIhvREPbsvzAwN
 q+swULHhux/2b+ePE5v2ufAiGgn+4iEnw0AIdMKUSLMgGPwsws2UbOmNiLk75AVnAf
 VTTr6zZwCxkZ+R/pqtiOJBI/U4+z5b/abO6RGZR0=
From: Andreas Politz <politza@HIDDEN>
To: Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#34138: 27.0.50; Delayed display of PDF file images
References: <871s58e4gh.fsf@HIDDEN> <874la3gujy.fsf@HIDDEN>
 <831s57b7ev.fsf@HIDDEN> <87zhrvfdzu.fsf@HIDDEN>
 <83zhrv9qe5.fsf@HIDDEN> <87sgxnf48d.fsf@HIDDEN>
 <83pnsq9f47.fsf@HIDDEN> <871s56dm5q.fsf@HIDDEN>
 <83lg3e9dd6.fsf@HIDDEN> <87womxdgdq.fsf@HIDDEN>
 <83fttlam3b.fsf@HIDDEN> <87sgxlrfgg.fsf@HIDDEN>
 <83bm49aj3q.fsf@HIDDEN> <87a7jtd4sx.fsf@HIDDEN>
 <834la0accs.fsf@HIDDEN> <87lg3cfjef.fsf@HIDDEN>
 <83lg3b8i8a.fsf@HIDDEN> <5C48B20C.9030100@HIDDEN>
 <8336pj8bhx.fsf@HIDDEN> <5C4980A5.90902@HIDDEN>
 <83sgxi6sjq.fsf@HIDDEN>
Date: Thu, 24 Jan 2019 20:41:18 +0100
In-Reply-To: <83sgxi6sjq.fsf@HIDDEN> (Eli Zaretskii's message of "Thu, 24 Jan
 2019 16:26:01 +0200")
Message-ID: <87d0olrggx.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/26.1 (gnu/linux)
MIME-Version: 1.0
Content-Type: multipart/mixed; boundary="=-=-="
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 34138
Cc: martin rudalics <rudalics@HIDDEN>, stephen.berman@HIDDEN,
 34138 <at> debbugs.gnu.org, tsdh@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

--=-=-=
Content-Type: text/plain

Eli Zaretskii <eliz@HIDDEN> writes:

> Andreas, could you please help me?  I'd like to have a way of
> reproducing the problem with pdf-tools, but without poppler. [...]

I attached an archive containing a dummy epdfinfo script (the part
that's normally a c-program based on poppler) and an Elisp file.  The
last one also contains some instructions.  I hope that works for you.

The epdfinfo programm runs in an asynchronous process.  In the scenario
we are discussing here, the Lisp side actively waits for the created
image via accept-process-output and this probably makes a difference
regarding the re-display behavior.

Both, pdf-tools and doc-view, need a way to be notified when a new
window of a PDF buffer is created, such that a window-specific overlay
can be created.  This allows for different windows to be able to display
different pages of some PDF.  Apparently this should happen *before*
re-display.

Andreas

--=-=-=
Content-Type: application/gzip
Content-Disposition: attachment; filename=pdf-tools-redisplay-bug.tgz
Content-Transfer-Encoding: base64

H4sIAAAAAAAAA+2WXW/aMBSGufavOEu5gGkJCZBGKurF1EFVrd2q7nJMk0MOYDWxvcTpd//7HAq0
qMt6gzpNPY8UR8n58ImPeY1Opq5RKi3cHBNR6JRfu3E56zS2iG+JwrC6B1HoP72vaAS9frfbD/xu
P2r4QdgPowaE2yyijrIwPAdoaJUKc8Nr/V6y/6fomv6jNQg5VduYY9H/fr+u/0EQRcv++7t+d9f2
P+r6vQb425j8Jd54/3fedWIhOzEv5oydfjn8OTo6Hu53TKY7IuMz9LScMbazBRj7Du4UnOZqFgd+
wN0d3DKw4GSuwCkLO+UeNFu2HpQ8Q+vuO22wIe7RycfDofPgfCUMBOyesaPRt/09djkXKUKOPIGJ
yjIuE+D5rMxQmmIAiVoETWxKaK7sQi5eViiNsr1+qtC5kMaW+vXzWHpj6QwGa7MssxhzV01dbUst
6uOCZ6GLAHGDf4mxv4a9angWm6NMMK8ybEbbPk3tt+83W9m5wUxvWid6Y7md5tLdqa2gebt0uX9W
wvs/1z08OxvLg+WqSmWgKLVWucFkbBt5u1zvzXRY8AlLlET2r7f/m6dO/xO0o4fpNuaoRH63Xv/9
sNddn//VWWAHPwpI/1+DwQACD46VlU4zR1hvB6tWk/NK/5n16Hpwwq9jBJ5wbR4cuZlDjKm6XHj0
PDhQ+hp4JdVQCQgYBZvHyAdQ+ZMMq38YUExyoc0qzfCCp9YuCojL6RTzxfu+ByNRqTqcfhot0nuM
tR73rpC2i2naZq0Cza/Hr3DtIRKnmLiZSrAAKTZcLgRe2tC5iIVx58oU2l5gnrpUBbqrSl2dq1nO
s6UOtvBKW2lzq3Lch8Nq5em02yRtBEEQBEEQBEEQBEEQBEEQBEEQBEG8Mr8BKhp+AQAoAAA=
--=-=-=--




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#34138; Package emacs. Full text available.

Message received at 34138 <at> debbugs.gnu.org:


Received: (at 34138) by debbugs.gnu.org; 24 Jan 2019 14:26:20 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Jan 24 09:26:19 2019
Received: from localhost ([127.0.0.1]:43398 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1gmfxT-0000IE-IS
	for submit <at> debbugs.gnu.org; Thu, 24 Jan 2019 09:26:19 -0500
Received: from eggs.gnu.org ([209.51.188.92]:33705)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1gmfxR-0000Hx-HY
 for 34138 <at> debbugs.gnu.org; Thu, 24 Jan 2019 09:26:18 -0500
Received: from fencepost.gnu.org ([2001:470:142:3::e]:44265)
 by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <eliz@HIDDEN>)
 id 1gmfxK-0001Ye-6V; Thu, 24 Jan 2019 09:26:11 -0500
Received: from [176.228.60.248] (port=2255 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <eliz@HIDDEN>)
 id 1gmfxJ-00019u-4X; Thu, 24 Jan 2019 09:26:10 -0500
Date: Thu, 24 Jan 2019 16:26:01 +0200
Message-Id: <83sgxi6sjq.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: martin rudalics <rudalics@HIDDEN>
In-reply-to: <5C4980A5.90902@HIDDEN> (message from martin rudalics on Thu, 24
 Jan 2019 10:08:53 +0100)
Subject: Re: bug#34138: 27.0.50; Delayed display of PDF file images
References: <871s58e4gh.fsf@HIDDEN>
 <87h8e3h90z.fsf@HIDDEN>	<5C4483B7.1060604@HIDDEN>
 <87d0orgz0a.fsf@HIDDEN>	<837eezbazk.fsf@HIDDEN>
 <878szfgwdu.fsf@HIDDEN>	<8336pnb9cq.fsf@HIDDEN>
 <874la3gujy.fsf@HIDDEN>	<831s57b7ev.fsf@HIDDEN>
 <87zhrvfdzu.fsf@HIDDEN>	<83zhrv9qe5.fsf@HIDDEN>
 <87sgxnf48d.fsf@HIDDEN>	<83pnsq9f47.fsf@HIDDEN>
 <871s56dm5q.fsf@HIDDEN>	<83lg3e9dd6.fsf@HIDDEN>
 <87womxdgdq.fsf@HIDDEN>	<83fttlam3b.fsf@HIDDEN>
 <87sgxlrfgg.fsf@HIDDEN>	<83bm49aj3q.fsf@HIDDEN>
 <87a7jtd4sx.fsf@HIDDEN>	<834la0accs.fsf@HIDDEN> <87lg3cfjef.fsf@HIDDEN>
 <83lg3b8i8a.fsf@HIDDEN> <5C48B20C.9030100@HIDDEN> <8336pj8bhx.fsf@HIDDEN>
 <5C4980A5.90902@HIDDEN>
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 34138
Cc: stephen.berman@HIDDEN, 34138 <at> debbugs.gnu.org, politza@HIDDEN,
 tsdh@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

> Date: Thu, 24 Jan 2019 10:08:53 +0100
> From: martin rudalics <rudalics@HIDDEN>
> CC: stephen.berman@HIDDEN, politza@HIDDEN, 
>  34138 <at> debbugs.gnu.org, tsdh@HIDDEN
> 
>  >> (1) Make the window.
>  >>
>  >> (2) Run 'image-mode-reapply-winprops'.
>  >>
>  >> (3) Run 'pdf-view-new-window-function'.
>  >>
>  >> (4) Continue with overlays and properties set up.
>  >>
>  >> (5) Redisplay, eventually.
>  >>
>  >> If anything in (4) needs anything done in (2) and (3), running the
>  >> hooks earlier in redisplay won't help.
>  >
>  > I'm not sure I understand why, perhaps because I don't have a clear
>  > idea what you mean by "continuing with overlays".  Please tell more.
> 
> When I say that steps (1)--(3) are deterministic I meant that making
> the window is guaranteed to have run (2) and (3) before any action in
> (4) gets executed.  In (4) the application may run arbitrary code with
> the guarantee that the overlay from (3) and the "winprops" from (2)
> have been installed.  Running 'window-configuration-change-hook' from
> redisplay means this guarantee no longer holds.

I think the overlay is definitely installed, just not before redisplay
examines the windows.

>  >> Note: We can always restore the emacs 26 (better emacs 25) way
>  >> 'window-configuration-change-hook' is run.  That won't affect the
>  >> remaining hooks and prevent scenarios as the one found here.
>  >
>  > What are the disadvantages of doing that?
> 
> That we again run the hook even if nothing has changed and do not
> catch many possible changes.  Hence well-behaved users of that hook
> would get punished.
> 
> I'm not sure whether I would care personally.  We never reached a
> common agreement on what a window configuration change is and when it
> happens.  So while the hook represents bad design (IMHO) and nobody
> should ever have used it, there never existed a viable alternative to
> accomplish what it provided in the past.

I'd like to see if there's a less radical solution.

Andreas, could you please help me?  I'd like to have a way of
reproducing the problem with pdf-tools, but without poppler.  Would it
be possible for you to show me some Lisp that use pdf-tools (or even
image-mode directly) to just display some fixed image, say splash.png
from etc/images, in the same way, i.e. using the same hooks, as you do
with a PDF document?  I tried to write a very simplified version of
pdf-view.el for that purpose, but either my emulation was imperfect or
there are OS-dependent factors that get in the way, because with the
code I wrote the image appears immediately.  It is important for me to
run code for which I know that you and Stephen see the problem.

Armed with such a test case, I will see what can be done to fix the
behavior.

Thanks.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#34138; Package emacs. Full text available.

Message received at 34138 <at> debbugs.gnu.org:


Received: (at 34138) by debbugs.gnu.org; 24 Jan 2019 09:09:14 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Jan 24 04:09:14 2019
Received: from localhost ([127.0.0.1]:43269 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1gmb0c-0005T9-7k
	for submit <at> debbugs.gnu.org; Thu, 24 Jan 2019 04:09:14 -0500
Received: from mout.gmx.net ([212.227.15.19]:33071)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <rudalics@HIDDEN>) id 1gmb0a-0005Su-9P
 for 34138 <at> debbugs.gnu.org; Thu, 24 Jan 2019 04:09:12 -0500
Received: from [192.168.1.101] ([46.125.249.5]) by mail.gmx.com (mrgmx002
 [212.227.17.190]) with ESMTPSA (Nemesis) id 0Lg0sd-1hWzdU1cwV-00pYo3; Thu, 24
 Jan 2019 10:09:03 +0100
Message-ID: <5C4980A5.90902@HIDDEN>
Date: Thu, 24 Jan 2019 10:08:53 +0100
From: martin rudalics <rudalics@HIDDEN>
MIME-Version: 1.0
To: Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#34138: 27.0.50; Delayed display of PDF file images
References: <871s58e4gh.fsf@HIDDEN>
 <87h8e3h90z.fsf@HIDDEN>	<5C4483B7.1060604@HIDDEN>
 <87d0orgz0a.fsf@HIDDEN>	<837eezbazk.fsf@HIDDEN>
 <878szfgwdu.fsf@HIDDEN>	<8336pnb9cq.fsf@HIDDEN>
 <874la3gujy.fsf@HIDDEN>	<831s57b7ev.fsf@HIDDEN>
 <87zhrvfdzu.fsf@HIDDEN>	<83zhrv9qe5.fsf@HIDDEN>
 <87sgxnf48d.fsf@HIDDEN>	<83pnsq9f47.fsf@HIDDEN>
 <871s56dm5q.fsf@HIDDEN>	<83lg3e9dd6.fsf@HIDDEN>
 <87womxdgdq.fsf@HIDDEN>	<83fttlam3b.fsf@HIDDEN>
 <87sgxlrfgg.fsf@HIDDEN>	<83bm49aj3q.fsf@HIDDEN>
 <87a7jtd4sx.fsf@HIDDEN>	<834la0accs.fsf@HIDDEN> <87lg3cfjef.fsf@HIDDEN>
 <83lg3b8i8a.fsf@HIDDEN> <5C48B20C.9030100@HIDDEN> <8336pj8bhx.fsf@HIDDEN>
In-Reply-To: <8336pj8bhx.fsf@HIDDEN>
Content-Type: text/plain; charset=UTF-8; format=flowed
Content-Transfer-Encoding: 7bit
X-Provags-ID: V03:K1:Se0qI4E+SvZmhWsMrj5AUZRjDtnfdhJRNK3bmkOb45TxrSIc0OT
 08/xcV2hVHG8piEXvNnPPDsP0+LnqD4ddhZvhMxVWoYhUBkWjCzKBMmi8CRrjw3Lk0T+NVN
 SZoMzvQQqdz8hmA7kyxxWh32YZjHcrGxiSgkQuBgDeY3RQKD/BOneEc71L8JXhjNA5RtPuH
 qG41kqeeKbO8PPOtSpxyw==
X-Spam-Flag: NO
X-UI-Out-Filterresults: notjunk:1;V03:K0:UBcnx5cVb/4=:Y/tstYCJZRC1rhOPQnnZw3
 lmG1YpM2NS5v30bOBX1D4YHDHZ77wdW1Z/tE2bBbiL7idaUFK+21MW8KPU5RCx8HxMjbOgx3E
 iLQN/eJRwn02XTH9AsbfI9fFuirp6B711+rrh//BQGKdPkoR+sAmbkse9SW0xQTRdDSbw4baP
 y3D6RqT0Wl2QLtRBT3ogi1dMcwbHs73H4MwQPKPQaVNo04PVAzKUBPWBV336tyGOXYaHy+sD/
 AQ8qhtRsPDFq0ONTY2m3b08GPju2CxyZtwjILByHOPVUJ09laPOyia7Wu9yBHAQdZfkGW2FaN
 K332rZBAjWNHWatf0AHttLqswv2DytTY+1zGpCZXSOqkUW59lJnDovi7V6gafe8UrlDkNMRNB
 /bbQVnSumG3HKTztkl0yE9KDd0nvKTe166xoX9zZAb8tc5eeZ6D9haSQdVxQABLSQbcg+ysPB
 DCfwElShZh3QZcaAFmC5NPYOjw1jd/FAd4Wxr7VBzW+voa+Xbplqp2PHwna6V3T/Ahn4abwc0
 ohtzIuwJBlxjlgdDX4lOxyi+biNvdVFJWrHllQpuZFiyXpBLx0tceNKAIBo+0h6737uLEV/bp
 gpfQQnARNHLRv/0cqztHUxcSP00vpLP/ESetAfi6QPqqVTZozQSbBEg9x1aakH27L4pn6YD2n
 ggQyZT7NHkQmepXRQT1YfTx6WjzufZ2eZq5HLUB/5zuT14+ItFKO5QF4oCW/4RzztxR02FWiT
 v4wNhNgVogfQd78LoKM8nsZomwARRRGU2xvIf+m/0XQSV7aArXOzq2QKEOKwGdWp7IO92c43q
 bS62b7FFLngnFJEXafSWRo09gFLEiPlvhwSE7fC0vzbjS8GMS3AyAnw4EYe54i1Xpnbqmi4OP
 ia2GnD7ie+KoOdeCuyk9jB6GETFe+Bys69/Z5kQsVjlrZfC3/oMEkRxC6I5R0iVCXf5ahEWnJ
 W3uejNi9F1g==
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 34138
Cc: stephen.berman@HIDDEN, 34138 <at> debbugs.gnu.org, politza@HIDDEN,
 tsdh@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

 >> Strictly spoken, all of these abuse the concept of hooks.  Making a
 >> new window, putting an overlay there, setting some properties are
 >> deterministic actions.  Why do we have to do them from the hook?
 >
 > I don't know the answer, perhaps Andreas could explain his perspective
 > on this.

Many people (including me) do not understand the essence of most hooks
so they just replicate usage patterns from some other source.  While
the original idea of the hook often gets lost this way, packages work
in some way or the other satisfactorily.

 > Maybe this means what is now run_window_configuration_change_hook
 > should be divided into 2 parts: one that only reacts to changes in
 > dimensions, the other that reacts to new windows and changes in
 > window-buffer?  The former will want to run at the end of redisplay,
 > the latter at the beginning, I think.

This would double the potential ways of interleaved running of
functions on the hook.  I'd rather not do that.

 >> (1) Make the window.
 >>
 >> (2) Run 'image-mode-reapply-winprops'.
 >>
 >> (3) Run 'pdf-view-new-window-function'.
 >>
 >> (4) Continue with overlays and properties set up.
 >>
 >> (5) Redisplay, eventually.
 >>
 >> If anything in (4) needs anything done in (2) and (3), running the
 >> hooks earlier in redisplay won't help.
 >
 > I'm not sure I understand why, perhaps because I don't have a clear
 > idea what you mean by "continuing with overlays".  Please tell more.

When I say that steps (1)--(3) are deterministic I meant that making
the window is guaranteed to have run (2) and (3) before any action in
(4) gets executed.  In (4) the application may run arbitrary code with
the guarantee that the overlay from (3) and the "winprops" from (2)
have been installed.  Running 'window-configuration-change-hook' from
redisplay means this guarantee no longer holds.

 >> Note: We can always restore the emacs 26 (better emacs 25) way
 >> 'window-configuration-change-hook' is run.  That won't affect the
 >> remaining hooks and prevent scenarios as the one found here.
 >
 > What are the disadvantages of doing that?

That we again run the hook even if nothing has changed and do not
catch many possible changes.  Hence well-behaved users of that hook
would get punished.

I'm not sure whether I would care personally.  We never reached a
common agreement on what a window configuration change is and when it
happens.  So while the hook represents bad design (IMHO) and nobody
should ever have used it, there never existed a viable alternative to
accomplish what it provided in the past.

martin




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#34138; Package emacs. Full text available.

Message received at 34138 <at> debbugs.gnu.org:


Received: (at 34138) by debbugs.gnu.org; 23 Jan 2019 22:20:19 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Jan 23 17:20:19 2019
Received: from localhost ([127.0.0.1]:43142 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1gmQsd-0006Pb-C5
	for submit <at> debbugs.gnu.org; Wed, 23 Jan 2019 17:20:19 -0500
Received: from mout.gmx.net ([212.227.17.22]:35163)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <stephen.berman@HIDDEN>) id 1gmQsc-0006PM-DB
 for 34138 <at> debbugs.gnu.org; Wed, 23 Jan 2019 17:20:18 -0500
Received: from rosalinde ([178.1.126.54]) by mail.gmx.com (mrgmx103
 [212.227.17.168]) with ESMTPSA (Nemesis) id 0Lrw2c-1hC2Pm0Y9u-013giC; Wed, 23
 Jan 2019 23:20:08 +0100
From: Stephen Berman <stephen.berman@HIDDEN>
To: Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#34138: 27.0.50; Delayed display of PDF file images
References: <871s58e4gh.fsf@HIDDEN> <837eezbazk.fsf@HIDDEN>
 <878szfgwdu.fsf@HIDDEN> <8336pnb9cq.fsf@HIDDEN>
 <874la3gujy.fsf@HIDDEN> <831s57b7ev.fsf@HIDDEN>
 <87zhrvfdzu.fsf@HIDDEN> <83zhrv9qe5.fsf@HIDDEN>
 <87sgxnf48d.fsf@HIDDEN> <83pnsq9f47.fsf@HIDDEN>
 <871s56dm5q.fsf@HIDDEN> <83lg3e9dd6.fsf@HIDDEN>
 <87womxdgdq.fsf@HIDDEN> <83fttlam3b.fsf@HIDDEN>
 <87sgxlrfgg.fsf@HIDDEN> <83bm49aj3q.fsf@HIDDEN>
 <87a7jtd4sx.fsf@HIDDEN> <834la0accs.fsf@HIDDEN>
 <87lg3cfjef.fsf@HIDDEN> <83lg3b8i8a.fsf@HIDDEN>
 <87bm47i923.fsf@HIDDEN>
Date: Wed, 23 Jan 2019 23:20:06 +0100
In-Reply-To: <87bm47i923.fsf@HIDDEN> (Stephen Berman's message of "Wed, 23
 Jan 2019 18:21:40 +0100")
Message-ID: <87ef93dnjd.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/27.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Provags-ID: V03:K1:9jjaR7GfH8WvhIUvsBllh6Kz6CZctDd4XpB3sMoQluHviaFbcLW
 kL0JFxuHcmzk9s4OY8c36ZrIrkGfaRuQ1sD5asDo7WurKiubLxrKKEuOLw738oKjEingyfx
 +1EGbIgyjF+e6fRd5EwsMlkGWRzJJmvwxYjm3zLr5rmcG3LLj3aD36U+jJMvii0MJ4fqXps
 9tRP2MJjS6xPDJiL6rrlQ==
X-Spam-Flag: NO
X-UI-Out-Filterresults: notjunk:1;V03:K0:Pz6ljPd+WEM=:aF7xVaSxEpDLquBO65BciB
 6bkk3XoXxHEhHkAf0adHHL0ZIHeH2XP5mxixqyO9WoU6CI2RFt1ih1u6ZTduYjLjKl/5kcjo4
 jtHXcokc0G2j1xHuF6w35Ez+SM5e+FoGHUM+MjOqDDPUjJjMI0LVUX3zU4xulK+eMZZTgW3Hp
 D/nTGdAGSUjz/CsY+nAUu8Lc3hik8EPVKm0fnibsFB7lLII+DQdqqm4Df6vdS0OlZNLgydnQk
 BSkVur/RezR29RjTlrk39ruO0nro8NJdaMJxv6WY4pO4Y/gYY83WF9cLQDgj6s94uwBwy6007
 XVG5dXANMqtNRs9CJyJrYzTDWsUMuet/NfvlNCv29gLMbCpYF6xumz0oEfU67YaZhEh4kfJPO
 cM+r06TfhiF5j55KyQagvUCI8hxnxsUTegqnDRZeJKHBX1XsH4z8Y+9/W1y+tc+8iQRvYykot
 5+kHPrEY9TG2zgrIYUIITH/v9j6F3MqtJNdsUKvTIBBoh/IdM076bsAtxxtL61/WkxcIhJkPE
 Q+K2ocwX8RqqDFATjkw1IuDl2inc2x1hsicUXa03NcQF7h7i+zXb8u+HamMGE+iy/Lv7DSZG2
 bDZ0IYkzzQBTvRC7k6U8AkklSptfhwKiRp3JSJK8FtmOKWha2AxaIEeyt9dGJ1zMowY4ZOFct
 cxpvorLH9qTNrtWKq3OR0Eqr5sfnqfyMVfNsTTLYzZMVxutc7ZMJUf2/2/Oi+YzYPz0N8Ra9p
 4f8jamso8Oq++Zp56H1D/uq//jJzhjmRJBqYjXg4SEvxV0BE4/MierpM4NPsIL06v1Mt20u7E
 Gq4xQ0dCwoQiFIIqGRitvpk6LZGKRnTG9jA3C1XAF5ejBLRAMtuMHo4FxVx4rF0g0A5ByKIoy
 E9NMQNwtwO4oMBL0CqM62utbEBtgPfzwrKzRu92h2Vv8zeBlvOYTs2z/l9g6cbZ5v8N3E6DeS
 6y0umTyO9Rw==
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 34138
Cc: rudalics@HIDDEN, 34138 <at> debbugs.gnu.org, politza@HIDDEN,
 tsdh@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

On Wed, 23 Jan 2019 18:21:40 +0100 Stephen Berman <stephen.berman@HIDDEN> wrote:

> On Wed, 23 Jan 2019 18:13:41 +0200 Eli Zaretskii <eliz@HIDDEN> wrote:
>
>>
>> Most of the traces come from the code that invokes timers, so I think
>> you have timers running which eventually trigger redisplay, something
>> that doesn't happen on Andreas's machine.  That might explain why you
>> see the image after a short delay, while Andreas needs to manually
>> trigger redisplay for that.
>
> Ah, that seems likely.  I do have several timers running, I'll see if I
> can deactivate them and whether that results in no image display.

Starting with -Q to avoid the timers (as Andreas pointed out to me and I
should have been doing all along) and disabling blink-cursor-mode and
global-eldoc-mode, I can now confirm that the PDF buffer displays raw
PDF indefinitely, until I force redisplay with keyboard input (M-x, n,
etc).

Steve Berman




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#34138; Package emacs. Full text available.

Message received at 34138 <at> debbugs.gnu.org:


Received: (at 34138) by debbugs.gnu.org; 23 Jan 2019 18:39:24 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Jan 23 13:39:24 2019
Received: from localhost ([127.0.0.1]:43079 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1gmNQq-0001LJ-3R
	for submit <at> debbugs.gnu.org; Wed, 23 Jan 2019 13:39:24 -0500
Received: from eggs.gnu.org ([209.51.188.92]:51341)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1gmNQo-0001L7-Tj
 for 34138 <at> debbugs.gnu.org; Wed, 23 Jan 2019 13:39:23 -0500
Received: from fencepost.gnu.org ([2001:470:142:3::e]:56638)
 by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <eliz@HIDDEN>)
 id 1gmNQi-0004On-Ry; Wed, 23 Jan 2019 13:39:16 -0500
Received: from [176.228.60.248] (port=4824 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <eliz@HIDDEN>)
 id 1gmNQh-0001fg-AC; Wed, 23 Jan 2019 13:39:16 -0500
Date: Wed, 23 Jan 2019 20:39:06 +0200
Message-Id: <8336pj8bhx.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: martin rudalics <rudalics@HIDDEN>
In-reply-to: <5C48B20C.9030100@HIDDEN> (message from martin rudalics on Wed,
 23 Jan 2019 19:27:24 +0100)
Subject: Re: bug#34138: 27.0.50; Delayed display of PDF file images
References: <871s58e4gh.fsf@HIDDEN>
 <87h8e3h90z.fsf@HIDDEN>	<5C4483B7.1060604@HIDDEN>
 <87d0orgz0a.fsf@HIDDEN>	<837eezbazk.fsf@HIDDEN>
 <878szfgwdu.fsf@HIDDEN>	<8336pnb9cq.fsf@HIDDEN>
 <874la3gujy.fsf@HIDDEN>	<831s57b7ev.fsf@HIDDEN>
 <87zhrvfdzu.fsf@HIDDEN>	<83zhrv9qe5.fsf@HIDDEN>
 <87sgxnf48d.fsf@HIDDEN>	<83pnsq9f47.fsf@HIDDEN>
 <871s56dm5q.fsf@HIDDEN>	<83lg3e9dd6.fsf@HIDDEN>
 <87womxdgdq.fsf@HIDDEN>	<83fttlam3b.fsf@HIDDEN>
 <87sgxlrfgg.fsf@HIDDEN>	<83bm49aj3q.fsf@HIDDEN>
 <87a7jtd4sx.fsf@HIDDEN>	<834la0accs.fsf@HIDDEN> <87lg3cfjef.fsf@HIDDEN>
 <83lg3b8i8a.fsf@HIDDEN> <5C48B20C.9030100@HIDDEN>
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 34138
Cc: stephen.berman@HIDDEN, 34138 <at> debbugs.gnu.org, politza@HIDDEN,
 tsdh@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

> Date: Wed, 23 Jan 2019 19:27:24 +0100
> From: martin rudalics <rudalics@HIDDEN>
> CC: politza@HIDDEN, 34138 <at> debbugs.gnu.org, tsdh@HIDDEN
> 
>    (add-hook 'window-configuration-change-hook
> 	    #'image-mode-reapply-winprops nil t))
> 
> Strictly spoken, all of these abuse the concept of hooks.  Making a
> new window, putting an overlay there, setting some properties are
> deterministic actions.  Why do we have to do them from the hook?

I don't know the answer, perhaps Andreas could explain his perspective
on this.

> Running the hooks at late as possible will catch most size changes
> (calculating the mode line height or minibuffer heights) done by
> redisplay so you have the final layout of a frame available when
> running the hooks.

Maybe this means what is now run_window_configuration_change_hook
should be divided into 2 parts: one that only reacts to changes in
dimensions, the other that reacts to new windows and changes in
window-buffer?  The former will want to run at the end of redisplay,
the latter at the beginning, I think.

> Also, I'm still not sure whether running hooks earlier will handle
> 'pdf-view-new-window-function' and 'image-mode-reapply-winprops'
> running the deterministic emacs 26 way.  After all, the idea seems to
> be
> 
> (1) Make the window.
> 
> (2) Run 'image-mode-reapply-winprops'.
> 
> (3) Run 'pdf-view-new-window-function'.
> 
> (4) Continue with overlays and properties set up.
> 
> (5) Redisplay, eventually.
> 
> If anything in (4) needs anything done in (2) and (3), running the
> hooks earlier in redisplay won't help.

I'm not sure I understand why, perhaps because I don't have a clear
idea what you mean by "continuing with overlays".  Please tell more.

> Note: We can always restore the emacs 26 (better emacs 25) way
> 'window-configuration-change-hook' is run.  That won't affect the
> remaining hooks and prevent scenarios as the one found here.

What are the disadvantages of doing that?




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#34138; Package emacs. Full text available.

Message received at 34138 <at> debbugs.gnu.org:


Received: (at 34138) by debbugs.gnu.org; 23 Jan 2019 18:27:45 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Jan 23 13:27:45 2019
Received: from localhost ([127.0.0.1]:43074 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1gmNFW-00014d-Ty
	for submit <at> debbugs.gnu.org; Wed, 23 Jan 2019 13:27:45 -0500
Received: from mout.gmx.net ([212.227.17.20]:60593)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <rudalics@HIDDEN>) id 1gmNFU-00014P-Ny
 for 34138 <at> debbugs.gnu.org; Wed, 23 Jan 2019 13:27:41 -0500
Received: from [192.168.1.101] ([213.162.73.229]) by mail.gmx.com (mrgmx101
 [212.227.17.168]) with ESMTPSA (Nemesis) id 0MaF8e-1gSeXU3AoS-00JpsT; Wed, 23
 Jan 2019 19:27:32 +0100
Message-ID: <5C48B20C.9030100@HIDDEN>
Date: Wed, 23 Jan 2019 19:27:24 +0100
From: martin rudalics <rudalics@HIDDEN>
MIME-Version: 1.0
To: Eli Zaretskii <eliz@HIDDEN>, Stephen Berman <stephen.berman@HIDDEN>
Subject: Re: bug#34138: 27.0.50; Delayed display of PDF file images
References: <871s58e4gh.fsf@HIDDEN>
 <87h8e3h90z.fsf@HIDDEN>	<5C4483B7.1060604@HIDDEN>
 <87d0orgz0a.fsf@HIDDEN>	<837eezbazk.fsf@HIDDEN>
 <878szfgwdu.fsf@HIDDEN>	<8336pnb9cq.fsf@HIDDEN>
 <874la3gujy.fsf@HIDDEN>	<831s57b7ev.fsf@HIDDEN>
 <87zhrvfdzu.fsf@HIDDEN>	<83zhrv9qe5.fsf@HIDDEN>
 <87sgxnf48d.fsf@HIDDEN>	<83pnsq9f47.fsf@HIDDEN>
 <871s56dm5q.fsf@HIDDEN>	<83lg3e9dd6.fsf@HIDDEN>
 <87womxdgdq.fsf@HIDDEN>	<83fttlam3b.fsf@HIDDEN>
 <87sgxlrfgg.fsf@HIDDEN>	<83bm49aj3q.fsf@HIDDEN>
 <87a7jtd4sx.fsf@HIDDEN>	<834la0accs.fsf@HIDDEN> <87lg3cfjef.fsf@HIDDEN>
 <83lg3b8i8a.fsf@HIDDEN>
In-Reply-To: <83lg3b8i8a.fsf@HIDDEN>
Content-Type: text/plain; charset=UTF-8; format=flowed
Content-Transfer-Encoding: 7bit
X-Provags-ID: V03:K1:/JSh1bMcGefWPhLeE07t/P6yjD/nQgJ0aewqpqvMHpXAbWBmFbd
 OIpOOxJhBK0DigFvnMKwEyAU9MQEMSEB+gCL9nvpPj/jtdWK49SrOTpFEChnY6T9SvFYwAv
 yMq37JoRCVa/ROBvoj/aBxTVit9zei2RLogpQkPv0lMDNfNgaLN1ml/5VZ4evlTyuZLQxBa
 nynUOBjapm6y1rYGo5Faw==
X-Spam-Flag: NO
X-UI-Out-Filterresults: notjunk:1;V03:K0:ufqfkhmcpGQ=:05k74n7LmELtYo118zBYnE
 LjrpfgEJVuF6X40AEYLMJOk6EhdXyUyyQiuhgPwQMupz5HKrpUWshmTMpYoACjPVw4mp2wl7c
 BhSaWXZf8ye4SQ6hjqtBhXsXKvyUgBiLiAE0a6wOTNkuRhvmI01TOe0deTFj9IX8q+7pBmhbW
 mkGSZpcpQKutGm2aS5CC6vNQ/bgupDF3ODPCVVeBBicnWPgmHIk7ymCh5UkBMxQJbbDy6Jp/f
 b2JsNB1OsM97Q5obUSdrmN54LQ4qm/MFVlPnw1ymEI617u4Qu6MmLR1zbBZ9GMsx3LtlzxEcJ
 0xxheayCCpqKZEBt+XecYfoO1p2Pu1FVzviIkGcYznW1YcYOL49JwXcV8Kz1mmtE3YZc6j5ky
 0x+WPpNs94Ejy8jg9C96CvUILSOYjWUQBTn09/tlyh92SbIzSkXRbco9+7UMJyzwSwStWH2Qm
 6BA/eSe6glZw0g1O7k6i69MlPOKpZfG4yBKvggctzDluaEFT29IaJx1gVP5b9GaW/uANAOili
 BxM+scv2rQ0PdaMfGp9bd9eXMtbx1ZKft2nop0BLc0EuEeA2zlc9T7h1JKGnXRTud9r2fUXB4
 xOWEUGMMUXvKJsgtY123s4p2PUMBsRarqWkOJ+CKLsaRi/48D1Ii10skcNSb1TZfyzhAmBOgd
 TUsyA7lfswtZfsRzSyge3Yp7hvIRY5WgQypNqP8teRwIUb2bJd+YbZe8FXhCJfBmZq7Pqq+VY
 AZaDQVjd3yflXxCI6QCtp4sbagpje5rr0VbVOl41NX9M4GHMbCXcBoKWSfdeqU2NvjorIsY5o
 o17FrEmLBGUxC510x3x6yFTAUOrs5BZhuJxz1hTIdYpugNi26zYc2WxjBljlkc47kgXX2XZwm
 708a+51ncxt8hurU7DA53AwTMnhnNd+GO3Ug4FMLhnS8YE88Kco5WTac04Ovz2/2oY2IMSrVX
 KMB/Jsuuguw==
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 34138
Cc: 34138 <at> debbugs.gnu.org, politza@HIDDEN, tsdh@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

 > Now, image-mode works by changing an overlay.  Changes in overlays are
 > examined by the display engine, and windows displaying buffers where
 > overlays have been changed have the corresponding portions redrawn.
 > Windows that don't have any overlay changes and whose buffer text
 > didn't change are skipped by redisplay, on the assumption that nothing
 > has changed in them that requires displaying some of its part anew.
 > And since run_window_configuration_change_hook is called only _after_
 > the display engine already examined the windows, it cannot trigger
 > redisplay of the window where we show the image of the PDF document.
 > Thus, the image is shown only upon next more or less thorough
 > redisplay, which redraws the window in question.

So emacs 26 has

- make a new window
- in the ensuing configuration change hook make the overlay
- redisplay picks up the overlay immediately.

While emacs 27 has

- make a new window
- redisplay sees no overlay
- in the ensuing configuration change hook make the overlay
- a next through redisplay will pick up the overlay.

Now doc-view-mode has

     (add-hook 'image-mode-new-window-functions
	      'doc-view-new-window-function nil t)
     (image-mode-setup-winprops)

and pdf-view.el has

   ;; Keep track of display info
   (add-hook 'image-mode-new-window-functions
             'pdf-view-new-window-function nil t)
   (image-mode-setup-winprops)

where 'image-mode-setup-winprops' does

   (add-hook 'window-configuration-change-hook
	    #'image-mode-reapply-winprops nil t))

Strictly spoken, all of these abuse the concept of hooks.  Making a
new window, putting an overlay there, setting some properties are
deterministic actions.  Why do we have to do them from the hook?
Basically, hooks are needed when some other agent does a change in a
non-deterministic (from the POV of the person that puts the function
on the hook) way.

 > Therefore, a question to Martin: why was the call to
 > run_window_change_functions put at the very end of redisplay_internal?
 > Is this intentional, and if so, what were the reasons for that?

We early discussed this (with the initial text by Stefan) as

 > >  > If it's run "at the end of redisplay", then I think it's too late: those
 > >  > hooks will often want to change something visual, and they will want it
 > >  > to appear right away, so it should be run just *before* redisplay.
 > >
 > > Note that 'window-size-change-functions' are currently already run
 > > right in the middle of redisplay.  Often, window sizes are correct
 > > only *after* redisplay.  Think of minibuffer window resizing or
 > > changes in the fringes, margins or modeline sub-structures.  But a
 > > final word on the location of the call will have to be told by Eli.
 >
 > I don't think I can utter that final word, primarily because I don't
 > understand Stefan's concerns.

Running the hooks at late as possible will catch most size changes
(calculating the mode line height or minibuffer heights) done by
redisplay so you have the final layout of a frame available when
running the hooks.  But maybe that's just needless perfectionism.

Also, I'm still not sure whether running hooks earlier will handle
'pdf-view-new-window-function' and 'image-mode-reapply-winprops'
running the deterministic emacs 26 way.  After all, the idea seems to
be

(1) Make the window.

(2) Run 'image-mode-reapply-winprops'.

(3) Run 'pdf-view-new-window-function'.

(4) Continue with overlays and properties set up.

(5) Redisplay, eventually.

If anything in (4) needs anything done in (2) and (3), running the
hooks earlier in redisplay won't help.

Note: We can always restore the emacs 26 (better emacs 25) way
'window-configuration-change-hook' is run.  That won't affect the
remaining hooks and prevent scenarios as the one found here.

martin




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#34138; Package emacs. Full text available.

Message received at 34138 <at> debbugs.gnu.org:


Received: (at 34138) by debbugs.gnu.org; 23 Jan 2019 17:22:38 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Jan 23 12:22:38 2019
Received: from localhost ([127.0.0.1]:43017 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1gmMEY-0005yZ-Hr
	for submit <at> debbugs.gnu.org; Wed, 23 Jan 2019 12:22:38 -0500
Received: from mout.gmx.net ([212.227.17.21]:49397)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <stephen.berman@HIDDEN>) id 1gmMEU-0005yK-Vg
 for 34138 <at> debbugs.gnu.org; Wed, 23 Jan 2019 12:22:35 -0500
Received: from rosalinde ([178.1.126.54]) by mail.gmx.com (mrgmx102
 [212.227.17.168]) with ESMTPSA (Nemesis) id 0MVsUW-1gfomB3kvA-00X0JP; Wed, 23
 Jan 2019 18:22:28 +0100
From: Stephen Berman <stephen.berman@HIDDEN>
To: Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#34138: 27.0.50; Delayed display of PDF file images
References: <871s58e4gh.fsf@HIDDEN> <837eezbazk.fsf@HIDDEN>
 <878szfgwdu.fsf@HIDDEN> <8336pnb9cq.fsf@HIDDEN>
 <874la3gujy.fsf@HIDDEN> <831s57b7ev.fsf@HIDDEN>
 <87zhrvfdzu.fsf@HIDDEN> <83zhrv9qe5.fsf@HIDDEN>
 <87sgxnf48d.fsf@HIDDEN> <83pnsq9f47.fsf@HIDDEN>
 <871s56dm5q.fsf@HIDDEN> <83lg3e9dd6.fsf@HIDDEN>
 <87womxdgdq.fsf@HIDDEN> <83fttlam3b.fsf@HIDDEN>
 <87sgxlrfgg.fsf@HIDDEN> <83bm49aj3q.fsf@HIDDEN>
 <87a7jtd4sx.fsf@HIDDEN> <834la0accs.fsf@HIDDEN>
 <87lg3cfjef.fsf@HIDDEN> <87fttjigx1.fsf@HIDDEN>
 <83fttj8hn5.fsf@HIDDEN>
Date: Wed, 23 Jan 2019 18:22:26 +0100
In-Reply-To: <83fttj8hn5.fsf@HIDDEN> (Eli Zaretskii's message of "Wed, 23 Jan
 2019 18:26:22 +0200")
Message-ID: <877eevi90t.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/27.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Provags-ID: V03:K1:HoT8o3OnkMaANlkjmAxGbizgWy6HHrlFjC4vvDVP2e7hfT84+WR
 wFs4Zpj7A5XyMIyypVzzyUkesWr2G3cLz+9xFen++O+WRtXCiqajLYciaoi8t8mWW4QSYaP
 v9DojYhrAqFtGmcm9KTVL1OE8LH97r3dQvnW99yA1w5Xctu2ZpNUJaIO9fORiF+sqIILX8b
 XtVfe/GwKW1AfWAw85mVQ==
X-Spam-Flag: NO
X-UI-Out-Filterresults: notjunk:1;V03:K0:qOuh/Cg0DNc=:VL76iHOMCEX+vtc+suvF8l
 rc5M7fCM3/imhyanBxRaYdks7pTJul28l/fzJKGHvXZeYUZl/Hah68Ie4a9C2MoLVzIFNzu+D
 7mTAapOqJPlj8/cFtmhaKS6iild5RwpskZbhSKwXXlT2jVxbMg/mPM9zB29VA6LFzmfa/zLuF
 OC2v0ofUMCHKpMv4gZo0qAPBOn3RehWJrkVIiRUdY7Y8iV/wxdBqcN2tanMVGK29QuI0omQYw
 EzcP3F8G5rd3lmkBt7SqdypTIM/bL4sy/caOwvUFhUMafStmr7a4hl7UpYCAu8GIi4L20SHsX
 1eMpPyuuq9Cb1dbrKXbDJY1gZWC+oi6pLycPCVvsGM5t5KLjpptJX9BApwOuNlVqul2Y1QecV
 AlGKOHCjO3wMkneA+R7i0ZByrVzKwHYYMXrIt2G5rS5B6/+vgY7Zq/61sbnBBndEbSo4rz9/K
 6NMf3JJmnvgDsWAmQBU+R+wY4bOv0H4pSLWREIc2vU7eCAigcxJl74nOhTZaDq64SgQ+BbZLp
 I2eJ+S2tczNXelsUqwrcMf9/uIxuQswXpPlaYJvysCG9ocY2qyoY5FL94ebUkUE843JPcryQP
 A8kdq+mOQRsW4Dpf+TCPfP7ALCxwihV3RkrFwotpNdxmu4YEle3Ln9niYY3fgXtMUuiZaZiJr
 NFLijtGYDd8oNS7f6Xs1WX4X6Um5RMTlTZ9lr+E/YXeJ6KBuqfHEnzfiCleW7K3nGx9q640hL
 W6FAZeyHyeJ5Y73f7fzmg6Sd6m308edr7jtkcyFI2V6a1Nr+qQKhYcUYn15cTqu7sxcLTp5Px
 +i+Tjth5ZGc+92Fog9v5UWmRwy7erqAU1ZeHeDaaCU13LpYgIm+ISdHRn8QHaShtz7IQ8MssX
 BUCf2POMGbEguQPg29J0wGP2m8LZ5ejF5reQJ5fXJsZ3xZpkp8vYawMuRN4oSMkE9nLtRBvT3
 FQszJJEzPmw==
X-Spam-Score: 0.3 (/)
X-Debbugs-Envelope-To: 34138
Cc: rudalics@HIDDEN, 34138 <at> debbugs.gnu.org, politza@HIDDEN,
 tsdh@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

On Wed, 23 Jan 2019 18:26:22 +0200 Eli Zaretskii <eliz@HIDDEN> wrote:

>> From: Stephen Berman <stephen.berman@HIDDEN>
>> Cc: politza@HIDDEN,  rudalics@HIDDEN,  34138 <at> debbugs.gnu.org,  tsdh@HIDDEN
>> Date: Wed, 23 Jan 2019 15:31:54 +0100
>> 
>> I found that the following patch to pdf-view-goto-page eliminates the
>> display of raw PDF and the delay of the image display:
>> 
>> *** /home/steve/.emacs.d/elpa/pdf-tools-20181221.1913/pdf-view.el.orig	2019-01-21 15:56:08.033335212 +0100
>> --- /home/steve/.emacs.d/elpa/pdf-tools-20181221.1913/pdf-view.el	2019-01-23 14:54:52.381373638 +0100
>> ***************
>> *** 624,629 ****
>> --- 624,630 ----
>>           (pdf-view-deactivate-region)
>>           (force-mode-line-update)
>>           (run-hooks 'pdf-view-after-change-page-hook))))
>> +   (switch-to-buffer (current-buffer))
>>     nil)
>>   
>>   (defun pdf-view-next-page (&optional n)
>> 
>> I assume this is only a workaround.
>
> It's a workaround, yes.  I believe it works because switching a buffer
> causes a more thorough redisplay of the window showing that buffer,
> and so the fact that overlay changes in it are not noticed no longer
> gets in our way.

Sounds plausible.

Steve Berman




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#34138; Package emacs. Full text available.

Message received at 34138 <at> debbugs.gnu.org:


Received: (at 34138) by debbugs.gnu.org; 23 Jan 2019 17:21:53 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Jan 23 12:21:53 2019
Received: from localhost ([127.0.0.1]:43013 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1gmMDo-0005xC-KX
	for submit <at> debbugs.gnu.org; Wed, 23 Jan 2019 12:21:53 -0500
Received: from mout.gmx.net ([212.227.17.22]:39475)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <stephen.berman@HIDDEN>) id 1gmMDm-0005wy-3Z
 for 34138 <at> debbugs.gnu.org; Wed, 23 Jan 2019 12:21:51 -0500
Received: from rosalinde ([178.1.126.54]) by mail.gmx.com (mrgmx103
 [212.227.17.168]) with ESMTPSA (Nemesis) id 0MOwY7-1gshc23xDT-006LsQ; Wed, 23
 Jan 2019 18:21:42 +0100
From: Stephen Berman <stephen.berman@HIDDEN>
To: Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#34138: 27.0.50; Delayed display of PDF file images
References: <871s58e4gh.fsf@HIDDEN> <87d0orgz0a.fsf@HIDDEN>
 <837eezbazk.fsf@HIDDEN> <878szfgwdu.fsf@HIDDEN>
 <8336pnb9cq.fsf@HIDDEN> <874la3gujy.fsf@HIDDEN>
 <831s57b7ev.fsf@HIDDEN> <87zhrvfdzu.fsf@HIDDEN>
 <83zhrv9qe5.fsf@HIDDEN> <87sgxnf48d.fsf@HIDDEN>
 <83pnsq9f47.fsf@HIDDEN> <871s56dm5q.fsf@HIDDEN>
 <83lg3e9dd6.fsf@HIDDEN> <87womxdgdq.fsf@HIDDEN>
 <83fttlam3b.fsf@HIDDEN> <87sgxlrfgg.fsf@HIDDEN>
 <83bm49aj3q.fsf@HIDDEN> <87a7jtd4sx.fsf@HIDDEN>
 <834la0accs.fsf@HIDDEN> <87lg3cfjef.fsf@HIDDEN>
 <83lg3b8i8a.fsf@HIDDEN>
Date: Wed, 23 Jan 2019 18:21:40 +0100
In-Reply-To: <83lg3b8i8a.fsf@HIDDEN> (Eli Zaretskii's message of "Wed, 23 Jan
 2019 18:13:41 +0200")
Message-ID: <87bm47i923.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/27.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Provags-ID: V03:K1:fqOTErdA2ag/Q1G9ZZgYLgRd4QM91530IgmpOaQzwgPSiJy0l0Q
 O3bopXyUiGwJpJJhyRZvb8rWggEPjrNCEtjI3+uvF3QKxalsvLQ80EyK78Aqjj/OXoPOy4R
 OcN8/HikkDeE+4kuuuDMfcy9lRpqjutkkyGuBrSQKOZgboVCXEKcPHGOC8siNgvP/mgCW4Q
 CFKHjVfmZYpSsC5z7/JpQ==
X-Spam-Flag: NO
X-UI-Out-Filterresults: notjunk:1;V03:K0:GlROm7VmkMo=:5OUwGGarmQ24UQlMR++PTg
 xBLCRALNlBRaAM4/C9qsd20M9/kn/ttC96KI9KgNCfinrNIGG4hBOK2mjnYlgJ9P2Cn1u3l6O
 3Im11eWbSXMIIELQaPtyzdO4yIYeUUuyuGb6IMAdl1N3klNnc3gzOPqaHItqmLSoURrxSR2w+
 KAoyhgSGdnqKtgumkWFYj/TTlEOSxCyJCAjgjPx7r3X4LBWsAptKu53MDkT3QqyTw7WFjzr5r
 BVv/+NPpNoQUJB3jabYB5IdSzIwxOoOboKpuGhynFBUvW1OLlfpZ+RnwYaMBRb/T2sjfbraNl
 GUPMse65RswjTfRzD2mN61zMQguTroWif6Yd3QDfmEFaiglJnA9TZKRMYsDQQrXzyRvgHh17O
 zroF8xtKDfjbxaZUsCEqpCpFMwNhr61OEIeNIEy9KMQNzazGEb22LVHpvCth5cSkR0CUvpYTa
 /YbzB15nX1pqiffP6oZQ9UiMbsfUED8YfHEPAKvpOpy+m6cz2BPV8S/JvuXitzzzdhuE+se0V
 rbCTxOt63tzcCzy1QINKfhcSZ+qxcYy93EQ4zAVmXh1RSdl57trDILA1UyEDPKBUP2XPv5Iz5
 EG6GwFVWH+ogErB5L1I88TF1R0MNqTd5fvZ5seytnIMd908ATPENXDyd635DVGqLtjsUIhuqL
 hKpQr0fIhTu8gmfczZ7/cuZKF5A+GazEo9ANXbCGPQ7t6uGujLcg0QmFub4YNQaOMo1ApYVTM
 /5ldTs9uz/KBtdjwqC3O2MQrtbXrdJyC5WjVXJjZBIM/mu+zKtpPwJOiLnCyu9NilWaLICL2h
 PTyoMOABie0GL12sXFiPV3v48xnfTVSVFkU21nYgPYX4To4J0TWI5GWMYNlZG3Idy0SLugKkp
 2umJcT+/3JH7uthhly9GXHDpK0JXEPAZHgGNdzNy+EsVLOIhn1HorQ6DJPUFeUkU1nVa1WdmG
 M1LVKVYpohw==
X-Spam-Score: 0.3 (/)
X-Debbugs-Envelope-To: 34138
Cc: rudalics@HIDDEN, 34138 <at> debbugs.gnu.org, politza@HIDDEN,
 tsdh@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

On Wed, 23 Jan 2019 18:13:41 +0200 Eli Zaretskii <eliz@HIDDEN> wrote:

>> From: Stephen Berman <stephen.berman@HIDDEN>
>> Cc: politza@HIDDEN, rudalics@HIDDEN, 34138 <at> debbugs.gnu.org,
>> tsdh@HIDDEN
>> Date: Tue, 22 Jan 2019 23:00:01 +0100
>> 
>> > So could you please add the following 2 lines:
>> >
>> >   fprintf (stderr, "run_window_configuration_change_hook: %p\n", f);
>> >   fflush (stderr);
>> >
>> > into the very beginning of run_window_configuration_change_hook (it is
>> > in src/window.c), compile both versions of Emacs, and run the same
>> > scenario again.  Then please show the traces, where the above message
>> > should be visible somewhere among the other trace messages.
>> 
>> Attached.  It's striking that in the emacs-26 trace
>> run_window_configuration_change_hook is called just once, before the PDF
>> (image) is displayed, while in the emacs-master trace it's called once
>> before the (raw) PDF is displayed and again immediately after that, but
>> not again when the display changes to the image.  Does that accord with
>> your theory?
>
> Yes, sort of.  (The first invocation of
> run_window_configuration_change_hook is AFAIU not relevant to the
> issue at hand, it's about a different buffer, called "manual".  Only
> the second call is relevant.

"manual" is the Dired buffer of the directory containing the PDF file.

>                             )
>
> Here's my theory: [...]

Thanks, this sounds plausible.

>> This time with emacs-master about 25 seconds elapsed
>> between the raw PDF appearing in the buffer and the image appearing
>> (again without keyboard intervention).  Immediately after that, the
>> trace stopped for a number of seconds (I didn't time it but I guess
>> 5-10), then it printed:
>>  redisplay_preserve_echo_area (8)
>>  redisplay_internal 0
>
> These two traces are not in the trace you posted, right?  Because the
> Emacs 27 trace ends with this:
>
>> redisplay_preserve_echo_area (9)
>> redisplay_internal 0
>> 0x2a01550 (R-admin.pdf): same window start
>> 0x2a01550 (R-admin.pdf): 1
>
> which I believe is the first redisplay cycle which shows the image.
> Right?

Yes.  The trace I posted ends at that point, but as I wrote above, after
5-10 seconds of no further traces, the above two lines appeared, and
then I killed the buffer.  I mentioned that in case it might be
relevant.  Sorry for the confusion.

>> and then I killed the buffer.  As the emacs-26 trace shows, after the
>> PDF image appeared (which it did without the raw PDF being displayed),
>> the trace rapidly produced another 50 lines of output (included in the
>> attachment) before pausing, after which I killed emacs.
>
> Most of the traces come from the code that invokes timers, so I think
> you have timers running which eventually trigger redisplay, something
> that doesn't happen on Andreas's machine.  That might explain why you
> see the image after a short delay, while Andreas needs to manually
> trigger redisplay for that.

Ah, that seems likely.  I do have several timers running, I'll see if I
can deactivate them and whether that results in no image display.

Steve Berman




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#34138; Package emacs. Full text available.

Message received at 34138 <at> debbugs.gnu.org:


Received: (at 34138) by debbugs.gnu.org; 23 Jan 2019 16:26:51 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Jan 23 11:26:51 2019
Received: from localhost ([127.0.0.1]:42974 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1gmLMY-0004e2-TA
	for submit <at> debbugs.gnu.org; Wed, 23 Jan 2019 11:26:51 -0500
Received: from eggs.gnu.org ([209.51.188.92]:41108)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1gmLMX-0004dp-8F
 for 34138 <at> debbugs.gnu.org; Wed, 23 Jan 2019 11:26:49 -0500
Received: from fencepost.gnu.org ([2001:470:142:3::e]:54080)
 by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <eliz@HIDDEN>)
 id 1gmLML-0006Hp-Bx; Wed, 23 Jan 2019 11:26:39 -0500
Received: from [176.228.60.248] (port=4338 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <eliz@HIDDEN>)
 id 1gmLMD-0004ZI-Fo; Wed, 23 Jan 2019 11:26:31 -0500
Date: Wed, 23 Jan 2019 18:26:22 +0200
Message-Id: <83fttj8hn5.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: Stephen Berman <stephen.berman@HIDDEN>
In-reply-to: <87fttjigx1.fsf@HIDDEN> (message from Stephen Berman on Wed, 23
 Jan 2019 15:31:54 +0100)
Subject: Re: bug#34138: 27.0.50; Delayed display of PDF file images
References: <871s58e4gh.fsf@HIDDEN> <5C4483B7.1060604@HIDDEN>
 <87d0orgz0a.fsf@HIDDEN> <837eezbazk.fsf@HIDDEN>
 <878szfgwdu.fsf@HIDDEN> <8336pnb9cq.fsf@HIDDEN>
 <874la3gujy.fsf@HIDDEN> <831s57b7ev.fsf@HIDDEN>
 <87zhrvfdzu.fsf@HIDDEN> <83zhrv9qe5.fsf@HIDDEN>
 <87sgxnf48d.fsf@HIDDEN> <83pnsq9f47.fsf@HIDDEN>
 <871s56dm5q.fsf@HIDDEN> <83lg3e9dd6.fsf@HIDDEN>
 <87womxdgdq.fsf@HIDDEN> <83fttlam3b.fsf@HIDDEN>
 <87sgxlrfgg.fsf@HIDDEN> <83bm49aj3q.fsf@HIDDEN>
 <87a7jtd4sx.fsf@HIDDEN> <834la0accs.fsf@HIDDEN>
 <87lg3cfjef.fsf@HIDDEN> <87fttjigx1.fsf@HIDDEN>
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 34138
Cc: rudalics@HIDDEN, 34138 <at> debbugs.gnu.org, politza@HIDDEN,
 tsdh@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

> From: Stephen Berman <stephen.berman@HIDDEN>
> Cc: politza@HIDDEN,  rudalics@HIDDEN,  34138 <at> debbugs.gnu.org,  tsdh@HIDDEN
> Date: Wed, 23 Jan 2019 15:31:54 +0100
> 
> I found that the following patch to pdf-view-goto-page eliminates the
> display of raw PDF and the delay of the image display:
> 
> *** /home/steve/.emacs.d/elpa/pdf-tools-20181221.1913/pdf-view.el.orig	2019-01-21 15:56:08.033335212 +0100
> --- /home/steve/.emacs.d/elpa/pdf-tools-20181221.1913/pdf-view.el	2019-01-23 14:54:52.381373638 +0100
> ***************
> *** 624,629 ****
> --- 624,630 ----
>           (pdf-view-deactivate-region)
>           (force-mode-line-update)
>           (run-hooks 'pdf-view-after-change-page-hook))))
> +   (switch-to-buffer (current-buffer))
>     nil)
>   
>   (defun pdf-view-next-page (&optional n)
> 
> I assume this is only a workaround.

It's a workaround, yes.  I believe it works because switching a buffer
causes a more thorough redisplay of the window showing that buffer,
and so the fact that overlay changes in it are not noticed no longer
gets in our way.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#34138; Package emacs. Full text available.

Message received at 34138 <at> debbugs.gnu.org:


Received: (at 34138) by debbugs.gnu.org; 23 Jan 2019 16:14:00 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Jan 23 11:14:00 2019
Received: from localhost ([127.0.0.1]:42960 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1gmLA7-0004Ir-TA
	for submit <at> debbugs.gnu.org; Wed, 23 Jan 2019 11:14:00 -0500
Received: from eggs.gnu.org ([209.51.188.92]:35233)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1gmLA5-0004Ib-4D
 for 34138 <at> debbugs.gnu.org; Wed, 23 Jan 2019 11:13:58 -0500
Received: from fencepost.gnu.org ([2001:470:142:3::e]:53821)
 by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <eliz@HIDDEN>)
 id 1gmL9z-0005PF-3Z; Wed, 23 Jan 2019 11:13:51 -0500
Received: from [176.228.60.248] (port=3532 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <eliz@HIDDEN>)
 id 1gmL9y-0003AD-K9; Wed, 23 Jan 2019 11:13:50 -0500
Date: Wed, 23 Jan 2019 18:13:41 +0200
Message-Id: <83lg3b8i8a.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: Stephen Berman <stephen.berman@HIDDEN>
In-reply-to: <87lg3cfjef.fsf@HIDDEN> (message from Stephen Berman on Tue, 22
 Jan 2019 23:00:01 +0100)
Subject: Re: bug#34138: 27.0.50; Delayed display of PDF file images
References: <871s58e4gh.fsf@HIDDEN> <87h8e3h90z.fsf@HIDDEN>
 <5C4483B7.1060604@HIDDEN> <87d0orgz0a.fsf@HIDDEN>
 <837eezbazk.fsf@HIDDEN> <878szfgwdu.fsf@HIDDEN>
 <8336pnb9cq.fsf@HIDDEN> <874la3gujy.fsf@HIDDEN>
 <831s57b7ev.fsf@HIDDEN> <87zhrvfdzu.fsf@HIDDEN>
 <83zhrv9qe5.fsf@HIDDEN> <87sgxnf48d.fsf@HIDDEN>
 <83pnsq9f47.fsf@HIDDEN> <871s56dm5q.fsf@HIDDEN>
 <83lg3e9dd6.fsf@HIDDEN> <87womxdgdq.fsf@HIDDEN>
 <83fttlam3b.fsf@HIDDEN> <87sgxlrfgg.fsf@HIDDEN>
 <83bm49aj3q.fsf@HIDDEN> <87a7jtd4sx.fsf@HIDDEN>
 <834la0accs.fsf@HIDDEN> <87lg3cfjef.fsf@HIDDEN>
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 34138
Cc: rudalics@HIDDEN, 34138 <at> debbugs.gnu.org, politza@HIDDEN,
 tsdh@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

> From: Stephen Berman <stephen.berman@HIDDEN>
> Cc: politza@HIDDEN,  rudalics@HIDDEN,  34138 <at> debbugs.gnu.org,  tsdh@HIDDEN
> Date: Tue, 22 Jan 2019 23:00:01 +0100
> 
> > So could you please add the following 2 lines:
> >
> >   fprintf (stderr, "run_window_configuration_change_hook: %p\n", f);
> >   fflush (stderr);
> >
> > into the very beginning of run_window_configuration_change_hook (it is
> > in src/window.c), compile both versions of Emacs, and run the same
> > scenario again.  Then please show the traces, where the above message
> > should be visible somewhere among the other trace messages.
> 
> Attached.  It's striking that in the emacs-26 trace
> run_window_configuration_change_hook is called just once, before the PDF
> (image) is displayed, while in the emacs-master trace it's called once
> before the (raw) PDF is displayed and again immediately after that, but
> not again when the display changes to the image.  Does that accord with
> your theory?

Yes, sort of.  (The first invocation of
run_window_configuration_change_hook is AFAIU not relevant to the
issue at hand, it's about a different buffer, called "manual".  Only
the second call is relevant.)

Here's my theory: in Emacs 26, run_window_configuration_change_hook is
called from various functions in window.c, which are called from Lisp,
i.e. by definition _before_ redisplay.  The recent changes installed
by Martin replace all those calls in window.c by simply setting a
flag, which is then tested in run_window_change_functions, which now
calls run_window_configuration_change_hook.  The crucial aspect of
this change is that run_window_change_functions is called at the very
end of a redisplay cycle, after redisplay_internal already finished
examining all the windows, and after the call to update_frame which
delivers the necessary changes to the glass.

Now, image-mode works by changing an overlay.  Changes in overlays are
examined by the display engine, and windows displaying buffers where
overlays have been changed have the corresponding portions redrawn.
Windows that don't have any overlay changes and whose buffer text
didn't change are skipped by redisplay, on the assumption that nothing
has changed in them that requires displaying some of its part anew.
And since run_window_configuration_change_hook is called only _after_
the display engine already examined the windows, it cannot trigger
redisplay of the window where we show the image of the PDF document.
Thus, the image is shown only upon next more or less thorough
redisplay, which redraws the window in question.

Therefore, a question to Martin: why was the call to
run_window_change_functions put at the very end of redisplay_internal?
Is this intentional, and if so, what were the reasons for that?

If there are good reasons for keeping the call where it is now (e.g.,
moving it to beginning of the redisplay cycle will harm some
legitimate use cases), we will have to come with some complementary
measures to avoid breaking image-mode and its ilk.

> This time with emacs-master about 25 seconds elapsed
> between the raw PDF appearing in the buffer and the image appearing
> (again without keyboard intervention).  Immediately after that, the
> trace stopped for a number of seconds (I didn't time it but I guess
> 5-10), then it printed:
>  redisplay_preserve_echo_area (8)
>  redisplay_internal 0

These two traces are not in the trace you posted, right?  Because the
Emacs 27 trace ends with this:

> redisplay_preserve_echo_area (9)
> redisplay_internal 0
> 0x2a01550 (R-admin.pdf): same window start
> 0x2a01550 (R-admin.pdf): 1

which I believe is the first redisplay cycle which shows the image.
Right?

> and then I killed the buffer.  As the emacs-26 trace shows, after the
> PDF image appeared (which it did without the raw PDF being displayed),
> the trace rapidly produced another 50 lines of output (included in the
> attachment) before pausing, after which I killed emacs.

Most of the traces come from the code that invokes timers, so I think
you have timers running which eventually trigger redisplay, something
that doesn't happen on Andreas's machine.  That might explain why you
see the image after a short delay, while Andreas needs to manually
trigger redisplay for that.

Thanks.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#34138; Package emacs. Full text available.

Message received at 34138 <at> debbugs.gnu.org:


Received: (at 34138) by debbugs.gnu.org; 23 Jan 2019 14:32:07 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Jan 23 09:32:06 2019
Received: from localhost ([127.0.0.1]:42162 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1gmJZW-0001WB-FQ
	for submit <at> debbugs.gnu.org; Wed, 23 Jan 2019 09:32:06 -0500
Received: from mout.gmx.net ([212.227.17.22]:54087)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <stephen.berman@HIDDEN>) id 1gmJZU-0001Vf-E2
 for 34138 <at> debbugs.gnu.org; Wed, 23 Jan 2019 09:32:05 -0500
Received: from rosalinde ([178.1.126.54]) by mail.gmx.com (mrgmx103
 [212.227.17.168]) with ESMTPSA (Nemesis) id 0MN1Gu-1goUM83GGG-006cPL; Wed, 23
 Jan 2019 15:31:56 +0100
From: Stephen Berman <stephen.berman@HIDDEN>
To: Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#34138: 27.0.50; Delayed display of PDF file images
References: <871s58e4gh.fsf@HIDDEN> <5C4483B7.1060604@HIDDEN>
 <87d0orgz0a.fsf@HIDDEN> <837eezbazk.fsf@HIDDEN>
 <878szfgwdu.fsf@HIDDEN> <8336pnb9cq.fsf@HIDDEN>
 <874la3gujy.fsf@HIDDEN> <831s57b7ev.fsf@HIDDEN>
 <87zhrvfdzu.fsf@HIDDEN> <83zhrv9qe5.fsf@HIDDEN>
 <87sgxnf48d.fsf@HIDDEN> <83pnsq9f47.fsf@HIDDEN>
 <871s56dm5q.fsf@HIDDEN> <83lg3e9dd6.fsf@HIDDEN>
 <87womxdgdq.fsf@HIDDEN> <83fttlam3b.fsf@HIDDEN>
 <87sgxlrfgg.fsf@HIDDEN> <83bm49aj3q.fsf@HIDDEN>
 <87a7jtd4sx.fsf@HIDDEN> <834la0accs.fsf@HIDDEN>
 <87lg3cfjef.fsf@HIDDEN>
Date: Wed, 23 Jan 2019 15:31:54 +0100
In-Reply-To: <87lg3cfjef.fsf@HIDDEN> (Stephen Berman's message of "Tue, 22
 Jan 2019 22:54:16 +0100")
Message-ID: <87fttjigx1.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/27.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: multipart/mixed; boundary="=-=-="
X-Provags-ID: V03:K1:bgfNxOD6RtpG51/gZB/vPSmOkMXEsV9Xp15DoVg4zNIds5wPkUI
 JArdUGOqJbBr6YQGELtj7B/7bLtQL0GFgOymIGK4IUTakgWFC+RazxAxNkIuU9imVEAqOQr
 hoDHGhxlO6mgFovwcEqoIcaWu7XMtehP01EAsPiMFDlilu2pRN8mQPXuN18XVXWGsAqobbk
 NZJHiX+i2PPPZMWrEfQEQ==
X-Spam-Flag: NO
X-UI-Out-Filterresults: notjunk:1;V03:K0:d5ZtQ5+qO5A=:864lJ582gEJSjjk1xmPj/J
 twvQQ2S7SMUQvdsNG1I0atbwjhAEyOa8tTif17LAt/kr0oPMtCoKzBw+YNY4XydhUOopfcwAI
 NlgTTb1R8MFjHWRwfVxsjrpWEwmN1dMtKJYgIzBXFqU/KDZ9UgGzzMqlt2WOmLIMj6yehe/5w
 51XavtHhnC0I9xCVMSnlbEsWOWM6oc1P0nRJf8PqZgsvxn2cIC7miFfKyVMhJts0yLLqA4pvM
 OHJRs3itogT8MmQyNlrtyYZ/Ark7G5A7nUAIofCJolMoXXU5YxL3+zKQDW5pPEjTENLjmJxFZ
 qL1oOuMj1VmRdAbPYUVA/IEqgl7KQKqTfQ1G4Q7JZMpa3051/hYQZ00bAGieLLi/8lbkLHCcT
 Y83MzSh9rEbTTI9k0jXu1HJDBCZIqGL0C+pOpDP0vN8tK0P7hT8ig1dukjfMDiRCLeq0KaFxf
 uf7+apP7oxSxOBauYb+xdi4gHLMHsRURnar3YH7ox7fqseZv6G6Qb5vhv+Fh2mow0V7k5faUe
 b7TwwBOPYnjdg8k6dOtIb/MAexVUy652/nXcpTj1Fhm/UnvOHoYl3KG4PD8aTNoRzKAg3vT9r
 fCgYd6UY3u5pLFfY+qjedUjL6/qzffRnCz9n+JjBGwW9oM7sW3bNt8/bv2s6cARM0f49yHQ7s
 YwLcyJEfCwYpkVMv3Ljjp5ltKMhSUlH9DmTh1tnE/XiGgtK6HsZCp0AFFVPsxBTKV06q7/IBH
 g+TNSZ8Zvazpq02Znq6wKDsO0zRWMewqS62dTGOR0noftiDfgRQrqxSiZOWfMc+Y6TMujMLY9
 qUnhl58VWSdmuJ64PHGE0aekwR8BP5hS5RxP6/eTMRkuEgFR795iT3eV6TjxP7f/CyQnmYv61
 vRgRJi6B81Uh7Yu0EgVmIJgrwnlsAPqOHOR7vwVjQs7AHARARBGYNPqm/FwEga
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 34138
Cc: rudalics@HIDDEN, 34138 <at> debbugs.gnu.org, politza@HIDDEN,
 tsdh@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

--=-=-=
Content-Type: text/plain

On Tue, 22 Jan 2019 22:54:16 +0100 Stephen Berman <stephen.berman@HIDDEN> wrote:

> On Tue, 22 Jan 2019 18:25:23 +0200 Eli Zaretskii <eliz@HIDDEN> wrote:
>
>> I have a theory, but I need evidence to convince myself that my theory
>> is sound.  I need to see where in the series of traces produced by
>> trace-redisplay we call run_window_configuration_change_hook, in both
>> versions of Emacs.
>>
>> So could you please add the following 2 lines:
>>
>>   fprintf (stderr, "run_window_configuration_change_hook: %p\n", f);
>>   fflush (stderr);
>>
>> into the very beginning of run_window_configuration_change_hook (it is
>> in src/window.c), compile both versions of Emacs, and run the same
>> scenario again.  Then please show the traces, where the above message
>> should be visible somewhere among the other trace messages.
>
> Attached.  It's striking that in the emacs-26 trace
> run_window_configuration_change_hook is called just once, before the PDF
> (image) is displayed, while in the emacs-master trace it's called once
> before the (raw) PDF is displayed and again immediately after that, but
> not again when the display changes to the image.  Does that accord with
> your theory?

I found that the following patch to pdf-view-goto-page eliminates the
display of raw PDF and the delay of the image display:

*** /home/steve/.emacs.d/elpa/pdf-tools-20181221.1913/pdf-view.el.orig	2019-01-21 15:56:08.033335212 +0100
--- /home/steve/.emacs.d/elpa/pdf-tools-20181221.1913/pdf-view.el	2019-01-23 14:54:52.381373638 +0100
***************
*** 624,629 ****
--- 624,630 ----
          (pdf-view-deactivate-region)
          (force-mode-line-update)
          (run-hooks 'pdf-view-after-change-page-hook))))
+   (switch-to-buffer (current-buffer))
    nil)
  
  (defun pdf-view-next-page (&optional n)

I assume this is only a workaround.  I've also attached the redisplay
trace using this patch; it looks almost the same as the trace without
this patch except for lacking the repetition of the PDF buffer display
(which is where the change to the image display occurs without the
patch).

Steve Berman


--=-=-=
Content-Type: application/octet-stream
Content-Disposition: attachment; filename=trace-emacs-master-2
Content-Transfer-Encoding: base64
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--=-=-=--




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#34138; Package emacs. Full text available.

Message received at 34138 <at> debbugs.gnu.org:


Received: (at 34138) by debbugs.gnu.org; 22 Jan 2019 22:00:35 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Jan 22 17:00:35 2019
Received: from localhost ([127.0.0.1]:41680 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1gm45k-0002Sd-FU
	for submit <at> debbugs.gnu.org; Tue, 22 Jan 2019 17:00:35 -0500
Received: from mout.gmx.net ([212.227.15.15]:50281)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <stephen.berman@HIDDEN>) id 1gm45d-0002RN-8m
 for 34138 <at> debbugs.gnu.org; Tue, 22 Jan 2019 17:00:18 -0500
Received: from rosalinde ([178.1.57.196]) by mail.gmx.com (mrgmx003
 [212.227.17.190]) with ESMTPSA (Nemesis) id 0MhAVV-1gYdwT07sX-00MODQ; Tue, 22
 Jan 2019 23:00:04 +0100
From: Stephen Berman <stephen.berman@HIDDEN>
To: Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#34138: 27.0.50; Delayed display of PDF file images
In-Reply-To: <834la0accs.fsf@HIDDEN> (Eli Zaretskii's message of "Tue, 22 Jan
 2019 18:25:23 +0200")
Message-ID: <87lg3cfjef.fsf@HIDDEN>
References: <871s58e4gh.fsf@HIDDEN> <87h8e3h90z.fsf@HIDDEN>
 <5C4483B7.1060604@HIDDEN> <87d0orgz0a.fsf@HIDDEN>
 <837eezbazk.fsf@HIDDEN> <878szfgwdu.fsf@HIDDEN>
 <8336pnb9cq.fsf@HIDDEN> <874la3gujy.fsf@HIDDEN>
 <831s57b7ev.fsf@HIDDEN> <87zhrvfdzu.fsf@HIDDEN>
 <83zhrv9qe5.fsf@HIDDEN> <87sgxnf48d.fsf@HIDDEN>
 <83pnsq9f47.fsf@HIDDEN> <871s56dm5q.fsf@HIDDEN>
 <83lg3e9dd6.fsf@HIDDEN> <87womxdgdq.fsf@HIDDEN>
 <83fttlam3b.fsf@HIDDEN> <87sgxlrfgg.fsf@HIDDEN>
 <83bm49aj3q.fsf@HIDDEN> <87a7jtd4sx.fsf@HIDDEN>
 <834la0accs.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/27.0.50 (gnu/linux)
Date: Tue, 22 Jan 2019 23:00:01 +0100
MIME-Version: 1.0
Content-Type: multipart/mixed; boundary="=-=-="
X-Provags-ID: V03:K1:pMT9xRhg5W+osp5NIlF/UXBTlBPlcfhNSUxZ/H+l6o6AkySTTaM
 Sb2NzqK3OTdsjDAAgdrA8pLHlG5TDyc+wwKUF+O1gCAmYGw7XeJfUHJtg364Fd79NzBSAhq
 A5UDbdIPOu7RnAdhjmaR/xia3qnH5urHmWAD1JJ15G/7m8p+gX2CUt6cZ6F5R6WXCWTuKbr
 XPUwiHmqnXFb80SlNRUog==
X-Spam-Flag: NO
X-UI-Out-Filterresults: notjunk:1;V03:K0:sc/1cgZKXi8=:F/llqno6X++zsdYpLeVrUx
 GHcNV0IuUsQF9bg5pgmihHTyo3KoHQX3SzdxLBeVTpP3MkxvTsJMp0dbAa9PRHf/K7ROKi2Cu
 pQ5g0vXI5ugX4byGCAVNWIIfejP3Wo3ZoZGYNn1kIdfFZrLHgA0hhwdfEQsPgZCp3F+YF2vXb
 368DpVycpy+3KsSLJy2+hSR6wBc9OgAlXoeCocn2kwnISmdcODod8X7T0j8C94BA7YIpJMYMX
 EoG4AyKHsVHbzTiZm/8qWi87Cr0J8YqHXzzQRd+J1b5RRIdQ5ewVm91hg++k0gosVQ452C/mB
 L0cSULb/Ov5MZjMpuUrUG4jrZcPGWXdsmIo1koaXcaqwpF4N7X7U7i9NiaIm4c8PF68gFr54D
 M9IGufV4PGzsf6DlfKueBt8iKTsIiRHZHUwS0qAIa+4qfZ7NdkbpqjczUNG322eRZhcfZ+bC9
 CyKT/8RE9A7Wg1KGfy+pSHEsUFRmfMsc931MmgiClnT8QOv2S3J40phQcGJW6+UkHrsTpSV8M
 fbSYuFoGwTpV9KRvsjRLdAVnxjLsQG15AV/Ef47sEnJsNyuIsxYgY/+nJdqvobkvVcykiJvqV
 TTwWHJSawsPLOuHSgNse1dMENQqWS787rliD2cnEg9pM2RQWNUgK9+2D6axXBgrJeRbA0Zo0G
 0WFi+h3QaL64v28sdl3+Nw0u3z8fAVM05SO05T1iOYcBA61bWvQuPTWneC0hNIdDCTeyPkeDb
 JGEm0MzCP25EIyXGsmRRNFShn6E94/QqjjHGw1bLM365CvrLNGoCmzcndlTWOPZsUYccQsiWJ
 ZABn18aaTrWG7WkJzzFo/z2zbndbRDOa+75W6p6QzQFjvMzwaEs+yIxHZnJW6gCfnOSbtQ/RB
 PcT4EDyn/EXdbHDMTi4hII05iub/Z7g2Af31pXHAT85gdxM3FB9JsvK9aVtK3g
X-Spam-Score: 0.3 (/)
X-Debbugs-Envelope-To: 34138
Cc: rudalics@HIDDEN, 34138 <at> debbugs.gnu.org, politza@HIDDEN,
 tsdh@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

--=-=-=
Content-Type: text/plain
Content-Disposition: inline

On Tue, 22 Jan 2019 18:25:23 +0200 Eli Zaretskii <eliz@HIDDEN> wrote:

>> From: Stephen Berman <stephen.berman@HIDDEN>
>> Cc: Andreas Politz <politza@HIDDEN>, rudalics@HIDDEN,
>> 34138 <at> debbugs.gnu.org, tsdh@HIDDEN
>> Date: Mon, 21 Jan 2019 23:27:58 +0100
>> 
>> I did this and have attached the traces.  Both show the PDF files (I
>> used different ones in each Emacs) being opened early in the trace: in
>> emacs-26 the image was immediately displayed and the trace continued and
>> then paused and I killed emacs; in emacs-master the first trace lines
>> showing the PDF file correspond to the raw PDF being displayed,
>> following by the same kind of trace lines as in emacs-26, but then two
>> lines with the PDF file again, which is when the image display appeared,
>> after which the trace paused and I killed emacs.  As in all my other
>> test runs, here again the image appeared without any keyboard input, but
>> interestingly and surprisingly, this time it took less than 10 seconds,
>> as compared to 30-60 seconds in most of the other runs (which were
>> without tracing).
>
> Thanks.
>
> I have a theory, but I need evidence to convince myself that my theory
> is sound.  I need to see where in the series of traces produced by
> trace-redisplay we call run_window_configuration_change_hook, in both
> versions of Emacs.
>
> So could you please add the following 2 lines:
>
>   fprintf (stderr, "run_window_configuration_change_hook: %p\n", f);
>   fflush (stderr);
>
> into the very beginning of run_window_configuration_change_hook (it is
> in src/window.c), compile both versions of Emacs, and run the same
> scenario again.  Then please show the traces, where the above message
> should be visible somewhere among the other trace messages.

Attached.  It's striking that in the emacs-26 trace
run_window_configuration_change_hook is called just once, before the PDF
(image) is displayed, while in the emacs-master trace it's called once
before the (raw) PDF is displayed and again immediately after that, but
not again when the display changes to the image.  Does that accord with
your theory?

> P.S. Any reason why one trace shows R-lang.pdf, whereas the other
> R-data.pdf?

I made the emacs-26 trace first, and wanted to exclude the possibility
that there could be some trace of the PDF in the machine memory that
could affect the emacs-master trace (no idea if that is possible).  This
time I made the emacs-master trace first and used the same file for the
emacs-26 trace.  This time with emacs-master about 25 seconds elapsed
between the raw PDF appearing in the buffer and the image appearing
(again without keyboard intervention).  Immediately after that, the
trace stopped for a number of seconds (I didn't time it but I guess
5-10), then it printed:
 redisplay_preserve_echo_area (8)
 redisplay_internal 0
and then I killed the buffer.  As the emacs-26 trace shows, after the
PDF image appeared (which it did without the raw PDF being displayed),
the trace rapidly produced another 50 lines of output (included in the
attachment) before pausing, after which I killed emacs.

Steve Berman


--=-=-=
Content-Type: application/octet-stream
Content-Disposition: attachment; filename=trace-emacs-26
Content-Transfer-Encoding: base64
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--=-=-=
Content-Type: application/octet-stream
Content-Disposition: attachment; filename=trace-emacs-master
Content-Transfer-Encoding: base64
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--=-=-=--




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#34138; Package emacs. Full text available.

Message received at 34138 <at> debbugs.gnu.org:


Received: (at 34138) by debbugs.gnu.org; 22 Jan 2019 18:37:08 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Jan 22 13:37:08 2019
Received: from localhost ([127.0.0.1]:41593 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1gm0v6-0001vU-3l
	for submit <at> debbugs.gnu.org; Tue, 22 Jan 2019 13:37:08 -0500
Received: from eggs.gnu.org ([209.51.188.92]:55490)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1gm0v3-0001ut-OY
 for 34138 <at> debbugs.gnu.org; Tue, 22 Jan 2019 13:37:06 -0500
Received: from fencepost.gnu.org ([2001:470:142:3::e]:59311)
 by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <eliz@HIDDEN>)
 id 1gm0ux-0007r0-L6; Tue, 22 Jan 2019 13:36:59 -0500
Received: from [176.228.60.248] (port=3075 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <eliz@HIDDEN>)
 id 1glyrm-0001Kz-In; Tue, 22 Jan 2019 11:25:35 -0500
Date: Tue, 22 Jan 2019 18:25:23 +0200
Message-Id: <834la0accs.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: Stephen Berman <stephen.berman@HIDDEN>
In-reply-to: <87a7jtd4sx.fsf@HIDDEN> (message from Stephen Berman on Mon, 21
 Jan 2019 23:27:58 +0100)
Subject: Re: bug#34138: 27.0.50; Delayed display of PDF file images
References: <871s58e4gh.fsf@HIDDEN> <5C443CB1.3050208@HIDDEN>
 <87h8e3h90z.fsf@HIDDEN> <5C4483B7.1060604@HIDDEN>
 <87d0orgz0a.fsf@HIDDEN> <837eezbazk.fsf@HIDDEN>
 <878szfgwdu.fsf@HIDDEN> <8336pnb9cq.fsf@HIDDEN>
 <874la3gujy.fsf@HIDDEN> <831s57b7ev.fsf@HIDDEN>
 <87zhrvfdzu.fsf@HIDDEN> <83zhrv9qe5.fsf@HIDDEN>
 <87sgxnf48d.fsf@HIDDEN> <83pnsq9f47.fsf@HIDDEN>
 <871s56dm5q.fsf@HIDDEN> <83lg3e9dd6.fsf@HIDDEN>
 <87womxdgdq.fsf@HIDDEN> <83fttlam3b.fsf@HIDDEN>
 <87sgxlrfgg.fsf@HIDDEN> <83bm49aj3q.fsf@HIDDEN>
 <87a7jtd4sx.fsf@HIDDEN>
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 34138
Cc: rudalics@HIDDEN, 34138 <at> debbugs.gnu.org, politza@HIDDEN,
 tsdh@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

> From: Stephen Berman <stephen.berman@HIDDEN>
> Cc: Andreas Politz <politza@HIDDEN>,  rudalics@HIDDEN,  34138 <at> debbugs.gnu.org,  tsdh@HIDDEN
> Date: Mon, 21 Jan 2019 23:27:58 +0100
> 
> I did this and have attached the traces.  Both show the PDF files (I
> used different ones in each Emacs) being opened early in the trace: in
> emacs-26 the image was immediately displayed and the trace continued and
> then paused and I killed emacs; in emacs-master the first trace lines
> showing the PDF file correspond to the raw PDF being displayed,
> following by the same kind of trace lines as in emacs-26, but then two
> lines with the PDF file again, which is when the image display appeared,
> after which the trace paused and I killed emacs.  As in all my other
> test runs, here again the image appeared without any keyboard input, but
> interestingly and surprisingly, this time it took less than 10 seconds,
> as compared to 30-60 seconds in most of the other runs (which were
> without tracing).

Thanks.

I have a theory, but I need evidence to convince myself that my theory
is sound.  I need to see where in the series of traces produced by
trace-redisplay we call run_window_configuration_change_hook, in both
versions of Emacs.

So could you please add the following 2 lines:

  fprintf (stderr, "run_window_configuration_change_hook: %p\n", f);
  fflush (stderr);

into the very beginning of run_window_configuration_change_hook (it is
in src/window.c), compile both versions of Emacs, and run the same
scenario again.  Then please show the traces, where the above message
should be visible somewhere among the other trace messages.

P.S. Any reason why one trace shows R-lang.pdf, whereas the other
R-data.pdf?




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#34138; Package emacs. Full text available.

Message received at 34138 <at> debbugs.gnu.org:


Received: (at 34138) by debbugs.gnu.org; 21 Jan 2019 22:28:11 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Jan 21 17:28:11 2019
Received: from localhost ([127.0.0.1]:40627 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1gli38-0003yV-UC
	for submit <at> debbugs.gnu.org; Mon, 21 Jan 2019 17:28:11 -0500
Received: from mout.gmx.net ([212.227.15.15]:36993)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <stephen.berman@HIDDEN>) id 1gli37-0003yH-50
 for 34138 <at> debbugs.gnu.org; Mon, 21 Jan 2019 17:28:10 -0500
Received: from rosalinde ([178.1.151.238]) by mail.gmx.com (mrgmx003
 [212.227.17.190]) with ESMTPSA (Nemesis) id 0MJSQ7-1gndj01oLr-0035FL; Mon, 21
 Jan 2019 23:28:01 +0100
From: Stephen Berman <stephen.berman@HIDDEN>
To: Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#34138: 27.0.50; Delayed display of PDF file images
References: <871s58e4gh.fsf@HIDDEN> <5C443CB1.3050208@HIDDEN>
 <87h8e3h90z.fsf@HIDDEN> <5C4483B7.1060604@HIDDEN>
 <87d0orgz0a.fsf@HIDDEN> <837eezbazk.fsf@HIDDEN>
 <878szfgwdu.fsf@HIDDEN> <8336pnb9cq.fsf@HIDDEN>
 <874la3gujy.fsf@HIDDEN> <831s57b7ev.fsf@HIDDEN>
 <87zhrvfdzu.fsf@HIDDEN> <83zhrv9qe5.fsf@HIDDEN>
 <87sgxnf48d.fsf@HIDDEN> <83pnsq9f47.fsf@HIDDEN>
 <871s56dm5q.fsf@HIDDEN> <83lg3e9dd6.fsf@HIDDEN>
 <87womxdgdq.fsf@HIDDEN> <83fttlam3b.fsf@HIDDEN>
 <87sgxlrfgg.fsf@HIDDEN> <83bm49aj3q.fsf@HIDDEN>
Date: Mon, 21 Jan 2019 23:27:58 +0100
In-Reply-To: <83bm49aj3q.fsf@HIDDEN> (Eli Zaretskii's message of "Mon, 21 Jan
 2019 21:47:21 +0200")
Message-ID: <87a7jtd4sx.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/27.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: multipart/mixed; boundary="=-=-="
X-Provags-ID: V03:K1:gac+eTXcKecX/xRDnOqEs0yj1agRSXjR1EKhbNN0Z6slBBD0Fsj
 Gr/nEC3vOBHAwf5F6QQ681RM5yopsAErk08Oea5mw9P7cC5jfHjEmLgQVJs/kgmge/wHT7L
 vjQqek5l856PMJcvrKlawqYK4ZPxBpxz3E+5rnIcRNhfADpqDm0JGiR7Ku2hVVzixh5ITfD
 IRmCoE7sVCLp2TWqf0OpQ==
X-Spam-Flag: NO
X-UI-Out-Filterresults: notjunk:1;V03:K0:zFXuW+qxmgg=:WYvSdleabjAypmtKuqv76+
 AnYYEmxk4qgIAn8yqyQvXpIL7JrMHnhgLOG/LAHjlVn7s+b0rGfcS0xGx5SG8Gi9h3qbbSD6d
 i2d7OuutcAYHSSI+VPaisBQlidblFnjmojj2BtiY4pqTLNMUwOuP8TLrq8mApl9m6c/bE4AIe
 vWzQ8bpa7rKgttKwLPaDL6WjC4zMl+SRs/xTJZ/PHTD7MIkeP41cPjmqA4RTebwvb3O9mv5WK
 1ZDawxpIOQAhjFMbFfErPPWR/jRDt+S+m/+jFGSLK94b2IeWT2wLaQG5U4vcQBLohJBjqPVOk
 +Hwdd69tN2Dk6F7tEzJydtrYivqHLSlT71ThSnm0O+nBslgSezb2G/PkUPJPpG35UbkKLFAei
 mdBP3VoO3RSfUObX7pbxc7JPcleoX4/PEpL2DaihFWw2HFPFAGPm+Y0A9eiAzzcdR/a5zRF2f
 GhIZ5kh3lSxnJggp/dQWBDYPGyxA0vId3mfjHvvVisceuTM3zaQfjRsaTbfcgm9AYTNSs6qZJ
 VuesWPSMlyCbe4VuE79xpo0GS03KcBZb57bUMM1kgiW7GaTSS2YpCYfhcwujjr/rA4R5Ah1N0
 UOfHC45xmz26uc1WO4yxwkvAV8aRno5nqSROd+CSQa7FxLn0G/B/RsgoJvnzZPuSh913pxmMu
 Styyu1Yb89Ozb+e+YHvOwzgU5bnuuMc8ASkNijKFWXRbm8K27GMN83JRZg2EDULyKoJva7Jx4
 PcUN5XxTaAVpGy88TZ814Y+JIeo1tKXeW4dN5yspIjsz9z9RMtXMVMqbuPTjDW2RvzdIChb5k
 7tQ/3HvVtojv9d+AuVJX9F+CnfnE9QYlf8JKu9GI44yZTT5tZxclZ0a1llL/UV01GQo4wBRg4
 svJTyRujcBExV6LDJsJgV4gn8QwPtoMiplrzK258SG1wZ6a2KacBhcgbzrWGrr
X-Spam-Score: 1.8 (+)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 Content preview:  On Mon, 21 Jan 2019 21:47:21 +0200 Eli Zaretskii wrote: >>
 From: Andreas Politz >> Cc: Stephen Berman , rudalics@HIDDEN,
 >> 34138 <at> debbugs.gnu.org, 
 tsdh@HIDDEN >> Date: Mon, 21 Jan 2019 20:14:07 +0100 >> >> image-mode uses
 window-configuration-change-ho [...] 
 Content analysis details:   (1.8 points, 10.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 0.0 FREEMAIL_FROM          Sender email is commonly abused enduser mail
 provider (stephen.berman[at]gmx.net)
 -0.0 SPF_PASS               SPF: sender matches SPF record
 1.5 RCVD_IN_SORBS_WEB      RBL: SORBS: sender is an abusable web server
 [178.1.151.238 listed in dnsbl.sorbs.net]
 -0.7 RCVD_IN_DNSWL_LOW      RBL: Sender listed at http://www.dnswl.org/,
 low trust [212.227.15.15 listed in list.dnswl.org]
 1.0 FREEMAIL_REPLY         From and body contain different freemails
X-Debbugs-Envelope-To: 34138
Cc: rudalics@HIDDEN, 34138 <at> debbugs.gnu.org,
 Andreas Politz <politza@HIDDEN>, tsdh@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.2 (/)

--=-=-=
Content-Type: text/plain

On Mon, 21 Jan 2019 21:47:21 +0200 Eli Zaretskii <eliz@HIDDEN> wrote:

>> From: Andreas Politz <politza@HIDDEN>
>> Cc: Stephen Berman <stephen.berman@HIDDEN>, rudalics@HIDDEN,
>> 34138 <at> debbugs.gnu.org, tsdh@HIDDEN
>> Date: Mon, 21 Jan 2019 20:14:07 +0100
>> 
>> image-mode uses window-configuration-change-hook to check whether a new
>> window for the buffer it was activated for was created.  In this case it
>> runs the hook image-mode-new-window-functions.  This is the hook
>> pdf-tools attaches itself to in order to create an overlay with a window
>> property and the image of the current page.
>> 
>> Usually, i.e. in Emacs 26.1, this is sufficient for the image to be
>> visible immediately (or at least immediately after the function has
>> returned and Emacs is idle).  Conversely, in the current master branch,
>> the image is not visible until, as it seems, the next redraw cycle.
>> 
>> Note, that I don't see a delay. Rather nothing seems to happen until I
>> trigger a redisplay, for example via M-x.
>
> So it's indeed a redisplay problem.  Can you build both Emacs 26 and
> Emacs 27 with --enable-checking, then disable blink-cursor-mode and
> global-eldoc-mode, then invoke "M-x trace-redisplay", and show the
> trace displayed on stderr in both versions when you visit a PDF file?
> Please invoke trace-redisplay _before_ you visit the PDF file.  I'm
> especially interested in what happens in Emacs 27 after you visit the
> PDF file, but _before_ you type "M-x" that causes the image to be
> displayed.  IOW, what trace do you see after visiting the PDF file
> during that time that "nothing seems to happen", as compared to what
> happens in Emacs 26.

I did this and have attached the traces.  Both show the PDF files (I
used different ones in each Emacs) being opened early in the trace: in
emacs-26 the image was immediately displayed and the trace continued and
then paused and I killed emacs; in emacs-master the first trace lines
showing the PDF file correspond to the raw PDF being displayed,
following by the same kind of trace lines as in emacs-26, but then two
lines with the PDF file again, which is when the image display appeared,
after which the trace paused and I killed emacs.  As in all my other
test runs, here again the image appeared without any keyboard input, but
interestingly and surprisingly, this time it took less than 10 seconds,
as compared to 30-60 seconds in most of the other runs (which were
without tracing).

Steve Berman


--=-=-=
Content-Type: text/plain
Content-Disposition: attachment
Content-Description: emacs-26 trace-redisplay

steve [ ~/build/emacs-26/src ]$ ./emacs
redisplay_preserve_echo_area (2)
redisplay_internal 0
0x1314c30 (manual): same window start
0x1314c30 (manual): 1
redisplay_internal 0
redisplay_preserve_echo_area (8)
redisplay_internal 0
redisplay_preserve_echo_area (8)
redisplay_internal 0
redisplay_internal 0
0x1314c30 (R-lang.pdf): same window start
0x1314c30 (R-lang.pdf): 1
redisplay_preserve_echo_area (8)
redisplay_internal 0
redisplay_preserve_echo_area (8)
redisplay_internal 0
redisplay_preserve_echo_area (8)
redisplay_internal 0
redisplay_preserve_echo_area (12)
redisplay_internal 0
redisplay_preserve_echo_area (9)
redisplay_internal 0
redisplay_internal 0
redisplay_preserve_echo_area (12)
redisplay_internal 0
redisplay_preserve_echo_area (9)
redisplay_internal 0
redisplay_internal 0
redisplay_preserve_echo_area (12)
redisplay_internal 0
redisplay_preserve_echo_area (9)
redisplay_internal 0
redisplay_internal 0
redisplay_preserve_echo_area (12)
redisplay_internal 0
redisplay_preserve_echo_area (9)
redisplay_internal 0
redisplay_internal 0
redisplay_preserve_echo_area (12)
redisplay_internal 0
redisplay_preserve_echo_area (9)
redisplay_internal 0
redisplay_internal 0
redisplay_preserve_echo_area (12)
redisplay_internal 0
redisplay_preserve_echo_area (9)
redisplay_internal 0
redisplay_internal 0
redisplay_preserve_echo_area (12)
redisplay_internal 0
redisplay_preserve_echo_area (9)
redisplay_internal 0
redisplay_internal 0
redisplay_preserve_echo_area (12)
redisplay_internal 0
redisplay_preserve_echo_area (9)
redisplay_internal 0
redisplay_internal 0
redisplay_preserve_echo_area (12)
redisplay_internal 0
redisplay_preserve_echo_area (9)
redisplay_internal 0
redisplay_internal 0
redisplay_internal 0
redisplay_preserve_echo_area (8)
redisplay_internal 0
steve [ ~/build/emacs-26/src ]$ 

--=-=-=
Content-Type: text/plain
Content-Disposition: attachment
Content-Description: emacs-master trace-redisplay

steve [ ~/build/emacs/src ]$ ./emacs
redisplay_preserve_echo_area (2)
redisplay_internal 0
0x17bcd50 (manual): same window start
0x17bcd50 (manual): 1
redisplay_internal 0
redisplay_internal 0
0x17bcd50 (R-data.pdf): same window start
0x17bcd50 (R-data.pdf): 1
redisplay_preserve_echo_area (8)
redisplay_internal 0
redisplay_preserve_echo_area (8)
redisplay_internal 0
redisplay_preserve_echo_area (12)
redisplay_internal 0
redisplay_preserve_echo_area (9)
redisplay_internal 0
redisplay_internal 0
redisplay_preserve_echo_area (12)
redisplay_internal 0
redisplay_preserve_echo_area (9)
redisplay_internal 0
redisplay_internal 0
redisplay_preserve_echo_area (12)
redisplay_internal 0
redisplay_preserve_echo_area (9)
redisplay_internal 0
redisplay_internal 0
redisplay_preserve_echo_area (12)
redisplay_internal 0
redisplay_preserve_echo_area (9)
redisplay_internal 0
redisplay_internal 0
redisplay_preserve_echo_area (12)
redisplay_internal 0
redisplay_preserve_echo_area (9)
redisplay_internal 0
redisplay_internal 0
redisplay_preserve_echo_area (12)
redisplay_internal 0
redisplay_preserve_echo_area (9)
redisplay_internal 0
redisplay_internal 0
redisplay_preserve_echo_area (12)
redisplay_internal 0
redisplay_preserve_echo_area (9)
redisplay_internal 0
redisplay_internal 0
redisplay_preserve_echo_area (12)
redisplay_internal 0
redisplay_preserve_echo_area (9)
redisplay_internal 0
redisplay_internal 0
redisplay_preserve_echo_area (12)
redisplay_internal 0
redisplay_preserve_echo_area (9)
redisplay_internal 0
redisplay_internal 0
redisplay_preserve_echo_area (8)
redisplay_internal 0
0x17bcd50 (R-data.pdf): same window start
0x17bcd50 (R-data.pdf): 1
redisplay_preserve_echo_area (9)
redisplay_internal 0
redisplay_preserve_echo_area (8)
redisplay_internal 0
redisplay_internal 0
redisplay_preserve_echo_area (8)
redisplay_internal 0
steve [ ~/build/emacs/src ]$ 

--=-=-=--




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#34138; Package emacs. Full text available.

Message received at 34138 <at> debbugs.gnu.org:


Received: (at 34138) by debbugs.gnu.org; 21 Jan 2019 21:29:09 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Jan 21 16:29:09 2019
Received: from localhost ([127.0.0.1]:40589 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1glh81-0002b7-Ay
	for submit <at> debbugs.gnu.org; Mon, 21 Jan 2019 16:29:09 -0500
Received: from gateway-a.fh-trier.de ([143.93.54.181]:41702)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <politza@HIDDEN>) id 1glh7y-0002ay-SV
 for 34138 <at> debbugs.gnu.org; Mon, 21 Jan 2019 16:29:08 -0500
X-Virus-Scanned: by Amavisd-new + Sophos + ClamAV [Rechenzentrum Hochschule
 Trier (RZ/HT)]
Received: from localhost (x4d0c7f4d.dyn.telefonica.de [77.12.127.77])
 (using TLSv1 with cipher AES256-SHA (256/256 bits))
 (No client certificate requested) (Authenticated sender: politza)
 by gateway-a.fh-trier.de (Postfix) with ESMTPSA id 16FCE17FA057;
 Mon, 21 Jan 2019 22:28:58 +0100 (CET)
DKIM-Signature: v=1; a=rsa-sha1; c=simple/simple; d=hochschule-trier.de;
 s=default; t=1548106138; bh=yT6yitr0FpmIH3enlNw8slOTzEY=;
 h=From:To:Cc:Subject:References:Date:In-Reply-To:Message-ID:
 MIME-Version:Content-Type;
 b=TxpnRKB3RmsMwHyIR7hlPZA0cQvAb1+Rx8j1AYlZKFvWTgByPxde17pH4dbG9MF0C
 kW8m14KwJFs4+lho0Bdf672zQUrJGb23Q5Epm2Q/GCkaBGGwR4pcUQc4i80IVbG6Nr
 H2Lyeb1+6/TM6E9o/Gl8zyQh/YXM84x3icKxbqkw=
From: Andreas Politz <politza@HIDDEN>
To: Stephen Berman <stephen.berman@HIDDEN>
Subject: Re: bug#34138: 27.0.50; Delayed display of PDF file images
References: <871s58e4gh.fsf@HIDDEN> <87h8e3h90z.fsf@HIDDEN>
 <5C4483B7.1060604@HIDDEN> <87d0orgz0a.fsf@HIDDEN>
 <837eezbazk.fsf@HIDDEN> <878szfgwdu.fsf@HIDDEN>
 <8336pnb9cq.fsf@HIDDEN> <874la3gujy.fsf@HIDDEN>
 <831s57b7ev.fsf@HIDDEN> <87zhrvfdzu.fsf@HIDDEN>
 <83zhrv9qe5.fsf@HIDDEN> <87sgxnf48d.fsf@HIDDEN>
 <83pnsq9f47.fsf@HIDDEN> <871s56dm5q.fsf@HIDDEN>
 <83lg3e9dd6.fsf@HIDDEN> <87womxdgdq.fsf@HIDDEN>
 <83fttlam3b.fsf@HIDDEN> <87sgxlrfgg.fsf@HIDDEN>
 <87k1ixda3u.fsf@HIDDEN> <838szdagut.fsf@HIDDEN>
 <87ef95d9ng.fsf@HIDDEN>
Date: Mon, 21 Jan 2019 22:28:57 +0100
In-Reply-To: <87ef95d9ng.fsf@HIDDEN> (Stephen Berman's message of "Mon, 21
 Jan 2019 21:43:15 +0100")
Message-ID: <87h8e1r97q.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/26.1 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 34138
Cc: rudalics@HIDDEN, Eli Zaretskii <eliz@HIDDEN>, 34138 <at> debbugs.gnu.org,
 tsdh@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

Stephen Berman <stephen.berman@HIDDEN> writes:

> On Mon, 21 Jan 2019 22:35:54 +0200 Eli Zaretskii <eliz@HIDDEN> wrote:
>> That could be due to an unrelated event that happens only on your
>> system.  Like some X event or D-Bus or whatever.
>
> Ah, interesting.  Is there any way for me to verify that?

Emacs is clearly idle when this happens, so it must be some event.
Anyway, I waited 5 min and nothing happens.

Andreas




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#34138; Package emacs. Full text available.

Message received at 34138 <at> debbugs.gnu.org:


Received: (at 34138) by debbugs.gnu.org; 21 Jan 2019 20:43:26 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Jan 21 15:43:26 2019
Received: from localhost ([127.0.0.1]:40560 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1glgPl-0001Vj-MK
	for submit <at> debbugs.gnu.org; Mon, 21 Jan 2019 15:43:25 -0500
Received: from mout.gmx.net ([212.227.17.22]:44747)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <stephen.berman@HIDDEN>) id 1glgPk-0001VX-GK
 for 34138 <at> debbugs.gnu.org; Mon, 21 Jan 2019 15:43:25 -0500
Received: from rosalinde ([178.1.151.238]) by mail.gmx.com (mrgmx102
 [212.227.17.168]) with ESMTPSA (Nemesis) id 0Lp8h6-1hOKYK2Cd2-00ewhv; Mon, 21
 Jan 2019 21:43:16 +0100
From: Stephen Berman <stephen.berman@HIDDEN>
To: Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#34138: 27.0.50; Delayed display of PDF file images
References: <871s58e4gh.fsf@HIDDEN> <5C443CB1.3050208@HIDDEN>
 <87h8e3h90z.fsf@HIDDEN> <5C4483B7.1060604@HIDDEN>
 <87d0orgz0a.fsf@HIDDEN> <837eezbazk.fsf@HIDDEN>
 <878szfgwdu.fsf@HIDDEN> <8336pnb9cq.fsf@HIDDEN>
 <874la3gujy.fsf@HIDDEN> <831s57b7ev.fsf@HIDDEN>
 <87zhrvfdzu.fsf@HIDDEN> <83zhrv9qe5.fsf@HIDDEN>
 <87sgxnf48d.fsf@HIDDEN> <83pnsq9f47.fsf@HIDDEN>
 <871s56dm5q.fsf@HIDDEN> <83lg3e9dd6.fsf@HIDDEN>
 <87womxdgdq.fsf@HIDDEN> <83fttlam3b.fsf@HIDDEN>
 <87sgxlrfgg.fsf@HIDDEN> <87k1ixda3u.fsf@HIDDEN>
 <838szdagut.fsf@HIDDEN>
Date: Mon, 21 Jan 2019 21:43:15 +0100
In-Reply-To: <838szdagut.fsf@HIDDEN> (Eli Zaretskii's message of "Mon, 21 Jan
 2019 22:35:54 +0200")
Message-ID: <87ef95d9ng.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/27.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Provags-ID: V03:K1:j743ZxcWaWdyoW3BD9VC4GCeTAmi8xqT7xaNfKolQuQnTfGpL5p
 yiiJ8WLJDADU1+kT6a8UpHhn/0kps3oUHHIyMAM0MEb5JNax8jTehc004dXrFrsOjvnlGj3
 NJPFiIJ/7dFeerIMbInzuQTj2+yqgAfrDd5+nMw+Ptvx2gRgCjDybwBie4PJINNOJSowI1n
 Sswiga4Xe7y7Q94er0jXA==
X-Spam-Flag: NO
X-UI-Out-Filterresults: notjunk:1;V03:K0:QCMnPfxQRFw=:QlzvP52t0flXcg2XNqBoAz
 GOEXg2IYa+W6tctjSh1qGo68o0UETTT1FAS/AQr9gDoOh7SeGE+8TVNjr2lxwSVva/LqbZ8De
 LL+UYYeay6qPmo5jKkP2QEMm3hdWFnPf1xlYH4+1LmuoVMOb1DSq1gGMyftrY9B33vSmKLgDh
 zByu31QwYXqT8WNqYFlbg1mxvGIPuj2HtsYyBO5fS1h1avEbkuI54YygbPtRVdMWM0vlFxM2/
 E3ZZ5SDnfgWzrkDV1ST6w6VlQGaCpRL2bNUs4jUsJBgm6M/YUOqiFjWz848sdzBogalqhuCnY
 lpn2iPv035bd6oP+zk81qAPmcqYAkTLzS6+ccllHjNma0X4ZkWhX4Bao7ERNlUzblQTMFdRlY
 jsr7ewAP4cpjd12ysYj7u4xsfZ2NZ8sbjJeEtfOP3l1LAJPqgXrTgC05h7ogUrKMBSvTtua+w
 Utgqifwuug44iWY0WMuMAZ5BnGXDS2kIStsMMPwqKVVdiNjpFe6AnE1Gmg1yLFQRA9a2kY1P9
 P5U138bqSOH0mbk1kYNdICXc8aIXqh94dpkluZ7nPcz8sa+ZgYbedBIbQ6iiTBc06Dmb/m3CF
 Fg0WhfrcaWSGRdTuxk7ZPC13kwN1pdyqt1CdHOGEaVyGmNUp+F1LK9LQPw4ckY4dtCGCIBrlE
 44PNkycPU2GfzSynqe1wNF6PNU4zSn559jalcmWGK85cRyIyuTffcRmPDzXw5HDSwyrTmNvXs
 uG+Cl/W3oQjwFgZAmYEiDerbRj8K3uEkcQL+aQjGEII6r+Uw9c45wkk+xNTVd7yzCcbHja00x
 FO71ILNBrbNqGjN0AMMAQI4ez3I4hgG9zaimvd81aMwC9/U5LmUH5RqHFcjfldLJn3jw34/hp
 gQ8b4NSngnD6t2Nu1H1J1O13SgEoJQFsTkiFicRigulfFGtmOjwIrtMggBgAoijoZSYLN+gxr
 Iz58eTGgB3A==
X-Spam-Score: 1.8 (+)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 Content preview:  On Mon, 21 Jan 2019 22:35:54 +0200 Eli Zaretskii wrote: >>
 From: Stephen Berman >> Cc: Eli Zaretskii , rudalics@HIDDEN,
 34138 <at> debbugs.gnu.org, 
 >> tsdh@HIDDEN >> Date: Mon, 21 Jan 2019 21:33:25 +0100 >> >> > Note, that
 I don't see a delay. Rather nothin [...] 
 Content analysis details:   (1.8 points, 10.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 1.5 RCVD_IN_SORBS_WEB      RBL: SORBS: sender is an abusable web server
 [178.1.151.238 listed in dnsbl.sorbs.net]
 0.0 FREEMAIL_FROM          Sender email is commonly abused enduser mail
 provider (stephen.berman[at]gmx.net)
 -0.0 SPF_PASS               SPF: sender matches SPF record
 -0.7 RCVD_IN_DNSWL_LOW      RBL: Sender listed at http://www.dnswl.org/,
 low trust [212.227.17.22 listed in list.dnswl.org]
 -0.0 RCVD_IN_MSPIKE_H2      RBL: Average reputation (+2)
 [212.227.17.22 listed in wl.mailspike.net]
 1.0 FREEMAIL_REPLY         From and body contain different freemails
X-Debbugs-Envelope-To: 34138
Cc: rudalics@HIDDEN, 34138 <at> debbugs.gnu.org, politza@HIDDEN,
 tsdh@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.2 (/)

On Mon, 21 Jan 2019 22:35:54 +0200 Eli Zaretskii <eliz@HIDDEN> wrote:

>> From: Stephen Berman <stephen.berman@HIDDEN>
>> Cc: Eli Zaretskii <eliz@HIDDEN>, rudalics@HIDDEN, 34138 <at> debbugs.gnu.org,
>> tsdh@HIDDEN
>> Date: Mon, 21 Jan 2019 21:33:25 +0100
>> 
>> > Note, that I don't see a delay. Rather nothing seems to happen until I
>> > trigger a redisplay, for example via M-x.
>> 
>> How long do you wait?  On my machine, which is slow, it seems to take at
>> least 30-45 seconds or even longer, depending on the size of the file,
>> but eventually the image does appear without keyboard input.
>
> That could be due to an unrelated event that happens only on your
> system.  Like some X event or D-Bus or whatever.

Ah, interesting.  Is there any way for me to verify that?

Steve Berman




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#34138; Package emacs. Full text available.

Message received at 34138 <at> debbugs.gnu.org:


Received: (at 34138) by debbugs.gnu.org; 21 Jan 2019 20:36:16 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Jan 21 15:36:16 2019
Received: from localhost ([127.0.0.1]:40556 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1glgIp-0001LJ-PW
	for submit <at> debbugs.gnu.org; Mon, 21 Jan 2019 15:36:16 -0500
Received: from eggs.gnu.org ([209.51.188.92]:49773)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1glgIo-0001L3-6f
 for 34138 <at> debbugs.gnu.org; Mon, 21 Jan 2019 15:36:14 -0500
Received: from fencepost.gnu.org ([2001:470:142:3::e]:44510)
 by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <eliz@HIDDEN>)
 id 1glgIi-0001qW-0S; Mon, 21 Jan 2019 15:36:08 -0500
Received: from [176.228.60.248] (port=1620 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <eliz@HIDDEN>)
 id 1glgIh-0001Yn-IN; Mon, 21 Jan 2019 15:36:07 -0500
Date: Mon, 21 Jan 2019 22:35:54 +0200
Message-Id: <838szdagut.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: Stephen Berman <stephen.berman@HIDDEN>
In-reply-to: <87k1ixda3u.fsf@HIDDEN> (message from Stephen Berman on Mon, 21
 Jan 2019 21:33:25 +0100)
Subject: Re: bug#34138: 27.0.50; Delayed display of PDF file images
References: <871s58e4gh.fsf@HIDDEN> <5C443CB1.3050208@HIDDEN>
 <87h8e3h90z.fsf@HIDDEN> <5C4483B7.1060604@HIDDEN>
 <87d0orgz0a.fsf@HIDDEN> <837eezbazk.fsf@HIDDEN>
 <878szfgwdu.fsf@HIDDEN> <8336pnb9cq.fsf@HIDDEN>
 <874la3gujy.fsf@HIDDEN> <831s57b7ev.fsf@HIDDEN>
 <87zhrvfdzu.fsf@HIDDEN> <83zhrv9qe5.fsf@HIDDEN>
 <87sgxnf48d.fsf@HIDDEN> <83pnsq9f47.fsf@HIDDEN>
 <871s56dm5q.fsf@HIDDEN> <83lg3e9dd6.fsf@HIDDEN>
 <87womxdgdq.fsf@HIDDEN> <83fttlam3b.fsf@HIDDEN>
 <87sgxlrfgg.fsf@HIDDEN> <87k1ixda3u.fsf@HIDDEN>
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 34138
Cc: rudalics@HIDDEN, 34138 <at> debbugs.gnu.org, politza@HIDDEN,
 tsdh@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

> From: Stephen Berman <stephen.berman@HIDDEN>
> Cc: Eli Zaretskii <eliz@HIDDEN>,  rudalics@HIDDEN,  34138 <at> debbugs.gnu.org,  tsdh@HIDDEN
> Date: Mon, 21 Jan 2019 21:33:25 +0100
> 
> > Note, that I don't see a delay. Rather nothing seems to happen until I
> > trigger a redisplay, for example via M-x.
> 
> How long do you wait?  On my machine, which is slow, it seems to take at
> least 30-45 seconds or even longer, depending on the size of the file,
> but eventually the image does appear without keyboard input.

That could be due to an unrelated event that happens only on your
system.  Like some X event or D-Bus or whatever.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#34138; Package emacs. Full text available.

Message received at 34138 <at> debbugs.gnu.org:


Received: (at 34138) by debbugs.gnu.org; 21 Jan 2019 20:33:48 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Jan 21 15:33:48 2019
Received: from localhost ([127.0.0.1]:40551 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1glgGS-0001Gx-Ag
	for submit <at> debbugs.gnu.org; Mon, 21 Jan 2019 15:33:48 -0500
Received: from mout.gmx.net ([212.227.17.20]:47329)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <stephen.berman@HIDDEN>) id 1glgGQ-0001Gg-3P
 for 34138 <at> debbugs.gnu.org; Mon, 21 Jan 2019 15:33:47 -0500
Received: from rosalinde ([178.1.151.238]) by mail.gmx.com (mrgmx103
 [212.227.17.168]) with ESMTPSA (Nemesis) id 0M2L60-1h2NhW0ljY-00s71W; Mon, 21
 Jan 2019 21:33:38 +0100
From: Stephen Berman <stephen.berman@HIDDEN>
To: Andreas Politz <politza@HIDDEN>
Subject: Re: bug#34138: 27.0.50; Delayed display of PDF file images
References: <871s58e4gh.fsf@HIDDEN> <5C443CB1.3050208@HIDDEN>
 <87h8e3h90z.fsf@HIDDEN> <5C4483B7.1060604@HIDDEN>
 <87d0orgz0a.fsf@HIDDEN> <837eezbazk.fsf@HIDDEN>
 <878szfgwdu.fsf@HIDDEN> <8336pnb9cq.fsf@HIDDEN>
 <874la3gujy.fsf@HIDDEN> <831s57b7ev.fsf@HIDDEN>
 <87zhrvfdzu.fsf@HIDDEN> <83zhrv9qe5.fsf@HIDDEN>
 <87sgxnf48d.fsf@HIDDEN> <83pnsq9f47.fsf@HIDDEN>
 <871s56dm5q.fsf@HIDDEN> <83lg3e9dd6.fsf@HIDDEN>
 <87womxdgdq.fsf@HIDDEN> <5C4613DB.1050702@HIDDEN>
 <87lg3drf89.fsf@HIDDEN>
Date: Mon, 21 Jan 2019 21:33:37 +0100
In-Reply-To: <87lg3drf89.fsf@HIDDEN> (Andreas Politz's message of
 "Mon, 21 Jan 2019 20:19:02 +0100")
Message-ID: <87imyhda3i.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/27.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Provags-ID: V03:K1:2pjCduDDO1Q9+8LPXTmg8HlP6i6Nfy+/5jUOYB9Ybol1IAMQjSK
 ZIH9G2A3H3s+aSmTXcu+GgreNju+ipt9XhkbZdb75SAua2FuykTEV3FVtiSbxjI7VGcmoAy
 Hb0HEszGzJMsOZWbRIytH6f1BpwQcHH2qx9N+l9dbtIVeduVWXFVC+8FyuietpdP6aliLHQ
 axRMjOZRux0rb68zD9nqg==
X-Spam-Flag: NO
X-UI-Out-Filterresults: notjunk:1;V03:K0:nTWE9iNHsRg=:EZ/7m9VxCdsQ6B8pQozUTO
 oyZ/TXxveNjNodyxPfvGPHc4LhK1vMgc5PG3Z30581y3Xakr6oJqYoQGQHpaD9cQeQwPvT7Cw
 g6Tx5vPx8tp6FjdCgbCFDCt1hkNy1WtH1uhag403bz1xxaN3j8DITwHD83t+G6PM05tXnVMiK
 itE/vf1uvm/He8jClHDpLGmUS/pKk7dyb+EeqfIkzb10hXBs/u5XSFKXHlXDXJpPl7RbRW6Ob
 f0KSkLXIYhGMFkFgSxEUHvBG9kN2M0ngVgByLyQK9df6qdsboX0sCKX2q0f3Hc71d3JSiX5Dw
 33kFS59HEJlAM8djwsdf4a+NO49pqsljouuhVFBjXNg9xCxwD/Jf0FlNNG01IMtZjigaDMsf/
 dQjM52LwuW0LidoQDgSFqFi2UepwnCNBRyKx/rm9rghvi5ugz0HLtDqJ0H5eVoS3jFsU+1a84
 1DybJ+dYLLtQJSPcLW+E8sqFXxvUOXBM9mG/vcBP/TRMWzNAXFxGxuiDrblZf0FUBJAHprSDm
 pavYnadelVfCooQUp/u+kHncMwEkKqrukwoxb7lB85fZNG0ZYPNAfZhsYEhne9foNw1iqQVsu
 Lw1BgaLbTsBklfSFgtMEU1pwF6Pt+nvLwuvn56Qj81n/QOJrtdzpGRn2znKxr0BLNIRz5iFC/
 V5si1PyMYGu6oS5JuyNGyE53qYXbHj7Z4mNK5/ED86sFQiEXi2t2j+hkeuuinnX6xiqyLPyY3
 xFTMWDWxV3ywwi/r7NjkH0Lxli1P/SaGgleVVJa0jqE+HSHPFopbekrrI4uerIcWACPaCChr5
 mIRsV4HV9G1655b8ZWG/mXOf+unZceEhnTG3co0K+QjqjQmcgQJQQGUAl2xeHwv18pNiGLx+i
 2IpCPn8jxTgG4ONPvW6wuwSi5e/bNrvpEibgOnIMT7nKfnwf5UCgIQNAifTGlMPClfbPnXjEm
 IS7qPQ/uaTQ==
X-Spam-Score: 0.8 (/)
X-Debbugs-Envelope-To: 34138
Cc: martin rudalics <rudalics@HIDDEN>, Eli Zaretskii <eliz@HIDDEN>,
 34138 <at> debbugs.gnu.org, tsdh@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.2 (/)

On Mon, 21 Jan 2019 20:19:02 +0100 Andreas Politz <politza@HIDDEN> wrote:

> martin rudalics <rudalics@HIDDEN> writes:
>
>>> pdf-view-maybe-redisplay-resized-windows, which is added to
>>> window-configuration-change-hook in pdf-view-mode.
>>
>> What happens when you remove
>>
>>               (> (minibuffer-depth) 0)
>>
>> from the first conjunction in
>> 'pdf-view-maybe-redisplay-resized-windows'?
>
> I commented the addition of this function the
> window-configuration-change-hook out. It does not change the behavior
> (image displayed in 26.1, no image in HEAD).

FTR I confirm pdf-view-maybe-redisplay-resized-windows plays no role; as
I clarified in another followup, the image appears before any code in
this function is executed.

Steve Berman




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#34138; Package emacs. Full text available.

Message received at 34138 <at> debbugs.gnu.org:


Received: (at 34138) by debbugs.gnu.org; 21 Jan 2019 20:33:38 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Jan 21 15:33:38 2019
Received: from localhost ([127.0.0.1]:40548 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1glgGG-0001GV-Q0
	for submit <at> debbugs.gnu.org; Mon, 21 Jan 2019 15:33:38 -0500
Received: from mout.gmx.net ([212.227.17.21]:39251)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <stephen.berman@HIDDEN>) id 1glgGF-0001GE-Ce
 for 34138 <at> debbugs.gnu.org; Mon, 21 Jan 2019 15:33:35 -0500
Received: from rosalinde ([178.1.151.238]) by mail.gmx.com (mrgmx102
 [212.227.17.168]) with ESMTPSA (Nemesis) id 0MBIAz-1gtcM90QeD-00AGpe; Mon, 21
 Jan 2019 21:33:28 +0100
From: Stephen Berman <stephen.berman@HIDDEN>
To: Andreas Politz <politza@HIDDEN>
Subject: Re: bug#34138: 27.0.50; Delayed display of PDF file images
References: <871s58e4gh.fsf@HIDDEN> <5C443CB1.3050208@HIDDEN>
 <87h8e3h90z.fsf@HIDDEN> <5C4483B7.1060604@HIDDEN>
 <87d0orgz0a.fsf@HIDDEN> <837eezbazk.fsf@HIDDEN>
 <878szfgwdu.fsf@HIDDEN> <8336pnb9cq.fsf@HIDDEN>
 <874la3gujy.fsf@HIDDEN> <831s57b7ev.fsf@HIDDEN>
 <87zhrvfdzu.fsf@HIDDEN> <83zhrv9qe5.fsf@HIDDEN>
 <87sgxnf48d.fsf@HIDDEN> <83pnsq9f47.fsf@HIDDEN>
 <871s56dm5q.fsf@HIDDEN> <83lg3e9dd6.fsf@HIDDEN>
 <87womxdgdq.fsf@HIDDEN> <83fttlam3b.fsf@HIDDEN>
 <87sgxlrfgg.fsf@HIDDEN>
Date: Mon, 21 Jan 2019 21:33:25 +0100
In-Reply-To: <87sgxlrfgg.fsf@HIDDEN> (Andreas Politz's message of
 "Mon, 21 Jan 2019 20:14:07 +0100")
Message-ID: <87k1ixda3u.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/27.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Provags-ID: V03:K1:wIzdZECqrcreDM4JQeHyjpSjSY2k7ZhByfoAKN6etL2ppxn5dkd
 sS9VpNHny3nzQOqZP7Lou2RSfinQDvqUzp6RYXz7O7kcjqFtWaQ7zDB36pRHgNxKB/nIaH9
 qOYTU88e0JAJ+W+/mIka3qPYHoYYG6EocP5Dc378MCI3cgCdpKDpf9SasIBLkMkEK2FZWLL
 GcT0OfKhCQh8q1VsSzoNA==
X-Spam-Flag: NO
X-UI-Out-Filterresults: notjunk:1;V03:K0:sRdbnn6+j0c=:7cWuGKU7pGPJG5+xb0FfKY
 01xlE5JGM9iBWOEzi+cuPtmEtQJKa9LxVRSw8SseEmHBJ7sBrf0EHOFH21r9+8Q8oC9ZcL92T
 i8FweL7HZTehNqrfCTRYiUfW+/1zvQgHOWwjkWWO6Ksgny2v/rdbrxxQsvy87vXivraS04XEd
 XRXlq7Y/2ZpBM7xgWtN7SrOyUADna/CcAXPsI15Ti+aBL0RpJhY+ZB4pkq/SA/wRHk9U7yRDc
 GuLcT1AKU7iOLlrC2uQpiu2zhz5LfRUBiU5dwvZtIqC2UdPWN4WdEqlJvGSthlkpmp4QQM2yZ
 Ufid4TnsQ4cXddmwflQAh+NyNdCxJrGrqR8ymyhqClucsuFvYOUHdOJQ/2Xsp+bEh3u0dbxk3
 gbD18LH4nAcxS7Ua2dlmb6Be9LlvbfN3l7C8xUBTmy5nrG6w3DDqpVNpit6yt4wIaBFpFkSO0
 ZklaqQjiXmZbrqez0GHHs0iT3KcumxklXm8fnKKjxsEQREp7+pXoLQMitrrOayl9E+iEWP1Cs
 EyMPVHg3MtzkAgsBaZXOJVmgCw9L+L8whwn4u59uqowngLMLcYPQ9i0sP9swt6zYSwMHjSRVT
 07JsffSY2WfXP8Fc/yo/qhbj+Op9kyAferhR2xv+iEQBtSJtgchWqXDMwoGetq5UVPL6L427P
 60kDm0Si6Tcln9r2sX0jHzvHxbPPt81Arf/nYTc2k/8NajgDuofJqjFKouZuwZuk9talpnLa0
 B7o+yzERtd3wBTbAJwFoRzkf8nx1A8vAh02Ok0d4HbWPxiQMrqdxeOpOuLGkx6h7GzgotCtNs
 mN9uhf2i2559UHKGS/kjc86gkPSp2mD6iwaC66tM+pmPJzZIxiNdgxvvU93tSUIQN8KYtOh6q
 0a+pFeUePPdY7ioYFLSi73J+/ESjw4SggYYQJkfJiNpjfjcfOH8eHUeWXa9w9nn78V6KRm1ui
 NihDBUlPKNA==
X-Spam-Score: 0.8 (/)
X-Debbugs-Envelope-To: 34138
Cc: rudalics@HIDDEN, Eli Zaretskii <eliz@HIDDEN>, 34138 <at> debbugs.gnu.org,
 tsdh@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.2 (/)

On Mon, 21 Jan 2019 20:14:07 +0100 Andreas Politz <politza@HIDDEN> wrote:

> Eli Zaretskii <eliz@HIDDEN> writes:
>
>> In any case, is it certain that once
>> pdf-view-maybe-redisplay-resized-windows starts running, the image is
>> displayed immediately without delays?
>
> I don't think that pdf-view-maybe-redisplay-resized-windows is related
> to this problem.  It does basically nothing on the first call, except
> store the window's size, i.e. no redisplay.

Yes.  What I wrote was perhaps unclear, I meant that the image is
displayed on entering pdf-view-maybe-redisplay-resized-windows but
before any of its code is run.  Just before the image appeared, the
execution was in pdf-view-redisplay, the last line of which is
(force-mode-line-update).  Then the image appears and execution enters
pdf-view-maybe-redisplay-resized-windows.

[...]
> Note, that I don't see a delay. Rather nothing seems to happen until I
> trigger a redisplay, for example via M-x.

How long do you wait?  On my machine, which is slow, it seems to take at
least 30-45 seconds or even longer, depending on the size of the file,
but eventually the image does appear without keyboard input.

Steve Berman




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#34138; Package emacs. Full text available.

Message received at 34138 <at> debbugs.gnu.org:


Received: (at 34138) by debbugs.gnu.org; 21 Jan 2019 19:47:44 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Jan 21 14:47:44 2019
Received: from localhost ([127.0.0.1]:40507 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1glfXs-00005f-0u
	for submit <at> debbugs.gnu.org; Mon, 21 Jan 2019 14:47:44 -0500
Received: from eggs.gnu.org ([209.51.188.92]:39423)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1glfXq-00005S-KO
 for 34138 <at> debbugs.gnu.org; Mon, 21 Jan 2019 14:47:43 -0500
Received: from fencepost.gnu.org ([2001:470:142:3::e]:43644)
 by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <eliz@HIDDEN>)
 id 1glfXk-0008WN-TR; Mon, 21 Jan 2019 14:47:36 -0500
Received: from [176.228.60.248] (port=2623 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <eliz@HIDDEN>)
 id 1glfXj-0006Nu-SN; Mon, 21 Jan 2019 14:47:36 -0500
Date: Mon, 21 Jan 2019 21:47:21 +0200
Message-Id: <83bm49aj3q.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: Andreas Politz <politza@HIDDEN>
In-reply-to: <87sgxlrfgg.fsf@HIDDEN> (message from Andreas Politz
 on Mon, 21 Jan 2019 20:14:07 +0100)
Subject: Re: bug#34138: 27.0.50; Delayed display of PDF file images
References: <871s58e4gh.fsf@HIDDEN> <5C443CB1.3050208@HIDDEN>
 <87h8e3h90z.fsf@HIDDEN> <5C4483B7.1060604@HIDDEN>
 <87d0orgz0a.fsf@HIDDEN> <837eezbazk.fsf@HIDDEN>
 <878szfgwdu.fsf@HIDDEN> <8336pnb9cq.fsf@HIDDEN>
 <874la3gujy.fsf@HIDDEN> <831s57b7ev.fsf@HIDDEN>
 <87zhrvfdzu.fsf@HIDDEN> <83zhrv9qe5.fsf@HIDDEN>
 <87sgxnf48d.fsf@HIDDEN> <83pnsq9f47.fsf@HIDDEN>
 <871s56dm5q.fsf@HIDDEN> <83lg3e9dd6.fsf@HIDDEN>
 <87womxdgdq.fsf@HIDDEN> <83fttlam3b.fsf@HIDDEN>
 <87sgxlrfgg.fsf@HIDDEN>
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 34138
Cc: rudalics@HIDDEN, stephen.berman@HIDDEN, 34138 <at> debbugs.gnu.org,
 tsdh@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

> From: Andreas Politz <politza@HIDDEN>
> Cc: Stephen Berman <stephen.berman@HIDDEN>,  rudalics@HIDDEN,  34138 <at> debbugs.gnu.org,  tsdh@HIDDEN
> Date: Mon, 21 Jan 2019 20:14:07 +0100
> 
> image-mode uses window-configuration-change-hook to check whether a new
> window for the buffer it was activated for was created.  In this case it
> runs the hook image-mode-new-window-functions.  This is the hook
> pdf-tools attaches itself to in order to create an overlay with a window
> property and the image of the current page.
> 
> Usually, i.e. in Emacs 26.1, this is sufficient for the image to be
> visible immediately (or at least immediately after the function has
> returned and Emacs is idle).  Conversely, in the current master branch,
> the image is not visible until, as it seems, the next redraw cycle.
> 
> Note, that I don't see a delay. Rather nothing seems to happen until I
> trigger a redisplay, for example via M-x.

So it's indeed a redisplay problem.  Can you build both Emacs 26 and
Emacs 27 with --enable-checking, then disable blink-cursor-mode and
global-eldoc-mode, then invoke "M-x trace-redisplay", and show the
trace displayed on stderr in both versions when you visit a PDF file?
Please invoke trace-redisplay _before_ you visit the PDF file.  I'm
especially interested in what happens in Emacs 27 after you visit the
PDF file, but _before_ you type "M-x" that causes the image to be
displayed.  IOW, what trace do you see after visiting the PDF file
during that time that "nothing seems to happen", as compared to what
happens in Emacs 26.

Thanks.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#34138; Package emacs. Full text available.

Message received at 34138 <at> debbugs.gnu.org:


Received: (at 34138) by debbugs.gnu.org; 21 Jan 2019 19:19:08 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Jan 21 14:19:08 2019
Received: from localhost ([127.0.0.1]:40497 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1glf6B-0007rp-OH
	for submit <at> debbugs.gnu.org; Mon, 21 Jan 2019 14:19:07 -0500
Received: from gateway-a.fh-trier.de ([143.93.54.181]:59850)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <politza@HIDDEN>) id 1glf68-0007re-43
 for 34138 <at> debbugs.gnu.org; Mon, 21 Jan 2019 14:19:06 -0500
X-Virus-Scanned: by Amavisd-new + Sophos + ClamAV [Rechenzentrum Hochschule
 Trier (RZ/HT)]
Received: from localhost (x4d0c7f4d.dyn.telefonica.de [77.12.127.77])
 (using TLSv1 with cipher AES256-SHA (256/256 bits))
 (No client certificate requested) (Authenticated sender: politza)
 by gateway-a.fh-trier.de (Postfix) with ESMTPSA id 171BF17F96CE;
 Mon, 21 Jan 2019 20:19:03 +0100 (CET)
DKIM-Signature: v=1; a=rsa-sha1; c=simple/simple; d=hochschule-trier.de;
 s=default; t=1548098343; bh=6ffJjRRbGrtZNv3AGOf7zIh0omo=;
 h=From:To:Cc:Subject:References:Date:In-Reply-To:Message-ID:
 MIME-Version:Content-Type;
 b=lvLJ+D1qgdVT8X1tWZcj4DZfFViKnBu+3ivPMpDpJ4R6PLdGsoczyBk60pXOuKxMD
 JajbOe/n8wVoz+2yQqXotvbSz5hSJu7LDbDXo3cy3br+ILVUFq6LlHbb4+b4XJtypb
 V3EdsAgTHLuk4DXgQe5v3/g4Fi5SexIMiURRmvMI=
From: Andreas Politz <politza@HIDDEN>
To: martin rudalics <rudalics@HIDDEN>
Subject: Re: bug#34138: 27.0.50; Delayed display of PDF file images
References: <871s58e4gh.fsf@HIDDEN> <5C443CB1.3050208@HIDDEN>
 <87h8e3h90z.fsf@HIDDEN> <5C4483B7.1060604@HIDDEN>
 <87d0orgz0a.fsf@HIDDEN> <837eezbazk.fsf@HIDDEN>
 <878szfgwdu.fsf@HIDDEN> <8336pnb9cq.fsf@HIDDEN>
 <874la3gujy.fsf@HIDDEN> <831s57b7ev.fsf@HIDDEN>
 <87zhrvfdzu.fsf@HIDDEN> <83zhrv9qe5.fsf@HIDDEN>
 <87sgxnf48d.fsf@HIDDEN> <83pnsq9f47.fsf@HIDDEN>
 <871s56dm5q.fsf@HIDDEN> <83lg3e9dd6.fsf@HIDDEN>
 <87womxdgdq.fsf@HIDDEN> <5C4613DB.1050702@HIDDEN>
Date: Mon, 21 Jan 2019 20:19:02 +0100
In-Reply-To: <5C4613DB.1050702@HIDDEN> (martin rudalics's message of "Mon, 21
 Jan 2019 19:47:55 +0100")
Message-ID: <87lg3drf89.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/26.1 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 34138
Cc: Eli Zaretskii <eliz@HIDDEN>, Stephen Berman <stephen.berman@HIDDEN>,
 34138 <at> debbugs.gnu.org, tsdh@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

martin rudalics <rudalics@HIDDEN> writes:

>> pdf-view-maybe-redisplay-resized-windows, which is added to
>> window-configuration-change-hook in pdf-view-mode.
>
> What happens when you remove
>
>               (> (minibuffer-depth) 0)
>
> from the first conjunction in
> 'pdf-view-maybe-redisplay-resized-windows'?

I commented the addition of this function the
window-configuration-change-hook out. It does not change the behavior
(image displayed in 26.1, no image in HEAD).

Andreas




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#34138; Package emacs. Full text available.

Message received at 34138 <at> debbugs.gnu.org:


Received: (at 34138) by debbugs.gnu.org; 21 Jan 2019 19:14:19 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Jan 21 14:14:19 2019
Received: from localhost ([127.0.0.1]:40493 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1glf1X-0005ko-06
	for submit <at> debbugs.gnu.org; Mon, 21 Jan 2019 14:14:19 -0500
Received: from gateway-a.fh-trier.de ([143.93.54.181]:59503)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <politza@HIDDEN>) id 1glf1U-0005kf-Nx
 for 34138 <at> debbugs.gnu.org; Mon, 21 Jan 2019 14:14:17 -0500
X-Virus-Scanned: by Amavisd-new + Sophos + ClamAV [Rechenzentrum Hochschule
 Trier (RZ/HT)]
Received: from localhost (x4d0c7f4d.dyn.telefonica.de [77.12.127.77])
 (using TLSv1 with cipher AES256-SHA (256/256 bits))
 (No client certificate requested) (Authenticated sender: politza)
 by gateway-a.fh-trier.de (Postfix) with ESMTPSA id 3612E17F9C56;
 Mon, 21 Jan 2019 20:14:08 +0100 (CET)
DKIM-Signature: v=1; a=rsa-sha1; c=simple/simple; d=hochschule-trier.de;
 s=default; t=1548098048; bh=a1oVOkfvwlum3eLkctPn5G8e7cI=;
 h=From:To:Cc:Subject:References:Date:In-Reply-To:Message-ID:
 MIME-Version:Content-Type;
 b=RYZucJ3ARmrwdIgh9NyDay/PwQl2D1E+MIQ137jleY1LaMyimDcIGb73V9kSc9c4m
 dNmSJLz1Sw6pHMNCB0zgSVIbr+q40WJ0BBLgFxZzV37QCsPniSQ2PKkkW8ZS4eSh9u
 6oX5j1hTKLmqKKNtMCK4YlkyAsu5jIthvk6EesxY=
From: Andreas Politz <politza@HIDDEN>
To: Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#34138: 27.0.50; Delayed display of PDF file images
References: <871s58e4gh.fsf@HIDDEN> <5C443CB1.3050208@HIDDEN>
 <87h8e3h90z.fsf@HIDDEN> <5C4483B7.1060604@HIDDEN>
 <87d0orgz0a.fsf@HIDDEN> <837eezbazk.fsf@HIDDEN>
 <878szfgwdu.fsf@HIDDEN> <8336pnb9cq.fsf@HIDDEN>
 <874la3gujy.fsf@HIDDEN> <831s57b7ev.fsf@HIDDEN>
 <87zhrvfdzu.fsf@HIDDEN> <83zhrv9qe5.fsf@HIDDEN>
 <87sgxnf48d.fsf@HIDDEN> <83pnsq9f47.fsf@HIDDEN>
 <871s56dm5q.fsf@HIDDEN> <83lg3e9dd6.fsf@HIDDEN>
 <87womxdgdq.fsf@HIDDEN> <83fttlam3b.fsf@HIDDEN>
Date: Mon, 21 Jan 2019 20:14:07 +0100
In-Reply-To: <83fttlam3b.fsf@HIDDEN> (Eli Zaretskii's message of "Mon, 21 Jan
 2019 20:42:48 +0200")
Message-ID: <87sgxlrfgg.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/26.1 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 34138
Cc: rudalics@HIDDEN, Stephen Berman <stephen.berman@HIDDEN>,
 34138 <at> debbugs.gnu.org, tsdh@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

Eli Zaretskii <eliz@HIDDEN> writes:

> In any case, is it certain that once
> pdf-view-maybe-redisplay-resized-windows starts running, the image is
> displayed immediately without delays?

I don't think that pdf-view-maybe-redisplay-resized-windows is related
to this problem.  It does basically nothing on the first call, except
store the window's size, i.e. no redisplay.

pdf-tools, like doc-view, uses image-mode to manage the displayed image
of the current pdf page.  I.e. it adds a function to the hook
image-mode-new-window-functions.

image-mode uses window-configuration-change-hook to check whether a new
window for the buffer it was activated for was created.  In this case it
runs the hook image-mode-new-window-functions.  This is the hook
pdf-tools attaches itself to in order to create an overlay with a window
property and the image of the current page.

Usually, i.e. in Emacs 26.1, this is sufficient for the image to be
visible immediately (or at least immediately after the function has
returned and Emacs is idle).  Conversely, in the current master branch,
the image is not visible until, as it seems, the next redraw cycle.

Note, that I don't see a delay. Rather nothing seems to happen until I
trigger a redisplay, for example via M-x.

I also traced the mentioned function (pdf-view-new-window-function) and
verified that there is no different in both Emacs versions regarding the
number of times they are called and the nature of their arguments.  The
trace, opening a PDF document in a single windowed frame via dired,
looks like this

======================================================================
1 -> (pdf-view-new-window-function (t))
1 <- pdf-view-new-window-function: #<overlay in no buffer>
======================================================================
1 -> (pdf-view-new-window-function (#<window 3 on The_Joy_of_Clojure.pdf> (page . 1) (overlay . #<overlay in no buffer>)))
1 <- pdf-view-new-window-function: #<overlay from 1 to 9221925 in The_Joy_of_Clojure.pdf>

The first call happens when pdf-view-mode initiates image-mode.  The car
of argument is usually a window.  Unless the buffer is not displayed, in
which case t is used.  The cdr is a property list.

The second call creates the relevant overlay with the image property.
Note that I modified the function to return the used overlay, usually it
returns nil.

Andreas




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#34138; Package emacs. Full text available.

Message received at 34138 <at> debbugs.gnu.org:


Received: (at 34138) by debbugs.gnu.org; 21 Jan 2019 18:48:12 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Jan 21 13:48:11 2019
Received: from localhost ([127.0.0.1]:40446 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1glecF-00051g-Mg
	for submit <at> debbugs.gnu.org; Mon, 21 Jan 2019 13:48:11 -0500
Received: from mout.gmx.net ([212.227.17.22]:37749)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <rudalics@HIDDEN>) id 1glecD-00051T-HH
 for 34138 <at> debbugs.gnu.org; Mon, 21 Jan 2019 13:48:10 -0500
Received: from [192.168.1.101] ([213.162.73.50]) by mail.gmx.com (mrgmx101
 [212.227.17.168]) with ESMTPSA (Nemesis) id 0MPYqL-1gqJJh0aMj-004nt5; Mon, 21
 Jan 2019 19:48:00 +0100
Message-ID: <5C4613DB.1050702@HIDDEN>
Date: Mon, 21 Jan 2019 19:47:55 +0100
From: martin rudalics <rudalics@HIDDEN>
MIME-Version: 1.0
To: Stephen Berman <stephen.berman@HIDDEN>, Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#34138: 27.0.50; Delayed display of PDF file images
References: <871s58e4gh.fsf@HIDDEN>
 <5C443CB1.3050208@HIDDEN>	<87h8e3h90z.fsf@HIDDEN>
 <5C4483B7.1060604@HIDDEN>	<87d0orgz0a.fsf@HIDDEN>
 <837eezbazk.fsf@HIDDEN>	<878szfgwdu.fsf@HIDDEN>
 <8336pnb9cq.fsf@HIDDEN>	<874la3gujy.fsf@HIDDEN>
 <831s57b7ev.fsf@HIDDEN>	<87zhrvfdzu.fsf@HIDDEN>
 <83zhrv9qe5.fsf@HIDDEN>	<87sgxnf48d.fsf@HIDDEN>
 <83pnsq9f47.fsf@HIDDEN>	<871s56dm5q.fsf@HIDDEN> <83lg3e9dd6.fsf@HIDDEN>
 <87womxdgdq.fsf@HIDDEN>
In-Reply-To: <87womxdgdq.fsf@HIDDEN>
Content-Type: text/plain; charset=UTF-8; format=flowed
Content-Transfer-Encoding: 7bit
X-Provags-ID: V03:K1:eeqB/dyQV70+kuAEMMknPiWRL55LzyuC+JWpTG/QeGelgkJXt24
 W8nOzzE0kqGMLAzQt0TjNEDRcPRUQrufaY5vmic9wE1asqKCAKEGiCYqqcTJvXKbIKdZv0f
 Tz969pijHPdu8OscY0YlOdMYssiM7lFz+B/Q5kx5EKkO84+QYl/ekGIyNtgrsL3J18nVgEV
 ROLlGWZaxNEN4ttTwQDpQ==
X-Spam-Flag: NO
X-UI-Out-Filterresults: notjunk:1;V03:K0:0B62JwyiVUQ=:TZVhD1EYg/ESGMQ+wFqdFC
 nIZN8RCH9D9Rx/uTxi4fg4af0wuPEabcvKi2ijL0YuhXimBQRCOthsUcUNzUkVWy08jaY7cKf
 ywH55gn2sX6mCq4q2BqFe+WWHtSqbnKV8y8KrYQjWmTOPkKd28ahhUIFH4gqt4Xj9XVYT/oG8
 SMDJ4K0Ff67E4P+7ylGuJeogPPr+nvSpmHEO1XRo36o8773+Le8Z+XLb7rwVHGpnMEwa6aTi9
 3a0WDBvJ+kWrvQ8+ooTBxW5I5DsndAVUjFPBY/TfaOuB3EuerVxB61cw7BrVWjz2NsVKuUokD
 OpmthVEab44xLaXv2XF5G2DiwqChYZFvnjy7PnDMkIHT320YwkJGQfzVY95zLA3BEZNpqdpJx
 mKosPVa/AA24IDV2ejvuLCq0rY20xEB4x9TZ8qRIrtvUfCeoqA7coocoFoC3Y4gomcbojSj1R
 rO8ppfVFoqm9b8rmV2OF52uUvLDpYxw0JR/9p9RnO6haHbRSA/YahfyI9Xy5Bn70yXtsp6o5m
 /L2Vg4CvLTxE0elvva6c4YxO0gLnRHKmkoGq4FxpBRA8O7Vj7q7BFqpFPkh2TWbmwUzc7lMP3
 iUSpAjDucoyvd7W0mUNi5X8eSHrYbSlj8okUf5ZFmsqmAwhQO9PLdsHgMG62mOzw+Ydi/+vdZ
 vgSVhGN20EQNwED4rQcDu+2YHj5c3+HBem6QmeiQ8fwlnV6b23Gyr88J+oxWKPJWNsMbDtqeK
 2PvzaHV3y6+gQ0htdKfNzXx+xQ1KnPOqfTbi1e1XJng7/2kT4FqkBmJFulRPeolicvqgWrR/p
 tCJbXplvy7BQo/UMYvcF34lCYkTFBKuyji/q6/gKXFK1AWYzcEtHxqp89DPbwXGVoil5y9sp1
 043vS7mhEwRoMZ5L1Ll3Xbp9iXBi5fG8r+3qwwqHO0AoM32JhbkZHY26GN2luvjSPjhKYT/Kq
 aSbwZn1JUTQ==
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 34138
Cc: 34138 <at> debbugs.gnu.org, politza@HIDDEN, tsdh@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

 > pdf-view-maybe-redisplay-resized-windows, which is added to
 > window-configuration-change-hook in pdf-view-mode.

What happens when you remove

               (> (minibuffer-depth) 0)

from the first conjunction in
'pdf-view-maybe-redisplay-resized-windows'?

martin




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#34138; Package emacs. Full text available.

Message received at 34138 <at> debbugs.gnu.org:


Received: (at 34138) by debbugs.gnu.org; 21 Jan 2019 18:43:10 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Jan 21 13:43:10 2019
Received: from localhost ([127.0.0.1]:40437 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1gleXO-0004sx-D8
	for submit <at> debbugs.gnu.org; Mon, 21 Jan 2019 13:43:10 -0500
Received: from eggs.gnu.org ([209.51.188.92]:51568)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1gleXN-0004sk-1w
 for 34138 <at> debbugs.gnu.org; Mon, 21 Jan 2019 13:43:09 -0500
Received: from fencepost.gnu.org ([2001:470:142:3::e]:42537)
 by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <eliz@HIDDEN>)
 id 1gleXH-0006VP-1o; Mon, 21 Jan 2019 13:43:03 -0500
Received: from [176.228.60.248] (port=2589 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <eliz@HIDDEN>)
 id 1gleXG-0007hF-D0; Mon, 21 Jan 2019 13:43:02 -0500
Date: Mon, 21 Jan 2019 20:42:48 +0200
Message-Id: <83fttlam3b.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: Stephen Berman <stephen.berman@HIDDEN>
In-reply-to: <87womxdgdq.fsf@HIDDEN> (message from Stephen Berman on Mon, 21
 Jan 2019 19:17:53 +0100)
Subject: Re: bug#34138: 27.0.50; Delayed display of PDF file images
References: <871s58e4gh.fsf@HIDDEN> <5C443CB1.3050208@HIDDEN>
 <87h8e3h90z.fsf@HIDDEN> <5C4483B7.1060604@HIDDEN>
 <87d0orgz0a.fsf@HIDDEN> <837eezbazk.fsf@HIDDEN>
 <878szfgwdu.fsf@HIDDEN> <8336pnb9cq.fsf@HIDDEN>
 <874la3gujy.fsf@HIDDEN> <831s57b7ev.fsf@HIDDEN>
 <87zhrvfdzu.fsf@HIDDEN> <83zhrv9qe5.fsf@HIDDEN>
 <87sgxnf48d.fsf@HIDDEN> <83pnsq9f47.fsf@HIDDEN>
 <871s56dm5q.fsf@HIDDEN> <83lg3e9dd6.fsf@HIDDEN> <87womxdgdq.fsf@HIDDEN>
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 34138
Cc: rudalics@HIDDEN, 34138 <at> debbugs.gnu.org, politza@HIDDEN,
 tsdh@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

> From: Stephen Berman <stephen.berman@HIDDEN>
> Cc: rudalics@HIDDEN,  34138 <at> debbugs.gnu.org,  politza@HIDDEN,  tsdh@HIDDEN
> Date: Mon, 21 Jan 2019 19:17:53 +0100
> 
> > Can you establish (e.g., by adding 'message' lines to the Lisp source)
> > where in the pdf-view-mode's sources this delay starts?  IOW, what is
> > the last thing pdf-view-mode does before the delay begins?
> 
> I don't know where it makes sense to output messages.  I did step
> through pdf-view-mode and the last function it calls,
> pdf-view-goto-page, but when that function returns it's just the raw PDF
> that's displayed.  I then instrumented all pdf-view defuns and while
> stepping though, the PDF image appeared on calling
> pdf-view-maybe-redisplay-resized-windows, which is added to
> window-configuration-change-hook in pdf-view-mode.  So it appears that
> the delay starts between pdf-view-goto-page returning and
> pdf-view-maybe-redisplay-resized-windows being called, but when stepping
> through the long call chain, I did not see the transition (no raw PDF
> was displayed, just the rendered image at the end).

So you are saying that the image is displayed by a function that is on
window-configuration-change-hook?  If so, what change in the window
configuration is supposed to trigger the hook in your scenario?  (I
think I'm missing something, because I don't see how it would make
sense to display PDF documents from that particular hook.)

In any case, is it certain that once
pdf-view-maybe-redisplay-resized-windows starts running, the image is
displayed immediately without delays?




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#34138; Package emacs. Full text available.

Message received at 34138 <at> debbugs.gnu.org:


Received: (at 34138) by debbugs.gnu.org; 21 Jan 2019 18:18:06 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Jan 21 13:18:06 2019
Received: from localhost ([127.0.0.1]:40417 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1gle98-0004Hv-71
	for submit <at> debbugs.gnu.org; Mon, 21 Jan 2019 13:18:06 -0500
Received: from mout.gmx.net ([212.227.17.20]:60949)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <stephen.berman@HIDDEN>) id 1gle95-0004HR-M1
 for 34138 <at> debbugs.gnu.org; Mon, 21 Jan 2019 13:18:04 -0500
Received: from rosalinde ([178.1.151.238]) by mail.gmx.com (mrgmx102
 [212.227.17.168]) with ESMTPSA (Nemesis) id 0Lqn7e-1hOqm10drW-00eOfR; Mon, 21
 Jan 2019 19:17:55 +0100
From: Stephen Berman <stephen.berman@HIDDEN>
To: Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#34138: 27.0.50; Delayed display of PDF file images
References: <871s58e4gh.fsf@HIDDEN> <5C443CB1.3050208@HIDDEN>
 <87h8e3h90z.fsf@HIDDEN> <5C4483B7.1060604@HIDDEN>
 <87d0orgz0a.fsf@HIDDEN> <837eezbazk.fsf@HIDDEN>
 <878szfgwdu.fsf@HIDDEN> <8336pnb9cq.fsf@HIDDEN>
 <874la3gujy.fsf@HIDDEN> <831s57b7ev.fsf@HIDDEN>
 <87zhrvfdzu.fsf@HIDDEN> <83zhrv9qe5.fsf@HIDDEN>
 <87sgxnf48d.fsf@HIDDEN> <83pnsq9f47.fsf@HIDDEN>
 <871s56dm5q.fsf@HIDDEN> <83lg3e9dd6.fsf@HIDDEN>
Date: Mon, 21 Jan 2019 19:17:53 +0100
In-Reply-To: <83lg3e9dd6.fsf@HIDDEN> (Eli Zaretskii's message of "Mon, 21 Jan
 2019 18:36:37 +0200")
Message-ID: <87womxdgdq.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/27.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Provags-ID: V03:K1:N/W3HSaTp36MdwbN7jdgrzl6dpEX1MMZqsshkJ3NS83qCMlHCZP
 axTqcdtklxHmjBxO/GZoMZHCo+XtIMirkA0YYOK84JhUywv/sMK5Vq4SC2a3Lv1NWkCt8FH
 KRrBet4S9t7ZIrojJ7wDto6lKJJN5OV7STeXUG+Mcd9JJCktANwigVlcVXPAC1AInvIal/p
 jdQq0ixNT+P4draWYYHKQ==
X-Spam-Flag: NO
X-UI-Out-Filterresults: notjunk:1;V03:K0:HV5EFwef/fk=:a/20Xk3DK6p6yOUeEMFop3
 e5ifnCzM9SYXwBR6FuPiqq3YbYtP5po8/YjBJje1ObVIQ3nvncY7AMPz5FcpTYySBcO+C+k4m
 L5HfUlB+t8smlyPXw8BoXG8r4zAMN18zF9doblWBZMA3tChGxOzgMJhkKkEIMCdEc3dsz4kfy
 MVsj9RnI9aUGgNzEG7wVU++wstkXaZClIRPiwcZdZfqedZPx5HWVcw7J5JsoZ8Wo20fIseZU3
 EyhwjgvJ3biLvL6lyQnbFsMyEGah8D2Q+tNVS8woagh1vb+NtQe2idpgyf4i3AM15+6Iros2q
 Ytpavb5SaO5z9ZnJ2+x8Wc0e7dKvDL4+nZ3k/KaGUSyx2fJL25+YBzP/x8d7Xu8o7T5bZgewT
 C1t/fcyzAsg1UCAfHP3uQl61rU1S4hovtGzvP1C/gcrZdnOzdIvBybXalm9UGJcQfT0RlK/s9
 jRQLIGmcSdmO4hq95iNEuu9m1rI+P+rL8ccqLrc7DolOjePkyYsTPwK+kgZpIM8hNLQMiRpsy
 lCNTSHs0G0tGnZ3Doyhvf68tbvOjIofWaMym4nzMD+4JFZptrTjofXy3SUlv+51XlQQ2ySRXy
 Kn9tq1Zp1H0HNoXQsKQ02e272926Rmh85xXBCU/Sxn1NeczQ4MyvXmIGwfD86fbdl1N+OwXVd
 q4QejC8F+MNREnKgPiIcE18nytpNWc7TfEUr2xHm8tXlPDWTauSzVHGfPo2fP8gQsTI3KuvlX
 vUY80Xd1/IM4f5+EFpVSSdQ3PbkfjvniyaU+3U1z8sA7Ou79aXE1Fsv0T7QKeH/GpSXyh8M5w
 3jlAaGK+YsNUeCgoBTSew+oS2fDB3Ab/eTMTtTo9qPKoalLSC6vxQpwBYF36urjrpb6tLPn9r
 plonnEGbnRqS7HCeYrjMh7oMKegvg25VW5/2lmWlBfaR3iVLKMfcOYEqBzc7e7j1EzeoWYCsz
 Pr9Wto3XrAw==
X-Spam-Score: 1.8 (+)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 Content preview:  On Mon, 21 Jan 2019 18:36:37 +0200 Eli Zaretskii wrote: >>
 From: Stephen Berman >> Cc: rudalics@HIDDEN, 34138 <at> debbugs.gnu.org,
 politza@HIDDEN, 
 >> tsdh@HIDDEN >> Date: Mon, 21 Jan 2019 17:13:05 +0100 >> >> > Still weird:
 this says that Emacs [...] 
 Content analysis details:   (1.8 points, 10.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 0.0 FREEMAIL_FROM          Sender email is commonly abused enduser mail
 provider (stephen.berman[at]gmx.net)
 -0.0 SPF_PASS               SPF: sender matches SPF record
 1.5 RCVD_IN_SORBS_WEB      RBL: SORBS: sender is an abusable web server
 [178.1.151.238 listed in dnsbl.sorbs.net]
 -0.7 RCVD_IN_DNSWL_LOW      RBL: Sender listed at http://www.dnswl.org/,
 low trust [212.227.17.20 listed in list.dnswl.org]
 1.0 FREEMAIL_REPLY         From and body contain different freemails
X-Debbugs-Envelope-To: 34138
Cc: rudalics@HIDDEN, 34138 <at> debbugs.gnu.org, politza@HIDDEN,
 tsdh@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.2 (/)

On Mon, 21 Jan 2019 18:36:37 +0200 Eli Zaretskii <eliz@HIDDEN> wrote:

>> From: Stephen Berman <stephen.berman@HIDDEN>
>> Cc: rudalics@HIDDEN, 34138 <at> debbugs.gnu.org, politza@HIDDEN,
>> tsdh@HIDDEN
>> Date: Mon, 21 Jan 2019 17:13:05 +0100
>> 
>> > Still weird: this says that Emacs simply waits for any input to
>> > arrive, a.k.a. "is idle".
>> >
>> > You've mentioned before that one of the two scenarios where you see
>> > this problem produces a much longer delay -- could you repeat the same
>> > procedure during that long delay, and show the backtrace from that
>> > session?  Maybe we will see something more interesting there.
>> 
>> This (and all the other backtraces I posted or mentioned) was from the
>> scenario where I see the long delay, i.e. using pdf-view-mode
>
> So does it mean that during this time Emacs waits for the external
> process (is it Ghostscript? ImageMagick?) to complete?  That's all I
> see in the backtrace.

Not Ghostscript but the PDF rendering library Poppler; I think
ImageMagick can be used for some functionality, but it's not required.
But Andreas Politza can surely answer this best and provide more details.

> Can you establish (e.g., by adding 'message' lines to the Lisp source)
> where in the pdf-view-mode's sources this delay starts?  IOW, what is
> the last thing pdf-view-mode does before the delay begins?

I don't know where it makes sense to output messages.  I did step
through pdf-view-mode and the last function it calls,
pdf-view-goto-page, but when that function returns it's just the raw PDF
that's displayed.  I then instrumented all pdf-view defuns and while
stepping though, the PDF image appeared on calling
pdf-view-maybe-redisplay-resized-windows, which is added to
window-configuration-change-hook in pdf-view-mode.  So it appears that
the delay starts between pdf-view-goto-page returning and
pdf-view-maybe-redisplay-resized-windows being called, but when stepping
through the long call chain, I did not see the transition (no raw PDF
was displayed, just the rendered image at the end).

Steve Berman




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#34138; Package emacs. Full text available.

Message received at 34138 <at> debbugs.gnu.org:


Received: (at 34138) by debbugs.gnu.org; 21 Jan 2019 16:36:59 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Jan 21 11:36:59 2019
Received: from localhost ([127.0.0.1]:40381 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1glcZH-0001vr-BZ
	for submit <at> debbugs.gnu.org; Mon, 21 Jan 2019 11:36:59 -0500
Received: from eggs.gnu.org ([209.51.188.92]:50206)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1glcZG-0001vc-1f
 for 34138 <at> debbugs.gnu.org; Mon, 21 Jan 2019 11:36:58 -0500
Received: from fencepost.gnu.org ([2001:470:142:3::e]:40459)
 by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <eliz@HIDDEN>)
 id 1glcZ9-00029P-0E; Mon, 21 Jan 2019 11:36:52 -0500
Received: from [176.228.60.248] (port=2510 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <eliz@HIDDEN>)
 id 1glcZ8-0008H1-Ha; Mon, 21 Jan 2019 11:36:50 -0500
Date: Mon, 21 Jan 2019 18:36:37 +0200
Message-Id: <83lg3e9dd6.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: Stephen Berman <stephen.berman@HIDDEN>
In-reply-to: <871s56dm5q.fsf@HIDDEN> (message from Stephen Berman on Mon, 21
 Jan 2019 17:13:05 +0100)
Subject: Re: bug#34138: 27.0.50; Delayed display of PDF file images
References: <871s58e4gh.fsf@HIDDEN> <5C443CB1.3050208@HIDDEN>
 <87h8e3h90z.fsf@HIDDEN> <5C4483B7.1060604@HIDDEN>
 <87d0orgz0a.fsf@HIDDEN> <837eezbazk.fsf@HIDDEN>
 <878szfgwdu.fsf@HIDDEN> <8336pnb9cq.fsf@HIDDEN>
 <874la3gujy.fsf@HIDDEN> <831s57b7ev.fsf@HIDDEN>
 <87zhrvfdzu.fsf@HIDDEN> <83zhrv9qe5.fsf@HIDDEN>
 <87sgxnf48d.fsf@HIDDEN> <83pnsq9f47.fsf@HIDDEN> <871s56dm5q.fsf@HIDDEN>
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 34138
Cc: rudalics@HIDDEN, 34138 <at> debbugs.gnu.org, politza@HIDDEN,
 tsdh@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

> From: Stephen Berman <stephen.berman@HIDDEN>
> Cc: rudalics@HIDDEN,  34138 <at> debbugs.gnu.org,  politza@HIDDEN,  tsdh@HIDDEN
> Date: Mon, 21 Jan 2019 17:13:05 +0100
> 
> > Still weird: this says that Emacs simply waits for any input to
> > arrive, a.k.a. "is idle".
> >
> > You've mentioned before that one of the two scenarios where you see
> > this problem produces a much longer delay -- could you repeat the same
> > procedure during that long delay, and show the backtrace from that
> > session?  Maybe we will see something more interesting there.
> 
> This (and all the other backtraces I posted or mentioned) was from the
> scenario where I see the long delay, i.e. using pdf-view-mode

So does it mean that during this time Emacs waits for the external
process (is it Ghostscript? ImageMagick?) to complete?  That's all I
see in the backtrace.

Can you establish (e.g., by adding 'message' lines to the Lisp source)
where in the pdf-view-mode's sources this delay starts?  IOW, what is
the last thing pdf-view-mode does before the delay begins?




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#34138; Package emacs. Full text available.

Message received at 34138 <at> debbugs.gnu.org:


Received: (at 34138) by debbugs.gnu.org; 21 Jan 2019 16:13:19 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Jan 21 11:13:18 2019
Received: from localhost ([127.0.0.1]:40366 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1glcCM-0001M5-JT
	for submit <at> debbugs.gnu.org; Mon, 21 Jan 2019 11:13:18 -0500
Received: from mout.gmx.net ([212.227.17.22]:41437)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <stephen.berman@HIDDEN>) id 1glcCI-0001Ln-J9
 for 34138 <at> debbugs.gnu.org; Mon, 21 Jan 2019 11:13:15 -0500
Received: from rosalinde ([178.1.151.238]) by mail.gmx.com (mrgmx103
 [212.227.17.168]) with ESMTPSA (Nemesis) id 0MgsVY-1gYMfC3lVg-00M5zj; Mon, 21
 Jan 2019 17:13:07 +0100
From: Stephen Berman <stephen.berman@HIDDEN>
To: Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#34138: 27.0.50; Delayed display of PDF file images
References: <871s58e4gh.fsf@HIDDEN> <5C443CB1.3050208@HIDDEN>
 <87h8e3h90z.fsf@HIDDEN> <5C4483B7.1060604@HIDDEN>
 <87d0orgz0a.fsf@HIDDEN> <837eezbazk.fsf@HIDDEN>
 <878szfgwdu.fsf@HIDDEN> <8336pnb9cq.fsf@HIDDEN>
 <874la3gujy.fsf@HIDDEN> <831s57b7ev.fsf@HIDDEN>
 <87zhrvfdzu.fsf@HIDDEN> <83zhrv9qe5.fsf@HIDDEN>
 <87sgxnf48d.fsf@HIDDEN> <83pnsq9f47.fsf@HIDDEN>
Date: Mon, 21 Jan 2019 17:13:05 +0100
In-Reply-To: <83pnsq9f47.fsf@HIDDEN> (Eli Zaretskii's message of "Mon, 21 Jan
 2019 17:58:48 +0200")
Message-ID: <871s56dm5q.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/27.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Provags-ID: V03:K1:DAKbEoc2sb0eP94QBEEQs3ARHbhGqDXujzXmpkzMMBr2eqU47Tr
 FtDLsSP5fAb/yPz+z0wSTaNZUl5kERq1mKrqNTID5bjuhDeuSkCs9qUh8K0ZnjT4fuh8hG8
 JFhBj/ojAhxXs5gkvP98ESyPcNRHZYsBO7wPAhnZNUeQ+OtyoZSNg0Cl4IWx03rt8t2WyNh
 Ov+lnz8Gec6jY56bZ33aA==
X-Spam-Flag: NO
X-UI-Out-Filterresults: notjunk:1;V03:K0:sqhkaz9ne7E=:et03p+tX3IfAY+T5kvY+KL
 ZGZvCsDxHCSdwzIDLEZqp665DBg9PxhtBmQLIj7EH3u/KTAvlioWy2T75BkCdHY5jOayj+gwg
 H9STankLrPww9G+iZXjAEWbBJ4wrPpRZFa2LnchZZZvvThm1Gxv0kfXRD9lAal1X2Hb3Inuoz
 rXViQmC5jMuGLwig09C72QdapLLB10GEsoU1VIf/C+e/WYGSnXAxnZsaqEpwVMSE+OIWQWSdx
 hz+YXJkL1f2ktJFQ1WEbH23eY9v0jkW4roqufTSu984IArdpUcYHp+3X54VRmGUpxinURYh1Z
 jbzHejTuAM4oli2GLuPsHuGk8/mErPMeACOSjNiLTAnq7xNEFr+c2vrRavrzZVMmw7nwsSOV4
 Kc5oSBRYcKmQV58lu6/6Z1gJJnjZjZxTo6LEdTsE+Gk6clnsQo7hbJfbSv5caeB3vlO+8CaME
 ew473ADsPALgvfdPeO3GXxszuU2WpuaDzjlYoxZlXFWzute/1cye/xGBFaB1GIbwY3IvMGUzS
 sNtlASOINwJjhrfJNpJco51UfhDRgy1G64BNvEEKZdII7boaAdteNgnPNIWSDS/ObzzCgshAg
 V4MqT6pvXj5IMwPBydvP3JNbpUmVy6M4qDWufapw4Zb/9luwR5rDojjWs1LjCG5L+5amDjNwl
 MLhcKiSNvZYVlD3mGbp4Q9ETcVvP2sdDtY+LcPU4xi9c3UbNh2jJa/+AKcrtNbCBbygxSkL4L
 ocmCratzkzjc0nzopa2WxhneRcxz2iOQPHMBPklLPM2ACmHtDpFGkTSL5X8ASoZETJDYktzRl
 mCoXxCVtIzJkWK44dGdm55ct2K6fmtmRpREjqXcniUwRfy0MBxS/FSeWQMFLSnupXBbk1AMdY
 BCi8bNG7+WSuiE4RoXe4Z0rwUSdVgtA+yMYAxyf5nWlo2bCphMKr+xzVKJoGObFgLes+NXzAZ
 lPXEtlDLemw==
X-Spam-Score: 1.8 (+)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 Content preview:  On Mon, 21 Jan 2019 17:58:48 +0200 Eli Zaretskii wrote: >>
 From: Stephen Berman >> Cc: rudalics@HIDDEN, 34138 <at> debbugs.gnu.org,
 politza@HIDDEN, 
 >> tsdh@HIDDEN >> Date: Sun, 20 Jan 2019 21:45:06 +0100 >> >> > Please start
 GDB from a directory [...] 
 Content analysis details:   (1.8 points, 10.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 0.0 FREEMAIL_FROM          Sender email is commonly abused enduser mail
 provider (stephen.berman[at]gmx.net)
 -0.0 SPF_PASS               SPF: sender matches SPF record
 1.5 RCVD_IN_SORBS_WEB      RBL: SORBS: sender is an abusable web server
 [178.1.151.238 listed in dnsbl.sorbs.net]
 -0.0 RCVD_IN_MSPIKE_H2      RBL: Average reputation (+2)
 [212.227.17.22 listed in wl.mailspike.net]
 -0.7 RCVD_IN_DNSWL_LOW      RBL: Sender listed at http://www.dnswl.org/,
 low trust [212.227.17.22 listed in list.dnswl.org]
 1.0 FREEMAIL_REPLY         From and body contain different freemails
X-Debbugs-Envelope-To: 34138
Cc: rudalics@HIDDEN, 34138 <at> debbugs.gnu.org, politza@HIDDEN,
 tsdh@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.2 (/)

On Mon, 21 Jan 2019 17:58:48 +0200 Eli Zaretskii <eliz@HIDDEN> wrote:

>> From: Stephen Berman <stephen.berman@HIDDEN>
>> Cc: rudalics@HIDDEN, 34138 <at> debbugs.gnu.org, politza@HIDDEN,
>> tsdh@HIDDEN
>> Date: Sun, 20 Jan 2019 21:45:06 +0100
>> 
>> > Please start GDB from a directory other that the Emacs src directory,
>> > I'd like to see the C backtrace that way.
>> 
>> Ok, transcript attached.  But now there's no Lisp backtrace (more on
>> this below).
[...] 
>
> Still weird: this says that Emacs simply waits for any input to
> arrive, a.k.a. "is idle".
>
> You've mentioned before that one of the two scenarios where you see
> this problem produces a much longer delay -- could you repeat the same
> procedure during that long delay, and show the backtrace from that
> session?  Maybe we will see something more interesting there.

This (and all the other backtraces I posted or mentioned) was from the
scenario where I see the long delay, i.e. using pdf-view-mode; with
doc-view-mode, the delay is so short (a couple of seconds) that it may
be difficult to switch from the Emacs GUI to the shell and invoke gdb
before the image is displayed.

Steve Berman




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#34138; Package emacs. Full text available.

Message received at 34138 <at> debbugs.gnu.org:


Received: (at 34138) by debbugs.gnu.org; 21 Jan 2019 15:59:11 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Jan 21 10:59:11 2019
Received: from localhost ([127.0.0.1]:40357 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1glbyg-0000yg-QE
	for submit <at> debbugs.gnu.org; Mon, 21 Jan 2019 10:59:11 -0500
Received: from eggs.gnu.org ([209.51.188.92]:42474)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1glbye-0000yO-P0
 for 34138 <at> debbugs.gnu.org; Mon, 21 Jan 2019 10:59:09 -0500
Received: from fencepost.gnu.org ([2001:470:142:3::e]:39764)
 by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <eliz@HIDDEN>)
 id 1glbyY-00067R-Ul; Mon, 21 Jan 2019 10:59:03 -0500
Received: from [176.228.60.248] (port=3988 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <eliz@HIDDEN>)
 id 1glbyY-0002oZ-ES; Mon, 21 Jan 2019 10:59:02 -0500
Date: Mon, 21 Jan 2019 17:58:48 +0200
Message-Id: <83pnsq9f47.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: Stephen Berman <stephen.berman@HIDDEN>
In-reply-to: <87sgxnf48d.fsf@HIDDEN> (message from Stephen Berman on Sun, 20
 Jan 2019 21:45:06 +0100)
Subject: Re: bug#34138: 27.0.50; Delayed display of PDF file images
References: <871s58e4gh.fsf@HIDDEN> <5C443CB1.3050208@HIDDEN>
 <87h8e3h90z.fsf@HIDDEN> <5C4483B7.1060604@HIDDEN>
 <87d0orgz0a.fsf@HIDDEN> <837eezbazk.fsf@HIDDEN>
 <878szfgwdu.fsf@HIDDEN> <8336pnb9cq.fsf@HIDDEN>
 <874la3gujy.fsf@HIDDEN> <831s57b7ev.fsf@HIDDEN>
 <87zhrvfdzu.fsf@HIDDEN> <83zhrv9qe5.fsf@HIDDEN>
 <87sgxnf48d.fsf@HIDDEN>
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 34138
Cc: rudalics@HIDDEN, 34138 <at> debbugs.gnu.org, politza@HIDDEN,
 tsdh@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

> From: Stephen Berman <stephen.berman@HIDDEN>
> Cc: rudalics@HIDDEN,  34138 <at> debbugs.gnu.org,  politza@HIDDEN,  tsdh@HIDDEN
> Date: Sun, 20 Jan 2019 21:45:06 +0100
> 
> > Please start GDB from a directory other that the Emacs src directory,
> > I'd like to see the C backtrace that way.
> 
> Ok, transcript attached.  But now there's no Lisp backtrace (more on
> this below).
> 
> Thread 1 (Thread 0x7fda7bf18bc0 (LWP 5399)):
> #0  0x00007fda7ea7f291 in __pselect (nfds=16, readfds=0x7ffd68a79c30, writefds=0x7ffd68a79bb0, exceptfds=0x0, timeout=<optimized out>, sigmask=<optimized out>)
>     at ../sysdeps/unix/sysv/linux/pselect.c:69
> #1  0x00000000005bca5d in really_call_select (arg=arg@entry=0x7ffd68a796f0)
>     at /mnt/data/steve/git/emacs-master/src/thread.c:580
> #2  0x0000000000542d88 in flush_stack_call_func (func=func@entry=0x5bca12 <really_call_select>, arg=arg@entry=0x7ffd68a796f0)
>     at /mnt/data/steve/git/emacs-master/src/alloc.c:5229
> #3  0x00000000005bd24f in thread_select (func=<optimized out>, max_fds=max_fds@entry=16, rfds=rfds@entry=0x7ffd68a79c30, wfds=<optimized out>, efds=efds@entry=0---Type <return> to continue, or q <return> to quit---
> x0, timeout=timeout@entry=0x7ffd68a79e80, sigmask=0x0)
>     at /mnt/data/steve/git/emacs-master/src/thread.c:610
> #4  0x00000000005d7c64 in xg_select (fds_lim=16, rfds=rfds@entry=0x7ffd68a79f20, wfds=0x7ffd68a79ea0, efds=efds@entry=0x0, timeout=timeout@entry=0x7ffd68a79e80, sigmask=sigmask@entry=0x0)
>     at /mnt/data/steve/git/emacs-master/src/xgselect.c:117
> #5  0x000000000059daf3 in wait_reading_process_output (time_limit=time_limit@entry=172, nsecs=nsecs@entry=0, read_kbd=-1, do_display=do_display@entry=true, wait_for_cell=wait_for_cell@entry=0x0, wait_proc=wait_proc@entry=0x0, just_wait_proc=0) at /mnt/data/steve/git/emacs-master/src/process.c:5405
> #6  0x0000000000424e63 in sit_for (timeout=timeout@entry=0x2b2, reading=reading@entry=true, display_option=display_option@entry=1)
>     at /mnt/data/steve/git/emacs-master/src/lisp.h:1056
> #7  0x00000000004f769e in read_char (commandflag=1, map=map@entry=0x3563eb3, prev_event=0x0, used_mouse_menu=used_mouse_menu@entry=0x7ffd68a7a30b, end_time=end_time@entry=0x0) at /mnt/data/steve/git/emacs-master/src/lisp.h:751
> #8  0x00000000004f81ec in read_key_sequence (keybuf=keybuf@entry=0x7ffd68a7a3d0, prompt=prompt@entry=0x0, dont_downcase_last=dont_downcase_last@entry=false, can_return_switch_frame=can_return_switch_frame@entry=true, fix_current_buffer=fix_current_buffer@entry=true, prevent_redisplay=prevent_redisplay@entry=false)
>     at /mnt/data/steve/git/emacs-master/src/lisp.h:1386
> #9  0x00000000004f9730 in command_loop_1 ()
>     at /mnt/data/steve/git/emacs-master/src/lisp.h:1056

Still weird: this says that Emacs simply waits for any input to
arrive, a.k.a. "is idle".

You've mentioned before that one of the two scenarios where you see
this problem produces a much longer delay -- could you repeat the same
procedure during that long delay, and show the backtrace from that
session?  Maybe we will see something more interesting there.

Thanks.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#34138; Package emacs. Full text available.

Message received at 34138 <at> debbugs.gnu.org:


Received: (at 34138) by debbugs.gnu.org; 21 Jan 2019 15:20:55 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Jan 21 10:20:55 2019
Received: from localhost ([127.0.0.1]:40331 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1glbNf-0008P0-BP
	for submit <at> debbugs.gnu.org; Mon, 21 Jan 2019 10:20:55 -0500
Received: from mout.gmx.net ([212.227.15.19]:50675)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <stephen.berman@HIDDEN>) id 1glbNd-0008Ol-I0
 for 34138 <at> debbugs.gnu.org; Mon, 21 Jan 2019 10:20:54 -0500
Received: from rosalinde ([178.1.151.238]) by mail.gmx.com (mrgmx001
 [212.227.17.190]) with ESMTPSA (Nemesis) id 0LiDKt-1hY7I62EMt-00nUVk; Mon, 21
 Jan 2019 16:20:45 +0100
From: Stephen Berman <stephen.berman@HIDDEN>
To: martin rudalics <rudalics@HIDDEN>
Subject: Re: bug#34138: 27.0.50; Delayed display of PDF file images
References: <871s58e4gh.fsf@HIDDEN> <5C443CB1.3050208@HIDDEN>
 <87h8e3h90z.fsf@HIDDEN> <5C4483B7.1060604@HIDDEN>
 <87womyk0al.fsf@HIDDEN> <5C457A3C.5040201@HIDDEN>
Date: Mon, 21 Jan 2019 16:20:44 +0100
In-Reply-To: <5C457A3C.5040201@HIDDEN> (martin rudalics's message of "Mon, 21
 Jan 2019 08:52:28 +0100")
Message-ID: <87imyiox4j.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/27.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Provags-ID: V03:K1:tZpLP1AtZ8zNwIY7mF9VrKm+x3h4HRW3NJEmLVgoymgqKLX8AKe
 vw8xrl8UOdh8EXev7YWPiNyIHZkIudndGb0ugy0Xfi5hYzuDycl/4/oKAVmVk+4cYjKZfWo
 eFPSrKLid9+m2KAxszZn1qn3WoX8nr0T3Ysjnd7CaJHRHJLejmBun4k3w8XleJ6zmU+mh6e
 hsxeeuC3w60o6jKaBTfWA==
X-Spam-Flag: NO
X-UI-Out-Filterresults: notjunk:1;V03:K0:dJbVeM9pIGM=:VDQVmtrV++5mkSVxCqHWJJ
 DWvQcLtdWi/z9pqFYpB7oT+dP0fmYiNmYJeKZ0nhdTqQZceNvGjF/bP2q01t0cKPYKJ8wycmc
 MSNpFcDYmnWY4e9ThIM4PmEk9KO5QyVVOY71tfXi2397oyrTemYAofrnOnZtWmyVj1TXTrOyy
 HjjT313/N9Pzejp/umAfcd7SZzNkqEVGENj1KE1hMX5tZGXi6cFUDyWwhBV6kro4vvpRHGF3z
 rN94kDtlsGXy+S04JN1EayRziUNHcMMunsUgYQbJmyVwy4F45JKtodEijXaK+qNZ1kKxlo9Rf
 NT5jqIfgQBcnDqcGmFvUqZfo+wdUIBIQWZ6x7ybb6IJfC28ZQVuuY9LNzZW0hSc4Cj63Q125s
 ZkQ+DC7lA7MTMOq8HcwJSyplHzkriQedRCeYjiP1uIoNa5ks6BrtpiyZcoDnMy8eZhgzbu7wM
 7n1oPdQlGu0RQXcS+h/ifNfiUxc4rCGk0MrJQI7YfIgIjpHsHr5Cva+AOssRmvnZE61SJRR0D
 3VTOSgfakU9vq6HNl+B79W+w+WQs+Diqf67Gn3mww3qjXC4IuJ7JqhrG1sjbl2AhjetShtYqa
 S/T4GHbJghKiIgV1YJsmaY7FRuJvu7AmwbgYQ5tD93iZEFXdVTQcYd94Jpn7KLqACNMBxBi5J
 FML48KqhGizx9QfXZo2D5Weefju7lFpLjdtxAMCV1SHcW1srVzaGvk+YRsJOg1t4UJaFb1Mol
 HLbR/Rn5P+910gCJcGp6uHxhaHAj8wUc0rS2zZfNsqUhDniOyxOndN6yQrhWAvSvL3e3AysOz
 ebGrpeki/PQzZMhEQxcqeGWCitevK9ZE3gWzunkSgabjgpHsD7PBxEZAjIWkNwx6KonUB/Ob9
 UTQ+TqN9Y7GMFgAe7UdVSBU9aLYJqCUzHu6lrGPs3tTwGEb46sC98xBdhl9PYpitTMKrT711B
 zd6hd9Yablw==
X-Spam-Score: 0.8 (/)
X-Debbugs-Envelope-To: 34138
Cc: 34138 <at> debbugs.gnu.org, Andreas Politz <politza@HIDDEN>,
 Tassilo Horn <tsdh@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.2 (/)

On Mon, 21 Jan 2019 08:52:28 +0100 martin rudalics <rudalics@HIDDEN> wrote:

>>> It seems that 'doc-view-new-window-function' fails in some way.  This
>>> time I have to CC Tassilo.  Maybe he has a clue.
>>
>> No, sorry, not really.  I've tried reproducing Stephen's issue both with
>> -Q (using doc-view) and with my configuration (which also uses
>> pdf-view-mode).  But for me the greeting text and then the image of the
>> first page for doc-view or the image of the first page for pdf-view-mode
>> are displayed without any delay.
>>
>> I'm running the current master, 5961e4fa42.
>
> Strange because Andreas said that he can reproduce it as well.  I'm
> afraid we have to wait for further people to kick in to get a common
> pattern of why this can fail.  To me this looks like a race condition
> where with the old window configuration change convention the image
> producing system was reliably incapable of providing the image at the
> time the hook was run while with the new convention the image may have
> been already produced at the time the hook is run.

It does seem like a race condition.  I also had this suspicion after
getting surprising and seemingly conflicting gdb backtraces that Eli
asked for.

Perhaps further evidence in this direction comes from two new
observations I have made: there is no delay when visiting a PDF file via
bookmark-jump or when opening a PDF attachment in Gnus.  I tried
stepping through the respective functions called in these cases
(pdf-view-bookmark-jump-handler and mm-display-external) but didn't see
why the behavior differs, which again suggests it's in redisplay.

Steve Berman




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#34138; Package emacs. Full text available.

Message received at 34138 <at> debbugs.gnu.org:


Received: (at 34138) by debbugs.gnu.org; 21 Jan 2019 15:20:40 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Jan 21 10:20:40 2019
Received: from localhost ([127.0.0.1]:40328 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1glbNQ-0008OU-23
	for submit <at> debbugs.gnu.org; Mon, 21 Jan 2019 10:20:40 -0500
Received: from mout.gmx.net ([212.227.15.15]:55277)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <stephen.berman@HIDDEN>) id 1glbNN-0008OH-Uj
 for 34138 <at> debbugs.gnu.org; Mon, 21 Jan 2019 10:20:38 -0500
Received: from rosalinde ([178.1.151.238]) by mail.gmx.com (mrgmx002
 [212.227.17.190]) with ESMTPSA (Nemesis) id 0M9b03-1gvkdl28wJ-00CwwM; Mon, 21
 Jan 2019 16:20:30 +0100
From: Stephen Berman <stephen.berman@HIDDEN>
To: martin rudalics <rudalics@HIDDEN>
Subject: Re: bug#34138: 27.0.50; Delayed display of PDF file images
References: <871s58e4gh.fsf@HIDDEN> <5C443CB1.3050208@HIDDEN>
 <87h8e3h90z.fsf@HIDDEN> <5C4483B7.1060604@HIDDEN>
 <87d0orgz0a.fsf@HIDDEN> <5C44B604.8040107@HIDDEN>
 <87r2d7f480.fsf@HIDDEN> <5C457A33.5070801@HIDDEN>
Date: Mon, 21 Jan 2019 16:20:29 +0100
In-Reply-To: <5C457A33.5070801@HIDDEN> (martin rudalics's message of "Mon, 21
 Jan 2019 08:52:19 +0100")
Message-ID: <87k1iyox4y.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/27.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Provags-ID: V03:K1:TeI52hsMjOlidrK2LQzn7vVXyUZW1C7llJb06Kc5IerZ0sw2tjg
 3PMoL3zb2aATyrOgVP7l/Uz0Bw0upvSa2QiF+634LLUj1t6brE4A6WuP/UckzT0vY9u6RCp
 xQdUDGdv/Oeh57+w5DukLiUKQmfhTrezbtXuA5EtBqoL6ma8foMSb3r67guqHNRLA0ngFj8
 6csss5Ve/ja415yjpDjpw==
X-Spam-Flag: NO
X-UI-Out-Filterresults: notjunk:1;V03:K0:GpgsRG8j67E=:MWTaWmFHmCieAheBDRrRDF
 sHNQc/wEiYVlKTMZSiUW2yP1JL3ByxbSuFvi61laPmMXgsxL4D7CdZN9+MeM2LyrCsEO7Tl+B
 7GusS/Lfv0gug8mO0xJgKDTCSSDeHaiLxhIfznNTy4R72klfKDfc4kXBkg7tLC9k44YXweHOt
 GoX7cDlRoCtImmyFhDjGjeZxoUD/t0Bx+cqmukoLrredKE/Hf+4ZAsUOq1TPyySFUZQvNu+/i
 HiqvjPfnMDZbgkY5sb4b7w1JPurKU/m+UlxdaSoYidMiNN8vCJ7qN9P1zVJMOo6i2SmkdBc/S
 hi/hpXwiAMEPRTVaIK2SwTrqV5zdGn37Hd98IrafXw8ZZWjaXTBA37yiqUyktFOKPIv+guuIs
 p0+UQ1jRo000/T6ynwANWngQhGIygbuM0JSFN5TMwviq0wdSVUxED2rDQAXxUboVs6EjMUqWl
 HFKZ1vj9h9aB1ftUEY+w7Y9p0ZJobROdDnBA5pz0sVNXdiSnItE8i3/h5vPL6udvO7g68uH+V
 YSTKETdNEWCSe37dr7pQiQ9J3kmO5REvJNfh2Xa4zxkHHy4YyK1aWIFVfqY3xfuvxccU8JFNB
 8JMl2PaK7Qc7sQ5LgJWMMGmff7vV7zW+/APG2oaE+ZtWYVbvcVEMWmsk0KIok9qf1WePmIjLK
 nDlpmSkstkqhWY1bmhe05PSA/Fg7QwCMRaMIRMqZZA9FLDEGrbanIq7RSvqAiLffZbD3LK5Uv
 AY3WknwgODLWQWmrHbLtjBTN1nzRo2ZTGsvvKO/ZOli6QiMCb97o4ytp2NtGWmt2naZfpL+QJ
 FXxwpmqhoqUAgm8sCSMbsXKj2KEc1FZNhM6qEw1zecHOkKGYBHJRXrOYS+Tbm81mKYshjsuuH
 3fpt3VpVU93EYcgt12AYW9j0UxziarR9QweUefryoHZWAvKNEdELwrRSElaNm5B37qjspvEC9
 nD6MUNWBgCQ==
X-Spam-Score: 0.8 (/)
X-Debbugs-Envelope-To: 34138
Cc: 34138 <at> debbugs.gnu.org, Andreas Politz <politza@HIDDEN>,
 Tassilo Horn <tsdh@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.2 (/)

On Mon, 21 Jan 2019 08:52:19 +0100 martin rudalics <rudalics@HIDDEN> wrote:

>> I tried that but it made no difference to the delay.  I the instrumented
>> pdf-view-image-size with the changes and visited a PDF file, but Edebug
>> did not kick in, so it seems that pdf-view-image-size is not called when
>> initially visiting a PDF file.
>
> I didn't expect Edebug to kick in.  The 'ignore-errors' should serve
> to avoid complications from the fact that redisplay has to process a
> broken mode line string.=20=20

Ok.

>                           Anyway, please make sure that
> 'display-buffer-split-below-and-attach' in pdf-util.el does call
> =E2=80=98window--display-buffer=E2=80=99 without the final
> display-buffer-mark-dedicated argument so we can make sure that this
> bug doesn't interfere with further investigations.

I've done that with my local installation.

Steve Berman




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#34138; Package emacs. Full text available.

Message received at 34138 <at> debbugs.gnu.org:


Received: (at 34138) by debbugs.gnu.org; 21 Jan 2019 07:52:41 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Jan 21 02:52:41 2019
Received: from localhost ([127.0.0.1]:39372 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1glUNt-0003QA-59
	for submit <at> debbugs.gnu.org; Mon, 21 Jan 2019 02:52:41 -0500
Received: from mout.gmx.net ([212.227.15.15]:38287)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <rudalics@HIDDEN>) id 1glUNr-0003Px-UI
 for 34138 <at> debbugs.gnu.org; Mon, 21 Jan 2019 02:52:40 -0500
Received: from [192.168.1.101] ([212.95.5.223]) by mail.gmx.com (mrgmx002
 [212.227.17.190]) with ESMTPSA (Nemesis) id 0Lxxw4-1hFD1h23vg-015JYJ; Mon, 21
 Jan 2019 08:52:33 +0100
Message-ID: <5C457A3C.5040201@HIDDEN>
Date: Mon, 21 Jan 2019 08:52:28 +0100
From: martin rudalics <rudalics@HIDDEN>
MIME-Version: 1.0
To: Tassilo Horn <tsdh@HIDDEN>
Subject: Re: bug#34138: 27.0.50; Delayed display of PDF file images
References: <871s58e4gh.fsf@HIDDEN>
 <5C443CB1.3050208@HIDDEN>	<87h8e3h90z.fsf@HIDDEN> <5C4483B7.1060604@HIDDEN>
 <87womyk0al.fsf@HIDDEN>
In-Reply-To: <87womyk0al.fsf@HIDDEN>
Content-Type: text/plain; charset=UTF-8; format=flowed
Content-Transfer-Encoding: 7bit
X-Provags-ID: V03:K1:w5xeq+ojI4kcnH4EpVit68Uvv3UNSxl2TNp2hte3nvDPnzMBrvJ
 ifWkq2FUDks7FI6SgsI6oGUwoY6ANJEWsHNlpAaLxnmMmYtqZrJNMEIGvdUHVtv+wUs5BiQ
 6bdxACIzRcshKyHNl2v8lNI6Jx00moRA2K5GF/DUrsQZUTvdCIF7Yq4JoHAzf8hsDgV4/yk
 2k/3WimPptJ6yo1DWTyLw==
X-Spam-Flag: NO
X-UI-Out-Filterresults: notjunk:1;V03:K0:AgXgdx+B5BY=:bmWGyoO/E814e3uC4/+nad
 IbXn4S88zNRqdrTkRlu8fi+yv7CbekOUMyU6SGtqkAluDEjJFEQDHiM6Qw7fhur2Xaq4a6Tp4
 +a6ZvI8T+cbWXL+7/jGAh3Fv+MNOMPOhz3XCFnLlkj+IayE7a1U4GLYcMkSU5CYv4AWPLN6F/
 UAr6ticIAKYPTFPl7GIqRKj8JXOa2kR7iRhwqY9qhN0JHmlkfl84Y6xlF2DfrpxDRSnywekfb
 n3Q6cjq5wdtwz9b2EFZxRBy1X+n6Uavb440k9AwzdnNZeTLA0xRFfi8hx+jmUNkYiMKu5X/RO
 3aCup78c2y29NRr3Qj+kMJifuEZnbw95quvyrBg/IpVDfIDM4mDrlYB4TAMqiEnHbgBQA/3Wh
 4VhTpXF/yxsrZLbF8RkDiLV58vsjrXDSnEwDyx4jGzGpBV2T6hT1BpRFMSqO/sTA3xUWxal8J
 c3Nv+hyh6pCs58hXPFVoMcWF4/ooAGepEIRIMOyRdMDjW4SZqwlNvvYiV8DabBgC8yrOxf0Di
 hFhsgwMsOVA+KIVfgzVJGFZlsfq6jk0vKKs7jL5T541nFNDEaASVNwFw1LpQlTxiRi1U/YtFJ
 bOqBkuUhlmsr/X1pXb9B/3MfFyOma4uypfCxNe5jyG6r7TFWhL4XDMxtp9a4/GiC2K7OOQEHq
 zv9Ri97K3dfTekE8LCXW6XM1nVuR2BLnLmiirxL3GkIkSMr29u0e4tAB4RkD7V7x3SqZsYZIH
 GyBEnm4BjY3siMCXpZjsS93pFM17GYN2zCvp1nNYxnX/07ERc9Nx20L1OMdowABL7QOq0JMkC
 RqTl7rfPs4iihmPSnjdyhdfPtna3kezqZp45ndNbdOuS3q9MgyXNGWMws1pXGF2G5d9nDFQtm
 x04x3zhI70t9eSfDBLygJ6rLzv/1jBHQ/RluHKfmvfmnhKZfOG6L5sdcffTSVLl/nnno0CM1A
 Q4zgs/9zVrA==
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 34138
Cc: Stephen Berman <stephen.berman@HIDDEN>, 34138 <at> debbugs.gnu.org,
 Andreas Politz <politza@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

 >> It seems that 'doc-view-new-window-function' fails in some way.  This
 >> time I have to CC Tassilo.  Maybe he has a clue.
 >
 > No, sorry, not really.  I've tried reproducing Stephen's issue both with
 > -Q (using doc-view) and with my configuration (which also uses
 > pdf-view-mode).  But for me the greeting text and then the image of the
 > first page for doc-view or the image of the first page for pdf-view-mode
 > are displayed without any delay.
 >
 > I'm running the current master, 5961e4fa42.

Strange because Andreas said that he can reproduce it as well.  I'm
afraid we have to wait for further people to kick in to get a common
pattern of why this can fail.  To me this looks like a race condition
where with the old window configuration change convention the image
producing system was reliably incapable of providing the image at the
time the hook was run while with the new convention the image may have
been already produced at the time the hook is run.

martin




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#34138; Package emacs. Full text available.

Message received at 34138 <at> debbugs.gnu.org:


Received: (at 34138) by debbugs.gnu.org; 21 Jan 2019 07:52:33 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Jan 21 02:52:33 2019
Received: from localhost ([127.0.0.1]:39369 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1glUNk-0003Pp-S6
	for submit <at> debbugs.gnu.org; Mon, 21 Jan 2019 02:52:33 -0500
Received: from mout.gmx.net ([212.227.15.18]:54179)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <rudalics@HIDDEN>) id 1glUNj-0003Pa-PU
 for 34138 <at> debbugs.gnu.org; Mon, 21 Jan 2019 02:52:32 -0500
Received: from [192.168.1.101] ([212.95.5.223]) by mail.gmx.com (mrgmx003
 [212.227.17.190]) with ESMTPSA (Nemesis) id 0MPV69-1gpb6s2FST-004isY; Mon, 21
 Jan 2019 08:52:23 +0100
Message-ID: <5C457A33.5070801@HIDDEN>
Date: Mon, 21 Jan 2019 08:52:19 +0100
From: martin rudalics <rudalics@HIDDEN>
MIME-Version: 1.0
To: Stephen Berman <stephen.berman@HIDDEN>
Subject: Re: bug#34138: 27.0.50; Delayed display of PDF file images
References: <871s58e4gh.fsf@HIDDEN>
 <5C443CB1.3050208@HIDDEN>	<87h8e3h90z.fsf@HIDDEN>
 <5C4483B7.1060604@HIDDEN>	<87d0orgz0a.fsf@HIDDEN> <5C44B604.8040107@HIDDEN>
 <87r2d7f480.fsf@HIDDEN>
In-Reply-To: <87r2d7f480.fsf@HIDDEN>
Content-Type: text/plain; charset=UTF-8; format=flowed
Content-Transfer-Encoding: quoted-printable
X-Provags-ID: V03:K1:jjJUNaZUkPjfjUBrExjRicOttCvjT1v6ROJqoVEYXlLB3Cpn3I3
 hvgcgDS7a0xAwDnwGevkUHrbu6qqe4P9mIhScA26Ft4pB7olO4feQv9/ORFmp9Ey7jn5+1n
 JPr/IG2n09anRWHOZsOQztsP+mu2MnbXC8y+bMEzCkQO32V44MPdl5Hw0v/P3jYvePGGpsr
 pvk2sEJ4RPFTtCCGHWTXA==
X-Spam-Flag: NO
X-UI-Out-Filterresults: notjunk:1;V03:K0:u6+GH0sN6TM=:qNUgfVfWYx96kUBNZ4gFl/
 KKs9vy6opXHTzfchy7Dljrs1pu+493cLShmeR4azhhx+PbKnpweLg1HXFqaPQx1NKc9/BV3BK
 Tt0xjSnGgT+OE4NZjiQ4phkD7EvxglHD1DkVHFvOIpxr9keJyxBQzaIimAEQGT3wE3bpnwIQj
 DF2ntM736ZmfmePwL5kjP47F4y25kumOkJYy0J0T4rJLTwmmC1f+c2HxcWUKPKTH0nLje97lK
 ngR+MqYpfXYoGL4WX9YT/zqV29b9E7wR49K9ni7SFKwYnmzUIC+iusDUnOv0snQ63fvGtBmRu
 V/567kffVnewidEAL7psigj6TkZk8QCGG7dcLkevvV9hDHY800qjW+o65ra8NqqAE4nKJLcWm
 2s44ZrS6Zt4t2t8WxpKCwMY60jKA9rv/zuGaPXkbyslwwXQnkksN13Py+4t/iTxpPS4xaFybp
 jLWExtyW1EueRGlhbDxYUANYTMLjwo6s6/u6uifRiHZbQ33TLEz4glCevqgzVUxmjmc2Ov09f
 kmLa9gSNDegeH3QDYUyODFSEdv9/2CDPtGdcDcRZlKmAG1qZJJDDb+Lj2F/5mFsZ9ux+FjlQa
 7PGyZHS/tfBhW2ZFmqlCZVNZSYImb1IRHXPGMu7TIAbZKag7wwZqTlwNkBIIApedreShQv5Z1
 TYq6jnakgLxPCoe5P+psHM+leTRuYRA0TInhc9Kl2oxfcukKLg0rPWLCl0Vdc7OObgC+8UMu0
 KYEf98CfdAGPBLF4solUemomq55pV4few9NZTl66Iv4Gr809e7DS8+lhNsA/bm+Aum6co5J3M
 My56fNIFK0TUavdesU2ogfn776nMWBjKHkOnK2sG5mCBsNsMeSOIhct6NVBldheMW8jxHFrHD
 p3pQeu9JTZZcrReqhuhBphaO3zoi3OZQ1VNZx+cu0U4dxaQwECYPerTxlceIKeXlQTd3K5+w2
 DioDWiObO1Q==
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 34138
Cc: 34138 <at> debbugs.gnu.org, Andreas Politz <politza@HIDDEN>,
 Tassilo Horn <tsdh@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

 > I tried that but it made no difference to the delay.  I the instrument=
ed
 > pdf-view-image-size with the changes and visited a PDF file, but Edebu=
g
 > did not kick in, so it seems that pdf-view-image-size is not called wh=
en
 > initially visiting a PDF file.

I didn't expect Edebug to kick in.  The 'ignore-errors' should serve
to avoid complications from the fact that redisplay has to process a
broken mode line string.  Anyway, please make sure that
'display-buffer-split-below-and-attach' in pdf-util.el does call
=E2=80=98window--display-buffer=E2=80=99 without the final
display-buffer-mark-dedicated argument so we can make sure that this
bug doesn't interfere with further investigations.

martin





Information forwarded to bug-gnu-emacs@HIDDEN:
bug#34138; Package emacs. Full text available.

Message received at 34138 <at> debbugs.gnu.org:


Received: (at 34138) by debbugs.gnu.org; 21 Jan 2019 06:11:26 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Jan 21 01:11:25 2019
Received: from localhost ([127.0.0.1]:39345 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1glSnt-0000wK-JS
	for submit <at> debbugs.gnu.org; Mon, 21 Jan 2019 01:11:25 -0500
Received: from eggs.gnu.org ([209.51.188.92]:56916)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <tsdh@HIDDEN>) id 1glSnr-0000w8-Ee
 for 34138 <at> debbugs.gnu.org; Mon, 21 Jan 2019 01:11:24 -0500
Received: from fencepost.gnu.org ([2001:470:142:3::e]:60107)
 by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <tsdh@HIDDEN>)
 id 1glSnl-0004pA-29; Mon, 21 Jan 2019 01:11:17 -0500
Received: from auth1-smtp.messagingengine.com ([66.111.4.227]:37339)
 by fencepost.gnu.org with esmtpsa (TLS1.2:DHE_RSA_AES_256_CBC_SHA256:256)
 (Exim 4.82) (envelope-from <tsdh@HIDDEN>)
 id 1glSnk-0005vO-Un; Mon, 21 Jan 2019 01:11:17 -0500
Received: from compute7.internal (compute7.nyi.internal [10.202.2.47])
 by mailauth.nyi.internal (Postfix) with ESMTP id 5EA4327BA2;
 Mon, 21 Jan 2019 01:11:16 -0500 (EST)
Received: from mailfrontend2 ([10.202.2.163])
 by compute7.internal (MEProxy); Mon, 21 Jan 2019 01:11:16 -0500
X-ME-Sender: <xms:g2JFXAlO3p8xgpUcCRMR1eI7M6qqgUIMtb8a7QdvZsB4Z6JAfbdZoQ>
X-ME-Proxy-Cause: gggruggvucftvghtrhhoucdtuddrgedtledrheehgdelhecutefuodetggdotefrodftvf
 curfhrohhfihhlvgemucfhrghsthforghilhdpqfhuthenuceurghilhhouhhtmecufedt
 tdenucesvcftvggtihhpihgvnhhtshculddquddttddmnecujfgurhephffvufhfffgjkf
 gfgggtsehttdertddtredtnecuhfhrohhmpefvrghsshhilhhoucfjohhrnhcuoehtshgu
 hhesghhnuhdrohhrgheqnecukfhppedvuddvrddukeehrddvtdefrddufeegnecurfgrrh
 grmhepmhgrihhlfhhrohhmpehthhhorhhnodhmvghsmhhtphgruhhthhhpvghrshhonhgr
 lhhithihqdekieejfeekjeekgedqieefhedvleekqdhtshguhheppehgnhhurdhorhhgse
 hfrghsthhmrghilhdrfhhmnecuvehluhhsthgvrhfuihiivgeptd
X-ME-Proxy: <xmx:hGJFXLXiIS09EzWVxacyCSZ8vn2QU_9XI6bFhnbJBEa1rv9GdXFf7w>
 <xmx:hGJFXFFPmSNBh7z0sblDodNGnSHSNXJSU-iVpGmwLP_nGx3pW1bL8Q>
 <xmx:hGJFXHdIS3c0FvMSemu99EjzuPIJey4knr7mcNEn06OU9lFNePy65Q>
 <xmx:hGJFXMtZr7UM5uouyxNpDYVD8Z-wwBFyeaanX6VvR9y3n5od4NmMnQ>
Received: from pchta-and (portal.shd.de [212.185.203.134])
 by mail.messagingengine.com (Postfix) with ESMTPA id 2D4C610087;
 Mon, 21 Jan 2019 01:11:15 -0500 (EST)
From: Tassilo Horn <tsdh@HIDDEN>
To: martin rudalics <rudalics@HIDDEN>
Subject: Re: bug#34138: 27.0.50; Delayed display of PDF file images
References: <871s58e4gh.fsf@HIDDEN> <5C443CB1.3050208@HIDDEN>
 <87h8e3h90z.fsf@HIDDEN> <5C4483B7.1060604@HIDDEN>
Date: Mon, 21 Jan 2019 07:11:14 +0100
In-Reply-To: <5C4483B7.1060604@HIDDEN> (martin rudalics's message of "Sun, 20
 Jan 2019 15:20:39 +0100")
Message-ID: <87womyk0al.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/27.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 34138
Cc: Stephen Berman <stephen.berman@HIDDEN>, 34138 <at> debbugs.gnu.org,
 Andreas Politz <politza@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

martin rudalics <rudalics@HIDDEN> writes:

>>> Have you tried running 'doc-view-mode' without loading
>>> 'pdf-view-mode'?
>>
>> Yes, as I noted, I also see this with -Q.
>
> It seems that 'doc-view-new-window-function' fails in some way.  This
> time I have to CC Tassilo.  Maybe he has a clue.

No, sorry, not really.  I've tried reproducing Stephen's issue both with
-Q (using doc-view) and with my configuration (which also uses
pdf-view-mode).  But for me the greeting text and then the image of the
first page for doc-view or the image of the first page for pdf-view-mode
are displayed without any delay.

I'm running the current master, 5961e4fa42.

Bye,
Tassilo




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#34138; Package emacs. Full text available.

Message received at 34138 <at> debbugs.gnu.org:


Received: (at 34138) by debbugs.gnu.org; 20 Jan 2019 20:45:30 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Jan 20 15:45:29 2019
Received: from localhost ([127.0.0.1]:39232 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1glJyD-0004CB-Kf
	for submit <at> debbugs.gnu.org; Sun, 20 Jan 2019 15:45:29 -0500
Received: from mout.gmx.net ([212.227.17.20]:52205)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <stephen.berman@HIDDEN>) id 1glJyB-0004Bo-PJ
 for 34138 <at> debbugs.gnu.org; Sun, 20 Jan 2019 15:45:28 -0500
Received: from rosalinde ([92.73.79.34]) by mail.gmx.com (mrgmx101
 [212.227.17.168]) with ESMTPSA (Nemesis) id 0MFxwA-1gxz9C3th8-00EwpG; Sun, 20
 Jan 2019 21:45:21 +0100
From: Stephen Berman <stephen.berman@HIDDEN>
To: martin rudalics <rudalics@HIDDEN>
Subject: Re: bug#34138: 27.0.50; Delayed display of PDF file images
References: <871s58e4gh.fsf@HIDDEN> <5C443CB1.3050208@HIDDEN>
 <87h8e3h90z.fsf@HIDDEN> <5C4483B7.1060604@HIDDEN>
 <87d0orgz0a.fsf@HIDDEN> <5C44B604.8040107@HIDDEN>
Date: Sun, 20 Jan 2019 21:45:19 +0100
In-Reply-To: <5C44B604.8040107@HIDDEN> (martin rudalics's message of "Sun, 20
 Jan 2019 18:55:16 +0100")
Message-ID: <87r2d7f480.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/27.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Provags-ID: V03:K1:8kPkXFRHEPTUFq2EPYO6WLhmQxGQVPyI8vnx/wWU34CfLD9zUMF
 POBjWQKuts7hw+1CxoBJkGa9vDJNpJNb3v0Y6ZgO5uAH6eyd9dcvsYF7WZL4BFXMTOL2DPG
 hGOZBeko+53Yz5Y1B58IkDKt1p2/2ATBCmRr7IYRBnwVZ8FsMbisD8uuAwABSD/X1dlXLZe
 ln9g/WFEOHbYJnaRkFHPA==
X-Spam-Flag: NO
X-UI-Out-Filterresults: notjunk:1;V03:K0:y/fllNta6No=:QwWQh+McCYmHh5yG1J4qnP
 UTC7+MsPFtATegJj3FvUN+DZJGD4BU2RgxaquZQTrbRX5fCzg98urD05GqWnQAAPVFBgz/cYd
 R8WB1iBM9ttsctJ9XZzb7YkS+l8knDOyVKICjT3AHVVyqJnJJnqScxYJYR7/Vc6Q1lUfXOaSe
 V4kVzxgULTGm2KGLysf8IeHsPUlotpZJ7OKByRGOZ4RAqtD2SuZd5/914iSM5P2+y7YbYNefT
 j+INUk6RfOBZC49hXOOUAI2Rg6V+9apnNSJOL56rjS72Zpl+fQnBZDX8RfR0Ilcts6nwML3h6
 54coMZkUZoX8tp3vZWFEBjmN64d3JlckdT+XBXH8Ahoe/rh4IJdF7f4EHEOKVvjHyrgei60r6
 zzKQmwH0o7KLYguCr0maQbLUQJ81YJAtA+gWQr5hkjqRhaEIk/1Dkb8ReaG22mYVw9Qq0gfkg
 SnVNptsO4pTjm1ZzbmSTKYNoS21yi5VrRe6IBFVhbDWtlYQYJlI+AWfKHJrzCyO2W9mw3bc8q
 LATus3OXX3RXfFhcwCi8Ho1WW3d5BsyykEKcNdEkMSV2Nvdjq/b8/Nez4ywZYvnWT77EOM8F3
 kJaypLbwTpqEYogiuXXXGcHFGsF295cCo6nM4EaRcD+IPnK/e7Ys9n/sdw1wW3scXdEshw408
 YcnYwume12gtCj1sHFwDRi8nWouNDTykmfKVAmFX1dy3mEFxg37gtXzibm9sIjs2LZliB19+4
 mvdEE+hw4cCxib1aKcmr8YbTE8gg1yft6XNcha34InEJ8I4zSuaydDezc7lCCHw3x87FoCbIC
 MRxP0j8FNANvSJHEfUnZBCjJ7EEZyjXOPY2l59aHpR6o19TZy8weOW1tnlZx5jlga4Uo4owjz
 4y8ofDqXHWpXFJiLPxvRRvejFNjA66THSIMUD9uHOylJrn7+uS5foZgs6i025/E8HfaVtTDU+
 zhR/YqJqyTQ==
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 34138
Cc: 34138 <at> debbugs.gnu.org, Andreas Politz <politza@HIDDEN>,
 Tassilo Horn <tsdh@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

On Sun, 20 Jan 2019 18:55:16 +0100 martin rudalics <rudalics@HIDDEN> wrote:

> This
>
>>   backtrace()
[...]
>
> reveals that the mode line is evaluated twice in your scenario - once
> to get a window in a direction (where we call 'posn-at-point' to tell
> where on your frame point currently is) and once from redisplay.  I
> don't know yet why 'image-get-display-property' apparently fails but
> it looks like a good idea to me to wrap the 'image-display-size' call
> in 'pdf-view-image-size' in 'ignore-errors' - evaluating a mode line
> string should never throw an error (in paticular when it's only needed
> to guess the height of the mode line).

I tried that but it made no difference to the delay.  I the instrumented
pdf-view-image-size with the changes and visited a PDF file, but Edebug
did not kick in, so it seems that pdf-view-image-size is not called when
initially visiting a PDF file.

Steve Berman




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#34138; Package emacs. Full text available.

Message received at 34138 <at> debbugs.gnu.org:


Received: (at 34138) by debbugs.gnu.org; 20 Jan 2019 20:45:22 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Jan 20 15:45:22 2019
Received: from localhost ([127.0.0.1]:39229 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1glJy5-0004Bm-Qd
	for submit <at> debbugs.gnu.org; Sun, 20 Jan 2019 15:45:22 -0500
Received: from mout.gmx.net ([212.227.17.22]:46453)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <stephen.berman@HIDDEN>) id 1glJy2-0004BN-1A
 for 34138 <at> debbugs.gnu.org; Sun, 20 Jan 2019 15:45:19 -0500
Received: from rosalinde ([92.73.79.34]) by mail.gmx.com (mrgmx102
 [212.227.17.168]) with ESMTPSA (Nemesis) id 0M3d9B-1h2zEy2NpR-00rHAi; Sun, 20
 Jan 2019 21:45:09 +0100
From: Stephen Berman <stephen.berman@HIDDEN>
To: Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#34138: 27.0.50; Delayed display of PDF file images
References: <871s58e4gh.fsf@HIDDEN> <5C443CB1.3050208@HIDDEN>
 <87h8e3h90z.fsf@HIDDEN> <5C4483B7.1060604@HIDDEN>
 <87d0orgz0a.fsf@HIDDEN> <837eezbazk.fsf@HIDDEN>
 <878szfgwdu.fsf@HIDDEN> <8336pnb9cq.fsf@HIDDEN>
 <874la3gujy.fsf@HIDDEN> <831s57b7ev.fsf@HIDDEN>
 <87zhrvfdzu.fsf@HIDDEN> <83zhrv9qe5.fsf@HIDDEN>
Date: Sun, 20 Jan 2019 21:45:06 +0100
In-Reply-To: <83zhrv9qe5.fsf@HIDDEN> (Eli Zaretskii's message of "Sun, 20 Jan
 2019 19:42:58 +0200")
Message-ID: <87sgxnf48d.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/27.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: multipart/mixed; boundary="=-=-="
X-Provags-ID: V03:K1:vCm0DgGqtPDLo9qE+lmfltsB9++I6G7YAk5xl0Iq938FhF2m0I9
 FDcnRs7EtzKePGCEbNJbWDI36tSh43oP5a4j5FRtBkatXbLQN5ntSvDLzEgFeP++68bzr10
 vM1HAOt07xg87S4Wzi6xyFvPY2jIYfJiXTyVZTttljxxqttbW3x3OEnjn8IhTikH5RNebC7
 5MvPAp0VhUcvt6ltHLaYQ==
X-Spam-Flag: NO
X-UI-Out-Filterresults: notjunk:1;V03:K0:ohXG2SRu1zA=:nwPJXCTCdoiNl80kHXlL5W
 gSDU+nuvWNnxEqIeD0HZFDf/7ep3epbxutEEaQeqGAOT+rqUWsK0laGQlOKfCX3U57bBfWStr
 beKkZLu96zL6bUoPvsn6Hqp7qm9Ju6Dtjgw4uo1ZYsXjGgb0IVlMt4JM7NNRQ7XYXeZJLsKNv
 4KRATFzt7C2JiL3IsKI1MxGqoKZ5IPNvuKUNF4XIj/uRI3kB4vP7FouO6nd89HFAS4PPXiJqW
 mUW35GR2lP5lVg95JwmpcdJQdbbTmyGIilMcOfJLAs9GlR6qU9bdqic4FSRb+FklhLbPx/Z06
 XBCLykL475POgBhtH85xhteP2Tx77twUcVVhiNM72eKV30B13XtCAb8bFf7yQGY1EEKrGEIdm
 u6pEeNcHPVIUqYNfGAuU9X98YQiPPl/hnGoKBtUS6ktOAvz0cBgIJR9FNR742Zb48QWRC9EG+
 Sz+FJWi0Cag2YcPrgSiaBrsG6oHcr6VCWFA3tbV8rMTUc4G2bgJO9iJPTddE3MKOB5ZYkIKgw
 3KbaLZ4Vhj42NvxS/pfqY500bxD/cnLQIReXhoxAmNTgAb1ur/MgLVfN8B1ySsNVX2gWIdSwJ
 G/i3du1bl9tUIQ091+7j3b3BdlXXMftBDeFjfIJtBTjUmoAzZcSg3GNjD48VjVGMUinIUghAL
 QXwiGXet+liykkSi/RIHdbyrrwpfl/jA030j79GfeUcE4zq4TpyVIprkyOGJp7uMw/dy3SdU2
 O2A4WyCOFyqQzPW4owAlbX6b/nbwPxL1WzdmXcDuWdoKTFaYRQ7rvZVXD0up35dGZZtNff8It
 ATaqHEEE/8VRn3grTkqdBz8pIjibCpgA+rLgOEzoGS7uwnu4T8HdQP/WczfCUdgWkFmWzMlw6
 KEduJG5DvKTj3HDrPk+RFBfv96+o7wh3ZErgn6+cp/CGI7LzSkEWyDuukZayPF
X-Spam-Score: 0.3 (/)
X-Debbugs-Envelope-To: 34138
Cc: rudalics@HIDDEN, 34138 <at> debbugs.gnu.org, politza@HIDDEN,
 tsdh@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

--=-=-=
Content-Type: text/plain

On Sun, 20 Jan 2019 19:42:58 +0200 Eli Zaretskii <eliz@HIDDEN> wrote:

>> From: Stephen Berman <stephen.berman@HIDDEN>
>> Cc: rudalics@HIDDEN, 34138 <at> debbugs.gnu.org, politza@HIDDEN,
>> tsdh@HIDDEN
>> Date: Sun, 20 Jan 2019 18:14:13 +0100
>> 
>> > It means, during the time of the delay, type from the shell prompt:
>> >
>> >   $ gdb -p PID
>> >
>> > where PID is the numeric process-id of the Emacs process; you should
>> > find that in advance, e.g. by running "ps".  Once GDB starts and shows
>> > its prompt, "(gdb)", type:
>> >
>> >   (gdb) thread apply all bt
>> >
>> > This should show the C-level backtrace.  Then:
>> >
>> >   (gdb) source /path/to/emacs/src/.gdbinit
>> >   (gdb) xbacktrace
>> >
>> > The last command should show the Lisp-level backtrace.
>> 
>> Ah, thanks.  I started gdb from the path of the emacs executable and the
>> Lisp backtrace was shown after typing "thread apply all bt";
>
> Please start GDB from a directory other that the Emacs src directory,
> I'd like to see the C backtrace that way.

Ok, transcript attached.  But now there's no Lisp backtrace (more on
this below).

>> FWIW, while the backtrace was being shown in the shell, the raw PDF
>> changed to the image display in Emacs.
>
> I don't understand how could Emacs be running while GDB was showing
> the backtrace.  It shouldn't happen, because the executable to which
> GDB is attached is supposed to be stopped in its tracks.  What does
> this show, after you attach GDB and GDB shows its prompt?
>
>   (gdb) show non-stop
>
> It should say that non-stop mode is OFF.

It did say this.  And this time the Emacs display did not change until
after continuing from gdb, then the PDF image was immediately displayed.

>> Lisp Backtrace:
>> "image-size" (0x70824720)
>> 0x354bf60 PVEC_COMPILED
>> "gethash" (0x70820b38)
>> "pdf-cache--data-get" (0x70820d40)
>> "pdf-cache-number-of-pages" (0x70820f10)
>> ---Type <return> to continue, or q <return> to quit---
>> "terminal-live-p" (0x70820ea8)
>> "framep-on-display" (0x708210b8)
>> "overlayp" (0x70824718)
>> 0x92591e8 PVEC_COMPILED
>> "overlayp" (0x70824a48)
>> 0x92591e8 PVEC_COMPILED
>> "redisplay--update-region-highlight" (0x70824fd0)
>> "run-hook-with-args" (0x70824fc8)
>> "ignore" (0x70825310)
>> "apply" (0x70825308)
>> 0x9420638 PVEC_COMPILED
>> "redisplay_internal (C function)" (0x0)
>
> This Lisp backtrace contradicts the C backtrace of the main thread:
>
>> Thread 1 (Thread 0x7f9109a29bc0 (LWP 5077)):
>> #0  0x00007f910c590291 in __pselect (nfds=16, readfds=0x7ffc70826670, writefds=0x7ffc708265f0, exceptfds=0x0, timeout=<optimized out>, sigmask=<optimized out>)
>>     at ../sysdeps/unix/sysv/linux/pselect.c:69
>> #1  0x00000000005bca5d in really_call_select (arg=arg@entry=0x7ffc70826130)
>>     at /mnt/data/steve/git/emacs-master/src/thread.c:580
>> #2  0x0000000000542d88 in flush_stack_call_func (func=func@entry=0x5bca12 <really_call_select>, arg=arg@entry=0x7ffc70826130)
>>     at /mnt/data/steve/git/emacs-master/src/alloc.c:5229
>> #3  0x00000000005bd24f in thread_select (func=<optimized out>, max_fds=max_fds@entry=16, rfds=rfds@entry=0x7ffc70826670, wfds=<optimized out>, efds=efds@entry=0x0, timeout=timeout@entry=0x7ffc708268c0, sigmask=0x0)
>>     at /mnt/data/steve/git/emacs-master/src/thread.c:610
>> #4  0x00000000005d7c64 in xg_select (fds_lim=16, rfds=rfds@entry=0x7ffc70826960,---Type <return> to continue, or q <return> to quit---
>>  wfds=0x7ffc708268e0, efds=efds@entry=0x0, timeout=timeout@entry=0x7ffc708268c0, sigmask=sigmask@entry=0x0)
>>     at /mnt/data/steve/git/emacs-master/src/xgselect.c:117
>> #5  0x000000000059daf3 in wait_reading_process_output (time_limit=time_limit@entry=97, nsecs=nsecs@entry=0, read_kbd=-1, do_display=do_display@entry=true, wait_for_cell=wait_for_cell@entry=XIL(0), wait_proc=wait_proc@entry=0x0, just_wait_proc=0) at /mnt/data/steve/git/emacs-master/src/process.c:5405
>> #6  0x0000000000424e63 in sit_for (timeout=timeout@entry=make_number(97), reading=reading@entry=true, display_option=display_option@entry=1)
>>     at /mnt/data/steve/git/emacs-master/src/lisp.h:1056
>> #7  0x00000000004f769e in read_char (commandflag=1, map=map@entry=XIL(0x35f3093), prev_event=XIL(0), used_mouse_menu=used_mouse_menu@entry=0x7ffc70826d4b, end_time=end_time@entry=0x0) at /mnt/data/steve/git/emacs-master/src/lisp.h:751
>> #8  0x00000000004f81ec in read_key_sequence (keybuf=keybuf@entry=0x7ffc70826e10, prompt=prompt@entry=XIL(0), dont_downcase_last=dont_downcase_last@entry=false, can_return_switch_frame=can_return_switch_frame@entry=true, fix_current_buffer=fix_current_buffer@entry=true, prevent_redisplay=prevent_redisplay@entry=false)
>>     at /mnt/data/steve/git/emacs-master/src/lisp.h:1386
>> #9  0x00000000004f9730 in command_loop_1 ()
>>     at /mnt/data/steve/git/emacs-master/src/lisp.h:1056
>
> The C backtrace says we are idling, waiting for some input inside
> pselect, while the Lisp backtrace says we are in the image-size
> function, which was somehow invoked from pre-redisplay-function.  I'm
> confused...

As mentioned and as the transcript shows, there was no Lisp backtrace
this time.  I then tried again, starting emacs from the shell in the
emacs/src path, and the gdb session was the same as above: non-stop off,
no Lisp backtrace, and emacs display changed only after continuing from
gdb.  Then I repeated exactly what I did for my previous post: started
Emacs from the window manager menu (openbox), started gdb from the emacs
executable path in the shell, and again, non-stop was off and again
there was no Lisp backtrace, but this time, the buffer display did
change to the PDF image while the backtrace was being shown.  Maybe
there's a race condition involved in the delay.  I guess that doesn't
diminish your confusion...

Steve Berman


--=-=-=
Content-Type: text/plain
Content-Disposition: attachment
Content-Description: gdb backtrace

steve [ ~ ]$ ~/build/emacs/src/emacs &
[1] 5399
steve [ ~ ]$ GLib-GIO-Message: 21:02:07.387: Using the 'memory' GSettings backend.  Your settings will not be saved or shared with other applications.
^C
steve [ ~ ]$ gdb -p 5399
GNU gdb (GDB) 8.1.1
Copyright (C) 2018 Free Software Foundation, Inc.
License GPLv3+: GNU GPL version 3 or later <http://gnu.org/licenses/gpl.html>
This is free software: you are free to change and redistribute it.
There is NO WARRANTY, to the extent permitted by law.  Type "show copying"
and "show warranty" for details.
This GDB was configured as "x86_64-pc-linux-gnu".
Type "show configuration" for configuration details.
For bug reporting instructions, please see:
<http://www.gnu.org/software/gdb/bugs/>.
Find the GDB manual and other documentation resources online at:
<http://www.gnu.org/software/gdb/documentation/>.
For help, type "help".
Type "apropos word" to search for commands related to "word".
Attaching to process 5399
[New LWP 5400]
[New LWP 5402]
[Thread debugging using libthread_db enabled]
Using host libthread_db library "/lib/libthread_db.so.1".
0x00007fda7ea7f291 in __pselect (nfds=16, readfds=0x7ffd68a79c30, 
    writefds=0x7ffd68a79bb0, exceptfds=0x0, timeout=<optimized out>, 
    sigmask=<optimized out>) at ../sysdeps/unix/sysv/linux/pselect.c:69
69      ../sysdeps/unix/sysv/linux/pselect.c: No such file or directory.
(gdb) show non-stop
Controlling the inferior in non-stop mode is off.
(gdb) thread apply all bt

Thread 3 (Thread 0x7fda79c1e700 (LWP 5402)):
#0  0x00007fda7ea7cac9 in __GI___poll (fds=0x205fdc0, nfds=2, timeout=-1)
    at ../sysdeps/unix/sysv/linux/poll.c:29
#1  0x00007fda7fa52cbe in g_main_context_poll (priority=<optimized out>, n_fds=2, fds=0x205fdc0, timeout=<optimized out>, context=0x205d4a0) at gmain.c:4204
#2  0x00007fda7fa52cbe in g_main_context_iterate (context=0x205d4a0, block=block@entry=1, dispatch=dispatch@entry=1, self=<optimized out>) at gmain.c:3898
#3  0x00007fda7fa53032 in g_main_loop_run (loop=0x205ffe0) at gmain.c:4099
#4  0x00007fda7fc42a36 in gdbus_shared_thread_func (user_data=0x205d470)
    at gdbusprivate.c:275
#5  0x00007fda7fa79395 in g_thread_proxy (data=0x1fe2680) at gthread.c:784
#6  0x00007fda7ec5efa3 in start_thread (arg=<optimized out>)
    at pthread_create.c:486
#7  0x00007fda7ea875ff in clone ()
    at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 2 (Thread 0x7fda7a4d2700 (LWP 5400)):
#0  0x00007fda7ea7cac9 in __GI___poll (fds=0x1d177a0, nfds=1, timeout=-1)
    at ../sysdeps/unix/sysv/linux/poll.c:29
#1  0x00007fda7fa52cbe in g_main_context_poll (priority=<optimized out>, n_fds=1, fds=0x1d177a0, timeout=<optimized out>, context=0x1d14c10) at gmain.c:4204
#2  0x00007fda7fa52cbe in g_main_context_iterate (context=context@entry=0x1d14c1---Type <return> to continue, or q <return> to quit---
0, block=block@entry=1, dispatch=dispatch@entry=1, self=<optimized out>)
    at gmain.c:3898
#3  0x00007fda7fa52dcc in g_main_context_iteration (context=0x1d14c10, may_block=may_block@entry=1) at gmain.c:3964
#4  0x00007fda7fa52e11 in glib_worker_main (data=<optimized out>)
    at gmain.c:5773
#5  0x00007fda7fa79395 in g_thread_proxy (data=0x1d16800) at gthread.c:784
#6  0x00007fda7ec5efa3 in start_thread (arg=<optimized out>)
    at pthread_create.c:486
#7  0x00007fda7ea875ff in clone ()
    at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 1 (Thread 0x7fda7bf18bc0 (LWP 5399)):
#0  0x00007fda7ea7f291 in __pselect (nfds=16, readfds=0x7ffd68a79c30, writefds=0x7ffd68a79bb0, exceptfds=0x0, timeout=<optimized out>, sigmask=<optimized out>)
    at ../sysdeps/unix/sysv/linux/pselect.c:69
#1  0x00000000005bca5d in really_call_select (arg=arg@entry=0x7ffd68a796f0)
    at /mnt/data/steve/git/emacs-master/src/thread.c:580
#2  0x0000000000542d88 in flush_stack_call_func (func=func@entry=0x5bca12 <really_call_select>, arg=arg@entry=0x7ffd68a796f0)
    at /mnt/data/steve/git/emacs-master/src/alloc.c:5229
#3  0x00000000005bd24f in thread_select (func=<optimized out>, max_fds=max_fds@entry=16, rfds=rfds@entry=0x7ffd68a79c30, wfds=<optimized out>, efds=efds@entry=0---Type <return> to continue, or q <return> to quit---
x0, timeout=timeout@entry=0x7ffd68a79e80, sigmask=0x0)
    at /mnt/data/steve/git/emacs-master/src/thread.c:610
#4  0x00000000005d7c64 in xg_select (fds_lim=16, rfds=rfds@entry=0x7ffd68a79f20, wfds=0x7ffd68a79ea0, efds=efds@entry=0x0, timeout=timeout@entry=0x7ffd68a79e80, sigmask=sigmask@entry=0x0)
    at /mnt/data/steve/git/emacs-master/src/xgselect.c:117
#5  0x000000000059daf3 in wait_reading_process_output (time_limit=time_limit@entry=172, nsecs=nsecs@entry=0, read_kbd=-1, do_display=do_display@entry=true, wait_for_cell=wait_for_cell@entry=0x0, wait_proc=wait_proc@entry=0x0, just_wait_proc=0) at /mnt/data/steve/git/emacs-master/src/process.c:5405
#6  0x0000000000424e63 in sit_for (timeout=timeout@entry=0x2b2, reading=reading@entry=true, display_option=display_option@entry=1)
    at /mnt/data/steve/git/emacs-master/src/lisp.h:1056
#7  0x00000000004f769e in read_char (commandflag=1, map=map@entry=0x3563eb3, prev_event=0x0, used_mouse_menu=used_mouse_menu@entry=0x7ffd68a7a30b, end_time=end_time@entry=0x0) at /mnt/data/steve/git/emacs-master/src/lisp.h:751
#8  0x00000000004f81ec in read_key_sequence (keybuf=keybuf@entry=0x7ffd68a7a3d0, prompt=prompt@entry=0x0, dont_downcase_last=dont_downcase_last@entry=false, can_return_switch_frame=can_return_switch_frame@entry=true, fix_current_buffer=fix_current_buffer@entry=true, prevent_redisplay=prevent_redisplay@entry=false)
    at /mnt/data/steve/git/emacs-master/src/lisp.h:1386
#9  0x00000000004f9730 in command_loop_1 ()
    at /mnt/data/steve/git/emacs-master/src/lisp.h:1056
---Type <return> to continue, or q <return> to quit---
#10 0x000000000055fe86 in internal_condition_case (bfun=bfun@entry=0x4f955b <command_loop_1>, handlers=handlers@entry=0x5490, hfun=hfun@entry=0x4f0c5d <cmd_error>) at /mnt/data/steve/git/emacs-master/src/eval.c:1376
#11 0x00000000004eca0e in command_loop_2 (ignore=ignore@entry=0x0)
    at /mnt/data/steve/git/emacs-master/src/lisp.h:1056
#12 0x000000000055fdfd in internal_catch (tag=tag@entry=0xc9f0, func=func@entry=0x4ec9f6 <command_loop_2>, arg=arg@entry=0x0)
    at /mnt/data/steve/git/emacs-master/src/eval.c:1139
#13 0x00000000004ec9d8 in command_loop ()
    at /mnt/data/steve/git/emacs-master/src/lisp.h:1056
#14 0x00000000004f08d6 in recursive_edit_1 ()
    at /mnt/data/steve/git/emacs-master/src/keyboard.c:714
#15 0x00000000004f0b8d in Frecursive_edit ()
    at /mnt/data/steve/git/emacs-master/src/keyboard.c:785
#16 0x00000000004ec1d7 in main (argc=1, argv=0x7ffd68a7a718)
    at /mnt/data/steve/git/emacs-master/src/emacs.c:1901
(gdb) source ~/build/emacs/src/.gdbinit 
Warning: /home/steve/../lwlib: No such file or directory.
SIGINT is used by the debugger.
Are you sure you want to change it? (y or n) [answered Y; input not from terminal]
DISPLAY = :0
TERM = xterm
Breakpoint 1 at 0x4eb2ee: file /mnt/data/steve/git/emacs-master/src/emacs.c, line 370.
Temporary breakpoint 2 at 0x502b35: file /mnt/data/steve/git/emacs-master/src/lisp.h, line 1056.
(gdb) xbacktrace 
(gdb) c
Continuing.
[Thread 0x7fda79c1e700 (LWP 5402) exited]
[Thread 0x7fda7a4d2700 (LWP 5400) exited]
[Inferior 1 (process 5399) exited normally]
(gdb) 
--=-=-=--




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#34138; Package emacs. Full text available.

Message received at 34138 <at> debbugs.gnu.org:


Received: (at 34138) by debbugs.gnu.org; 20 Jan 2019 17:55:30 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Jan 20 12:55:30 2019
Received: from localhost ([127.0.0.1]:39158 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1glHJh-0008Ol-TX
	for submit <at> debbugs.gnu.org; Sun, 20 Jan 2019 12:55:30 -0500
Received: from mout.gmx.net ([212.227.17.22]:41241)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <rudalics@HIDDEN>) id 1glHJf-0008OW-WE
 for 34138 <at> debbugs.gnu.org; Sun, 20 Jan 2019 12:55:28 -0500
Received: from [192.168.1.100] ([46.125.250.101]) by mail.gmx.com (mrgmx103
 [212.227.17.168]) with ESMTPSA (Nemesis) id 0LvlWS-1hH3rA1Euy-017YUP; Sun, 20
 Jan 2019 18:55:20 +0100
Message-ID: <5C44B604.8040107@HIDDEN>
Date: Sun, 20 Jan 2019 18:55:16 +0100
From: martin rudalics <rudalics@HIDDEN>
MIME-Version: 1.0
To: Stephen Berman <stephen.berman@HIDDEN>
Subject: Re: bug#34138: 27.0.50; Delayed display of PDF file images
References: <871s58e4gh.fsf@HIDDEN>
 <5C443CB1.3050208@HIDDEN>	<87h8e3h90z.fsf@HIDDEN> <5C4483B7.1060604@HIDDEN>
 <87d0orgz0a.fsf@HIDDEN>
In-Reply-To: <87d0orgz0a.fsf@HIDDEN>
Content-Type: text/plain; charset=UTF-8; format=flowed
Content-Transfer-Encoding: 7bit
X-Provags-ID: V03:K1:6/5GrkctPAiay2UasPGziQf8YEYN6tgIbpQp3h4fMQTqFddMUeB
 bBT4hHRlfq1E94vHjYq2n6WvGV71cdIHWZdxknjlD00qH8oLV8mjtD0fdE5ZVitl9YzgGzG
 4j3RmM5NbLxwBmhvMoQ/OPq5IkVtB4SM0OZdQXNKS5NF6N4oRjyRYRMuF61MyiUQXTe2lp4
 ENR845883DA+twzoD9IlQ==
X-Spam-Flag: NO
X-UI-Out-Filterresults: notjunk:1;V03:K0:jysTcftK7eI=:uxJM3zBUTy3m6Pzw4CMgXg
 siFDCf21dmnFpwa0UiI1TyR8L2H4uxA7S26vg52OgIrS/2uy8Zxn8SvYPPm45wBK16dc/sssg
 vUv7HD+NhUpkdDznU9jLQYpjmBs7460dMZ4PF3bAJ8/VoqpgcI/8s9U+BEJUKE58Zy0ksdSJm
 Vtl0nkJErEZlRi9aGpmioUEoolZPsY0MjMDvsDUUGetPkNSa8klhRo3CgU9Rv56yaA0bVjmkV
 DRiC4iBgSEq4slQT3wPjM1+UFiWmOruw6EnWbInXu7HLqMhUC/lw8WdItqYqXp5BipodJkqSf
 lIOw98lW+fq6NE+HPIfMhiv0qEVh+EDoD6dCzS74WYS8+NMSAmaHWlwgajNp2bcH1WJE7mZPN
 6lm7lzqv+khpq+czD9g3b01JjR0x0jo2wB+VHvb7kO/A/EWd2MP6J+fj+HqC247qypKCGQv31
 Z7lOwbd2hAg6m79OQbOqYrcoppNlDcXPKk+6Y+qVstaEixxjF0PYu5O+7g/q31jJx5RXZv+eF
 w+rvwnCU4nOO+ev2en5BqGmbpB3ezJfsHkF+oXtEG4i92p3WgtsEMDKPKC4HrD53I467WtuBu
 4DSUPYof1gH4GlKNsscWuekBq4RpFezMfllo13aaw3i46zny2ddjQfZZ06PpO0sceIBOZ6Zvv
 z0W32VHhnbGgpbFkdH3EziCo8EpVal3mf6tSOHJygZgq97CDkKFbDEQ7fTEw1l744N3BkOWTm
 bj14wglRmceAJHWjoNI1CEP++n/IWi0aWHcHNREBNsrITH7vCSkgbIs9hEgbYDFonGE8F0zK8
 r/ZkpDicX8Dwa7PraQNJBwFAFkXcNXI+yX7CQxMEotfuEGW9bOu4LNRnyMkTJzvObHQa1orD1
 o59yrn6dcikzm0L+sV/ReC0Yu29jVYoeibvgqHntQyvzQ0ypK+2C4smWc5Zod1o9MrQThDEI2
 /XpwBv5IW6g==
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 34138
Cc: 34138 <at> debbugs.gnu.org, Andreas Politz <politza@HIDDEN>,
 Tassilo Horn <tsdh@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

This

 >   backtrace()
 >   (let ((standard-output (get-buffer-create "*PDF test*"))) (backtrace))
 >   (cond ((and image slice) (if pixels (cons (nth 3 slice) (nth 4 slice)) (cons (/ (float (nth 3 slice)) (frame-char-width frame)) (/ (float (nth 4 slice)) (frame-char-height frame))))) (image (image-size image pixels frame)) (t (let ((standard-output (get-buffer-create "*PDF test*"))) (backtrace))))
 >   (let ((image (assoc 'image spec)) (slice (assoc 'slice spec))) (cond ((and image slice) (if pixels (cons (nth 3 slice) (nth 4 slice)) (cons (/ (float (nth 3 slice)) (frame-char-width frame)) (/ (float (nth 4 slice)) (frame-char-height frame))))) (image (image-size image pixels frame)) (t (let ((standard-output (get-buffer-create "*PDF test*"))) (backtrace)))))
 >   (cond ((eq (car spec) 'xwidget) (let ((xwi (xwidget-info (xwidget-at (point-min))))) (cons (aref xwi 2) (aref xwi 3)))) ((eq (car spec) 'image) (image-size spec pixels frame)) (t (let ((image (assoc 'image spec)) (slice (assoc 'slice spec))) (cond ((and image slice) (if pixels (cons (nth 3 slice) (nth 4 slice)) (cons (/ (float (nth 3 slice)) (frame-char-width frame)) (/ (float (nth 4 slice)) (frame-char-height frame))))) (image (image-size image pixels frame)) (t (let ((standard-output (get-buffer-create "*PDF test*"))) (backtrace)))))))
 >   image-display-size(nil t)
 >   pdf-view-image-size(t)
 >   pdf-misc-size-indication()
 >   eval((pdf-misc-size-indication))
 >   redisplay_internal\ \(C\ function\)()
 >   backtrace()
 >   (let ((standard-output (get-buffer-create "*PDF test*"))) (backtrace))
 >   (cond ((and image slice) (if pixels (cons (nth 3 slice) (nth 4 slice)) (cons (/ (float (nth 3 slice)) (frame-char-width frame)) (/ (float (nth 4 slice)) (frame-char-height frame))))) (image (image-size image pixels frame)) (t (let ((standard-output (get-buffer-create "*PDF test*"))) (backtrace))))
 >   (let ((image (assoc 'image spec)) (slice (assoc 'slice spec))) (cond ((and image slice) (if pixels (cons (nth 3 slice) (nth 4 slice)) (cons (/ (float (nth 3 slice)) (frame-char-width frame)) (/ (float (nth 4 slice)) (frame-char-height frame))))) (image (image-size image pixels frame)) (t (let ((standard-output (get-buffer-create "*PDF test*"))) (backtrace)))))
 >   (cond ((eq (car spec) 'xwidget) (let ((xwi (xwidget-info (xwidget-at (point-min))))) (cons (aref xwi 2) (aref xwi 3)))) ((eq (car spec) 'image) (image-size spec pixels frame)) (t (let ((image (assoc 'image spec)) (slice (assoc 'slice spec))) (cond ((and image slice) (if pixels (cons (nth 3 slice) (nth 4 slice)) (cons (/ (float (nth 3 slice)) (frame-char-width frame)) (/ (float (nth 4 slice)) (frame-char-height frame))))) (image (image-size image pixels frame)) (t (let ((standard-output (get-buffer-create "*PDF test*"))) (backtrace)))))))
 >   image-display-size(nil t)
 >   pdf-view-image-size(t)
 >   pdf-misc-size-indication()
 >   eval((pdf-misc-size-indication))
 >   posn-at-point(1 #<window 68 on fhs-2.3.pdf>)
 >   window-in-direction(below #<window 68 on fhs-2.3.pdf>)

reveals that the mode line is evaluated twice in your scenario - once
to get a window in a direction (where we call 'posn-at-point' to tell
where on your frame point currently is) and once from redisplay.  I
don't know yet why 'image-get-display-property' apparently fails but
it looks like a good idea to me to wrap the 'image-display-size' call
in 'pdf-view-image-size' in 'ignore-errors' - evaluating a mode line
string should never throw an error (in paticular when it's only needed
to guess the height of the mode line).

martin




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#34138; Package emacs. Full text available.

Message received at 34138 <at> debbugs.gnu.org:


Received: (at 34138) by debbugs.gnu.org; 20 Jan 2019 17:43:24 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Jan 20 12:43:24 2019
Received: from localhost ([127.0.0.1]:39148 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1glH80-00082Z-93
	for submit <at> debbugs.gnu.org; Sun, 20 Jan 2019 12:43:24 -0500
Received: from eggs.gnu.org ([209.51.188.92]:51735)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1glH7y-00082J-2r
 for 34138 <at> debbugs.gnu.org; Sun, 20 Jan 2019 12:43:22 -0500
Received: from fencepost.gnu.org ([2001:470:142:3::e]:51153)
 by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <eliz@HIDDEN>)
 id 1glH7s-0001u5-7d; Sun, 20 Jan 2019 12:43:16 -0500
Received: from [176.228.60.248] (port=1348 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <eliz@HIDDEN>)
 id 1glH7r-0001NB-4W; Sun, 20 Jan 2019 12:43:16 -0500
Date: Sun, 20 Jan 2019 19:42:58 +0200
Message-Id: <83zhrv9qe5.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: Stephen Berman <stephen.berman@HIDDEN>
In-reply-to: <87zhrvfdzu.fsf@HIDDEN> (message from Stephen Berman on Sun, 20
 Jan 2019 18:14:13 +0100)
Subject: Re: bug#34138: 27.0.50; Delayed display of PDF file images
References: <871s58e4gh.fsf@HIDDEN> <5C443CB1.3050208@HIDDEN>
 <87h8e3h90z.fsf@HIDDEN> <5C4483B7.1060604@HIDDEN>
 <87d0orgz0a.fsf@HIDDEN> <837eezbazk.fsf@HIDDEN>
 <878szfgwdu.fsf@HIDDEN> <8336pnb9cq.fsf@HIDDEN>
 <874la3gujy.fsf@HIDDEN> <831s57b7ev.fsf@HIDDEN> <87zhrvfdzu.fsf@HIDDEN>
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 34138
Cc: rudalics@HIDDEN, 34138 <at> debbugs.gnu.org, politza@HIDDEN,
 tsdh@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

> From: Stephen Berman <stephen.berman@HIDDEN>
> Cc: rudalics@HIDDEN,  34138 <at> debbugs.gnu.org,  politza@HIDDEN,  tsdh@HIDDEN
> Date: Sun, 20 Jan 2019 18:14:13 +0100
> 
> > It means, during the time of the delay, type from the shell prompt:
> >
> >   $ gdb -p PID
> >
> > where PID is the numeric process-id of the Emacs process; you should
> > find that in advance, e.g. by running "ps".  Once GDB starts and shows
> > its prompt, "(gdb)", type:
> >
> >   (gdb) thread apply all bt
> >
> > This should show the C-level backtrace.  Then:
> >
> >   (gdb) source /path/to/emacs/src/.gdbinit
> >   (gdb) xbacktrace
> >
> > The last command should show the Lisp-level backtrace.
> 
> Ah, thanks.  I started gdb from the path of the emacs executable and the
> Lisp backtrace was shown after typing "thread apply all bt";

Please start GDB from a directory other that the Emacs src directory,
I'd like to see the C backtrace that way.

> FWIW, while the backtrace was being shown in the shell, the raw PDF
> changed to the image display in Emacs.

I don't understand how could Emacs be running while GDB was showing
the backtrace.  It shouldn't happen, because the executable to which
GDB is attached is supposed to be stopped in its tracks.  What does
this show, after you attach GDB and GDB shows its prompt?

  (gdb) show non-stop

It should say that non-stop mode is OFF.

> Lisp Backtrace:
> "image-size" (0x70824720)
> 0x354bf60 PVEC_COMPILED
> "gethash" (0x70820b38)
> "pdf-cache--data-get" (0x70820d40)
> "pdf-cache-number-of-pages" (0x70820f10)
> ---Type <return> to continue, or q <return> to quit---
> "terminal-live-p" (0x70820ea8)
> "framep-on-display" (0x708210b8)
> "overlayp" (0x70824718)
> 0x92591e8 PVEC_COMPILED
> "overlayp" (0x70824a48)
> 0x92591e8 PVEC_COMPILED
> "redisplay--update-region-highlight" (0x70824fd0)
> "run-hook-with-args" (0x70824fc8)
> "ignore" (0x70825310)
> "apply" (0x70825308)
> 0x9420638 PVEC_COMPILED
> "redisplay_internal (C function)" (0x0)

This Lisp backtrace contradicts the C backtrace of the main thread:

> Thread 1 (Thread 0x7f9109a29bc0 (LWP 5077)):
> #0  0x00007f910c590291 in __pselect (nfds=16, readfds=0x7ffc70826670, writefds=0x7ffc708265f0, exceptfds=0x0, timeout=<optimized out>, sigmask=<optimized out>)
>     at ../sysdeps/unix/sysv/linux/pselect.c:69
> #1  0x00000000005bca5d in really_call_select (arg=arg@entry=0x7ffc70826130)
>     at /mnt/data/steve/git/emacs-master/src/thread.c:580
> #2  0x0000000000542d88 in flush_stack_call_func (func=func@entry=0x5bca12 <really_call_select>, arg=arg@entry=0x7ffc70826130)
>     at /mnt/data/steve/git/emacs-master/src/alloc.c:5229
> #3  0x00000000005bd24f in thread_select (func=<optimized out>, max_fds=max_fds@entry=16, rfds=rfds@entry=0x7ffc70826670, wfds=<optimized out>, efds=efds@entry=0x0, timeout=timeout@entry=0x7ffc708268c0, sigmask=0x0)
>     at /mnt/data/steve/git/emacs-master/src/thread.c:610
> #4  0x00000000005d7c64 in xg_select (fds_lim=16, rfds=rfds@entry=0x7ffc70826960,---Type <return> to continue, or q <return> to quit---
>  wfds=0x7ffc708268e0, efds=efds@entry=0x0, timeout=timeout@entry=0x7ffc708268c0, sigmask=sigmask@entry=0x0)
>     at /mnt/data/steve/git/emacs-master/src/xgselect.c:117
> #5  0x000000000059daf3 in wait_reading_process_output (time_limit=time_limit@entry=97, nsecs=nsecs@entry=0, read_kbd=-1, do_display=do_display@entry=true, wait_for_cell=wait_for_cell@entry=XIL(0), wait_proc=wait_proc@entry=0x0, just_wait_proc=0) at /mnt/data/steve/git/emacs-master/src/process.c:5405
> #6  0x0000000000424e63 in sit_for (timeout=timeout@entry=make_number(97), reading=reading@entry=true, display_option=display_option@entry=1)
>     at /mnt/data/steve/git/emacs-master/src/lisp.h:1056
> #7  0x00000000004f769e in read_char (commandflag=1, map=map@entry=XIL(0x35f3093), prev_event=XIL(0), used_mouse_menu=used_mouse_menu@entry=0x7ffc70826d4b, end_time=end_time@entry=0x0) at /mnt/data/steve/git/emacs-master/src/lisp.h:751
> #8  0x00000000004f81ec in read_key_sequence (keybuf=keybuf@entry=0x7ffc70826e10, prompt=prompt@entry=XIL(0), dont_downcase_last=dont_downcase_last@entry=false, can_return_switch_frame=can_return_switch_frame@entry=true, fix_current_buffer=fix_current_buffer@entry=true, prevent_redisplay=prevent_redisplay@entry=false)
>     at /mnt/data/steve/git/emacs-master/src/lisp.h:1386
> #9  0x00000000004f9730 in command_loop_1 ()
>     at /mnt/data/steve/git/emacs-master/src/lisp.h:1056

The C backtrace says we are idling, waiting for some input inside
pselect, while the Lisp backtrace says we are in the image-size
function, which was somehow invoked from pre-redisplay-function.  I'm
confused...

Thanks.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#34138; Package emacs. Full text available.

Message received at 34138 <at> debbugs.gnu.org:


Received: (at 34138) by debbugs.gnu.org; 20 Jan 2019 17:14:27 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Jan 20 12:14:27 2019
Received: from localhost ([127.0.0.1]:39129 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1glGfy-0007AC-AY
	for submit <at> debbugs.gnu.org; Sun, 20 Jan 2019 12:14:26 -0500
Received: from mout.gmx.net ([212.227.17.21]:44393)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <stephen.berman@HIDDEN>) id 1glGfv-00079w-Pv
 for 34138 <at> debbugs.gnu.org; Sun, 20 Jan 2019 12:14:24 -0500
Received: from rosalinde ([92.73.79.34]) by mail.gmx.com (mrgmx103
 [212.227.17.168]) with ESMTPSA (Nemesis) id 0MVvDo-1gj6vX0xdQ-00X7gU; Sun, 20
 Jan 2019 18:14:15 +0100
From: Stephen Berman <stephen.berman@HIDDEN>
To: Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#34138: 27.0.50; Delayed display of PDF file images
References: <871s58e4gh.fsf@HIDDEN> <5C443CB1.3050208@HIDDEN>
 <87h8e3h90z.fsf@HIDDEN> <5C4483B7.1060604@HIDDEN>
 <87d0orgz0a.fsf@HIDDEN> <837eezbazk.fsf@HIDDEN>
 <878szfgwdu.fsf@HIDDEN> <8336pnb9cq.fsf@HIDDEN>
 <874la3gujy.fsf@HIDDEN> <831s57b7ev.fsf@HIDDEN>
Date: Sun, 20 Jan 2019 18:14:13 +0100
In-Reply-To: <831s57b7ev.fsf@HIDDEN> (Eli Zaretskii's message of "Sun, 20 Jan
 2019 18:50:00 +0200")
Message-ID: <87zhrvfdzu.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/27.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: multipart/mixed; boundary="=-=-="
X-Provags-ID: V03:K1:+gNIHFGCcKqEvL9BbGjerJgnBe4d+PIUpPTKn8ajB3QMDhIcDBm
 3R7yRIRslXYo7qsTjANWoucBG+Qm6u8Kzx0EZpqB5JS+/n8JJLjdJGjuIOL2aZkXn6KfY0C
 ssAabE7bcff7rx3ErlmwBSiu7O6axPjdAf7Dba8oo6LkcvNwhMVKHbXq/oc7Fy6f3PyTqnu
 Owbh5dxNXZZZtIJ82OpJQ==
X-Spam-Flag: NO
X-UI-Out-Filterresults: notjunk:1;V03:K0:On6fAsc2Rv4=:sXkJIzGCs6qgTyZP54FvOs
 FZdZtJWh8jE8EqMlnHyMJy42OIgPadQgaAIQwGI7PR3YPnqX26s1nspqqG4irjRhYauaiJyAn
 9hziDWwf+wuCaaQ2TzE77EBmD6AWYvZFvmtcZ4iUS1O1S208dxSXYRd4HbMnOMg1DfZaIi3ol
 N4uZsgpHf9yKQQcszu/tRI2dk/TEZE4yapirHokvHfoR6xVvZ213tsQ/LrFQDyLg+WQjqKuMP
 j8Gy7tQdH7t8DNEOJ77u98AxSwX+YrHly9EBqE8zsrAOQX52V7TF5FoMfUI1LSs3EF/DhlMKG
 pd+0sRRW9oL6c285gXXxFMuMJq692odl33Wdd45nli8rBN50HN2XPP1cGXEg29p8R+3gdMqUR
 wpxzf1xLQ6cppZgnpCaurQLk6kqvdtCvu6z9ldC9/D5cAMAlm7nz1NJhrSZ8qGs+s6LWF30Fo
 rOT03yUn6Bhf7UWJqh1es/SzeCqz/HEEqGwxg2JNkV1bmXxdEL8Rf/bofC8jt9Dc2zZFWjfGP
 teTSnpHgd3+hFxMFxfjyu+h1DG/e3VtDgM7/L92LcCsV2BunTqPBUymbMi0cycxTc623z2iWl
 piE4JwmIhsXDbkxvrFYi0E0wGU6Q/AQYoPxhRJZNtdL8R5rhg0aC6iUe31SJ4pW4WN9goiniB
 JB7O815iWjC560G8jt/gqKIB4m1RNwrQbRtTWBcCPUFBydzweS3kc4oRxTK/ovuU25OLp/x7T
 lIapg/bjlYL5G5viwv+xDzCCdAarzPVke/OMGnFCN75aRA6SBj1Xe06H+oqAAxq58bLvZW1oB
 kxgtceQ8RYQZuO9IqLj2WyPP/qjIYTXvjTe3btTAiMgdGc5nIaoSEkizoBca5JJlg2bgxcCpF
 JU0+YQEhw+u2z5ShhycwGI3ue993TMDYAM6DEfgaak8Plj4Gly2VMISGg263/2
X-Spam-Score: 0.3 (/)
X-Debbugs-Envelope-To: 34138
Cc: rudalics@HIDDEN, 34138 <at> debbugs.gnu.org, politza@HIDDEN,
 tsdh@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

--=-=-=
Content-Type: text/plain

On Sun, 20 Jan 2019 18:50:00 +0200 Eli Zaretskii <eliz@HIDDEN> wrote:

>> From: Stephen Berman <stephen.berman@HIDDEN>
>> Cc: rudalics@HIDDEN, 34138 <at> debbugs.gnu.org, politza@HIDDEN,
>> tsdh@HIDDEN
>> Date: Sun, 20 Jan 2019 17:31:13 +0100
>> 
>> > Hmm... can you attach the debugger to Emacs during that delay, and
>> > show both C backtrace and Lisp backtrace?
>> 
>> I'm not sure what "attach the debugger to Emacs during that delay"
>> means
>
> It means, during the time of the delay, type from the shell prompt:
>
>   $ gdb -p PID
>
> where PID is the numeric process-id of the Emacs process; you should
> find that in advance, e.g. by running "ps".  Once GDB starts and shows
> its prompt, "(gdb)", type:
>
>   (gdb) thread apply all bt
>
> This should show the C-level backtrace.  Then:
>
>   (gdb) source /path/to/emacs/src/.gdbinit
>   (gdb) xbacktrace
>
> The last command should show the Lisp-level backtrace.

Ah, thanks.  I started gdb from the path of the emacs executable and the
Lisp backtrace was shown after typing "thread apply all bt";
subsequently typing xbacktrace showed no output.  Transcript attached.
FWIW, while the backtrace was being shown in the shell, the raw PDF
changed to the image display in Emacs.

Steve Berman


--=-=-=
Content-Type: text/plain
Content-Disposition: attachment
Content-Description: gdb backtrace

steve [ ~/build/emacs/src ]$ gdb -p 5077
GNU gdb (GDB) 8.1.1
Copyright (C) 2018 Free Software Foundation, Inc.
License GPLv3+: GNU GPL version 3 or later <http://gnu.org/licenses/gpl.html>
This is free software: you are free to change and redistribute it.
There is NO WARRANTY, to the extent permitted by law.  Type "show copying"
and "show warranty" for details.
This GDB was configured as "x86_64-pc-linux-gnu".
Type "show configuration" for configuration details.
For bug reporting instructions, please see:
<http://www.gnu.org/software/gdb/bugs/>.
Find the GDB manual and other documentation resources online at:
<http://www.gnu.org/software/gdb/documentation/>.
For help, type "help".
Type "apropos word" to search for commands related to "word".
Attaching to process 5077
[New LWP 5078]
[New LWP 5080]
[Thread debugging using libthread_db enabled]
Using host libthread_db library "/lib/libthread_db.so.1".
0x00007f910c590291 in __pselect (nfds=16, readfds=0x7ffc70826670, 
    writefds=0x7ffc708265f0, exceptfds=0x0, timeout=<optimized out>, 
    sigmask=<optimized out>) at ../sysdeps/unix/sysv/linux/pselect.c:69
69      ../sysdeps/unix/sysv/linux/pselect.c: No such file or directory.
SIGINT is used by the debugger.
Are you sure you want to change it? (y or n) [answered Y; input not from terminal]
DISPLAY = :0
TERM = xterm
Breakpoint 1 at 0x4eb2ee: file /mnt/data/steve/git/emacs-master/src/emacs.c, lin---Type <return> to continue, or q <return> to quit---
e 370.
Temporary breakpoint 2 at 0x502b35: file /mnt/data/steve/git/emacs-master/src/lisp.h, line 1056.
(gdb) thread apply all bt

Thread 3 (Thread 0x7f910772f700 (LWP 5080)):
#0  0x00007f910c58dac9 in __GI___poll (fds=0x20e71e0, nfds=2, timeout=-1)
    at ../sysdeps/unix/sysv/linux/poll.c:29
#1  0x00007f910d563cbe in g_main_context_poll (priority=<optimized out>, n_fds=2, fds=0x20e71e0, timeout=<optimized out>, context=0x20e4a30) at gmain.c:4204
#2  0x00007f910d563cbe in g_main_context_iterate (context=0x20e4a30, block=block@entry=1, dispatch=dispatch@entry=1, self=<optimized out>) at gmain.c:3898
#3  0x00007f910d564032 in g_main_loop_run (loop=0x20e4b70) at gmain.c:4099
#4  0x00007f910d753a36 in gdbus_shared_thread_func (user_data=0x20e4a00)
    at gdbusprivate.c:275
#5  0x00007f910d58a395 in g_thread_proxy (data=0x206a680) at gthread.c:784
#6  0x00007f910c76ffa3 in start_thread (arg=<optimized out>)
    at pthread_create.c:486
#7  0x00007f910c5985ff in clone ()
    at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Lisp Backtrace:
"image-size" (0x70824720)
0x354bf60 PVEC_COMPILED
"gethash" (0x70820b38)
"pdf-cache--data-get" (0x70820d40)
"pdf-cache-number-of-pages" (0x70820f10)
---Type <return> to continue, or q <return> to quit---
"terminal-live-p" (0x70820ea8)
"framep-on-display" (0x708210b8)
"overlayp" (0x70824718)
0x92591e8 PVEC_COMPILED
"overlayp" (0x70824a48)
0x92591e8 PVEC_COMPILED
"redisplay--update-region-highlight" (0x70824fd0)
"run-hook-with-args" (0x70824fc8)
"ignore" (0x70825310)
"apply" (0x70825308)
0x9420638 PVEC_COMPILED
"redisplay_internal (C function)" (0x0)

Thread 2 (Thread 0x7f9107fe3700 (LWP 5078)):
#0  0x00007f910c58dac9 in __GI___poll (fds=0x7f9100000b40, nfds=1, timeout=-1)
    at ../sysdeps/unix/sysv/linux/poll.c:29
#1  0x00007f910d563cbe in g_main_context_poll (priority=<optimized out>, n_fds=1, fds=0x7f9100000b40, timeout=<optimized out>, context=0x1da04d0)
    at gmain.c:4204
#2  0x00007f910d563cbe in g_main_context_iterate (context=context@entry=0x1da04d0, block=block@entry=1, dispatch=dispatch@entry=1, self=<optimized out>)
    at gmain.c:3898
#3  0x00007f910d563dcc in g_main_context_iteration (context=0x1da04d0, may_block---Type <return> to continue, or q <return> to quit---
=may_block@entry=1) at gmain.c:3964
#4  0x00007f910d563e11 in glib_worker_main (data=<optimized out>)
    at gmain.c:5773
#5  0x00007f910d58a395 in g_thread_proxy (data=0x1da0800) at gthread.c:784
#6  0x00007f910c76ffa3 in start_thread (arg=<optimized out>)
    at pthread_create.c:486
#7  0x00007f910c5985ff in clone ()
    at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 1 (Thread 0x7f9109a29bc0 (LWP 5077)):
#0  0x00007f910c590291 in __pselect (nfds=16, readfds=0x7ffc70826670, writefds=0x7ffc708265f0, exceptfds=0x0, timeout=<optimized out>, sigmask=<optimized out>)
    at ../sysdeps/unix/sysv/linux/pselect.c:69
#1  0x00000000005bca5d in really_call_select (arg=arg@entry=0x7ffc70826130)
    at /mnt/data/steve/git/emacs-master/src/thread.c:580
#2  0x0000000000542d88 in flush_stack_call_func (func=func@entry=0x5bca12 <really_call_select>, arg=arg@entry=0x7ffc70826130)
    at /mnt/data/steve/git/emacs-master/src/alloc.c:5229
#3  0x00000000005bd24f in thread_select (func=<optimized out>, max_fds=max_fds@entry=16, rfds=rfds@entry=0x7ffc70826670, wfds=<optimized out>, efds=efds@entry=0x0, timeout=timeout@entry=0x7ffc708268c0, sigmask=0x0)
    at /mnt/data/steve/git/emacs-master/src/thread.c:610
#4  0x00000000005d7c64 in xg_select (fds_lim=16, rfds=rfds@entry=0x7ffc70826960,---Type <return> to continue, or q <return> to quit---
 wfds=0x7ffc708268e0, efds=efds@entry=0x0, timeout=timeout@entry=0x7ffc708268c0, sigmask=sigmask@entry=0x0)
    at /mnt/data/steve/git/emacs-master/src/xgselect.c:117
#5  0x000000000059daf3 in wait_reading_process_output (time_limit=time_limit@entry=97, nsecs=nsecs@entry=0, read_kbd=-1, do_display=do_display@entry=true, wait_for_cell=wait_for_cell@entry=XIL(0), wait_proc=wait_proc@entry=0x0, just_wait_proc=0) at /mnt/data/steve/git/emacs-master/src/process.c:5405
#6  0x0000000000424e63 in sit_for (timeout=timeout@entry=make_number(97), reading=reading@entry=true, display_option=display_option@entry=1)
    at /mnt/data/steve/git/emacs-master/src/lisp.h:1056
#7  0x00000000004f769e in read_char (commandflag=1, map=map@entry=XIL(0x35f3093), prev_event=XIL(0), used_mouse_menu=used_mouse_menu@entry=0x7ffc70826d4b, end_time=end_time@entry=0x0) at /mnt/data/steve/git/emacs-master/src/lisp.h:751
#8  0x00000000004f81ec in read_key_sequence (keybuf=keybuf@entry=0x7ffc70826e10, prompt=prompt@entry=XIL(0), dont_downcase_last=dont_downcase_last@entry=false, can_return_switch_frame=can_return_switch_frame@entry=true, fix_current_buffer=fix_current_buffer@entry=true, prevent_redisplay=prevent_redisplay@entry=false)
    at /mnt/data/steve/git/emacs-master/src/lisp.h:1386
#9  0x00000000004f9730 in command_loop_1 ()
    at /mnt/data/steve/git/emacs-master/src/lisp.h:1056
#10 0x000000000055fe86 in internal_condition_case (bfun=bfun@entry=0x4f955b <command_loop_1>, handlers=handlers@entry=XIL(0x5490), hfun=hfun@entry=0x4f0c5d <cmd_error>) at /mnt/data/steve/git/emacs-master/src/eval.c:1376
---Type <return> to continue, or q <return> to quit---
#11 0x00000000004eca0e in command_loop_2 (ignore=ignore@entry=XIL(0))
    at /mnt/data/steve/git/emacs-master/src/lisp.h:1056
#12 0x000000000055fdfd in internal_catch (tag=tag@entry=XIL(0xc9f0), func=func@entry=0x4ec9f6 <command_loop_2>, arg=arg@entry=XIL(0))
    at /mnt/data/steve/git/emacs-master/src/eval.c:1139
#13 0x00000000004ec9d8 in command_loop ()
    at /mnt/data/steve/git/emacs-master/src/lisp.h:1056
#14 0x00000000004f08d6 in recursive_edit_1 ()
    at /mnt/data/steve/git/emacs-master/src/keyboard.c:714
#15 0x00000000004f0b8d in Frecursive_edit ()
    at /mnt/data/steve/git/emacs-master/src/keyboard.c:785
#16 0x00000000004ec1d7 in main (argc=1, argv=0x7ffc70827158)
    at /mnt/data/steve/git/emacs-master/src/emacs.c:1901
(gdb) 

--=-=-=--




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#34138; Package emacs. Full text available.

Message received at 34138 <at> debbugs.gnu.org:


Received: (at 34138) by debbugs.gnu.org; 20 Jan 2019 16:50:34 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Jan 20 11:50:34 2019
Received: from localhost ([127.0.0.1]:39124 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1glGIo-0006Te-IT
	for submit <at> debbugs.gnu.org; Sun, 20 Jan 2019 11:50:34 -0500
Received: from eggs.gnu.org ([209.51.188.92]:42704)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1glGIj-0006TL-N2
 for 34138 <at> debbugs.gnu.org; Sun, 20 Jan 2019 11:50:29 -0500
Received: from fencepost.gnu.org ([2001:470:142:3::e]:50262)
 by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <eliz@HIDDEN>)
 id 1glGId-0002uu-GT; Sun, 20 Jan 2019 11:50:19 -0500
Received: from [176.228.60.248] (port=1944 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <eliz@HIDDEN>)
 id 1glGIc-0004vl-Ly; Sun, 20 Jan 2019 11:50:19 -0500
Date: Sun, 20 Jan 2019 18:50:00 +0200
Message-Id: <831s57b7ev.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: Stephen Berman <stephen.berman@HIDDEN>
In-reply-to: <874la3gujy.fsf@HIDDEN> (message from Stephen Berman on Sun, 20
 Jan 2019 17:31:13 +0100)
Subject: Re: bug#34138: 27.0.50; Delayed display of PDF file images
References: <871s58e4gh.fsf@HIDDEN> <5C443CB1.3050208@HIDDEN>
 <87h8e3h90z.fsf@HIDDEN> <5C4483B7.1060604@HIDDEN>
 <87d0orgz0a.fsf@HIDDEN> <837eezbazk.fsf@HIDDEN>
 <878szfgwdu.fsf@HIDDEN> <8336pnb9cq.fsf@HIDDEN> <874la3gujy.fsf@HIDDEN>
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 34138
Cc: rudalics@HIDDEN, 34138 <at> debbugs.gnu.org, politza@HIDDEN,
 tsdh@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

> From: Stephen Berman <stephen.berman@HIDDEN>
> Cc: rudalics@HIDDEN,  34138 <at> debbugs.gnu.org,  politza@HIDDEN,  tsdh@HIDDEN
> Date: Sun, 20 Jan 2019 17:31:13 +0100
> 
> > Hmm... can you attach the debugger to Emacs during that delay, and
> > show both C backtrace and Lisp backtrace?
> 
> I'm not sure what "attach the debugger to Emacs during that delay"
> means

It means, during the time of the delay, type from the shell prompt:

  $ gdb -p PID

where PID is the numeric process-id of the Emacs process; you should
find that in advance, e.g. by running "ps".  Once GDB starts and shows
its prompt, "(gdb)", type:

  (gdb) thread apply all bt

This should show the C-level backtrace.  Then:

  (gdb) source /path/to/emacs/src/.gdbinit
  (gdb) xbacktrace

The last command should show the Lisp-level backtrace.

Thanks.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#34138; Package emacs. Full text available.

Message received at 34138 <at> debbugs.gnu.org:


Received: (at 34138) by debbugs.gnu.org; 20 Jan 2019 16:31:24 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Jan 20 11:31:24 2019
Received: from localhost ([127.0.0.1]:39120 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1glG0J-0005zD-JX
	for submit <at> debbugs.gnu.org; Sun, 20 Jan 2019 11:31:24 -0500
Received: from mout.gmx.net ([212.227.17.21]:37865)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <stephen.berman@HIDDEN>) id 1glG0I-0005z2-Ax
 for 34138 <at> debbugs.gnu.org; Sun, 20 Jan 2019 11:31:23 -0500
Received: from rosalinde ([92.73.79.34]) by mail.gmx.com (mrgmx102
 [212.227.17.168]) with ESMTPSA (Nemesis) id 0LbxQO-1hRzHi3iw0-00jKXa; Sun, 20
 Jan 2019 17:31:15 +0100
From: Stephen Berman <stephen.berman@HIDDEN>
To: Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#34138: 27.0.50; Delayed display of PDF file images
References: <871s58e4gh.fsf@HIDDEN> <5C443CB1.3050208@HIDDEN>
 <87h8e3h90z.fsf@HIDDEN> <5C4483B7.1060604@HIDDEN>
 <87d0orgz0a.fsf@HIDDEN> <837eezbazk.fsf@HIDDEN>
 <878szfgwdu.fsf@HIDDEN> <8336pnb9cq.fsf@HIDDEN>
Date: Sun, 20 Jan 2019 17:31:13 +0100
In-Reply-To: <8336pnb9cq.fsf@HIDDEN> (Eli Zaretskii's message of "Sun, 20 Jan
 2019 18:08:05 +0200")
Message-ID: <874la3gujy.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/27.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: multipart/mixed; boundary="=-=-="
X-Provags-ID: V03:K1:rp0BUh+DlUxfoOMS8CJ+tU3kI9L76QXaDQufUqDzC2+UoMR3VTp
 ucnD64Rf+U3swzhzqf79FTcYPHJpU5yLBNjmLAv5N7o0kJNP7YWd+cVFWdpe1PcI0d9CifZ
 Wh1xCnPhgksiWNaYfVYGovIXIn4BrksqLCJTwiXp1rpcRR3NvRJilVL7LwZSOXxuMNWXHrn
 59kgH5OUa2k5+s+d4S+5w==
X-Spam-Flag: NO
X-UI-Out-Filterresults: notjunk:1;V03:K0:wbmQubvT5h0=:frRkAEvRPA8CZrmba0xs94
 I6ATq6CGYmA4oU7v3eQo76oHHY2sWMJRUogV+OzIBn0RNy+ZJ0GrjwnVjjFoJ/tkuAvHXkc5N
 mIpC1ACcQuwrFZCiQbUpazVdxWmXH2t95KdHnfmLiNv9N00H1Cl2055w2vZtmCIrGeFJwcMx/
 IXGvfteGYgHdBvYo55DYkrdv7WGCiHpXRhLwqPQuRUMyiTJZmVVFZ1aowGGNZIKiwgQ1ktVKi
 7Fxd+UB22Bdcgjkl8ahSqJQOtXeJFHNIxaFwVL6CSu/rwlEoeig93cx5s7u5HE7F1Cv4fNxAe
 3AJpknnlMvJsuxfqVJjrdz4ac4tUn3mZ9puM+N5a8KL6fsen0ECcImzwRu5TpYd72lf7MYdjp
 kpJbLoHOetDUhWtJ/98yH+La0NG/yJhaqbF3vkpaX6eeDo9Tuz8So1Jy7gupgh3tzshJLuPUC
 rowJtplC8rvf8Iwh+txw9L98tBjdkgVF8AzP4s5anXRkOKZdLvG6Qy1/UZM4zXj9C3xOl2DSz
 6yu1Td+/ic5sHYj8qDV+Rbb2qVAELR5vEvfso1nQWG0IhEr8D8GRiyvgdDqYZlBLuGiEwNqZv
 vbJ/Par1tlpb1KXppXW0QXRkMErNq6usgAV78yNruoqeW/Z/DCCElFzXjxoSM4I2sqQp42A0R
 UZKvvMh8AW0n0ndmrIvQIenMXPq2Q8XzFNMZs6PdAtjfEyU6Ivf/QuExgWEsEVCh86C5bBBK7
 I8XMryAuKJ872Xv1pzQXa1TNRk44Zut9Hwgc9N2S5Ti4pfd87IpC9RuR9S4rb45ZI7CMYHvS1
 04vi7gPSDLrv+Q/n7WpFHo5dFqCIlZKrOPcU1PJNb8Buc9kIjCpEUeJmi6jQ4E4m0hn0tDJq1
 G/m+EIyWtLK+3VbYEMhZWZ8L9kV+kjLtzDVDPWdG9ZlVfScx2zDehBCpfFZuyf
X-Spam-Score: 0.3 (/)
X-Debbugs-Envelope-To: 34138
Cc: rudalics@HIDDEN, 34138 <at> debbugs.gnu.org, politza@HIDDEN,
 tsdh@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

--=-=-=
Content-Type: text/plain

On Sun, 20 Jan 2019 18:08:05 +0200 Eli Zaretskii <eliz@HIDDEN> wrote:

>> From: Stephen Berman <stephen.berman@HIDDEN>
>> Cc: rudalics@HIDDEN, 34138 <at> debbugs.gnu.org, politza@HIDDEN,
>> tsdh@HIDDEN
>> Date: Sun, 20 Jan 2019 16:51:41 +0100
>> 
>> That makes sense.  (Actually, I had mentioned keyboard input with
>> reference to pdf-view-mode, where the delay is quite long; with
>> doc-view-mode the delay is only a few seconds, so I hadn't try using the
>> keyboard, but now I did and it did in fact then immediately switch to
>> the "Welcome to DocView!" display briefly before displaying the image,
>> so keyboard input appears to have an effect with doc-view-mode as well.)
>> 
>> > If you configure blink-cursor-mode to never stop blinking, does the
>> > problem go away, per chance?
>> 
>> No, that made no difference either with doc-view-mode or with
>> pdf-view-mode.
>
> Hmm... can you attach the debugger to Emacs during that delay, and
> show both C backtrace and Lisp backtrace?

I'm not sure what "attach the debugger to Emacs during that delay"
means, but what I did is to start emacs under gdb with my
initializations, then I opened a PDF file in pdf-view-mode, it showed
the raw PDF, at which point I typed C-z in gdb, then bt, then
xbacktrace, which showed nothing, then c, upon which the PDF image was
immediately shown, then I called bt again, but it looks like the same
backtrace, and xbacktrace again returned nothing.  I've attached the
complete transcript.  If you wanted me to do something else, please give
me step by step instructions.

Steve


--=-=-=
Content-Type: text/plain
Content-Disposition: attachment
Content-Description: gdb backtrace

Starting program: /home/steve/build/emacs/src/emacs 
[Thread debugging using libthread_db enabled]
Using host libthread_db library "/lib/libthread_db.so.1".
[New Thread 0x7ffff1c19700 (LWP 4987)]
[New Thread 0x7ffff1365700 (LWP 4989)]
GLib-GIO-Message: 17:12:23.575: Using the 'memory' GSettings backend.  Your settings will not be saved or shared with other applications.
^Z
Thread 1 "emacs" received signal SIGTSTP, Stopped (user).
0x00007ffff61c6291 in __pselect (nfds=16, readfds=0x7fffffffd5c0, 
    writefds=0x7fffffffd540, exceptfds=0x0, timeout=<optimized out>, 
    sigmask=<optimized out>) at ../sysdeps/unix/sysv/linux/pselect.c:69
69      ../sysdeps/unix/sysv/linux/pselect.c: No such file or directory.
(gdb) bt
#0  0x00007ffff61c6291 in __pselect (nfds=16, readfds=0x7fffffffd5c0, writefds=0x7fffffffd540, exceptfds=0x0, timeout=<optimized out>, sigmask=<optimized out>)
    at ../sysdeps/unix/sysv/linux/pselect.c:69
#1  0x00000000005bca5d in really_call_select (arg=arg@entry=0x7fffffffd080)
    at /mnt/data/steve/git/emacs-master/src/thread.c:580
#2  0x0000000000542d88 in flush_stack_call_func (func=func@entry=0x5bca12 <really_call_select>, arg=arg@entry=0x7fffffffd080)
    at /mnt/data/steve/git/emacs-master/src/alloc.c:5229
#3  0x00000000005bd24f in thread_select (func=<optimized out>, max_fds=max_fds@entry=16, rfds=rfds@entry=0x7fffffffd5c0, wfds=<optimized out>, efds=efds@entry=0x0, timeout=timeout@entry=0x7fffffffd810, sigmask=0x0)
    at /mnt/data/steve/git/emacs-master/src/thread.c:610
#4  0x00000000005d7c64 in xg_select (fds_lim=16, rfds=rfds@entry=0x7fffffffd8b0, wfds=0x7fffffffd830, efds=efds@entry=0x0, timeout=timeout@entry=0x7fffffffd810, sigmask=sigmask@entry=0x0)
    at /mnt/data/steve/git/emacs-master/src/xgselect.c:117
#5  0x000000000059daf3 in wait_reading_process_output (time_limit=time_limit@entry=82, nsecs=nsecs@entry=0, read_kbd=-1, do_display=do_display@entry=true, wait_for_cell=wait_for_cell@entry=XIL(0), wait_proc=wait_proc@entry=0x0, just_wait_proc=0) at /mnt/data/steve/git/emacs-master/src/process.c:5405
#6  0x0000000000424e63 in sit_for (timeout=timeout@entry=make_number(82), reading=reading@entry=true, display_option=display_option@entry=1)
    at /mnt/data/steve/git/emacs-master/src/lisp.h:1056
---Type <return> to continue, or q <return> to quit---
#7  0x00000000004f769e in read_char (commandflag=1, map=map@entry=XIL(0x24be853), prev_event=XIL(0), used_mouse_menu=used_mouse_menu@entry=0x7fffffffdc9b, end_time=end_time@entry=0x0) at /mnt/data/steve/git/emacs-master/src/lisp.h:751
#8  0x00000000004f81ec in read_key_sequence (keybuf=keybuf@entry=0x7fffffffdd60, prompt=prompt@entry=XIL(0), dont_downcase_last=dont_downcase_last@entry=false, can_return_switch_frame=can_return_switch_frame@entry=true, fix_current_buffer=fix_current_buffer@entry=true, prevent_redisplay=prevent_redisplay@entry=false)
    at /mnt/data/steve/git/emacs-master/src/lisp.h:1386
#9  0x00000000004f9730 in command_loop_1 ()
    at /mnt/data/steve/git/emacs-master/src/lisp.h:1056
#10 0x000000000055fe86 in internal_condition_case (bfun=bfun@entry=0x4f955b <command_loop_1>, handlers=handlers@entry=XIL(0x5490), hfun=hfun@entry=0x4f0c5d <cmd_error>) at /mnt/data/steve/git/emacs-master/src/eval.c:1376
#11 0x00000000004eca0e in command_loop_2 (ignore=ignore@entry=XIL(0))
    at /mnt/data/steve/git/emacs-master/src/lisp.h:1056
#12 0x000000000055fdfd in internal_catch (tag=tag@entry=XIL(0xc9f0), func=func@entry=0x4ec9f6 <command_loop_2>, arg=arg@entry=XIL(0))
    at /mnt/data/steve/git/emacs-master/src/eval.c:1139
#13 0x00000000004ec9d8 in command_loop ()
    at /mnt/data/steve/git/emacs-master/src/lisp.h:1056
#14 0x00000000004f08d6 in recursive_edit_1 ()
    at /mnt/data/steve/git/emacs-master/src/keyboard.c:714
#15 0x00000000004f0b8d in Frecursive_edit ()
---Type <return> to continue, or q <return> to quit---
    at /mnt/data/steve/git/emacs-master/src/keyboard.c:785
#16 0x00000000004ec1d7 in main (argc=1, argv=0x7fffffffe0a8)
    at /mnt/data/steve/git/emacs-master/src/emacs.c:1901
(gdb) xbacktrace 
(gdb) c
Continuing.
^Z
Thread 1 "emacs" received signal SIGTSTP, Stopped (user).
0x00007ffff61c6291 in __pselect (nfds=16, readfds=0x7fffffffd5c0, 
    writefds=0x7fffffffd540, exceptfds=0x0, timeout=<optimized out>, 
    sigmask=<optimized out>) at ../sysdeps/unix/sysv/linux/pselect.c:69
69      in ../sysdeps/unix/sysv/linux/pselect.c
(gdb) bt
#0  0x00007ffff61c6291 in __pselect (nfds=16, readfds=0x7fffffffd5c0, writefds=0x7fffffffd540, exceptfds=0x0, timeout=<optimized out>, sigmask=<optimized out>)
    at ../sysdeps/unix/sysv/linux/pselect.c:69
#1  0x00000000005bca5d in really_call_select (arg=arg@entry=0x7fffffffd080)
    at /mnt/data/steve/git/emacs-master/src/thread.c:580
#2  0x0000000000542d88 in flush_stack_call_func (func=func@entry=0x5bca12 <really_call_select>, arg=arg@entry=0x7fffffffd080)
    at /mnt/data/steve/git/emacs-master/src/alloc.c:5229
#3  0x00000000005bd24f in thread_select (func=<optimized out>, max_fds=max_fds@entry=16, rfds=rfds@entry=0x7fffffffd5c0, wfds=<optimized out>, efds=efds@entry=0x0, timeout=timeout@entry=0x7fffffffd810, sigmask=0x0)
    at /mnt/data/steve/git/emacs-master/src/thread.c:610
#4  0x00000000005d7c64 in xg_select (fds_lim=16, rfds=rfds@entry=0x7fffffffd8b0, wfds=0x7fffffffd830, efds=efds@entry=0x0, timeout=timeout@entry=0x7fffffffd810, sigmask=sigmask@entry=0x0)
    at /mnt/data/steve/git/emacs-master/src/xgselect.c:117
#5  0x000000000059daf3 in wait_reading_process_output (time_limit=time_limit@entry=82, nsecs=nsecs@entry=0, read_kbd=-1, do_display=do_display@entry=true, wait_for_cell=wait_for_cell@entry=XIL(0), wait_proc=wait_proc@entry=0x0, just_wait_proc=0) at /mnt/data/steve/git/emacs-master/src/process.c:5405
#6  0x0000000000424e63 in sit_for (timeout=timeout@entry=make_number(82), reading=reading@entry=true, display_option=display_option@entry=1)
    at /mnt/data/steve/git/emacs-master/src/lisp.h:1056
---Type <return> to continue, or q <return> to quit---
#7  0x00000000004f769e in read_char (commandflag=1, map=map@entry=XIL(0x24be853), prev_event=XIL(0), used_mouse_menu=used_mouse_menu@entry=0x7fffffffdc9b, end_time=end_time@entry=0x0) at /mnt/data/steve/git/emacs-master/src/lisp.h:751
#8  0x00000000004f81ec in read_key_sequence (keybuf=keybuf@entry=0x7fffffffdd60, prompt=prompt@entry=XIL(0), dont_downcase_last=dont_downcase_last@entry=false, can_return_switch_frame=can_return_switch_frame@entry=true, fix_current_buffer=fix_current_buffer@entry=true, prevent_redisplay=prevent_redisplay@entry=false)
    at /mnt/data/steve/git/emacs-master/src/lisp.h:1386
#9  0x00000000004f9730 in command_loop_1 ()
    at /mnt/data/steve/git/emacs-master/src/lisp.h:1056
#10 0x000000000055fe86 in internal_condition_case (bfun=bfun@entry=0x4f955b <command_loop_1>, handlers=handlers@entry=XIL(0x5490), hfun=hfun@entry=0x4f0c5d <cmd_error>) at /mnt/data/steve/git/emacs-master/src/eval.c:1376
#11 0x00000000004eca0e in command_loop_2 (ignore=ignore@entry=XIL(0))
    at /mnt/data/steve/git/emacs-master/src/lisp.h:1056
#12 0x000000000055fdfd in internal_catch (tag=tag@entry=XIL(0xc9f0), func=func@entry=0x4ec9f6 <command_loop_2>, arg=arg@entry=XIL(0))
    at /mnt/data/steve/git/emacs-master/src/eval.c:1139
#13 0x00000000004ec9d8 in command_loop ()
    at /mnt/data/steve/git/emacs-master/src/lisp.h:1056
#14 0x00000000004f08d6 in recursive_edit_1 ()
    at /mnt/data/steve/git/emacs-master/src/keyboard.c:714
#15 0x00000000004f0b8d in Frecursive_edit ()
---Type <return> to continue, or q <return> to quit---
    at /mnt/data/steve/git/emacs-master/src/keyboard.c:785
#16 0x00000000004ec1d7 in main (argc=1, argv=0x7fffffffe0a8)
    at /mnt/data/steve/git/emacs-master/src/emacs.c:1901
(gdb) xbacktrace 
(gdb) 

--=-=-=--




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#34138; Package emacs. Full text available.

Message received at 34138 <at> debbugs.gnu.org:


Received: (at 34138) by debbugs.gnu.org; 20 Jan 2019 16:08:30 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Jan 20 11:08:30 2019
Received: from localhost ([127.0.0.1]:39109 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1glFeA-0005OW-2i
	for submit <at> debbugs.gnu.org; Sun, 20 Jan 2019 11:08:30 -0500
Received: from eggs.gnu.org ([209.51.188.92]:35733)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1glFe7-0005OH-TJ
 for 34138 <at> debbugs.gnu.org; Sun, 20 Jan 2019 11:08:28 -0500
Received: from fencepost.gnu.org ([2001:470:142:3::e]:49936)
 by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <eliz@HIDDEN>)
 id 1glFe2-00050Q-6A; Sun, 20 Jan 2019 11:08:22 -0500
Received: from [176.228.60.248] (port=3193 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <eliz@HIDDEN>)
 id 1glFe1-0002q4-4S; Sun, 20 Jan 2019 11:08:22 -0500
Date: Sun, 20 Jan 2019 18:08:05 +0200
Message-Id: <8336pnb9cq.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: Stephen Berman <stephen.berman@HIDDEN>
In-reply-to: <878szfgwdu.fsf@HIDDEN> (message from Stephen Berman on Sun, 20
 Jan 2019 16:51:41 +0100)
Subject: Re: bug#34138: 27.0.50; Delayed display of PDF file images
References: <871s58e4gh.fsf@HIDDEN> <5C443CB1.3050208@HIDDEN>
 <87h8e3h90z.fsf@HIDDEN> <5C4483B7.1060604@HIDDEN>
 <87d0orgz0a.fsf@HIDDEN> <837eezbazk.fsf@HIDDEN> <878szfgwdu.fsf@HIDDEN>
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 34138
Cc: rudalics@HIDDEN, 34138 <at> debbugs.gnu.org, politza@HIDDEN,
 tsdh@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

> From: Stephen Berman <stephen.berman@HIDDEN>
> Cc: rudalics@HIDDEN,  34138 <at> debbugs.gnu.org,  politza@HIDDEN,  tsdh@HIDDEN
> Date: Sun, 20 Jan 2019 16:51:41 +0100
> 
> That makes sense.  (Actually, I had mentioned keyboard input with
> reference to pdf-view-mode, where the delay is quite long; with
> doc-view-mode the delay is only a few seconds, so I hadn't try using the
> keyboard, but now I did and it did in fact then immediately switch to
> the "Welcome to DocView!" display briefly before displaying the image,
> so keyboard input appears to have an effect with doc-view-mode as well.)
> 
> > If you configure blink-cursor-mode to never stop blinking, does the
> > problem go away, per chance?
> 
> No, that made no difference either with doc-view-mode or with
> pdf-view-mode.

Hmm... can you attach the debugger to Emacs during that delay, and
show both C backtrace and Lisp backtrace?




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#34138; Package emacs. Full text available.

Message received at 34138 <at> debbugs.gnu.org:


Received: (at 34138) by debbugs.gnu.org; 20 Jan 2019 15:51:52 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Jan 20 10:51:52 2019
Received: from localhost ([127.0.0.1]:39104 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1glFO4-0004t0-IB
	for submit <at> debbugs.gnu.org; Sun, 20 Jan 2019 10:51:52 -0500
Received: from mout.gmx.net ([212.227.17.22]:45107)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <stephen.berman@HIDDEN>) id 1glFO2-0004sc-CC
 for 34138 <at> debbugs.gnu.org; Sun, 20 Jan 2019 10:51:50 -0500
Received: from rosalinde ([92.73.79.34]) by mail.gmx.com (mrgmx102
 [212.227.17.168]) with ESMTPSA (Nemesis) id 0Lb90f-1hVbhH1hnd-00khOF; Sun, 20
 Jan 2019 16:51:42 +0100
From: Stephen Berman <stephen.berman@HIDDEN>
To: Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#34138: 27.0.50; Delayed display of PDF file images
References: <871s58e4gh.fsf@HIDDEN> <5C443CB1.3050208@HIDDEN>
 <87h8e3h90z.fsf@HIDDEN> <5C4483B7.1060604@HIDDEN>
 <87d0orgz0a.fsf@HIDDEN> <837eezbazk.fsf@HIDDEN>
Date: Sun, 20 Jan 2019 16:51:41 +0100
In-Reply-To: <837eezbazk.fsf@HIDDEN> (Eli Zaretskii's message of "Sun, 20 Jan
 2019 17:32:47 +0200")
Message-ID: <878szfgwdu.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/27.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Provags-ID: V03:K1:PxWfrNxdBS0RM3qzTXRyv99uajmsUsmIouI/CsbGE1Ol27xx2Le
 l+ywQ/y4qYtZypxf1Ulxd2bp+0JZun5cGTW/8C8bQfV1bRyzs2fvWDSRCPR8yonQL5OhNFu
 NTsoClkQeMuMFZm/ubbfw6jR5/jYDlmqfsBv5aLV17nEJUyCsjWCagMdwlpViMFWIan4Qko
 PiMto2XNorwS0t1rQUuTw==
X-Spam-Flag: NO
X-UI-Out-Filterresults: notjunk:1;V03:K0:c3oprFqnwes=:UQRcgQZ6oM2sr9z/8idyTj
 Eptx010uW7IwZx66SUWOnuutOA/hY4LupWAbRWef2MJYlEuSj6m/nqi2wySxDrmg98vGPJyNv
 GmFPeHIJKX5ZKOoia0gIGGVqG6XLjGfizYfZEs5xSu6DkyKdTYICvQhP7dCp4DEolnO8hurVn
 5hs+7lNtEzWin0pjeLm3kGK9DZMFwteMIWk3xYInDXMIuDSekM+/KlaRcpOwBDFetmPZV65nT
 GfAx2fLgogW4XgaGMQ8IEg58alxDmsS4dAWzrkVkfdL16eAg4A5e6hfSeTnRDlGc0fJeSNcD2
 v94fJ6Oo7eM0jwnPGgMgwizTJ0NEvPKM4X38ChkKb7T0WECfEvrAE1JRGmtJ3FbQdMeicYSRm
 9Ug5/JX+Yv8hmLEBUy+Jr0pDLfCyMbZBJlwZh5GV8v79Hw1WVGaDxYHTs/WXW9bj/WKZhGZy7
 4c55FSYrPx+S027G1QxJ72w79uvzTWIH9ST9JtptlrGh7OAM4l9g2PCNWRgojX6PBxVYP8DWS
 VRjsgqN2CeyrJJwXNuQ+XpYaor1TAKsRgi4CahhhFQgqoR0lLl4RnNIk6hIL9AyDB8ZokFxDn
 NcMbYFaGRQLQwIIXoqDr5DIg2s4Pie3Hdk8+2/QMAV+BbzuqlqPqes91KuY/8qR7fWvSULDD9
 UqPX+zxwX3ah4EilZy3DIK0W/TIdA5iQsICoSSYEgEbm8mszfXrD6HrpciUtEUaZ89QFP+d8u
 4EUYMq9RGRFbCotdiSYaNTZ8t82hHUhYLUNHXx9kKghVvRsgYr/OE/F6mKK5n8wOjR/mYD4l0
 P5xwDVEwMXFSqyRyQxHySdIFbEycKJiw3kPXYNtMP7TidRSmsgYIEkFIyvfBWdlXgMTwQsbsN
 cM0xrGVvxEM597brJ19rzcGQJx8olhrj39txRdVN2Z+aFzorzxNsq7kbPC5NS4pIdUGOQqpjN
 6GEiK/gEAqg==
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 34138
Cc: rudalics@HIDDEN, 34138 <at> debbugs.gnu.org, politza@HIDDEN,
 tsdh@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

On Sun, 20 Jan 2019 17:32:47 +0200 Eli Zaretskii <eliz@HIDDEN> wrote:

>> From: Stephen Berman <stephen.berman@HIDDEN>
>> Date: Sun, 20 Jan 2019 15:55:01 +0100
>> Cc: 34138 <at> debbugs.gnu.org, Andreas Politz <politza@HIDDEN>,
>> 	Tassilo Horn <tsdh@HIDDEN>
>> 
>> > It seems that 'doc-view-new-window-function' fails in some way.  This
>> > time I have to CC Tassilo.  Maybe he has a clue.
>> 
>> I stepped through that function with Edebug but that failed to reproduce
>> the problem, instead, as expected, the "Welcome to DocView!"  message
>> was briefly shown in the buffer and then then image.
>
> I think that's expected, since you said that pressing a key ends the
> delay immediately.  And stepping with Edebug requires that you type
> keys.

That makes sense.  (Actually, I had mentioned keyboard input with
reference to pdf-view-mode, where the delay is quite long; with
doc-view-mode the delay is only a few seconds, so I hadn't try using the
keyboard, but now I did and it did in fact then immediately switch to
the "Welcome to DocView!" display briefly before displaying the image,
so keyboard input appears to have an effect with doc-view-mode as well.)

> If you configure blink-cursor-mode to never stop blinking, does the
> problem go away, per chance?

No, that made no difference either with doc-view-mode or with
pdf-view-mode.

Steve Berman




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#34138; Package emacs. Full text available.

Message received at 34138 <at> debbugs.gnu.org:


Received: (at 34138) by debbugs.gnu.org; 20 Jan 2019 15:33:14 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Jan 20 10:33:14 2019
Received: from localhost ([127.0.0.1]:39100 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1glF61-0004OH-Qf
	for submit <at> debbugs.gnu.org; Sun, 20 Jan 2019 10:33:14 -0500
Received: from eggs.gnu.org ([209.51.188.92]:57225)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1glF60-0004O3-Ep
 for 34138 <at> debbugs.gnu.org; Sun, 20 Jan 2019 10:33:13 -0500
Received: from fencepost.gnu.org ([2001:470:142:3::e]:49623)
 by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <eliz@HIDDEN>)
 id 1glF5u-0001Gi-Hb; Sun, 20 Jan 2019 10:33:06 -0500
Received: from [176.228.60.248] (port=4985 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <eliz@HIDDEN>)
 id 1glF5u-0001dm-2u; Sun, 20 Jan 2019 10:33:06 -0500
Date: Sun, 20 Jan 2019 17:32:47 +0200
Message-Id: <837eezbazk.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: Stephen Berman <stephen.berman@HIDDEN>
In-reply-to: <87d0orgz0a.fsf@HIDDEN> (message from Stephen Berman on Sun, 20
 Jan 2019 15:55:01 +0100)
Subject: Re: bug#34138: 27.0.50; Delayed display of PDF file images
References: <871s58e4gh.fsf@HIDDEN> <5C443CB1.3050208@HIDDEN>
 <87h8e3h90z.fsf@HIDDEN> <5C4483B7.1060604@HIDDEN> <87d0orgz0a.fsf@HIDDEN>
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 34138
Cc: rudalics@HIDDEN, 34138 <at> debbugs.gnu.org, politza@HIDDEN,
 tsdh@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

> From: Stephen Berman <stephen.berman@HIDDEN>
> Date: Sun, 20 Jan 2019 15:55:01 +0100
> Cc: 34138 <at> debbugs.gnu.org, Andreas Politz <politza@HIDDEN>,
> 	Tassilo Horn <tsdh@HIDDEN>
> 
> > It seems that 'doc-view-new-window-function' fails in some way.  This
> > time I have to CC Tassilo.  Maybe he has a clue.
> 
> I stepped through that function with Edebug but that failed to reproduce
> the problem, instead, as expected, the "Welcome to DocView!"  message
> was briefly shown in the buffer and then then image.

I think that's expected, since you said that pressing a key ends the
delay immediately.  And stepping with Edebug requires that you type
keys.

If you configure blink-cursor-mode to never stop blinking, does the
problem go away, per chance?




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#34138; Package emacs. Full text available.

Message received at 34138 <at> debbugs.gnu.org:


Received: (at 34138) by debbugs.gnu.org; 20 Jan 2019 14:55:15 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Jan 20 09:55:15 2019
Received: from localhost ([127.0.0.1]:38532 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1glEVG-00038l-8q
	for submit <at> debbugs.gnu.org; Sun, 20 Jan 2019 09:55:15 -0500
Received: from mout.gmx.net ([212.227.15.15]:55479)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <stephen.berman@HIDDEN>) id 1glEVE-00036n-53
 for 34138 <at> debbugs.gnu.org; Sun, 20 Jan 2019 09:55:13 -0500
Received: from rosalinde ([92.73.79.34]) by mail.gmx.com (mrgmx003
 [212.227.17.190]) with ESMTPSA (Nemesis) id 0Lb5GD-1hVakZ3EdN-00kdEs; Sun, 20
 Jan 2019 15:55:03 +0100
From: Stephen Berman <stephen.berman@HIDDEN>
To: martin rudalics <rudalics@HIDDEN>
Subject: Re: bug#34138: 27.0.50; Delayed display of PDF file images
References: <871s58e4gh.fsf@HIDDEN> <5C443CB1.3050208@HIDDEN>
 <87h8e3h90z.fsf@HIDDEN> <5C4483B7.1060604@HIDDEN>
Date: Sun, 20 Jan 2019 15:55:01 +0100
In-Reply-To: <5C4483B7.1060604@HIDDEN> (martin rudalics's message of "Sun, 20
 Jan 2019 15:20:39 +0100")
Message-ID: <87d0orgz0a.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/27.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: multipart/mixed; boundary="=-=-="
X-Provags-ID: V03:K1:VvnUGP8tGAdECjVNe/us/txAD4/rYvPs9bdcnXMBWEFRMPimqiU
 GQVUEUZUardl6IEibcb1szXocqXXCKEhEdJl9xSzrc5O9u8Pwj01KsnYBI7yQzPEc6QeLVa
 F7rkzJehhjOX3N2fkyvMADlGEEZYOAh9WXBAU9el0ODx073jc3VUj3l4Q5XSg4LV+dN5Ndb
 bW7A2d2fOQ17UF1QOJycQ==
X-Spam-Flag: NO
X-UI-Out-Filterresults: notjunk:1;V03:K0:NQN4Ny+VnH8=:nCiI0IYNf/cxqrH+UEbMUp
 ziuDjN0zbjAWFyL6Hi1Q8/yPDzK1A+f3wxWg8nLmawaYsK6VJM9h6VW+qu0RqUA9UjsAYTKZn
 Zz9pSbKUPnIazwA7sfTsshxJsSI5vI1nTUbZBTvecq0TR0CVusgPhw8v30shj6vkQ2az04Syv
 6w8DEkcPkwQ/NTJ4A4Nl/Pn4hoNTSGKGew+con3E+1Gbq7g/8+3ClutBeiGpPV+XpNARb0hZR
 yEEkUCynlsGvd89fyH25HlPdmBp9F6fAMiuYnUARTnXlHzH1j4fi2w7SUAqQg+saT3FZJMqoy
 95kenO89MtrkiUCJoliTJ6zLIxzy/bMXjXxWxSstU4RDNMyQpnyxlHST+mzkihQ+7jlajWtxC
 8RSuY7gG7HqIg7cWkP/AaWVzIYhIMPm/B7x3NJd1MjzgXtk694ozCSHHcZnHwTeCbFx5P2ARb
 J2lX8ycETBrCy4cxAUFdDzeGpLN8H15kLmhpxoHIVQpM+l5lFRdAcceGyIQW6wDJOkyBovDT3
 2NPuCuwrqhr2J5AbEFKcNQqpqK7mPDwN+H416VQXz1HANnIGrN3PcdAOWRu3Dz9rALfDZMK4F
 YMlGjmrFPl8llOlx+oIcC/vofzBa6EVYdnI/8//JAs9VWRgswi+N8FnehAhfr65VwqgA2X34n
 iK61r6uqTQwpiZCIUZKt9Re70OqqqxDXkHNh4F4UpRuby9iHTPHHWI71c6YjaPD/4sRuprDMG
 1ggetsvy8gppr0yiNrFkI9fnYvAgDppdRs2iBl/bUZcBjFP+oLyQOjPtmJ6xbu4SDCVweiD2D
 JlVZkAUHfH/hLzCs2RE3cc1Eg9LhhCZ0evRQzPPVME2EF7Wl4jlv2hyt+ybTdj/5uVspvsC7s
 F/tajZ7INk+s8KPhxtkSajGcji2D1H9OJqL47i68Yvbec10T/oCVRewgWtZIqG
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 34138
Cc: 34138 <at> debbugs.gnu.org, Andreas Politz <politza@HIDDEN>,
 Tassilo Horn <tsdh@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

--=-=-=
Content-Type: text/plain

On Sun, 20 Jan 2019 15:20:39 +0100 martin rudalics <rudalics@HIDDEN> wrote:

>>> Have you tried running 'doc-view-mode' without loading
>>> 'pdf-view-mode'?
>>
>> Yes, as I noted, I also see this with -Q.
>
> It seems that 'doc-view-new-window-function' fails in some way.  This
> time I have to CC Tassilo.  Maybe he has a clue.

I stepped through that function with Edebug but that failed to reproduce
the problem, instead, as expected, the "Welcome to DocView!"  message
was briefly shown in the buffer and then then image.

>> AFAICS display-buffer-split-below-and-attach is only used in the
>> defcustom pdf-annot-edit-contents-display-buffer-action, which specified
>> the "Display action when showing the edit buffer", so it's irrelevent
>> for just displaying the PDF file.  Anyway, I modified and instrumented
>> the function, but it wasn't called on visiting the file.
>
> Thanks.
>
>>>> In addition, in pdf-view-mode this appears in *Message*:
>>>> Error during redisplay: (eval (pdf-misc-size-indication)) signaled
>>>> (error "Invalid image specification: nil").
>>>
>>> This should come from the 'image-display-size' call in
>>> 'pdf-view-image-size'.  Could you get a backtrace for it?
>>
>> There is no Lisp backtrace, just the "error during redisplay" message.
>> That eval expression is a modeline construct, so I guess this needs to
>> be debugged at the C level.  I could try to do that but probably need
>> guidance.  (Ah, I just saw Andreas's post that he could reproduce the
>> issue, so hopefully he can debug it.)
>
> Could you try to insert a backtrace into some buffer instead of the
> error call in 'image-display-size'?

Thanks for the suggestion; I've attached the output.

Steve Berman


--=-=-=
Content-Type: text/plain
Content-Disposition: attachment
Content-Transfer-Encoding: quoted-printable
Content-Description: image-display-size backtrace

  backtrace()
  (let ((standard-output (get-buffer-create "*PDF test*"))) (backtrace))
  (cond ((and image slice) (if pixels (cons (nth 3 slice) (nth 4 slice)) (c=
ons (/ (float (nth 3 slice)) (frame-char-width frame)) (/ (float (nth 4 sli=
ce)) (frame-char-height frame))))) (image (image-size image pixels frame)) =
(t (let ((standard-output (get-buffer-create "*PDF test*"))) (backtrace))))
  (let ((image (assoc 'image spec)) (slice (assoc 'slice spec))) (cond ((an=
d image slice) (if pixels (cons (nth 3 slice) (nth 4 slice)) (cons (/ (floa=
t (nth 3 slice)) (frame-char-width frame)) (/ (float (nth 4 slice)) (frame-=
char-height frame))))) (image (image-size image pixels frame)) (t (let ((st=
andard-output (get-buffer-create "*PDF test*"))) (backtrace)))))
  (cond ((eq (car spec) 'xwidget) (let ((xwi (xwidget-info (xwidget-at (poi=
nt-min))))) (cons (aref xwi 2) (aref xwi 3)))) ((eq (car spec) 'image) (ima=
ge-size spec pixels frame)) (t (let ((image (assoc 'image spec)) (slice (as=
soc 'slice spec))) (cond ((and image slice) (if pixels (cons (nth 3 slice) =
(nth 4 slice)) (cons (/ (float (nth 3 slice)) (frame-char-width frame)) (/ =
(float (nth 4 slice)) (frame-char-height frame))))) (image (image-size imag=
e pixels frame)) (t (let ((standard-output (get-buffer-create "*PDF test*")=
)) (backtrace)))))))
  image-display-size(nil t)
  pdf-view-image-size(t)
  pdf-misc-size-indication()
  eval((pdf-misc-size-indication))
  redisplay_internal\ \(C\ function\)()
  backtrace()
  (let ((standard-output (get-buffer-create "*PDF test*"))) (backtrace))
  (cond ((and image slice) (if pixels (cons (nth 3 slice) (nth 4 slice)) (c=
ons (/ (float (nth 3 slice)) (frame-char-width frame)) (/ (float (nth 4 sli=
ce)) (frame-char-height frame))))) (image (image-size image pixels frame)) =
(t (let ((standard-output (get-buffer-create "*PDF test*"))) (backtrace))))
  (let ((image (assoc 'image spec)) (slice (assoc 'slice spec))) (cond ((an=
d image slice) (if pixels (cons (nth 3 slice) (nth 4 slice)) (cons (/ (floa=
t (nth 3 slice)) (frame-char-width frame)) (/ (float (nth 4 slice)) (frame-=
char-height frame))))) (image (image-size image pixels frame)) (t (let ((st=
andard-output (get-buffer-create "*PDF test*"))) (backtrace)))))
  (cond ((eq (car spec) 'xwidget) (let ((xwi (xwidget-info (xwidget-at (poi=
nt-min))))) (cons (aref xwi 2) (aref xwi 3)))) ((eq (car spec) 'image) (ima=
ge-size spec pixels frame)) (t (let ((image (assoc 'image spec)) (slice (as=
soc 'slice spec))) (cond ((and image slice) (if pixels (cons (nth 3 slice) =
(nth 4 slice)) (cons (/ (float (nth 3 slice)) (frame-char-width frame)) (/ =
(float (nth 4 slice)) (frame-char-height frame))))) (image (image-size imag=
e pixels frame)) (t (let ((standard-output (get-buffer-create "*PDF test*")=
)) (backtrace)))))))
  image-display-size(nil t)
  pdf-view-image-size(t)
  pdf-misc-size-indication()
  eval((pdf-misc-size-indication))
  posn-at-point(1 #<window 68 on fhs-2.3.pdf>)
  window-in-direction(below #<window 68 on fhs-2.3.pdf>)
  #f(compiled-function (window) #<bytecode 0xbd16bd>)(#<window 68 on fhs-2.=
3.pdf>)
  walk-window-tree-1(#f(compiled-function (window) #<bytecode 0xbd16bd>) #<=
window 68 on fhs-2.3.pdf> nil)
  walk-window-tree(#f(compiled-function (window) #<bytecode 0xbd16bd>) nil =
nil nomini)
  display-buffer-at-bottom(#<buffer *Completions*> ((window-height . t) (pr=
eserve-size nil . t)))
  display-buffer(#<buffer *Completions*> ((display-buffer--maybe-same-windo=
w display-buffer-reuse-window display-buffer--maybe-pop-up-frame display-bu=
ffer-at-bottom) (window-height . t) (preserve-size nil . t)))
  temp-buffer-window-show(#<buffer *Completions*> ((display-buffer--maybe-s=
ame-window display-buffer-reuse-window display-buffer--maybe-pop-up-frame d=
isplay-buffer-at-bottom) (window-height . t) (preserve-size nil . t)))
  minibuffer-completion-help(34 37)
  completion--do-completion(34 37)
  completion--in-region-1(34 37)
  #f(compiled-function (start end collection predicate) #<bytecode 0x1fdbc8=
900d9b>)(34 37 #f(compiled-function (&rest args2) #<bytecode 0xdcbf4d>) nil)
  apply(#f(compiled-function (start end collection predicate) #<bytecode 0x=
1fdbc8900d9b>) (34 37 #f(compiled-function (&rest args2) #<bytecode 0xdcbf4=
d>) nil))
  #f(compiled-function (funs global args) #<bytecode 0x1e42d25>)(nil nil (3=
4 37 #f(compiled-function (&rest args2) #<bytecode 0xdcbf4d>) nil))
  completion--in-region(34 37 #f(compiled-function (&rest args2) #<bytecode=
 0xdcbf4d>) nil)
  completion-in-region(34 37 #f(compiled-function (&rest args2) #<bytecode =
0xdcbf4d>) nil)
  minibuffer-complete()
  funcall-interactively(minibuffer-complete)
  call-interactively(minibuffer-complete nil nil)
  command-execute(minibuffer-complete)
  read-from-minibuffer("Switch to buffer (default temp): " nil (keymap (10 =
. minibuffer-complete-and-exit) (13 . minibuffer-complete-and-exit) keymap =
(menu-bar keymap (minibuf "Minibuf" keymap (tab menu-item "Complete" minibu=
ffer-complete :help "Complete as far as possible") (space menu-item "Comple=
te Word" minibuffer-complete-word :help "Complete at most one word") (63 me=
nu-item "List Completions" minibuffer-completion-help :help "Display all po=
ssible completions") "Minibuf")) (27 keymap (118 . switch-to-completions)) =
(prior . switch-to-completions) (63 . minibuffer-completion-help) (32 . min=
ibuffer-complete-word) (9 . minibuffer-complete) keymap (menu-bar keymap (m=
inibuf "Minibuf" keymap (previous menu-item "Previous History Item" previou=
s-history-element :help "Put previous minibuffer history element in the min=
ibuffer") (next menu-item "Next History Item" next-history-element :help "P=
ut next minibuffer history element in the minibuffer") (isearch-backward me=
nu-item "Isearch History Backward" isearch-backward :help "Incrementally se=
arch minibuffer history backward") (isearch-forward menu-item "Isearch Hist=
ory Forward" isearch-forward :help "Incrementally search minibuffer history=
 forward") (return menu-item "Enter" exit-minibuffer :key-sequence "\15" :h=
elp "Terminate input and exit minibuffer") (quit menu-item "Quit" abort-rec=
ursive-edit :help "Abort input and exit minibuffer") "Minibuf")) (10 . exit=
-minibuffer) (13 . exit-minibuffer) (7 . abort-recursive-edit) (C-tab . fil=
e-cache-minibuffer-complete) (9 . self-insert-command) (XF86Back . previous=
-history-element) (up . previous-line-or-history-element) (prior . previous=
-history-element) (XF86Forward . next-history-element) (down . next-line-or=
-history-element) (next . next-history-element) (27 keymap (114 . previous-=
matching-history-element) (115 . next-matching-history-element) (112 . prev=
ious-history-element) (110 . next-history-element))) nil buffer-name-histor=
y "temp" nil)
  completing-read-default("Switch to buffer (default temp): " internal-comp=
lete-buffer nil confirm-after-completion nil buffer-name-history "temp" nil)
  read-buffer("Switch to buffer: " #<buffer temp> confirm-after-completion)
  read-buffer-to-switch("Switch to buffer: ")
  byte-code("\10?\205R\0\302 \203\16\0\303\202R\0\304 \305=3D\204\31\0\306\=
202R\0\11\204#\0\307\310!\202R\0\11\311=3D\203B\0\312\313\314\315 \"!\203<\=
0\316\303\211\"\210\306\202R\0\307\310!\202R\0\11\317=3D\203L\0\303\202R\0\=
316\303\211\"\210\306\320\321!\303\2E\207" [switch-to-buffer-obey-display-a=
ctions switch-to-buffer-in-dedicated-window window-minibuffer-p nil window-=
dedicated-p t force-same-window user-error "Cannot switch buffers in a dedi=
cated window" prompt y-or-n-p format "Window is dedicated to %s; undedicate=
 it" window-buffer set-window-dedicated-p pop read-buffer-to-switch "Switch=
 to buffer: "] 4)
  call-interactively(switch-to-buffer nil nil)
  command-execute(switch-to-buffer)

--=-=-=--




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#34138; Package emacs. Full text available.

Message received at 34138 <at> debbugs.gnu.org:


Received: (at 34138) by debbugs.gnu.org; 20 Jan 2019 14:20:52 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Jan 20 09:20:52 2019
Received: from localhost ([127.0.0.1]:38395 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1glDy0-00026B-Hf
	for submit <at> debbugs.gnu.org; Sun, 20 Jan 2019 09:20:52 -0500
Received: from mout.gmx.net ([212.227.15.19]:35287)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <rudalics@HIDDEN>) id 1glDxy-00025y-8G
 for 34138 <at> debbugs.gnu.org; Sun, 20 Jan 2019 09:20:50 -0500
Received: from [192.168.1.100] ([46.125.250.101]) by mail.gmx.com (mrgmx002
 [212.227.17.190]) with ESMTPSA (Nemesis) id 0Lz3rc-1hG0Lb2lwu-014D9T; Sun, 20
 Jan 2019 15:20:43 +0100
Message-ID: <5C4483B7.1060604@HIDDEN>
Date: Sun, 20 Jan 2019 15:20:39 +0100
From: martin rudalics <rudalics@HIDDEN>
MIME-Version: 1.0
To: Stephen Berman <stephen.berman@HIDDEN>
Subject: Re: bug#34138: 27.0.50; Delayed display of PDF file images
References: <871s58e4gh.fsf@HIDDEN> <5C443CB1.3050208@HIDDEN>
 <87h8e3h90z.fsf@HIDDEN>
In-Reply-To: <87h8e3h90z.fsf@HIDDEN>
Content-Type: text/plain; charset=UTF-8; format=flowed
Content-Transfer-Encoding: 7bit
X-Provags-ID: V03:K1:OvCnXhMd6b0rMQdKBSaOnMUQFlEEdBXTsLXbh+sb9BbsiuAUAxl
 l5wEDbYnYzbo3y8ELM/o4CoN+Zc5CT5G2CWydR0ZXJiICJyae3g1rmCv3tz/taYDp+Pvi74
 /o+bKtALkkMOxMJb5tvhxtJsz37D0CeRIILXxL66f8Gwx9B8NJ875EIPpOvfAA6PFJKQhFS
 daRRQKa8CoOX2NYd1ZBZg==
X-Spam-Flag: NO
X-UI-Out-Filterresults: notjunk:1;V03:K0:s7aQQucxbYI=:ujp8TKtS5+bhMGKmH2pT6w
 AqM+LonZfOXT5IbqRcyM5v01GTn46sBHEfJJxJwvQf4vVFWMzYL9lkvM3kVT1Z3prIurT+vp/
 +7Bi4UoRqqp4xsX+WwXihgS8y0ALSb3iO1rKzcBGkn9VkVKc0x2toEZNtiXnwrIhfDOtOQq8z
 0xWvYNwfyNdia+PIswotAkvryMiF6cvLV0mldmWRIP+YyLdh6mtPiJ1tRhuam71HObagv5lCG
 23bR/oxeXzz77Zadoxt3gZ+swlleB24dQ0LxwLdvqbLHwb8ZzD8o3wBdGJad9ka0p3zUIFZKq
 Wv1PFgu/INgbZ1Drn+x09WqJ8x6NJn/uh5z8xL6VYGAXEd2UxBuaJXhOV7ud9Buii6MoerlST
 E0Y36C8FZMKX+TtsiqHTLJK2+mWAXjmYmfUI9lF34TbGCzcdp+0jrVeXC/ny0LMdgePNb+45i
 woYZh/J1E6OzVvFEasatvu5x2wh3YUUiSUwsg3mVH3KnCr3wUVOYyMYgYJnBnwdb9AxGxB4Nr
 RwZaIlANKMBDWfUNLHzAZdLbfQkJIdw/X4IY6XaapvGnbzLGN7shQWfr141jhMu6g0fo+vuK8
 p80tRbCleIFZGF4hqv/cIRzMN6G09gGsI0yyqV5AroI3TFS+6UEfC/Agm9K2V9gNd5XzKk0yd
 iErH59KgvhkoVu3AstPmkSPLVdYDEV8MrnDDZ5p+bFHZBZiD4MPyplh2MvEW1W2wghsroZJAA
 UGJIW4EK+bqsfUgl6QEYHUKXaHNSftUtTwa2Ekr5gqUVbLPCEK/YZRYJzJk28/vxe5AJGqP9Z
 1rak1MFpJ9XP5jD7e1qlQLSitbzSVdmhzhJ3nY6m0jSMtk23xXsJCFkso/dWIDo+ExnJ7P8po
 mnHSvikevjRUI9XG4ullgRDZb4lqS5ucSNIV9eZlzjVcoFAxEdtkR+kLsx6Tiu2RnxSrdInxm
 4zcHJGFbY8w==
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 34138
Cc: 34138 <at> debbugs.gnu.org, Andreas Politz <politza@HIDDEN>,
 Tassilo Horn <tsdh@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

 >> Have you tried running 'doc-view-mode' without loading
 >> 'pdf-view-mode'?
 >
 > Yes, as I noted, I also see this with -Q.

It seems that 'doc-view-new-window-function' fails in some way.  This
time I have to CC Tassilo.  Maybe he has a clue.

 > AFAICS display-buffer-split-below-and-attach is only used in the
 > defcustom pdf-annot-edit-contents-display-buffer-action, which specified
 > the "Display action when showing the edit buffer", so it's irrelevent
 > for just displaying the PDF file.  Anyway, I modified and instrumented
 > the function, but it wasn't called on visiting the file.

Thanks.

 >>> In addition, in pdf-view-mode this appears in *Message*:
 >>> Error during redisplay: (eval (pdf-misc-size-indication)) signaled
 >>> (error "Invalid image specification: nil").
 >>
 >> This should come from the 'image-display-size' call in
 >> 'pdf-view-image-size'.  Could you get a backtrace for it?
 >
 > There is no Lisp backtrace, just the "error during redisplay" message.
 > That eval expression is a modeline construct, so I guess this needs to
 > be debugged at the C level.  I could try to do that but probably need
 > guidance.  (Ah, I just saw Andreas's post that he could reproduce the
 > issue, so hopefully he can debug it.)

Could you try to insert a backtrace into some buffer instead of the
error call in 'image-display-size'?

Sorry, I don't view images, pdfs or the like with Emacs.  I can try
learning to do that but it would take some time.

martin




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#34138; Package emacs. Full text available.

Message received at 34138 <at> debbugs.gnu.org:


Received: (at 34138) by debbugs.gnu.org; 20 Jan 2019 14:20:13 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Jan 20 09:20:13 2019
Received: from localhost ([127.0.0.1]:38392 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1glDxN-00025F-4m
	for submit <at> debbugs.gnu.org; Sun, 20 Jan 2019 09:20:13 -0500
Received: from mout.gmx.net ([212.227.15.15]:42935)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <rudalics@HIDDEN>) id 1glDxK-00024t-A1
 for 34138 <at> debbugs.gnu.org; Sun, 20 Jan 2019 09:20:10 -0500
Received: from [192.168.1.100] ([46.125.250.101]) by mail.gmx.com (mrgmx001
 [212.227.17.190]) with ESMTPSA (Nemesis) id 0MAxyW-1gsxjK26L6-00A116; Sun, 20
 Jan 2019 15:20:02 +0100
Message-ID: <5C44838C.8070601@HIDDEN>
Date: Sun, 20 Jan 2019 15:19:56 +0100
From: martin rudalics <rudalics@HIDDEN>
MIME-Version: 1.0
To: Andreas Politz <politza@HIDDEN>
Subject: Re: bug#34138: 27.0.50; Delayed display of PDF file images
References: <871s58e4gh.fsf@HIDDEN> <5C443CB1.3050208@HIDDEN>
 <87a7jvsi7t.fsf@HIDDEN>
In-Reply-To: <87a7jvsi7t.fsf@HIDDEN>
Content-Type: text/plain; charset=UTF-8; format=flowed
Content-Transfer-Encoding: quoted-printable
X-Provags-ID: V03:K1:r4fe7dNmMUdlMMluMCaELRwCUhvA+4IGPVRdrYcmN/+wOBMsoUz
 wbYkaalG/mTQpfcX7b2MNw/LU+J8PnaLUXr/cF2HZagx/5Bo2dUfy49sOUTwF7cZGJ5+GyR
 UCB7YOjcTvXgybEQPfhT9pvcVBUBLwp7R6aP5kEnbFhhZbSZgX2Hdua+rNPjnSGqXkYsWR/
 THSrV3GJ5vEkigMY0vOeQ==
X-Spam-Flag: NO
X-UI-Out-Filterresults: notjunk:1;V03:K0:oYnG2weOHKU=:65McGRaF32E7I32zSBAft0
 2/5VAPdJd0bbEXoY5XRTZuiY4xNaIlD+r1axeoJ1LDSrXZ7xBqSVnvLIrj9vKCiqSN96ZdkKK
 lN1rhqlvVpm4xQT/LuhX0VT0jz356ZAg39H28UB3Cg0sT4E+lPdZIiO7Cwouuzm/WmPPCN9UV
 /Pr1yd6721NUKBs5u7UlOJcwaayWuB7bdRAHt9zermsd3gDlO019bSMTBwz2GXo0+gToBXC9t
 jEIfI1Z2w+dzI+tCQSkXywiEZdmGfBauTYaDqtaKqpHAYLv2l9gLLRdJ8VP7kLFqlzThPkAUB
 RLzUUgenG1bP6arHluE50Hx+iIvfoS5wraZY+eCMGLSFSKHtechfvhtrsRXsHd14u1Kg4jS8e
 qchj2OwKCcZ2reqBr/t040ZX4gm/8mVtK1MW7e/bfkwiRFerhNvOhdyqy9RnL+ZZhACVXZ9Sy
 a9G01sASUNM620AiMJsaQsWHHRBe8NJS5o6gf7inXK5q4+hYipmvvig7rkqTsH0FoZBQgxS/f
 T18RtuEEyfKge771OtFVmkitkTYQfCJ8Ol9+KQatiIAkXOdVq3Xtdvb2x3/dw2BtqFug1oszR
 3iOnsVsivOt0Si5vl1gePlamJVX6XrjRHHt3EHcewfOFXR/vOxOBr92b0IY5YqfN7tWnS04GI
 1j9uStLX4UBc9ZhLXt7838+vSVnA4Sywy7DP7gWy7+8C/LZkxED7cetCCH3URZSL93I0YXk7e
 NU+jkblfqf9r/w38IhFL8T3fa6g6XbbWXCHL5tJTsk94osCdh+hWiv2B00l9AcCEh+3tRwprA
 CizjWtPScPKvMvFYGbc81KeRl1/R9UGC6kDBUoNdy272L5H2UlC4AOEAbpdG2kZgXBWVxQ1UI
 qyeOew3aH4IDTiMNJ0mVfNj23zeKlLF9pi0iTyed0bZTIxvSYXrCyA7eO1KbYkGsXKwmJMUiH
 jrLj06XKHlw==
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 34138
Cc: Stephen Berman <stephen.berman@HIDDEN>, 34138 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

 > I can reproduce this: Opening a PDF in the latest Emacs version requir=
es
 > an extra redisplay for the image to appear, e.g. by entering the
 > minibuffer.

Do you have any idea what might be causing it?  Excluding
'display-buffer-split-below-and-attach' it should be related to
'image-mode-new-window-functions'.

 >> 'display-buffer-split-below-and-attach' calls 'window--display-buffer=
'
 >> with a fifth argument and that has been changed in another commit.
 >
 > I really wish this function would be part of the public API. Or else,
 > what is the best way to implement a function like
 > display-buffer-mark-dedicated ?

It will be public soon.  Moreove, application will not have to bother
with =E2=80=98display-buffer-mark-dedicated=E2=80=99 any more.

 >>> In addition, in pdf-view-mode this appears in *Message*:
 >>> Error during redisplay: (eval (pdf-misc-size-indication)) signaled
 >>> (error "Invalid image specification: nil").
 >>
 >> This should come from the 'image-display-size' call in
 >> 'pdf-view-image-size'.  Could you get a backtrace for it?
 >
 > Right, the function pdf-misc-size-indication assumes the existence of =
a
 > displayed image in the selected window.

What happened here?  Did the image not get displayed or did the
selected window change or get another buffer?

martin





Information forwarded to bug-gnu-emacs@HIDDEN:
bug#34138; Package emacs. Full text available.

Message received at 34138 <at> debbugs.gnu.org:


Received: (at 34138) by debbugs.gnu.org; 20 Jan 2019 11:18:57 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Jan 20 06:18:57 2019
Received: from localhost ([127.0.0.1]:38372 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1glB7x-0003ni-Ea
	for submit <at> debbugs.gnu.org; Sun, 20 Jan 2019 06:18:57 -0500
Received: from mout.gmx.net ([212.227.15.18]:35217)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <stephen.berman@HIDDEN>) id 1glB7u-0003nT-NO
 for 34138 <at> debbugs.gnu.org; Sun, 20 Jan 2019 06:18:55 -0500
Received: from rosalinde ([92.73.79.34]) by mail.gmx.com (mrgmx001
 [212.227.17.190]) with ESMTPSA (Nemesis) id 0LngRb-1hQong26yF-00hwwj; Sun, 20
 Jan 2019 12:18:39 +0100
From: Stephen Berman <stephen.berman@HIDDEN>
To: martin rudalics <rudalics@HIDDEN>
Subject: Re: bug#34138: 27.0.50; Delayed display of PDF file images
References: <871s58e4gh.fsf@HIDDEN> <5C443CB1.3050208@HIDDEN>
Date: Sun, 20 Jan 2019 12:18:36 +0100
In-Reply-To: <5C443CB1.3050208@HIDDEN> (martin rudalics's message of "Sun, 20
 Jan 2019 10:17:37 +0100")
Message-ID: <87h8e3h90z.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/27.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Provags-ID: V03:K1:+AEk0PmZXQUG6Rf5jwzruIvMIM53GWEzwLFKocfxwGcZurYHN6A
 vy6gRbD4MYQoM4nP97LLiAeBqaHe2rPkK1HVmjlDA7C4+NvWWxp0JCHxYmM9bUE7kUCS7cE
 YeH4LPP0mmrBUIHLOpVbPn4vO89N6FlUJces76kkIlNwzK6VQ54MVewEH+4dkEi1iWqf8K+
 DtzPTA871mopgjeBMa4zg==
X-Spam-Flag: NO
X-UI-Out-Filterresults: notjunk:1;V03:K0:6i6gbVTWLnA=:iPIimjL0+DdN57pJOReCuF
 1Ht/AuL5ONLB57pa7q1j7aYZlzBRax2feEuqO80yk/pZRHdM4LC8vies9lGk6e61s9r4BjMAI
 2s+epbYIUAHDPlbynvCQxwprIpr8opo7HAURgA0xjo6J7AW6tpgA78gHR/w5QL9WZM6dF5Ybp
 aStL4i1kPC7jbcNrRQk6DCSnoIiRNlsT0vpAbiLEs1btsiP64d0BOEO3Y56gdT+Do6QsSqWrx
 zzCacvsE5vSxhcT+gXiGaqYxvfaL1f6nLcLzB9ZbH8vqXc43i1M4CC3i42v+l7JT5L4ASh6c0
 +v8oD+IV3MTJBjGN4ttjbACOh1NVhAtJC6VOaKRaNGFc/CpnNGlxN6juswiOLTkFhQQH6oQMC
 teyzDqNY2Sghph4oMXoS3drR5HuLzwzjOEtnvj/1IR30LtMGUNTaj523d5VLp0Geg6XygwwgA
 p7O0ByZOBh/Qgxqi+KTEJw1RlwQ47lpK+t6LSBL89SnVAkeQ0hoyq4VSsBnvGVTjr0+JVED1A
 orTfT3Ov7Qo581W5Sul3DlM5yGfzlXI4JxFT0I3BF/DjmcG1zhWLazlaU2oJ5iRSS+Q1CN4Uk
 Vau4diJ2OwDTipe4ghgbha2EqbqRJWji19ZUlLuaIzDXOr1tMvnB/BN/vS04emBYvxw/Hl3sv
 S+njESlWO5TyRftvCehBWo2xWD6qcVusxU0PkcnrlSh4/6+FfCckMxc7oT/TLit6XmTc/gVFJ
 TgxtEW0d/VNk6zIEqk0HRyXd+UAKwWy8pHiAjhAjr6GwdcJ6qP1haGqiV7fK1l8MKgtaM0Noc
 4vGD75T5ER8FFOv5q+xXEznkj+NL8NjeTh/UKD7qppfxOO8IGODEvveu3JFgH/SD9ecryYiTo
 XVuoCxOMY3pqZvAx9Ivih+S0nYN/mfGxP7EWzhIkJupacPlP9NcUK6Exn2vRBtc5l7jmbTFq8
 5QSGU3l6Deg==
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 34138
Cc: Andreas Politz <politza@HIDDEN>, 34138 <at> debbugs.gnu.org,
 Andreas Politz <politza@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

On Sun, 20 Jan 2019 10:17:37 +0100 martin rudalics <rudalics@HIDDEN> wrote:

>> Since a recent commit, I'm seeing a delay in the display of PDF files as
>> images (both with -Q and with my initializations).  I see this in both
>> doc-view-mode and pdf-view-mode (from the pdf-tools package, available
>> from MELPA).  In doc-view-mode, on visiting a PDF file, it at first
>> appears as raw PDF, as when visiting it in fundamental-mode, and only
>> after a few seconds does the image appear.
>
> I cannot see how 'doc-view-mode' could be possibly affected by the
> changes you identified below.  It doesn't run any of the affected
> hooks.  Have you tried running 'doc-view-mode' without loading
> 'pdf-view-mode'?

Yes, as I noted, I also see this with -Q.

>> The same happens in
>> pdf-view-mode but there the delay is much longer -- with some files it
>> takes close to a minute on my machine before the image is displayed,
>> unless I provide keyboard input, which makes the image appear
>> immediately.
>
> These might be related although going through the sources of
> =E2=80=98pdf-view-mode=E2=80=99 I cannot see any problem.  'pdf-util-wind=
ow-attach'
> uses a workaround for deleting a window after running
> 'window-configuration-change-hook' and there I see a different source
> of trouble:
>
> 'display-buffer-split-below-and-attach' calls 'window--display-buffer'
> with a fifth argument and that has been changed in another commit.
> Please remove the display-buffer-mark-dedicated argument in that call
> and see whether the problem persists.  CC-ing Andreas to make an
> appropriate change in pdf-util.el.

AFAICS display-buffer-split-below-and-attach is only used in the
defcustom pdf-annot-edit-contents-display-buffer-action, which specified
the "Display action when showing the edit buffer", so it's irrelevent
for just displaying the PDF file.  Anyway, I modified and instrumented
the function, but it wasn't called on visiting the file.

>> In addition, in pdf-view-mode this appears in *Message*:
>> Error during redisplay: (eval (pdf-misc-size-indication)) signaled
>> (error "Invalid image specification: nil").
>
> This should come from the 'image-display-size' call in
> 'pdf-view-image-size'.  Could you get a backtrace for it?

There is no Lisp backtrace, just the "error during redisplay" message.
That eval expression is a modeline construct, so I guess this needs to
be debugged at the C level.  I could try to do that but probably need
guidance.  (Ah, I just saw Andreas's post that he could reproduce the
issue, so hopefully he can debug it.)

Steve Berman




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#34138; Package emacs. Full text available.

Message received at 34138 <at> debbugs.gnu.org:


Received: (at 34138) by debbugs.gnu.org; 20 Jan 2019 11:04:53 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Jan 20 06:04:53 2019
Received: from localhost ([127.0.0.1]:38354 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1glAuK-0003TC-O1
	for submit <at> debbugs.gnu.org; Sun, 20 Jan 2019 06:04:52 -0500
Received: from gateway-a.fh-trier.de ([143.93.54.181]:39173)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <politza@HIDDEN>) id 1glAuH-0003T1-5K
 for 34138 <at> debbugs.gnu.org; Sun, 20 Jan 2019 06:04:50 -0500
X-Virus-Scanned: by Amavisd-new + Sophos + ClamAV [Rechenzentrum Hochschule
 Trier (RZ/HT)]
Received: from localhost (x4db68bf8.dyn.telefonica.de [77.182.139.248])
 (using TLSv1 with cipher AES256-SHA (256/256 bits))
 (No client certificate requested) (Authenticated sender: politza)
 by gateway-a.fh-trier.de (Postfix) with ESMTPSA id B110C17F2170;
 Sun, 20 Jan 2019 12:04:38 +0100 (CET)
DKIM-Signature: v=1; a=rsa-sha1; c=simple/simple; d=hochschule-trier.de;
 s=default; t=1547982278; bh=TYbWN5CMzWBxJbvYSUaVdg1toG8=;
 h=From:To:Cc:Subject:References:Date:In-Reply-To:Message-ID:
 MIME-Version:Content-Type;
 b=eAt9WyRgSip4iLroSW0mxXPxK8a/QxJOdOgfUvcLOQMt8JEbq6wDt/KgQJAvbDnKP
 mIgeEmb+bBXvuaB9kz3W2V+8sk/iNYkTJMkrFa6j6Yi5hCDT+WX7XITd15c11Rq/Eg
 wxCq6fSxYNfREyebRvs2Zgf5F2XBVJEQK3Ok3RFk=
From: Andreas Politz <politza@HIDDEN>
To: martin rudalics <rudalics@HIDDEN>
Subject: Re: bug#34138: 27.0.50; Delayed display of PDF file images
References: <871s58e4gh.fsf@HIDDEN> <5C443CB1.3050208@HIDDEN>
Date: Sun, 20 Jan 2019 12:04:38 +0100
In-Reply-To: <5C443CB1.3050208@HIDDEN> (martin rudalics's message of "Sun, 20
 Jan 2019 10:17:37 +0100")
Message-ID: <87a7jvsi7t.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/26.1 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 34138
Cc: Andreas Politz <politza@HIDDEN>,
 Stephen Berman <stephen.berman@HIDDEN>, 34138 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

I can reproduce this: Opening a PDF in the latest Emacs version requires
an extra redisplay for the image to appear, e.g. by entering the
minibuffer.

martin rudalics <rudalics@HIDDEN> writes:

> 'display-buffer-split-below-and-attach' calls 'window--display-buffer'
> with a fifth argument and that has been changed in another commit.

I really wish this function would be part of the public API. Or else,
what is the best way to implement a function like
display-buffer-mark-dedicated ?

>> In addition, in pdf-view-mode this appears in *Message*:
>> Error during redisplay: (eval (pdf-misc-size-indication)) signaled
>> (error "Invalid image specification: nil").
>
> This should come from the 'image-display-size' call in
> 'pdf-view-image-size'.  Could you get a backtrace for it?

Right, the function pdf-misc-size-indication assumes the existence of a
displayed image in the selected window.

Andreas




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#34138; Package emacs. Full text available.

Message received at 34138 <at> debbugs.gnu.org:


Received: (at 34138) by debbugs.gnu.org; 20 Jan 2019 09:17:55 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Jan 20 04:17:55 2019
Received: from localhost ([127.0.0.1]:38310 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1gl9Ep-0005Lx-9j
	for submit <at> debbugs.gnu.org; Sun, 20 Jan 2019 04:17:55 -0500
Received: from mout.gmx.net ([212.227.15.19]:51829)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <rudalics@HIDDEN>) id 1gl9En-0005Ll-M2
 for 34138 <at> debbugs.gnu.org; Sun, 20 Jan 2019 04:17:54 -0500
Received: from [192.168.1.100] ([46.125.250.101]) by mail.gmx.com (mrgmx002
 [212.227.17.190]) with ESMTPSA (Nemesis) id 0LiDnn-1hYSTH0wiZ-00nMsV; Sun, 20
 Jan 2019 10:17:40 +0100
Message-ID: <5C443CB1.3050208@HIDDEN>
Date: Sun, 20 Jan 2019 10:17:37 +0100
From: martin rudalics <rudalics@HIDDEN>
MIME-Version: 1.0
To: Stephen Berman <stephen.berman@HIDDEN>, 34138 <at> debbugs.gnu.org
Subject: Re: bug#34138: 27.0.50; Delayed display of PDF file images
References: <871s58e4gh.fsf@HIDDEN>
In-Reply-To: <871s58e4gh.fsf@HIDDEN>
Content-Type: text/plain; charset=UTF-8; format=flowed
Content-Transfer-Encoding: quoted-printable
X-Provags-ID: V03:K1:uh7qTFTWk09UPlTKtPqjmaTYjH8u5o8NAlHr2vW/B9nh0cJJrpW
 +09a7ecgG6w1Bf9htH+myi+u+JlqAcbxoTea1Mdu9W1ZIPiOs351o20IDZzrpIo523KUAL3
 zegSVHTfeKq1vHLuNb2Lq8kPozmcTvStuguU/1dPK4Nan3kwZgseyT8K2QfPvlqjW8hVKg6
 NHJbDtW1fXs3wMoSo9z5Q==
X-Spam-Flag: NO
X-UI-Out-Filterresults: notjunk:1;V03:K0:nTUg+EiYZQ0=:PahqPZoPu0jMNtb7fMHa0+
 CQj/V84jMSwEDFkGmxBqQ0X7pivtHnaOXnjJFzNYxn5Rl5YnO7FvZKKl8rm2rNvHheS+p193n
 /5eLSGjUu1iqMd6sj6b7hdARmdE6wPjB6q9OOHA9X3srRpgFa/NmywYafGLwg/K8Buo/MvCby
 hg0zQwYt/dDtLguLxGkhAe3SvAXuFYW7DIVv32A1qKwSjL2mP6cqnM/hSs6iIv3jwLL3smcia
 A7HGqgHhcZulewJ5z42QNJ/4HRrp0Jd+pzORHX5SqwU7ONnxYYfTDqUXGJZAr85Hgm2rB7Y1V
 k4XpLJLzPje22lgsyM++WG7crCiovJ8hzAJVJywLNX69gyHhq8FjhjPHU2oq/gv3DVipVDXEi
 WDGzTEnfscqgWna3HDjIdcl2sWZuFd+jfoGwZtncQ6msBwuVLhoaWuh8J+zQgLiD+s2lIrJJD
 9i+LIvETs4Foo6POiSQjrYaFhOOprwI4nSuv4NkvxyU6iHatuRdRdE26ODgSGWlfQcIHzDcxQ
 EweHlH2mdI65KrrjOE5PdDNY/IKRuhvKe9c/bt+ubhpMJ6efMejX9UFlpZcKa5qxblI85Zm31
 FJ4XvQOuFefK+nWkBr/KdPULvocQwJ8jIlH0a2gknlLwH/3FcKzVIfFABRY7ERAfbdwiMD/DK
 5zsPGYD2R3gE2uGnSe2QczgAJZa2U2Uub4vOWNE0WtafW9aO2WLIT84pj6y3deLi8ikROMOBO
 GmXloXCSKxMbL8L5j1x1RL8h8RtXcgr7156vzQySXJ8MtoDUThTutBaly+4tGSS70VEaWaImv
 7FBLnnnHQuLq8ZMBE5eN4VhVYPnoZugCNBWv+bFiDlSkTyXS010WEnde3mILWgBuouHLgl+zO
 mdK/TODkyOj7zuTs3c0X4zEMj3NdhCbRT9NUW3djpiJ8n3tHp/jiAMjvKyi3NjOGDGWYKpqvn
 QFCcIuGzQtw==
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 34138
Cc: Andreas Politz <politza@HIDDEN>,
 Andreas Politz <politza@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

 > Since a recent commit, I'm seeing a delay in the display of PDF files =
as
 > images (both with -Q and with my initializations).  I see this in both=

 > doc-view-mode and pdf-view-mode (from the pdf-tools package, available=

 > from MELPA).  In doc-view-mode, on visiting a PDF file, it at first
 > appears as raw PDF, as when visiting it in fundamental-mode, and only
 > after a few seconds does the image appear.

I cannot see how 'doc-view-mode' could be possibly affected by the
changes you identified below.  It doesn't run any of the affected
hooks.  Have you tried running 'doc-view-mode' without loading
'pdf-view-mode'?

 > The same happens in
 > pdf-view-mode but there the delay is much longer -- with some files it=

 > takes close to a minute on my machine before the image is displayed,
 > unless I provide keyboard input, which makes the image appear
 > immediately.

These might be related although going through the sources of
=E2=80=98pdf-view-mode=E2=80=99 I cannot see any problem.  'pdf-util-wind=
ow-attach'
uses a workaround for deleting a window after running
'window-configuration-change-hook' and there I see a different source
of trouble:

'display-buffer-split-below-and-attach' calls 'window--display-buffer'
with a fifth argument and that has been changed in another commit.
Please remove the display-buffer-mark-dedicated argument in that call
and see whether the problem persists.  CC-ing Andreas to make an
appropriate change in pdf-util.el.

 > In addition, in pdf-view-mode this appears in *Message*:
 > Error during redisplay: (eval (pdf-misc-size-indication)) signaled
 > (error "Invalid image specification: nil").

This should come from the 'image-display-size' call in
'pdf-view-image-size'.  Could you get a backtrace for it?

 > In doc-view-mode there is
 > no such error message.  Git bisect pinpoints this commit:
 >
 > e567ac1495..: Martin Rudalics 2019-01-11 Run window change functions
 > during redisplay

martin





Information forwarded to bug-gnu-emacs@HIDDEN:
bug#34138; Package emacs. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 19 Jan 2019 21:13:45 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Jan 19 16:13:45 2019
Received: from localhost ([127.0.0.1]:38087 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1gkxw1-0001kh-1j
	for submit <at> debbugs.gnu.org; Sat, 19 Jan 2019 16:13:45 -0500
Received: from eggs.gnu.org ([209.51.188.92]:51604)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <stephen.berman@HIDDEN>) id 1gkxvx-0001kR-Ax
 for submit <at> debbugs.gnu.org; Sat, 19 Jan 2019 16:13:43 -0500
Received: from lists.gnu.org ([209.51.188.17]:58347)
 by eggs.gnu.org with esmtps (TLS1.0:RSA_AES_256_CBC_SHA1:32)
 (Exim 4.71) (envelope-from <stephen.berman@HIDDEN>)
 id 1gkxvq-0008IM-MH
 for submit <at> debbugs.gnu.org; Sat, 19 Jan 2019 16:13:36 -0500
Received: from eggs.gnu.org ([209.51.188.92]:33567)
 by lists.gnu.org with esmtp (Exim 4.71)
 (envelope-from <stephen.berman@HIDDEN>) id 1gkxvp-0000XQ-PY
 for bug-gnu-emacs@HIDDEN; Sat, 19 Jan 2019 16:13:34 -0500
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=0.1 required=5.0 tests=BAYES_50,FREEMAIL_FROM,
 RCVD_IN_DNSWL_LOW autolearn=disabled version=3.3.2
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <stephen.berman@HIDDEN>) id 1gkxvn-0008FO-9y
 for bug-gnu-emacs@HIDDEN; Sat, 19 Jan 2019 16:13:33 -0500
Received: from mout.gmx.net ([212.227.17.20]:58775)
 by eggs.gnu.org with esmtps (TLS1.0:DHE_RSA_AES_128_CBC_SHA1:16)
 (Exim 4.71) (envelope-from <stephen.berman@HIDDEN>)
 id 1gkxvi-00089b-7l
 for bug-gnu-emacs@HIDDEN; Sat, 19 Jan 2019 16:13:28 -0500
Received: from rosalinde ([92.73.78.68]) by mail.gmx.com (mrgmx103
 [212.227.17.168]) with ESMTPSA (Nemesis) id 0MGRhs-1gyBKS0xwu-00DGHY for
 <bug-gnu-emacs@HIDDEN>; Sat, 19 Jan 2019 22:13:20 +0100
From: Stephen Berman <stephen.berman@HIDDEN>
To: bug-gnu-emacs@HIDDEN
Subject: 27.0.50; Delayed display of PDF file images
Date: Sat, 19 Jan 2019 22:13:18 +0100
Message-ID: <871s58e4gh.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/27.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Provags-ID: V03:K1:r9VUxbMA3ekd9NFDdtm7Tk1kNr/N4htS8f2akqg52gAXf2VITIH
 br4B7Z81RzyO4Qjcm1HdY9nBGzvi5IGQnWhVtyov9M7liZKhbYzksz8UQoz6qIavlpwkL95
 jt4l5JmZT4zvJOoK1bal/UlIM5N39mr3fApCt7asq8VbC91/ocRkSvZf8zvItSJj+C7CK7m
 stXVj74JoyX7xbf1VRG1Q==
X-UI-Out-Filterresults: notjunk:1;V03:K0:LgauoBHCToo=:dTFydd8XENZ8Cr4OkskgrV
 /93xtxAR/h7nB2UEWP3IrRpWF6Whm7R/QpOw9u81HAfIQl9+RbibxuWELxSAPuRHkoZFXvCEE
 ZtmhCu5KqLhxXBeVU3bx235QQaERHWdLfiQeiJIZ+rqwmpJcng2cBAVPfkrxOBGnsTu9inkcp
 5/2o7rxRP84XdSRwfrcus+8ITZvWIiexmeonRjYD8neHqJVUSfs7PWgzogJacopV124J1NTsf
 I3dan+MbS4PXHUPpVc/ENtzgXkokirKiuN3CBJKxKPZHqJ7GujxEqJdpfUjoDIlALC530T2WE
 aO/cjNvx2DodLECmDX6epUhItL1FaBu2SexrzkGUwOdU7gfrJ4NA7HsFK4RYBYQCm4IE4QqEr
 W3VI2OMn7lBlA/tMY/2EJaaCFg4A4XUrRtfRaADTJVwUGo5fHNr0QbSgLPX8nxtGS7/F/JkUD
 wf3lAMxeYGfSFy9bQVesDq28sJE0O/dNDs6cHuXLfoPuZ/ff+hCsWoMXwJC3eSG/V7PqHe3Ih
 0yY9eNwm0zfeM7acstukHqvk5HptoUHIK8GkXJ5y3wxq59ELlgLFg7emkMLbKyRrA6gamJNFi
 KusKCFtaBReSUA7EnVtu1LF/B2ufv+8mNHDcbzrA6qEGlfKtaexF8thf67Cf180Uo4y7zl4xi
 4cXgpuJTmGQF8f0o/dDT79t8rlwo3OPdgDg+IcxlclhDpPgqItRcNYgsZ2lTxsANkHmacu0kr
 /yL5ERLAt+KOIKWDULlGiKhwmvGlPzumYDst/m+0JIYYTGwqqxcNbkg0AZxX7HGTVbVzvukVq
 rksaxTL6678JJkEmr1wLfZ+/lhH7NtDFkoDEM4kLxBmrV7Eq7ncO4KozguQxy6I/6SZXqoXqg
 eig6wtKwKr2ylpwCe+KhqRIVxP5zWmj3mPCe/s/v2UpqprFPF2vjDP1CuLdqat/gnIbgbC9pT
 o5j48tPc+dg==
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Received-From: 212.227.17.20
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.6.x
X-Spam-Score: 0.9 (/)
X-Debbugs-Envelope-To: submit
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.1 (/)

Since a recent commit, I'm seeing a delay in the display of PDF files as
images (both with -Q and with my initializations).  I see this in both
doc-view-mode and pdf-view-mode (from the pdf-tools package, available
from MELPA).  In doc-view-mode, on visiting a PDF file, it at first
appears as raw PDF, as when visiting it in fundamental-mode, and only
after a few seconds does the image appear.  The same happens in
pdf-view-mode but there the delay is much longer -- with some files it
takes close to a minute on my machine before the image is displayed,
unless I provide keyboard input, which makes the image appear
immediately.  In addition, in pdf-view-mode this appears in *Message*:
Error during redisplay: (eval (pdf-misc-size-indication)) signaled
(error "Invalid image specification: nil").  In doc-view-mode there is
no such error message.  Git bisect pinpoints this commit:

e567ac1495..: Martin Rudalics 2019-01-11 Run window change functions
during redisplay


In GNU Emacs 27.0.50 (build 26, x86_64-pc-linux-gnu, GTK+ Version 3.22.30)
 of 2019-01-19 built on rosalinde
Repository revision: b821a70cb9467186afb55734a0e5cb4601909916
Repository branch: master
Windowing system distributor 'The X.Org Foundation', version 11.0.12001000
System Description: 8.3

Configured using:
 'configure 'CFLAGS=-Og -g3''

Configured features:
XPM JPEG TIFF GIF PNG RSVG IMAGEMAGICK SOUND DBUS GSETTINGS GLIB NOTIFY
INOTIFY ACL GNUTLS LIBXML2 FREETYPE M17N_FLT LIBOTF XFT ZLIB
TOOLKIT_SCROLL_BARS GTK3 X11 XDBE XIM THREADS CANNOT_DUMP LCMS2 GMP

Important settings:
  value of $LANG: en_US.UTF-8
  locale-coding-system: utf-8-unix





Acknowledgement sent to Stephen Berman <stephen.berman@HIDDEN>:
New bug report received and forwarded. Copy sent to bug-gnu-emacs@HIDDEN. Full text available.
Report forwarded to bug-gnu-emacs@HIDDEN:
bug#34138; Package emacs. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Sat, 30 Mar 2019 03:00:02 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.